package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="FirewallRuleType", propOrder={"id", "isEnabled", "matchOnTranslate", "description", "policy", "protocols", "icmpSubType", "port", "destinationPortRange", "destinationIp", "destinationVm", "sourcePort", "sourcePortRange", "sourceIp", "sourceVm", "direction", "enableLogging"})
public class FirewallRuleType extends VCloudExtensibleType
{

  @XmlElement(name="Id")
  protected String id;

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="MatchOnTranslate")
  protected Boolean matchOnTranslate;

  @XmlElement(name="Description")
  protected String description;

  @XmlElement(name="Policy")
  protected String policy;

  @XmlElement(name="Protocols")
  protected FirewallRuleProtocols protocols;

  @XmlElement(name="IcmpSubType")
  protected String icmpSubType;

  @XmlElement(name="Port")
  protected Integer port;

  @XmlElement(name="DestinationPortRange")
  protected String destinationPortRange;

  @XmlElement(name="DestinationIp")
  protected String destinationIp;

  @XmlElement(name="DestinationVm")
  protected VmSelectionType destinationVm;

  @XmlElement(name="SourcePort")
  protected Integer sourcePort;

  @XmlElement(name="SourcePortRange")
  protected String sourcePortRange;

  @XmlElement(name="SourceIp")
  protected String sourceIp;

  @XmlElement(name="SourceVm")
  protected VmSelectionType sourceVm;

  @XmlElement(name="Direction")
  protected String direction;

  @XmlElement(name="EnableLogging")
  protected Boolean enableLogging;

  public String getId()
  {
    return this.id;
  }

  public void setId(String value)
  {
    this.id = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isMatchOnTranslate()
  {
    return this.matchOnTranslate;
  }

  public void setMatchOnTranslate(Boolean value)
  {
    this.matchOnTranslate = value;
  }

  public String getDescription()
  {
    return this.description;
  }

  public void setDescription(String value)
  {
    this.description = value;
  }

  public String getPolicy()
  {
    return this.policy;
  }

  public void setPolicy(String value)
  {
    this.policy = value;
  }

  public FirewallRuleProtocols getProtocols()
  {
    return this.protocols;
  }

  public void setProtocols(FirewallRuleProtocols value)
  {
    this.protocols = value;
  }

  public String getIcmpSubType()
  {
    return this.icmpSubType;
  }

  public void setIcmpSubType(String value)
  {
    this.icmpSubType = value;
  }

  public Integer getPort()
  {
    return this.port;
  }

  public void setPort(Integer value)
  {
    this.port = value;
  }

  public String getDestinationPortRange()
  {
    return this.destinationPortRange;
  }

  public void setDestinationPortRange(String value)
  {
    this.destinationPortRange = value;
  }

  public String getDestinationIp()
  {
    return this.destinationIp;
  }

  public void setDestinationIp(String value)
  {
    this.destinationIp = value;
  }

  public VmSelectionType getDestinationVm()
  {
    return this.destinationVm;
  }

  public void setDestinationVm(VmSelectionType value)
  {
    this.destinationVm = value;
  }

  public Integer getSourcePort()
  {
    return this.sourcePort;
  }

  public void setSourcePort(Integer value)
  {
    this.sourcePort = value;
  }

  public String getSourcePortRange()
  {
    return this.sourcePortRange;
  }

  public void setSourcePortRange(String value)
  {
    this.sourcePortRange = value;
  }

  public String getSourceIp()
  {
    return this.sourceIp;
  }

  public void setSourceIp(String value)
  {
    this.sourceIp = value;
  }

  public VmSelectionType getSourceVm()
  {
    return this.sourceVm;
  }

  public void setSourceVm(VmSelectionType value)
  {
    this.sourceVm = value;
  }

  public String getDirection()
  {
    return this.direction;
  }

  public void setDirection(String value)
  {
    this.direction = value;
  }

  public Boolean isEnableLogging()
  {
    return this.enableLogging;
  }

  public void setEnableLogging(Boolean value)
  {
    this.enableLogging = value;
  }
}