package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GatewayConfigurationType", propOrder={"backwardCompatibilityMode", "gatewayBackingConfig", "gatewayInterfaces", "edgeGatewayServiceConfiguration", "haEnabled", "useDefaultRouteForDnsRelay"})
public class GatewayConfigurationType extends VCloudExtensibleType
{

  @XmlElement(name="BackwardCompatibilityMode")
  protected Boolean backwardCompatibilityMode;

  @XmlElement(name="GatewayBackingConfig")
  protected String gatewayBackingConfig;

  @XmlElement(name="GatewayInterfaces")
  protected GatewayInterfacesType gatewayInterfaces;

  @XmlElement(name="EdgeGatewayServiceConfiguration")
  protected GatewayFeaturesType edgeGatewayServiceConfiguration;

  @XmlElement(name="HaEnabled")
  protected Boolean haEnabled;

  @XmlElement(name="UseDefaultRouteForDnsRelay")
  protected Boolean useDefaultRouteForDnsRelay;

  public Boolean isBackwardCompatibilityMode()
  {
    return this.backwardCompatibilityMode;
  }

  public void setBackwardCompatibilityMode(Boolean value)
  {
    this.backwardCompatibilityMode = value;
  }

  public String getGatewayBackingConfig()
  {
    return this.gatewayBackingConfig;
  }

  public void setGatewayBackingConfig(String value)
  {
    this.gatewayBackingConfig = value;
  }

  public GatewayInterfacesType getGatewayInterfaces()
  {
    return this.gatewayInterfaces;
  }

  public void setGatewayInterfaces(GatewayInterfacesType value)
  {
    this.gatewayInterfaces = value;
  }

  public GatewayFeaturesType getEdgeGatewayServiceConfiguration()
  {
    return this.edgeGatewayServiceConfiguration;
  }

  public void setEdgeGatewayServiceConfiguration(GatewayFeaturesType value)
  {
    this.edgeGatewayServiceConfiguration = value;
  }

  public Boolean isHaEnabled()
  {
    return this.haEnabled;
  }

  public void setHaEnabled(Boolean value)
  {
    this.haEnabled = value;
  }

  public Boolean isUseDefaultRouteForDnsRelay()
  {
    return this.useDefaultRouteForDnsRelay;
  }

  public void setUseDefaultRouteForDnsRelay(Boolean value)
  {
    this.useDefaultRouteForDnsRelay = value;
  }
}