package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GatewayIpsecVpnTunnelType", propOrder={"name", "description", "ipsecVpnPeer", "peerIpAddress", "peerId", "localIpAddress", "localId", "localSubnet", "peerSubnet", "sharedSecret", "sharedSecretEncrypted", "encryptionProtocol", "mtu", "isEnabled", "isOperational", "errorDetails"})
public class GatewayIpsecVpnTunnelType extends VCloudExtensibleType
{

  @XmlElement(name="Name")
  protected String name;

  @XmlElement(name="Description")
  protected String description;

  @XmlElementRef(name="IpsecVpnPeer", namespace="http://www.vmware.com/vcloud/v1.5", type=JAXBElement.class)
  protected JAXBElement<? extends IpsecVpnPeerType> ipsecVpnPeer;

  @XmlElement(name="PeerIpAddress")
  protected String peerIpAddress;

  @XmlElement(name="PeerId")
  protected String peerId;

  @XmlElement(name="LocalIpAddress")
  protected String localIpAddress;

  @XmlElement(name="LocalId")
  protected String localId;

  @XmlElement(name="LocalSubnet")
  protected List<IpsecVpnSubnetType> localSubnet;

  @XmlElement(name="PeerSubnet")
  protected List<IpsecVpnSubnetType> peerSubnet;

  @XmlElement(name="SharedSecret")
  protected String sharedSecret;

  @XmlElement(name="SharedSecretEncrypted")
  protected Boolean sharedSecretEncrypted;

  @XmlElement(name="EncryptionProtocol")
  protected String encryptionProtocol;

  @XmlElement(name="Mtu")
  protected Integer mtu;

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="IsOperational")
  protected Boolean isOperational;

  @XmlElement(name="ErrorDetails")
  protected String errorDetails;

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getDescription()
  {
    return this.description;
  }

  public void setDescription(String value)
  {
    this.description = value;
  }

  public JAXBElement<? extends IpsecVpnPeerType> getIpsecVpnPeer()
  {
    return this.ipsecVpnPeer;
  }

  public void setIpsecVpnPeer(JAXBElement<? extends IpsecVpnPeerType> value)
  {
    this.ipsecVpnPeer = value;
  }

  public String getPeerIpAddress()
  {
    return this.peerIpAddress;
  }

  public void setPeerIpAddress(String value)
  {
    this.peerIpAddress = value;
  }

  public String getPeerId()
  {
    return this.peerId;
  }

  public void setPeerId(String value)
  {
    this.peerId = value;
  }

  public String getLocalIpAddress()
  {
    return this.localIpAddress;
  }

  public void setLocalIpAddress(String value)
  {
    this.localIpAddress = value;
  }

  public String getLocalId()
  {
    return this.localId;
  }

  public void setLocalId(String value)
  {
    this.localId = value;
  }

  public List<IpsecVpnSubnetType> getLocalSubnet()
  {
    if (this.localSubnet == null) {
      this.localSubnet = new ArrayList();
    }
    return this.localSubnet;
  }

  public List<IpsecVpnSubnetType> getPeerSubnet()
  {
    if (this.peerSubnet == null) {
      this.peerSubnet = new ArrayList();
    }
    return this.peerSubnet;
  }

  public String getSharedSecret()
  {
    return this.sharedSecret;
  }

  public void setSharedSecret(String value)
  {
    this.sharedSecret = value;
  }

  public Boolean isSharedSecretEncrypted()
  {
    return this.sharedSecretEncrypted;
  }

  public void setSharedSecretEncrypted(Boolean value)
  {
    this.sharedSecretEncrypted = value;
  }

  public String getEncryptionProtocol()
  {
    return this.encryptionProtocol;
  }

  public void setEncryptionProtocol(String value)
  {
    this.encryptionProtocol = value;
  }

  public Integer getMtu()
  {
    return this.mtu;
  }

  public void setMtu(Integer value)
  {
    this.mtu = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsOperational()
  {
    return this.isOperational;
  }

  public void setIsOperational(Boolean value)
  {
    this.isOperational = value;
  }

  public String getErrorDetails()
  {
    return this.errorDetails;
  }

  public void setErrorDetails(String value)
  {
    this.errorDetails = value;
  }
}