package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultRecordType", propOrder={"link", "metadata"})
public abstract class QueryResultRecordType
{

  @XmlElement(name="Link")
  protected List<LinkType> link;

  @XmlElement(name="Metadata")
  protected MetadataType metadata;

  @XmlAttribute
  protected String href;

  @XmlAttribute
  protected String id;

  @XmlAttribute
  protected String type;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public List<LinkType> getLink()
  {
    if (this.link == null) {
      this.link = new ArrayList();
    }
    return this.link;
  }

  public MetadataType getMetadata()
  {
    return this.metadata;
  }

  public void setMetadata(MetadataType value)
  {
    this.metadata = value;
  }

  public String getHref()
  {
    return this.href;
  }

  public void setHref(String value)
  {
    this.href = value;
  }

  public String getId()
  {
    return this.id;
  }

  public void setId(String value)
  {
    this.id = value;
  }

  public String getType()
  {
    return this.type;
  }

  public void setType(String value)
  {
    this.type = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}