package com.vmware.vcloud.api.rest.schema;

import com.vmware.vcloud.api.rest.schema.ovf.SectionType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VAppTemplateType", propOrder={"owner", "children", "section", "vAppScopedLocalId", "defaultStorageProfile", "dateCreated"})
public class VAppTemplateType extends ResourceEntityType
{

  @XmlElement(name="Owner")
  protected OwnerType owner;

  @XmlElement(name="Children")
  protected VAppTemplateChildrenType children;

  @XmlElementRef(name="Section", namespace="http://schemas.dmtf.org/ovf/envelope/1", type=JAXBElement.class)
  protected List<JAXBElement<? extends SectionType>> section;

  @XmlElement(name="VAppScopedLocalId")
  protected String vAppScopedLocalId;

  @XmlElement(name="DefaultStorageProfile")
  protected String defaultStorageProfile;

  @XmlElement(name="DateCreated")
  protected XMLGregorianCalendar dateCreated;

  @XmlAttribute
  protected Boolean goldMaster;

  @XmlAttribute
  protected Boolean ovfDescriptorUploaded;

  public OwnerType getOwner()
  {
    return this.owner;
  }

  public void setOwner(OwnerType value)
  {
    this.owner = value;
  }

  public VAppTemplateChildrenType getChildren()
  {
    return this.children;
  }

  public void setChildren(VAppTemplateChildrenType value)
  {
    this.children = value;
  }

  public List<JAXBElement<? extends SectionType>> getSection()
  {
    if (this.section == null) {
      this.section = new ArrayList();
    }
    return this.section;
  }

  public String getVAppScopedLocalId()
  {
    return this.vAppScopedLocalId;
  }

  public void setVAppScopedLocalId(String value)
  {
    this.vAppScopedLocalId = value;
  }

  public String getDefaultStorageProfile()
  {
    return this.defaultStorageProfile;
  }

  public void setDefaultStorageProfile(String value)
  {
    this.defaultStorageProfile = value;
  }

  public XMLGregorianCalendar getDateCreated()
  {
    return this.dateCreated;
  }

  public void setDateCreated(XMLGregorianCalendar value)
  {
    this.dateCreated = value;
  }

  public boolean isGoldMaster()
  {
    if (this.goldMaster == null) {
      return false;
    }
    return this.goldMaster.booleanValue();
  }

  public void setGoldMaster(Boolean value)
  {
    this.goldMaster = value;
  }

  public Boolean isOvfDescriptorUploaded()
  {
    return this.ovfDescriptorUploaded;
  }

  public void setOvfDescriptorUploaded(Boolean value)
  {
    this.ovfDescriptorUploaded = value;
  }
}