package com.vmware.vcloud.api.rest.schema;

import com.vmware.vcloud.api.rest.schema.ovf.environment.EnvironmentType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VmType", propOrder={"vAppScopedLocalId", "environment", "vmCapabilities", "storageProfile"})
public class VmType extends AbstractVAppType
{

  @XmlElement(name="VAppScopedLocalId")
  protected String vAppScopedLocalId;

  @XmlElement(name="Environment", namespace="http://schemas.dmtf.org/ovf/environment/1")
  protected EnvironmentType environment;

  @XmlElement(name="VmCapabilities")
  protected VmCapabilitiesType vmCapabilities;

  @XmlElement(name="StorageProfile")
  protected ReferenceType storageProfile;

  @XmlAttribute
  protected Boolean needsCustomization;

  @XmlAttribute
  protected Boolean nestedHypervisorEnabled;

  public String getVAppScopedLocalId()
  {
    return this.vAppScopedLocalId;
  }

  public void setVAppScopedLocalId(String value)
  {
    this.vAppScopedLocalId = value;
  }

  public EnvironmentType getEnvironment()
  {
    return this.environment;
  }

  public void setEnvironment(EnvironmentType value)
  {
    this.environment = value;
  }

  public VmCapabilitiesType getVmCapabilities()
  {
    return this.vmCapabilities;
  }

  public void setVmCapabilities(VmCapabilitiesType value)
  {
    this.vmCapabilities = value;
  }

  public ReferenceType getStorageProfile()
  {
    return this.storageProfile;
  }

  public void setStorageProfile(ReferenceType value)
  {
    this.storageProfile = value;
  }

  public Boolean isNeedsCustomization()
  {
    return this.needsCustomization;
  }

  public void setNeedsCustomization(Boolean value)
  {
    this.needsCustomization = value;
  }

  public Boolean isNestedHypervisorEnabled()
  {
    return this.nestedHypervisorEnabled;
  }

  public void setNestedHypervisorEnabled(Boolean value)
  {
    this.nestedHypervisorEnabled = value;
  }
}