package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.EntityType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AdminServiceType", propOrder={"namespace", "enabled", "authorizationEnabled", "routingKey", "priority", "exchange", "vendor", "apiFilters", "serviceLinks", "apiDefinitions", "resourceClasses"})
public class AdminServiceType extends EntityType
{

  @XmlElement(name="Namespace")
  protected String namespace;

  @XmlElement(name="Enabled")
  protected Boolean enabled;

  @XmlElement(name="AuthorizationEnabled")
  protected Boolean authorizationEnabled;

  @XmlElement(name="RoutingKey")
  protected String routingKey;

  @XmlElement(name="Priority")
  protected Integer priority;

  @XmlElement(name="Exchange")
  protected String exchange;

  @XmlElement(name="Vendor")
  protected String vendor;

  @XmlElement(name="ApiFilters")
  protected ApiFiltersType apiFilters;

  @XmlElement(name="ServiceLinks")
  protected AdminServiceLinksType serviceLinks;

  @XmlElement(name="ApiDefinitions")
  protected AdminApiDefinitionsType apiDefinitions;

  @XmlElement(name="ResourceClasses")
  protected ResourceClassesType resourceClasses;

  public String getNamespace()
  {
    return this.namespace;
  }

  public void setNamespace(String value)
  {
    this.namespace = value;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public void setEnabled(Boolean value)
  {
    this.enabled = value;
  }

  public Boolean isAuthorizationEnabled()
  {
    return this.authorizationEnabled;
  }

  public void setAuthorizationEnabled(Boolean value)
  {
    this.authorizationEnabled = value;
  }

  public String getRoutingKey()
  {
    return this.routingKey;
  }

  public void setRoutingKey(String value)
  {
    this.routingKey = value;
  }

  public Integer getPriority()
  {
    return this.priority;
  }

  public void setPriority(Integer value)
  {
    this.priority = value;
  }

  public String getExchange()
  {
    return this.exchange;
  }

  public void setExchange(String value)
  {
    this.exchange = value;
  }

  public String getVendor()
  {
    return this.vendor;
  }

  public void setVendor(String value)
  {
    this.vendor = value;
  }

  public ApiFiltersType getApiFilters()
  {
    return this.apiFilters;
  }

  public void setApiFilters(ApiFiltersType value)
  {
    this.apiFilters = value;
  }

  public AdminServiceLinksType getServiceLinks()
  {
    return this.serviceLinks;
  }

  public void setServiceLinks(AdminServiceLinksType value)
  {
    this.serviceLinks = value;
  }

  public AdminApiDefinitionsType getApiDefinitions()
  {
    return this.apiDefinitions;
  }

  public void setApiDefinitions(AdminApiDefinitionsType value)
  {
    this.apiDefinitions = value;
  }

  public ResourceClassesType getResourceClasses()
  {
    return this.resourceClasses;
  }

  public void setResourceClasses(ResourceClassesType value)
  {
    this.resourceClasses = value;
  }
}