package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.EntityType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DatastoreType", propOrder={"vimObjectRef", "enabled", "busy", "vaaiForFpEnabled", "thresholdYellowGb", "thresholdRedGb", "systemMessages", "datastoreFsType", "vcDisplayName", "mountHost", "mountDirectory", "totalCapacityMb", "totalCapacityGb", "usedCapacityMb", "usedCapacityGb", "usedCapacityPercent", "provisionedSpaceMb", "provisionedSpaceGb", "requestedStorageMb", "requestedStorageGb", "vimPropertyPageUrl", "members"})
public class DatastoreType extends EntityType
{

  @XmlElement(name="VimObjectRef")
  protected VimObjectRefType vimObjectRef;

  @XmlElement(name="Enabled")
  protected Boolean enabled;

  @XmlElement(name="Busy")
  protected Boolean busy;

  @XmlElement(name="VAAIForFpEnabled")
  protected Boolean vaaiForFpEnabled;

  @XmlElement(name="ThresholdYellowGb")
  protected int thresholdYellowGb;

  @XmlElement(name="ThresholdRedGb")
  protected int thresholdRedGb;

  @XmlElement(name="SystemMessages")
  protected String systemMessages;

  @XmlElement(name="DatastoreFsType")
  protected String datastoreFsType;

  @XmlElement(name="VcDisplayName")
  protected String vcDisplayName;

  @XmlElement(name="MountHost")
  protected String mountHost;

  @XmlElement(name="MountDirectory")
  protected String mountDirectory;

  @XmlElement(name="TotalCapacityMb")
  protected Double totalCapacityMb;

  @XmlElement(name="TotalCapacityGb")
  protected Double totalCapacityGb;

  @XmlElement(name="UsedCapacityMb")
  protected Double usedCapacityMb;

  @XmlElement(name="UsedCapacityGb")
  protected Double usedCapacityGb;

  @XmlElement(name="UsedCapacityPercent")
  protected Double usedCapacityPercent;

  @XmlElement(name="ProvisionedSpaceMb")
  protected Double provisionedSpaceMb;

  @XmlElement(name="ProvisionedSpaceGb")
  protected Double provisionedSpaceGb;

  @XmlElement(name="RequestedStorageMb")
  protected Double requestedStorageMb;

  @XmlElement(name="RequestedStorageGb")
  protected Double requestedStorageGb;
  protected String vimPropertyPageUrl;

  @XmlElement(name="Members")
  protected VimObjectRefsType members;

  public VimObjectRefType getVimObjectRef()
  {
    return this.vimObjectRef;
  }

  public void setVimObjectRef(VimObjectRefType value)
  {
    this.vimObjectRef = value;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public void setEnabled(Boolean value)
  {
    this.enabled = value;
  }

  public Boolean isBusy()
  {
    return this.busy;
  }

  public void setBusy(Boolean value)
  {
    this.busy = value;
  }

  public Boolean isVAAIForFpEnabled()
  {
    return this.vaaiForFpEnabled;
  }

  public void setVAAIForFpEnabled(Boolean value)
  {
    this.vaaiForFpEnabled = value;
  }

  public int getThresholdYellowGb()
  {
    return this.thresholdYellowGb;
  }

  public void setThresholdYellowGb(int value)
  {
    this.thresholdYellowGb = value;
  }

  public int getThresholdRedGb()
  {
    return this.thresholdRedGb;
  }

  public void setThresholdRedGb(int value)
  {
    this.thresholdRedGb = value;
  }

  public String getSystemMessages()
  {
    return this.systemMessages;
  }

  public void setSystemMessages(String value)
  {
    this.systemMessages = value;
  }

  public String getDatastoreFsType()
  {
    return this.datastoreFsType;
  }

  public void setDatastoreFsType(String value)
  {
    this.datastoreFsType = value;
  }

  public String getVcDisplayName()
  {
    return this.vcDisplayName;
  }

  public void setVcDisplayName(String value)
  {
    this.vcDisplayName = value;
  }

  public String getMountHost()
  {
    return this.mountHost;
  }

  public void setMountHost(String value)
  {
    this.mountHost = value;
  }

  public String getMountDirectory()
  {
    return this.mountDirectory;
  }

  public void setMountDirectory(String value)
  {
    this.mountDirectory = value;
  }

  public Double getTotalCapacityMb()
  {
    return this.totalCapacityMb;
  }

  public void setTotalCapacityMb(Double value)
  {
    this.totalCapacityMb = value;
  }

  public Double getTotalCapacityGb()
  {
    return this.totalCapacityGb;
  }

  public void setTotalCapacityGb(Double value)
  {
    this.totalCapacityGb = value;
  }

  public Double getUsedCapacityMb()
  {
    return this.usedCapacityMb;
  }

  public void setUsedCapacityMb(Double value)
  {
    this.usedCapacityMb = value;
  }

  public Double getUsedCapacityGb()
  {
    return this.usedCapacityGb;
  }

  public void setUsedCapacityGb(Double value)
  {
    this.usedCapacityGb = value;
  }

  public Double getUsedCapacityPercent()
  {
    return this.usedCapacityPercent;
  }

  public void setUsedCapacityPercent(Double value)
  {
    this.usedCapacityPercent = value;
  }

  public Double getProvisionedSpaceMb()
  {
    return this.provisionedSpaceMb;
  }

  public void setProvisionedSpaceMb(Double value)
  {
    this.provisionedSpaceMb = value;
  }

  public Double getProvisionedSpaceGb()
  {
    return this.provisionedSpaceGb;
  }

  public void setProvisionedSpaceGb(Double value)
  {
    this.provisionedSpaceGb = value;
  }

  public Double getRequestedStorageMb()
  {
    return this.requestedStorageMb;
  }

  public void setRequestedStorageMb(Double value)
  {
    this.requestedStorageMb = value;
  }

  public Double getRequestedStorageGb()
  {
    return this.requestedStorageGb;
  }

  public void setRequestedStorageGb(Double value)
  {
    this.requestedStorageGb = value;
  }

  public String getVimPropertyPageUrl()
  {
    return this.vimPropertyPageUrl;
  }

  public void setVimPropertyPageUrl(String value)
  {
    this.vimPropertyPageUrl = value;
  }

  public VimObjectRefsType getMembers()
  {
    return this.members;
  }

  public void setMembers(VimObjectRefsType value)
  {
    this.members = value;
  }
}