package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ParamsType;
import com.vmware.vcloud.api.rest.schema.ReferenceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ImportVmAsVAppTemplateParamsType", propOrder={"vmName", "vAppScopedLocalId", "computerName", "vmMoRef", "vdc", "vdcStorageProfile", "catalog"})
public class ImportVmAsVAppTemplateParamsType extends ParamsType
{

  @XmlElement(name="VmName")
  protected String vmName;

  @XmlElement(name="VAppScopedLocalId")
  protected String vAppScopedLocalId;

  @XmlElement(name="ComputerName")
  protected String computerName;

  @XmlElement(name="VmMoRef", required=true)
  protected String vmMoRef;

  @XmlElement(name="Vdc", required=true)
  protected ReferenceType vdc;

  @XmlElement(name="VdcStorageProfile")
  protected ReferenceType vdcStorageProfile;

  @XmlElement(name="Catalog")
  protected ReferenceType catalog;

  @XmlAttribute
  protected Boolean goldMaster;

  @XmlAttribute
  protected Boolean sourceMove;

  public String getVmName()
  {
    return this.vmName;
  }

  public void setVmName(String value)
  {
    this.vmName = value;
  }

  public String getVAppScopedLocalId()
  {
    return this.vAppScopedLocalId;
  }

  public void setVAppScopedLocalId(String value)
  {
    this.vAppScopedLocalId = value;
  }

  public String getComputerName()
  {
    return this.computerName;
  }

  public void setComputerName(String value)
  {
    this.computerName = value;
  }

  public String getVmMoRef()
  {
    return this.vmMoRef;
  }

  public void setVmMoRef(String value)
  {
    this.vmMoRef = value;
  }

  public ReferenceType getVdc()
  {
    return this.vdc;
  }

  public void setVdc(ReferenceType value)
  {
    this.vdc = value;
  }

  public ReferenceType getVdcStorageProfile()
  {
    return this.vdcStorageProfile;
  }

  public void setVdcStorageProfile(ReferenceType value)
  {
    this.vdcStorageProfile = value;
  }

  public ReferenceType getCatalog()
  {
    return this.catalog;
  }

  public void setCatalog(ReferenceType value)
  {
    this.catalog = value;
  }

  public boolean isGoldMaster()
  {
    if (this.goldMaster == null) {
      return false;
    }
    return this.goldMaster.booleanValue();
  }

  public void setGoldMaster(Boolean value)
  {
    this.goldMaster = value;
  }

  public boolean isSourceMove()
  {
    if (this.sourceMove == null) {
      return false;
    }
    return this.sourceMove.booleanValue();
  }

  public void setSourceMove(Boolean value)
  {
    this.sourceMove = value;
  }
}