package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.api.rest.schema.VCloudExtensibleType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ImportVmIntoExistingVAppParamsType", propOrder={"vmName", "vmDescription", "vAppScopedLocalId", "computerName", "vmMoRef", "vdcStorageProfile", "vApp"})
public class ImportVmIntoExistingVAppParamsType extends VCloudExtensibleType
{

  @XmlElement(name="VmName", required=true)
  protected String vmName;

  @XmlElement(name="VmDescription")
  protected String vmDescription;

  @XmlElement(name="VAppScopedLocalId")
  protected String vAppScopedLocalId;

  @XmlElement(name="ComputerName")
  protected String computerName;

  @XmlElement(name="VmMoRef", required=true)
  protected String vmMoRef;

  @XmlElement(name="VdcStorageProfile")
  protected ReferenceType vdcStorageProfile;

  @XmlElement(name="VApp", required=true)
  protected ReferenceType vApp;

  @XmlAttribute
  protected Boolean sourceMove;

  public String getVmName()
  {
    return this.vmName;
  }

  public void setVmName(String value)
  {
    this.vmName = value;
  }

  public String getVmDescription()
  {
    return this.vmDescription;
  }

  public void setVmDescription(String value)
  {
    this.vmDescription = value;
  }

  public String getVAppScopedLocalId()
  {
    return this.vAppScopedLocalId;
  }

  public void setVAppScopedLocalId(String value)
  {
    this.vAppScopedLocalId = value;
  }

  public String getComputerName()
  {
    return this.computerName;
  }

  public void setComputerName(String value)
  {
    this.computerName = value;
  }

  public String getVmMoRef()
  {
    return this.vmMoRef;
  }

  public void setVmMoRef(String value)
  {
    this.vmMoRef = value;
  }

  public ReferenceType getVdcStorageProfile()
  {
    return this.vdcStorageProfile;
  }

  public void setVdcStorageProfile(ReferenceType value)
  {
    this.vdcStorageProfile = value;
  }

  public ReferenceType getVApp()
  {
    return this.vApp;
  }

  public void setVApp(ReferenceType value)
  {
    this.vApp = value;
  }

  public boolean isSourceMove()
  {
    if (this.sourceMove == null) {
      return false;
    }
    return this.sourceMove.booleanValue();
  }

  public void setSourceMove(Boolean value)
  {
    this.sourceMove = value;
  }
}