package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LdapSettingsType", propOrder={"hostName", "port", "isSsl", "isSslAcceptAll", "realm", "pagedSearchDisabled", "pageSize", "maxResults", "maxUserGroups", "searchBase", "userName", "password", "authenticationMechanism", "groupSearchBase", "isGroupSearchBaseEnabled", "connectorType", "userAttributes", "groupAttributes", "useExternalKerberos"})
public class LdapSettingsType extends ResourceType
{

  @XmlElement(name="HostName")
  protected String hostName;

  @XmlElement(name="Port")
  protected int port;

  @XmlElement(name="IsSsl")
  protected boolean isSsl;

  @XmlElement(name="IsSslAcceptAll")
  protected boolean isSslAcceptAll;

  @XmlElement(name="Realm")
  protected String realm;

  @XmlElement(name="PagedSearchDisabled")
  protected boolean pagedSearchDisabled;

  @XmlElement(name="PageSize")
  protected Integer pageSize;

  @XmlElement(name="MaxResults")
  protected Integer maxResults;

  @XmlElement(name="MaxUserGroups")
  protected Integer maxUserGroups;

  @XmlElement(name="SearchBase")
  protected String searchBase;

  @XmlElement(name="UserName")
  protected String userName;

  @XmlElement(name="Password")
  protected String password;

  @XmlElement(name="AuthenticationMechanism", required=true)
  protected String authenticationMechanism;

  @XmlElement(name="GroupSearchBase")
  protected String groupSearchBase;

  @XmlElement(name="IsGroupSearchBaseEnabled")
  protected boolean isGroupSearchBaseEnabled;

  @XmlElement(name="ConnectorType", required=true)
  protected String connectorType;

  @XmlElement(name="UserAttributes", required=true)
  protected LdapUserAttributesType userAttributes;

  @XmlElement(name="GroupAttributes", required=true)
  protected LdapGroupAttributesType groupAttributes;

  @XmlElement(name="UseExternalKerberos")
  protected boolean useExternalKerberos;

  public String getHostName()
  {
    return this.hostName;
  }

  public void setHostName(String value)
  {
    this.hostName = value;
  }

  public int getPort()
  {
    return this.port;
  }

  public void setPort(int value)
  {
    this.port = value;
  }

  public boolean isIsSsl()
  {
    return this.isSsl;
  }

  public void setIsSsl(boolean value)
  {
    this.isSsl = value;
  }

  public boolean isIsSslAcceptAll()
  {
    return this.isSslAcceptAll;
  }

  public void setIsSslAcceptAll(boolean value)
  {
    this.isSslAcceptAll = value;
  }

  public String getRealm()
  {
    return this.realm;
  }

  public void setRealm(String value)
  {
    this.realm = value;
  }

  public boolean isPagedSearchDisabled()
  {
    return this.pagedSearchDisabled;
  }

  public void setPagedSearchDisabled(boolean value)
  {
    this.pagedSearchDisabled = value;
  }

  public Integer getPageSize()
  {
    return this.pageSize;
  }

  public void setPageSize(Integer value)
  {
    this.pageSize = value;
  }

  public Integer getMaxResults()
  {
    return this.maxResults;
  }

  public void setMaxResults(Integer value)
  {
    this.maxResults = value;
  }

  public Integer getMaxUserGroups()
  {
    return this.maxUserGroups;
  }

  public void setMaxUserGroups(Integer value)
  {
    this.maxUserGroups = value;
  }

  public String getSearchBase()
  {
    return this.searchBase;
  }

  public void setSearchBase(String value)
  {
    this.searchBase = value;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public void setUserName(String value)
  {
    this.userName = value;
  }

  public String getPassword()
  {
    return this.password;
  }

  public void setPassword(String value)
  {
    this.password = value;
  }

  public String getAuthenticationMechanism()
  {
    return this.authenticationMechanism;
  }

  public void setAuthenticationMechanism(String value)
  {
    this.authenticationMechanism = value;
  }

  public String getGroupSearchBase()
  {
    return this.groupSearchBase;
  }

  public void setGroupSearchBase(String value)
  {
    this.groupSearchBase = value;
  }

  public boolean isIsGroupSearchBaseEnabled()
  {
    return this.isGroupSearchBaseEnabled;
  }

  public void setIsGroupSearchBaseEnabled(boolean value)
  {
    this.isGroupSearchBaseEnabled = value;
  }

  public String getConnectorType()
  {
    return this.connectorType;
  }

  public void setConnectorType(String value)
  {
    this.connectorType = value;
  }

  public LdapUserAttributesType getUserAttributes()
  {
    return this.userAttributes;
  }

  public void setUserAttributes(LdapUserAttributesType value)
  {
    this.userAttributes = value;
  }

  public LdapGroupAttributesType getGroupAttributes()
  {
    return this.groupAttributes;
  }

  public void setGroupAttributes(LdapGroupAttributesType value)
  {
    this.groupAttributes = value;
  }

  public boolean isUseExternalKerberos()
  {
    return this.useExternalKerberos;
  }

  public void setUseExternalKerberos(boolean value)
  {
    this.useExternalKerberos = value;
  }
}