package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.EntityType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ResourceClassType", propOrder={"mimeType", "urlTemplate", "nid", "urnPattern", "serviceResources", "resourceClassActions"})
public class ResourceClassType extends EntityType
{

  @XmlElement(name="MimeType")
  protected String mimeType;

  @XmlElement(name="UrlTemplate")
  protected String urlTemplate;

  @XmlElement(name="Nid")
  protected String nid;

  @XmlElement(name="UrnPattern")
  protected String urnPattern;

  @XmlElement(name="ServiceResources")
  protected ServiceResourcesType serviceResources;

  @XmlElement(name="ResourceClassActions")
  protected ResourceClassActionsType resourceClassActions;

  public String getMimeType()
  {
    return this.mimeType;
  }

  public void setMimeType(String value)
  {
    this.mimeType = value;
  }

  public String getUrlTemplate()
  {
    return this.urlTemplate;
  }

  public void setUrlTemplate(String value)
  {
    this.urlTemplate = value;
  }

  public String getNid()
  {
    return this.nid;
  }

  public void setNid(String value)
  {
    this.nid = value;
  }

  public String getUrnPattern()
  {
    return this.urnPattern;
  }

  public void setUrnPattern(String value)
  {
    this.urnPattern = value;
  }

  public ServiceResourcesType getServiceResources()
  {
    return this.serviceResources;
  }

  public void setServiceResources(ServiceResourcesType value)
  {
    this.serviceResources = value;
  }

  public ResourceClassActionsType getResourceClassActions()
  {
    return this.resourceClassActions;
  }

  public void setResourceClassActions(ResourceClassActionsType value)
  {
    this.resourceClassActions = value;
  }
}