package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="SystemSettingsType", propOrder={"generalSettings", "notificationsSettings", "ldapSettings", "amqpSettings", "emailSettings", "license", "brandingSettings", "blockingTaskSettings", "passwordPolicySettings", "kerberosSettings", "lookupServiceSettings"})
public class SystemSettingsType extends ResourceType
{

  @XmlElement(name="GeneralSettings")
  protected GeneralSettingsType generalSettings;

  @XmlElement(name="NotificationsSettings")
  protected NotificationsSettingsType notificationsSettings;

  @XmlElement(name="LdapSettings")
  protected LdapSettingsType ldapSettings;

  @XmlElement(name="AmqpSettings")
  protected AmqpSettingsType amqpSettings;

  @XmlElement(name="EmailSettings")
  protected EmailSettingsType emailSettings;

  @XmlElement(name="License")
  protected LicenseType license;

  @XmlElement(name="BrandingSettings")
  protected BrandingSettingsType brandingSettings;

  @XmlElement(name="BlockingTaskSettings")
  protected BlockingTaskSettingsType blockingTaskSettings;

  @XmlElement(name="PasswordPolicySettings")
  protected SystemPasswordPolicySettingsType passwordPolicySettings;

  @XmlElement(name="KerberosSettings")
  protected KerberosSettingsType kerberosSettings;

  @XmlElement(name="LookupServiceSettings")
  protected LookupServiceSettingsType lookupServiceSettings;

  public GeneralSettingsType getGeneralSettings()
  {
    return this.generalSettings;
  }

  public void setGeneralSettings(GeneralSettingsType value)
  {
    this.generalSettings = value;
  }

  public NotificationsSettingsType getNotificationsSettings()
  {
    return this.notificationsSettings;
  }

  public void setNotificationsSettings(NotificationsSettingsType value)
  {
    this.notificationsSettings = value;
  }

  public LdapSettingsType getLdapSettings()
  {
    return this.ldapSettings;
  }

  public void setLdapSettings(LdapSettingsType value)
  {
    this.ldapSettings = value;
  }

  public AmqpSettingsType getAmqpSettings()
  {
    return this.amqpSettings;
  }

  public void setAmqpSettings(AmqpSettingsType value)
  {
    this.amqpSettings = value;
  }

  public EmailSettingsType getEmailSettings()
  {
    return this.emailSettings;
  }

  public void setEmailSettings(EmailSettingsType value)
  {
    this.emailSettings = value;
  }

  public LicenseType getLicense()
  {
    return this.license;
  }

  public void setLicense(LicenseType value)
  {
    this.license = value;
  }

  public BrandingSettingsType getBrandingSettings()
  {
    return this.brandingSettings;
  }

  public void setBrandingSettings(BrandingSettingsType value)
  {
    this.brandingSettings = value;
  }

  public BlockingTaskSettingsType getBlockingTaskSettings()
  {
    return this.blockingTaskSettings;
  }

  public void setBlockingTaskSettings(BlockingTaskSettingsType value)
  {
    this.blockingTaskSettings = value;
  }

  public SystemPasswordPolicySettingsType getPasswordPolicySettings()
  {
    return this.passwordPolicySettings;
  }

  public void setPasswordPolicySettings(SystemPasswordPolicySettingsType value)
  {
    this.passwordPolicySettings = value;
  }

  public KerberosSettingsType getKerberosSettings()
  {
    return this.kerberosSettings;
  }

  public void setKerberosSettings(KerberosSettingsType value)
  {
    this.kerberosSettings = value;
  }

  public LookupServiceSettingsType getLookupServiceSettings()
  {
    return this.lookupServiceSettings;
  }

  public void setLookupServiceSettings(LookupServiceSettingsType value)
  {
    this.lookupServiceSettings = value;
  }
}