package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CIM_VirtualSystemSettingData_Type", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", propOrder={"automaticRecoveryAction", "automaticShutdownAction", "automaticStartupAction", "automaticStartupActionDelay", "automaticStartupActionSequenceNumber", "caption", "changeableType", "configurationDataRoot", "configurationFile", "configurationID", "configurationName", "creationTime", "description", "elementName", "generation", "instanceID", "logDataRoot", "notes", "recoveryFile", "snapshotDataRoot", "suspendDataRoot", "swapFileDataRoot", "virtualSystemIdentifier", "virtualSystemType", "any"})
public class CIMVirtualSystemSettingDataType
{

  @XmlElement(name="AutomaticRecoveryAction", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected AutomaticRecoveryAction automaticRecoveryAction;

  @XmlElement(name="AutomaticShutdownAction", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected AutomaticShutdownAction automaticShutdownAction;

  @XmlElement(name="AutomaticStartupAction", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected AutomaticStartupAction automaticStartupAction;

  @XmlElement(name="AutomaticStartupActionDelay", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimDateTime automaticStartupActionDelay;

  @XmlElement(name="AutomaticStartupActionSequenceNumber", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimUnsignedShort automaticStartupActionSequenceNumber;

  @XmlElement(name="Caption", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected VirtualSystemCaptionType caption;

  @XmlElement(name="ChangeableType", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected VirtualSystemChangeableTypeType changeableType;

  @XmlElement(name="ConfigurationDataRoot", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString configurationDataRoot;

  @XmlElement(name="ConfigurationFile", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString configurationFile;

  @XmlElement(name="ConfigurationID", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString configurationID;

  @XmlElement(name="ConfigurationName", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString configurationName;

  @XmlElement(name="CreationTime", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimDateTime creationTime;

  @XmlElement(name="Description", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString description;

  @XmlElement(name="ElementName", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", required=true)
  protected CimString elementName;

  @XmlElement(name="Generation", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimUnsignedLong generation;

  @XmlElement(name="InstanceID", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", required=true)
  protected CimString instanceID;

  @XmlElement(name="LogDataRoot", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString logDataRoot;

  @XmlElement(name="Notes", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected List<CimString> notes;

  @XmlElement(name="RecoveryFile", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString recoveryFile;

  @XmlElement(name="SnapshotDataRoot", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString snapshotDataRoot;

  @XmlElement(name="SuspendDataRoot", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString suspendDataRoot;

  @XmlElement(name="SwapFileDataRoot", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString swapFileDataRoot;

  @XmlElement(name="VirtualSystemIdentifier", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString virtualSystemIdentifier;

  @XmlElement(name="VirtualSystemType", namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", nillable=true)
  protected CimString virtualSystemType;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public AutomaticRecoveryAction getAutomaticRecoveryAction()
  {
    return this.automaticRecoveryAction;
  }

  public void setAutomaticRecoveryAction(AutomaticRecoveryAction value)
  {
    this.automaticRecoveryAction = value;
  }

  public AutomaticShutdownAction getAutomaticShutdownAction()
  {
    return this.automaticShutdownAction;
  }

  public void setAutomaticShutdownAction(AutomaticShutdownAction value)
  {
    this.automaticShutdownAction = value;
  }

  public AutomaticStartupAction getAutomaticStartupAction()
  {
    return this.automaticStartupAction;
  }

  public void setAutomaticStartupAction(AutomaticStartupAction value)
  {
    this.automaticStartupAction = value;
  }

  public CimDateTime getAutomaticStartupActionDelay()
  {
    return this.automaticStartupActionDelay;
  }

  public void setAutomaticStartupActionDelay(CimDateTime value)
  {
    this.automaticStartupActionDelay = value;
  }

  public CimUnsignedShort getAutomaticStartupActionSequenceNumber()
  {
    return this.automaticStartupActionSequenceNumber;
  }

  public void setAutomaticStartupActionSequenceNumber(CimUnsignedShort value)
  {
    this.automaticStartupActionSequenceNumber = value;
  }

  public VirtualSystemCaptionType getCaption()
  {
    return this.caption;
  }

  public void setCaption(VirtualSystemCaptionType value)
  {
    this.caption = value;
  }

  public VirtualSystemChangeableTypeType getChangeableType()
  {
    return this.changeableType;
  }

  public void setChangeableType(VirtualSystemChangeableTypeType value)
  {
    this.changeableType = value;
  }

  public CimString getConfigurationDataRoot()
  {
    return this.configurationDataRoot;
  }

  public void setConfigurationDataRoot(CimString value)
  {
    this.configurationDataRoot = value;
  }

  public CimString getConfigurationFile()
  {
    return this.configurationFile;
  }

  public void setConfigurationFile(CimString value)
  {
    this.configurationFile = value;
  }

  public CimString getConfigurationID()
  {
    return this.configurationID;
  }

  public void setConfigurationID(CimString value)
  {
    this.configurationID = value;
  }

  public CimString getConfigurationName()
  {
    return this.configurationName;
  }

  public void setConfigurationName(CimString value)
  {
    this.configurationName = value;
  }

  public CimDateTime getCreationTime()
  {
    return this.creationTime;
  }

  public void setCreationTime(CimDateTime value)
  {
    this.creationTime = value;
  }

  public CimString getDescription()
  {
    return this.description;
  }

  public void setDescription(CimString value)
  {
    this.description = value;
  }

  public CimString getElementName()
  {
    return this.elementName;
  }

  public void setElementName(CimString value)
  {
    this.elementName = value;
  }

  public CimUnsignedLong getGeneration()
  {
    return this.generation;
  }

  public void setGeneration(CimUnsignedLong value)
  {
    this.generation = value;
  }

  public CimString getInstanceID()
  {
    return this.instanceID;
  }

  public void setInstanceID(CimString value)
  {
    this.instanceID = value;
  }

  public CimString getLogDataRoot()
  {
    return this.logDataRoot;
  }

  public void setLogDataRoot(CimString value)
  {
    this.logDataRoot = value;
  }

  public List<CimString> getNotes()
  {
    if (this.notes == null) {
      this.notes = new ArrayList();
    }
    return this.notes;
  }

  public CimString getRecoveryFile()
  {
    return this.recoveryFile;
  }

  public void setRecoveryFile(CimString value)
  {
    this.recoveryFile = value;
  }

  public CimString getSnapshotDataRoot()
  {
    return this.snapshotDataRoot;
  }

  public void setSnapshotDataRoot(CimString value)
  {
    this.snapshotDataRoot = value;
  }

  public CimString getSuspendDataRoot()
  {
    return this.suspendDataRoot;
  }

  public void setSuspendDataRoot(CimString value)
  {
    this.suspendDataRoot = value;
  }

  public CimString getSwapFileDataRoot()
  {
    return this.swapFileDataRoot;
  }

  public void setSwapFileDataRoot(CimString value)
  {
    this.swapFileDataRoot = value;
  }

  public CimString getVirtualSystemIdentifier()
  {
    return this.virtualSystemIdentifier;
  }

  public void setVirtualSystemIdentifier(CimString value)
  {
    this.virtualSystemIdentifier = value;
  }

  public CimString getVirtualSystemType()
  {
    return this.virtualSystemType;
  }

  public void setVirtualSystemType(CimString value)
  {
    this.virtualSystemType = value;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}