package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="Content_Type", propOrder={"info", "name", "section"})
public abstract class ContentType
{

  @XmlElement(name="Info", required=true)
  protected MsgType info;

  @XmlElement(name="Name")
  protected MsgType name;

  @XmlElementRef(name="Section", namespace="http://schemas.dmtf.org/ovf/envelope/1", type=JAXBElement.class)
  protected List<JAXBElement<? extends SectionType>> section;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String id;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public MsgType getInfo()
  {
    return this.info;
  }

  public void setInfo(MsgType value)
  {
    this.info = value;
  }

  public MsgType getName()
  {
    return this.name;
  }

  public void setName(MsgType value)
  {
    this.name = value;
  }

  public List<JAXBElement<? extends SectionType>> getSection()
  {
    if (this.section == null) {
      this.section = new ArrayList();
    }
    return this.section;
  }

  public String getId()
  {
    return this.id;
  }

  public void setId(String value)
  {
    this.id = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}