package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="EnvelopeType", propOrder={"references", "section", "content", "strings"})
public class EnvelopeType
{

  @XmlElement(name="References", required=true)
  protected ReferencesType references;

  @XmlElementRef(name="Section", namespace="http://schemas.dmtf.org/ovf/envelope/1", type=JAXBElement.class)
  protected List<JAXBElement<? extends SectionType>> section;

  @XmlElementRef(name="Content", namespace="http://schemas.dmtf.org/ovf/envelope/1", type=JAXBElement.class)
  protected JAXBElement<? extends ContentType> content;

  @XmlElement(name="Strings")
  protected List<StringsType> strings;

  @XmlAttribute(namespace="http://www.w3.org/XML/1998/namespace")
  protected String lang;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public ReferencesType getReferences()
  {
    return this.references;
  }

  public void setReferences(ReferencesType value)
  {
    this.references = value;
  }

  public List<JAXBElement<? extends SectionType>> getSection()
  {
    if (this.section == null) {
      this.section = new ArrayList();
    }
    return this.section;
  }

  public JAXBElement<? extends ContentType> getContent()
  {
    return this.content;
  }

  public void setContent(JAXBElement<? extends ContentType> value)
  {
    this.content = value;
  }

  public List<StringsType> getStrings()
  {
    if (this.strings == null) {
      this.strings = new ArrayList();
    }
    return this.strings;
  }

  public String getLang()
  {
    if (this.lang == null) {
      return "en-US";
    }
    return this.lang;
  }

  public void setLang(String value)
  {
    this.lang = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}