package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ProductSection_Type", propOrder={"product", "vendor", "version", "fullVersion", "productUrl", "vendorUrl", "appUrl", "icon", "categoryOrProperty", "any"})
public class ProductSectionType extends SectionType
{

  @XmlElement(name="Product")
  protected MsgType product;

  @XmlElement(name="Vendor")
  protected MsgType vendor;

  @XmlElement(name="Version")
  protected CimString version;

  @XmlElement(name="FullVersion")
  protected CimString fullVersion;

  @XmlElement(name="ProductUrl")
  protected CimString productUrl;

  @XmlElement(name="VendorUrl")
  protected CimString vendorUrl;

  @XmlElement(name="AppUrl")
  protected CimString appUrl;

  @XmlElement(name="Icon")
  protected List<ProductSectionIcon> icon;

  @XmlElements({@XmlElement(name="Category", type=MsgType.class), @XmlElement(name="Property", type=ProductSectionProperty.class)})
  protected List<Object> categoryOrProperty;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAttribute(name="class", namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String clazz;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String instance;

  public MsgType getProduct()
  {
    return this.product;
  }

  public void setProduct(MsgType value)
  {
    this.product = value;
  }

  public MsgType getVendor()
  {
    return this.vendor;
  }

  public void setVendor(MsgType value)
  {
    this.vendor = value;
  }

  public CimString getVersion()
  {
    return this.version;
  }

  public void setVersion(CimString value)
  {
    this.version = value;
  }

  public CimString getFullVersion()
  {
    return this.fullVersion;
  }

  public void setFullVersion(CimString value)
  {
    this.fullVersion = value;
  }

  public CimString getProductUrl()
  {
    return this.productUrl;
  }

  public void setProductUrl(CimString value)
  {
    this.productUrl = value;
  }

  public CimString getVendorUrl()
  {
    return this.vendorUrl;
  }

  public void setVendorUrl(CimString value)
  {
    this.vendorUrl = value;
  }

  public CimString getAppUrl()
  {
    return this.appUrl;
  }

  public void setAppUrl(CimString value)
  {
    this.appUrl = value;
  }

  public List<ProductSectionIcon> getIcon()
  {
    if (this.icon == null) {
      this.icon = new ArrayList();
    }
    return this.icon;
  }

  public List<Object> getCategoryOrProperty()
  {
    if (this.categoryOrProperty == null) {
      this.categoryOrProperty = new ArrayList();
    }
    return this.categoryOrProperty;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public String getClazz()
  {
    if (this.clazz == null) {
      return "";
    }
    return this.clazz;
  }

  public void setClazz(String value)
  {
    this.clazz = value;
  }

  public String getInstance()
  {
    if (this.instance == null) {
      return "";
    }
    return this.instance;
  }

  public void setInstance(String value)
  {
    this.instance = value;
  }
}