package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VirtualHardwareSection_Type", propOrder={"system", "item", "any"})
public class VirtualHardwareSectionType extends SectionType
{

  @XmlElement(name="System")
  protected VSSDType system;

  @XmlElement(name="Item")
  protected List<RASDType> item;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String id;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String transport;

  public VSSDType getSystem()
  {
    return this.system;
  }

  public void setSystem(VSSDType value)
  {
    this.system = value;
  }

  public List<RASDType> getItem()
  {
    if (this.item == null) {
      this.item = new ArrayList();
    }
    return this.item;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public String getId()
  {
    if (this.id == null) {
      return "";
    }
    return this.id;
  }

  public void setId(String value)
  {
    this.id = value;
  }

  public String getTransport()
  {
    if (this.transport == null) {
      return "";
    }
    return this.transport;
  }

  public void setTransport(String value)
  {
    this.transport = value;
  }
}