package com.vmware.vcloud.api.rest.schema.ovf.environment;

import com.vmware.vcloud.api.rest.schema.ovf.CimString;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="PlatformSection_Type", propOrder={"kind", "version", "vendor", "locale", "timezone", "any"})
public class PlatformSectionType extends SectionType
{

  @XmlElement(name="Kind")
  protected CimString kind;

  @XmlElement(name="Version")
  protected CimString version;

  @XmlElement(name="Vendor")
  protected CimString vendor;

  @XmlElement(name="Locale")
  protected CimString locale;

  @XmlElement(name="Timezone")
  protected Integer timezone;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  public CimString getKind()
  {
    return this.kind;
  }

  public void setKind(CimString value)
  {
    this.kind = value;
  }

  public CimString getVersion()
  {
    return this.version;
  }

  public void setVersion(CimString value)
  {
    this.version = value;
  }

  public CimString getVendor()
  {
    return this.vendor;
  }

  public void setVendor(CimString value)
  {
    this.vendor = value;
  }

  public CimString getLocale()
  {
    return this.locale;
  }

  public void setLocale(CimString value)
  {
    this.locale = value;
  }

  public Integer getTimezone()
  {
    return this.timezone;
  }

  public void setTimezone(Integer value)
  {
    this.timezone = value;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }
}