package com.vmware.vcloud.api.rest.schema.versioning;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="MediaTypeMappingType", propOrder={"mediaType", "complexTypeName", "schemaLocation", "any"})
public class MediaTypeMappingType
{

  @XmlElement(name="MediaType", required=true)
  protected String mediaType;

  @XmlElement(name="ComplexTypeName", required=true)
  protected String complexTypeName;

  @XmlElement(name="SchemaLocation", required=true)
  protected String schemaLocation;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public String getMediaType()
  {
    return this.mediaType;
  }

  public void setMediaType(String value)
  {
    this.mediaType = value;
  }

  public String getComplexTypeName()
  {
    return this.complexTypeName;
  }

  public void setComplexTypeName(String value)
  {
    this.complexTypeName = value;
  }

  public String getSchemaLocation()
  {
    return this.schemaLocation;
  }

  public void setSchemaLocation(String value)
  {
    this.schemaLocation = value;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}