package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AdminOrgType", propOrder={"settings", "users", "groups", "catalogs", "vdcs", "networks"})
public class AdminOrgType extends OrgType
{

  @XmlElement(name="Settings", required=true)
  protected OrgSettingsType settings;

  @XmlElement(name="Users")
  protected UsersListType users;

  @XmlElement(name="Groups")
  protected GroupsListType groups;

  @XmlElement(name="Catalogs")
  protected CatalogsListType catalogs;

  @XmlElement(name="Vdcs")
  protected VdcsType vdcs;

  @XmlElement(name="Networks")
  protected NetworksType networks;

  public OrgSettingsType getSettings()
  {
    return this.settings;
  }

  public void setSettings(OrgSettingsType value)
  {
    this.settings = value;
  }

  public UsersListType getUsers()
  {
    return this.users;
  }

  public void setUsers(UsersListType value)
  {
    this.users = value;
  }

  public GroupsListType getGroups()
  {
    return this.groups;
  }

  public void setGroups(GroupsListType value)
  {
    this.groups = value;
  }

  public CatalogsListType getCatalogs()
  {
    return this.catalogs;
  }

  public void setCatalogs(CatalogsListType value)
  {
    this.catalogs = value;
  }

  public VdcsType getVdcs()
  {
    return this.vdcs;
  }

  public void setVdcs(VdcsType value)
  {
    this.vdcs = value;
  }

  public NetworksType getNetworks()
  {
    return this.networks;
  }

  public void setNetworks(NetworksType value)
  {
    this.networks = value;
  }
}