package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum LdapAuthenticationMechanismType
{
  SIMPLE("SIMPLE"), 
  KERBEROS("KERBEROS"), 
  MD_5_DIGEST("MD5DIGEST"), 

  NTLM("NTLM");

  private final String value;

  private LdapAuthenticationMechanismType(String v) { this.value = v; }

  public String value()
  {
    return this.value;
  }

  public static LdapAuthenticationMechanismType fromValue(String v) {
    for (LdapAuthenticationMechanismType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}