package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgLdapSettingsType", propOrder={"hostName", "port", "isSsl", "isSslAcceptAll", "realm", "searchBase", "userName", "password", "authenticationMechanism", "groupSearchBase", "isGroupSearchBaseEnabled", "connectorType", "userAttributes", "groupAttributes"})
public class OrgLdapSettingsType extends VCloudExtensibleType
{

  @XmlElement(name="HostName", required=true)
  protected String hostName;

  @XmlElement(name="Port")
  protected int port;

  @XmlElement(name="IsSsl")
  protected Boolean isSsl;

  @XmlElement(name="IsSslAcceptAll")
  protected Boolean isSslAcceptAll;

  @XmlElement(name="Realm")
  protected String realm;

  @XmlElement(name="SearchBase")
  protected String searchBase;

  @XmlElement(name="UserName")
  protected String userName;

  @XmlElement(name="Password")
  protected String password;

  @XmlElement(name="AuthenticationMechanism", required=true)
  protected LdapAuthenticationMechanismType authenticationMechanism;

  @XmlElement(name="GroupSearchBase")
  protected String groupSearchBase;

  @XmlElement(name="IsGroupSearchBaseEnabled")
  protected boolean isGroupSearchBaseEnabled;

  @XmlElement(name="ConnectorType", required=true)
  protected LdapConnectorType connectorType;

  @XmlElement(name="UserAttributes", required=true)
  protected OrgLdapUserAttributesType userAttributes;

  @XmlElement(name="GroupAttributes", required=true)
  protected OrgLdapGroupAttributesType groupAttributes;

  public String getHostName()
  {
    return this.hostName;
  }

  public void setHostName(String value)
  {
    this.hostName = value;
  }

  public int getPort()
  {
    return this.port;
  }

  public void setPort(int value)
  {
    this.port = value;
  }

  public Boolean isIsSsl()
  {
    return this.isSsl;
  }

  public void setIsSsl(Boolean value)
  {
    this.isSsl = value;
  }

  public Boolean isIsSslAcceptAll()
  {
    return this.isSslAcceptAll;
  }

  public void setIsSslAcceptAll(Boolean value)
  {
    this.isSslAcceptAll = value;
  }

  public String getRealm()
  {
    return this.realm;
  }

  public void setRealm(String value)
  {
    this.realm = value;
  }

  public String getSearchBase()
  {
    return this.searchBase;
  }

  public void setSearchBase(String value)
  {
    this.searchBase = value;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public void setUserName(String value)
  {
    this.userName = value;
  }

  public String getPassword()
  {
    return this.password;
  }

  public void setPassword(String value)
  {
    this.password = value;
  }

  public LdapAuthenticationMechanismType getAuthenticationMechanism()
  {
    return this.authenticationMechanism;
  }

  public void setAuthenticationMechanism(LdapAuthenticationMechanismType value)
  {
    this.authenticationMechanism = value;
  }

  public String getGroupSearchBase()
  {
    return this.groupSearchBase;
  }

  public void setGroupSearchBase(String value)
  {
    this.groupSearchBase = value;
  }

  public boolean isIsGroupSearchBaseEnabled()
  {
    return this.isGroupSearchBaseEnabled;
  }

  public void setIsGroupSearchBaseEnabled(boolean value)
  {
    this.isGroupSearchBaseEnabled = value;
  }

  public LdapConnectorType getConnectorType()
  {
    return this.connectorType;
  }

  public void setConnectorType(LdapConnectorType value)
  {
    this.connectorType = value;
  }

  public OrgLdapUserAttributesType getUserAttributes()
  {
    return this.userAttributes;
  }

  public void setUserAttributes(OrgLdapUserAttributesType value)
  {
    this.userAttributes = value;
  }

  public OrgLdapGroupAttributesType getGroupAttributes()
  {
    return this.groupAttributes;
  }

  public void setGroupAttributes(OrgLdapGroupAttributesType value)
  {
    this.groupAttributes = value;
  }
}