package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgSettingsType", propOrder={"isEnabled", "canPublishCatalogs", "deployedVMQuota", "storedVmQuota", "orgLeaseSettings", "orgLdapMode", "orgLdapSettings", "customUsersOu", "orgEmailSettings", "useServerBootSequence", "delayAfterPowerOnSeconds"})
public class OrgSettingsType extends VCloudExtensibleType
{

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="CanPublishCatalogs")
  protected Boolean canPublishCatalogs;

  @XmlElement(name="DeployedVMQuota")
  protected Integer deployedVMQuota;

  @XmlElement(name="StoredVmQuota")
  protected Integer storedVmQuota;

  @XmlElement(name="OrgLeaseSettings")
  protected OrgLeaseSettingsType orgLeaseSettings;

  @XmlElement(name="OrgLdapMode")
  protected LdapModeType orgLdapMode;

  @XmlElement(name="OrgLdapSettings")
  protected OrgLdapSettingsType orgLdapSettings;

  @XmlElement(name="CustomUsersOu")
  protected String customUsersOu;

  @XmlElement(name="OrgEmailSettings")
  protected OrgEmailSettingsType orgEmailSettings;

  @XmlElement(name="UseServerBootSequence")
  protected Boolean useServerBootSequence;

  @XmlElement(name="DelayAfterPowerOnSeconds")
  protected Integer delayAfterPowerOnSeconds;

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isCanPublishCatalogs()
  {
    return this.canPublishCatalogs;
  }

  public void setCanPublishCatalogs(Boolean value)
  {
    this.canPublishCatalogs = value;
  }

  public Integer getDeployedVMQuota()
  {
    return this.deployedVMQuota;
  }

  public void setDeployedVMQuota(Integer value)
  {
    this.deployedVMQuota = value;
  }

  public Integer getStoredVmQuota()
  {
    return this.storedVmQuota;
  }

  public void setStoredVmQuota(Integer value)
  {
    this.storedVmQuota = value;
  }

  public OrgLeaseSettingsType getOrgLeaseSettings()
  {
    return this.orgLeaseSettings;
  }

  public void setOrgLeaseSettings(OrgLeaseSettingsType value)
  {
    this.orgLeaseSettings = value;
  }

  public LdapModeType getOrgLdapMode()
  {
    return this.orgLdapMode;
  }

  public void setOrgLdapMode(LdapModeType value)
  {
    this.orgLdapMode = value;
  }

  public OrgLdapSettingsType getOrgLdapSettings()
  {
    return this.orgLdapSettings;
  }

  public void setOrgLdapSettings(OrgLdapSettingsType value)
  {
    this.orgLdapSettings = value;
  }

  public String getCustomUsersOu()
  {
    return this.customUsersOu;
  }

  public void setCustomUsersOu(String value)
  {
    this.customUsersOu = value;
  }

  public OrgEmailSettingsType getOrgEmailSettings()
  {
    return this.orgEmailSettings;
  }

  public void setOrgEmailSettings(OrgEmailSettingsType value)
  {
    this.orgEmailSettings = value;
  }

  public Boolean isUseServerBootSequence()
  {
    return this.useServerBootSequence;
  }

  public void setUseServerBootSequence(Boolean value)
  {
    this.useServerBootSequence = value;
  }

  public Integer getDelayAfterPowerOnSeconds()
  {
    return this.delayAfterPowerOnSeconds;
  }

  public void setDelayAfterPowerOnSeconds(Integer value)
  {
    this.delayAfterPowerOnSeconds = value;
  }
}