package com.vmware.vcloud.api.rest.schema_v1_0;

import com.vmware.vcloud.api.rest.schema.ovf.SectionType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VAppTemplateType", propOrder={"children", "section", "vAppScopedLocalId"})
public class VAppTemplateType extends ResourceEntityType
{

  @XmlElement(name="Children")
  protected VAppTemplateChildrenType children;

  @XmlElementRef(name="Section", namespace="http://schemas.dmtf.org/ovf/envelope/1", type=JAXBElement.class)
  protected List<JAXBElement<? extends SectionType>> section;

  @XmlElement(name="VAppScopedLocalId")
  protected String vAppScopedLocalId;

  @XmlAttribute
  protected Boolean ovfDescriptorUploaded;

  public VAppTemplateChildrenType getChildren()
  {
    return this.children;
  }

  public void setChildren(VAppTemplateChildrenType value)
  {
    this.children = value;
  }

  public List<JAXBElement<? extends SectionType>> getSection()
  {
    if (this.section == null) {
      this.section = new ArrayList();
    }
    return this.section;
  }

  public String getVAppScopedLocalId()
  {
    return this.vAppScopedLocalId;
  }

  public void setVAppScopedLocalId(String value)
  {
    this.vAppScopedLocalId = value;
  }

  public Boolean isOvfDescriptorUploaded()
  {
    return this.ovfDescriptorUploaded;
  }

  public void setOvfDescriptorUploaded(Boolean value)
  {
    this.ovfDescriptorUploaded = value;
  }
}