package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import com.vmware.vcloud.api.rest.schema_v1_0.EntityType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="HostType", propOrder={"ready", "available", "enabled", "busy", "enableHostForHostSpanning", "cpuType", "numOfCpusPackages", "numOfCpusLogical", "cpuTotal", "memUsed", "memTotal", "hostOsName", "hostOsVersion", "systemMessages", "vimPropertyPageUrl", "vmMoRef"})
public class HostType extends EntityType
{

  @XmlElement(name="Ready")
  protected boolean ready;

  @XmlElement(name="Available")
  protected boolean available;

  @XmlElement(name="Enabled")
  protected boolean enabled;

  @XmlElement(name="Busy")
  protected boolean busy;

  @XmlElement(name="EnableHostForHostSpanning")
  protected boolean enableHostForHostSpanning;

  @XmlElement(name="CpuType")
  protected String cpuType;

  @XmlElement(name="NumOfCpusPackages")
  protected int numOfCpusPackages;

  @XmlElement(name="NumOfCpusLogical")
  protected int numOfCpusLogical;

  @XmlElement(name="CpuTotal")
  protected long cpuTotal;

  @XmlElement(name="MemUsed")
  protected double memUsed;

  @XmlElement(name="MemTotal")
  protected double memTotal;

  @XmlElement(name="HostOsName")
  protected String hostOsName;

  @XmlElement(name="HostOsVersion")
  protected String hostOsVersion;

  @XmlElement(name="SystemMessages")
  protected String systemMessages;

  @XmlElement(name="VimPropertyPageUrl")
  protected String vimPropertyPageUrl;

  @XmlElement(name="VmMoRef", required=true)
  protected String vmMoRef;

  public boolean isReady()
  {
    return this.ready;
  }

  public void setReady(boolean value)
  {
    this.ready = value;
  }

  public boolean isAvailable()
  {
    return this.available;
  }

  public void setAvailable(boolean value)
  {
    this.available = value;
  }

  public boolean isEnabled()
  {
    return this.enabled;
  }

  public void setEnabled(boolean value)
  {
    this.enabled = value;
  }

  public boolean isBusy()
  {
    return this.busy;
  }

  public void setBusy(boolean value)
  {
    this.busy = value;
  }

  public boolean isEnableHostForHostSpanning()
  {
    return this.enableHostForHostSpanning;
  }

  public void setEnableHostForHostSpanning(boolean value)
  {
    this.enableHostForHostSpanning = value;
  }

  public String getCpuType()
  {
    return this.cpuType;
  }

  public void setCpuType(String value)
  {
    this.cpuType = value;
  }

  public int getNumOfCpusPackages()
  {
    return this.numOfCpusPackages;
  }

  public void setNumOfCpusPackages(int value)
  {
    this.numOfCpusPackages = value;
  }

  public int getNumOfCpusLogical()
  {
    return this.numOfCpusLogical;
  }

  public void setNumOfCpusLogical(int value)
  {
    this.numOfCpusLogical = value;
  }

  public long getCpuTotal()
  {
    return this.cpuTotal;
  }

  public void setCpuTotal(long value)
  {
    this.cpuTotal = value;
  }

  public double getMemUsed()
  {
    return this.memUsed;
  }

  public void setMemUsed(double value)
  {
    this.memUsed = value;
  }

  public double getMemTotal()
  {
    return this.memTotal;
  }

  public void setMemTotal(double value)
  {
    this.memTotal = value;
  }

  public String getHostOsName()
  {
    return this.hostOsName;
  }

  public void setHostOsName(String value)
  {
    this.hostOsName = value;
  }

  public String getHostOsVersion()
  {
    return this.hostOsVersion;
  }

  public void setHostOsVersion(String value)
  {
    this.hostOsVersion = value;
  }

  public String getSystemMessages()
  {
    return this.systemMessages;
  }

  public void setSystemMessages(String value)
  {
    this.systemMessages = value;
  }

  public String getVimPropertyPageUrl()
  {
    return this.vimPropertyPageUrl;
  }

  public void setVimPropertyPageUrl(String value)
  {
    this.vimPropertyPageUrl = value;
  }

  public String getVmMoRef()
  {
    return this.vmMoRef;
  }

  public void setVmMoRef(String value)
  {
    this.vmMoRef = value;
  }
}