package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import com.vmware.vcloud.api.rest.schema_v1_0.ResourceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LicensingReportType", propOrder={"sample"})
public class LicensingReportType extends ResourceType
{

  @XmlElement(name="Sample")
  protected List<LicensingReportSampleType> sample;

  @XmlAttribute(required=true)
  protected String productSerialNumber;

  @XmlAttribute(required=true)
  protected XMLGregorianCalendar reportDate;

  @XmlAttribute
  protected String signature;

  public List<LicensingReportSampleType> getSample()
  {
    if (this.sample == null) {
      this.sample = new ArrayList();
    }
    return this.sample;
  }

  public String getProductSerialNumber()
  {
    return this.productSerialNumber;
  }

  public void setProductSerialNumber(String value)
  {
    this.productSerialNumber = value;
  }

  public XMLGregorianCalendar getReportDate()
  {
    return this.reportDate;
  }

  public void setReportDate(XMLGregorianCalendar value)
  {
    this.reportDate = value;
  }

  public String getSignature()
  {
    return this.signature;
  }

  public void setSignature(String value)
  {
    this.signature = value;
  }
}