package com.vmware.vcloud.sdk;

import com.vmware.vcloud.api.rest.schema.LinkType;
import com.vmware.vcloud.api.rest.schema.OrgNetworkType;
import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.sdk.constants.SdkMessage;
import java.util.logging.Level;
import java.util.logging.Logger;

/** @deprecated */
public class OrgNetwork extends VcloudEntity<OrgNetworkType>
{
  private static Logger logger = Logger.getLogger("com.vmware.vcloud.sdk");
  private ReferenceType orgReference;

  OrgNetwork(VcloudClient client, OrgNetworkType orgNetworkType)
  {
    super(client, orgNetworkType);
    sortReferences_v1_5();
  }

  public static OrgNetwork getOrgNetworkByReference(VcloudClient client, ReferenceType networkRef)
    throws VCloudException
  {
    logger.log(Level.INFO, SdkUtil.getI18nString(SdkMessage.GET_URL_MSG) + " - " + networkRef.getHref());

    return new OrgNetwork(client, (OrgNetworkType)getResourceByReference(client, networkRef));
  }

  public static OrgNetwork getOrgNetworkById(VcloudClient client, String vCloudId)
    throws VCloudException
  {
    logger.log(Level.INFO, SdkUtil.getI18nString(SdkMessage.GET_VCLOUD_ID_MSG) + " - " + vCloudId);

    return new OrgNetwork(client, (OrgNetworkType)getEntityById(client, vCloudId, "application/vnd.vmware.vcloud.network+xml"));
  }

  private void sortReferences_v1_5()
  {
    for (LinkType orgNetworkLink : ((OrgNetworkType)getResource()).getLink())
      if ((orgNetworkLink.getRel().equals("up")) && (orgNetworkLink.getType().equals("application/vnd.vmware.vcloud.org+xml")))
      {
        this.orgReference = orgNetworkLink;
      }
  }

  public ReferenceType getOrgReference()
    throws VCloudException
  {
    if (this.orgReference != null)
      return this.orgReference;
    throw new VCloudException(SdkUtil.getI18nString(SdkMessage.REFERENCE_NOT_FOUND_MSG));
  }
}