package com.vmware.vcloud.sdk.constants;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

public enum BlockingTaskOperationType
{
  VDC_CREATE_VDC("vdcCreateVdc"), 
  VDC_DELETE_VDC("vdcDeleteVdc"), 
  VDC_UPDATE_VDC("vdcUpdateVdc"), 
  VDC_ENABLE_DOWNLOAD("vdcEnableDownload"), 

  VAPP_MIGRATE_VMS("vappMigrateVms"), 
  RCL_CREATE_PROVIDER_VDC("rclCreateProviderVdc"), 
  RCL_DELETE_PROVIDER_VDC("rclDeleteProviderVdc"), 

  RCL_MERGE_PROVIDER_VDC("rclMergePvdc"), 
  NETWORK_CREATE_NETWORK_POOL("networkCreateNetworkPool"), 
  NETWORK_ENABLE_CROSSHOST_SERVICE("networkCreateFencePoolTypeNetworkPool"), 
  NETWORK_CREATE_PROVIDER_NETWORK("networkCreateExternalNetwork"), 
  NETWORK_DELETE_NETWORK_POOL("networkDeleteNetworkPool"), 
  NETWORK_UPDATE_NETWORK_POOL("networkUpdateNetworkPool"), 
  NETWORK_UPDATE_VLAN_POOL("networkUpdateVlanPool"), 
  IMPORT_SINGLETON_TEMPLATE("importSingletonTemplate"), 
  IMPORT_SINGLETON_VAPP("importSingletonVapp"), 
  IMPORT_MEDIA("importMedia"), 
  IMPORT_INTO_EXISTING_VAPP("importIntoExistingVapp"), 

  IMPORT_VC_VMS_INTO_EXISTING_VAPP("importVcVmsIntoExistingVApp"), 
  VAPP_UPDATE_VM("vappUpdateVm"), 

  TEMPLATE_UPDATE_VM("templateUpdateVm"), 
  VAPP_DEPLOY("vappDeploy"), 
  VAPP_POWER_OFF("vappPowerOff"), 
  VAPP_SUSPEND("vappSuspend"), 
  VAPP_RESET("vappReset"), 
  VAPP_REBOOT_GUEST("vappRebootGuest"), 
  VAPP_SHUTDOWN_GUEST("vappShutdownGuest"), 
  VAPP_UPGRADE_HW_VERSION("vappUpgradeHwVersion"), 
  VAPP_UNDEPLOY_POWER_OFF("vappUndeployPowerOff"), 
  VAPP_UNDEPLOY_SUSPEND("vappUndeploySuspend"), 

  VAPP_ATTACH_DISK("vappAttachDisk"), 

  VAPP_DETACH_DISK("vappDetachDisk"), 

  VAPP_CHECK_VM_COMPLIANCE("vappCheckVmCompliance"), 

  VAPP_CREATE_SNAPSHOT("vappCreateSnapshot"), 

  VAPP_REVERT_TO_CURRENT_SNAPSHOT("vappRevertToCurrentSnapshot"), 

  VAPP_REMOVE_ALL_SNAPSHOTS("vappRemoveAllSnapshots"), 
  VDC_INSTANTIATE_VAPP("vdcInstantiateVapp"), 
  VDC_COMPOSE_VAPP("vdcComposeVapp"), 
  VDC_RECOMPOSE_VAPP("vdcRecomposeVapp"), 
  VDC_CAPTURE_TEMPLATE("vdcCaptureTemplate"), 
  VDC_COPY_VAPP("vdcCopyVapp"), 
  VDC_COPY_TEMPLATE("vdcCopyTemplate"), 
  VDC_COPY_MEDIA("vdcCopyMedia"), 
  VDC_UPDATE_VAPP("vdcUpdateVapp"), 
  VDC_UPDATE_TEMPLATE("vdcUpdateTemplate"), 
  VDC_UPDATE_MEDIA("vdcUpdateMedia"), 
  VDC_DELETE_VAPP("vdcDeleteVapp"), 
  VDC_DELETE_TEMPLATE("vdcDeleteTemplate"), 
  VDC_DELETE_MEDIA("vdcDeleteMedia"), 

  VDC_CREATE_DISK("vdcCreateDisk"), 

  VDC_DELETE_DISK("vdcDeleteDisk"), 

  VDC_UPDATE_DISK("vdcUpdateDisk"), 

  VDC_UPDATE_STORAGE_PROFILES("vdcUpdateStorageProfiles"), 

  VDC_UPLOAD_MEDIA("vdcUploadMedia"), 
  VDC_UPLOAD_OVF_CONTENTS("vdcUploadOvfContents"), 
  NETWORK_DELETE("networkDelete"), 
  NETWORK_UPDATE_NETWORK("networkUpdateNetwork"), 

  RCL_ENABLE_VXLAN_FOR_PROVIDER_VDC("rclEnableVxlanForProviderVdc"), 

  NETWORK_REPAIR_NETWORK_POOL("networkRepairNetworkPool"), 

  NETWORK_MERGE_NETWORK_POOLS("networkMergeNetworkPools");

  private String value;

  private BlockingTaskOperationType()
  {
  }

  private BlockingTaskOperationType(String value) {
    this.value = value;
  }

  public static BlockingTaskOperationType fromValue(String value) {
    for (BlockingTaskOperationType systemOperation : values()) {
      if (systemOperation.value().equals(value)) {
        return systemOperation;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }

  public String value() {
    return this.value;
  }

  public static List<BlockingTaskOperationType> fromValues(List<String> values) {
    List systemOperations = new ArrayList();
    for (String value : values) {
      systemOperations.add(fromValue(value));
    }
    return systemOperations;
  }

  public static Set<String> toValues(List<BlockingTaskOperationType> systemOperations) {
    Set values = new HashSet();
    for (BlockingTaskOperationType systemOperation : systemOperations) {
      values.add(systemOperation.value());
    }
    return values;
  }
}