package com.vmware.vcloud.sdk.constants;

public enum OperatingSystemFamilyType
{
  MICROSOFT_WINDOWS("Microsoft Windows", Integer.valueOf(1)), 

  LINUX("Linux", Integer.valueOf(2)), 

  OTHER("Other", Integer.valueOf(3));

  private String name;
  private Integer value;

  private OperatingSystemFamilyType() {
  }
  private OperatingSystemFamilyType(String name, Integer id) {
    this.name = name;
    this.value = id;
  }

  public String getName() {
    return this.name;
  }

  public Integer value() {
    return this.value;
  }

  public static OperatingSystemFamilyType fromName(String name) {
    for (OperatingSystemFamilyType osFamily : values())
    {
      if (osFamily.getName().equals(name)) {
        return osFamily;
      }
    }
    throw new IllegalArgumentException(name.toString());
  }

  public static OperatingSystemFamilyType fromValue(Integer value) {
    for (OperatingSystemFamilyType osFamily : values())
    {
      if (osFamily.value().equals(value)) {
        return osFamily;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}