package com.vmware.vcloud.sdk.constants;

public enum TaskStatusType
{
  QUEUED("queued"), 

  PRERUNNING("preRunning"), 

  SUCCESS("success"), 

  RUNNING("running"), 

  ERROR("error"), 

  CANCELED("canceled"), 

  ABORTED("aborted");

  private String value;

  private TaskStatusType() {
  }

  private TaskStatusType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static TaskStatusType fromValue(String value) {
    for (TaskStatusType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}