package com.vmware.vcloud.sdk.constants;

public enum VMStatus
{
  FAILED_CREATION(-1), 

  UNRESOLVED(0), 

  RESOLVED(1), 
  SUSPENDED(3), 
  POWERED_ON(4), 

  WAITING_FOR_INPUT(5), 

  UNKNOWN(6), 

  UNRECOGNIZED(7), 
  POWERED_OFF(8), 

  INCONSISTENT_STATE(9);

  private int value;

  private VMStatus()
  {
  }

  private VMStatus(int value) {
    this.value = value;
  }

  public int value() {
    return this.value;
  }

  public static VMStatus fromValue(int value) {
    for (VMStatus vappStatus : values()) {
      if (vappStatus.value() == value) {
        return vappStatus;
      }
    }
    throw new IllegalArgumentException(Integer.toString(value));
  }
}