package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminVdcField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CPUALLOCATIONMHZ("cpuAllocationMhz"), 
  CPULIMITMHZ("cpuLimitMhz"), 
  CPUUSEDMHZ("cpuUsedMhz"), 
  ISBUSY("isBusy"), 
  ISENABLED("isEnabled"), 

  ISSYSTEMVDC("isSystemVdc"), 
  MEMORYALLOCATIONMB("memoryAllocationMB"), 
  MEMORYLIMITMB("memoryLimitMB"), 
  MEMORYUSEDMB("memoryUsedMB"), 
  NAME("name"), 
  NETWORKPOOL("networkPool"), 

  NUMBEROFDISKS("numberOfDisks"), 
  NUMBEROFMEDIA("numberOfMedia"), 

  NUMBEROFSTORAGEPROFILES("numberOfStorageProfiles"), 
  NUMBEROFVAPPTEMPLATES("numberOfVAppTemplates"), 
  NUMBEROFVAPPS("numberOfVApps"), 
  ORG("org"), 
  ORGNAME("orgName"), 
  PROVIDERVDC("providerVdc"), 
  PROVIDERVDCNAME("providerVdcName"), 
  STATUS("status"), 

  STORAGEALLOCATIONMB("storageAllocationMB"), 
  STORAGELIMITMB("storageLimitMB"), 
  STORAGEUSEDMB("storageUsedMB");

  private String value;

  private QueryAdminVdcField() {
  }
  private QueryAdminVdcField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminVdcField fromValue(String value) {
    for (QueryAdminVdcField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}