package com.vmware.vcloud.sdk.constants.query;

public enum QueryApiDefinitionField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  APIVENDOR("apiVendor"), 
  ENTRYPOINT("entryPoint"), 
  NAME("name"), 
  NAMESPACE("namespace"), 
  SERVICE("service"), 
  SERVICENAME("serviceName"), 
  SERVICENAMESPACE("serviceNamespace"), 
  SERVICEVENDOR("serviceVendor");

  private String value;

  private QueryApiDefinitionField() {
  }
  private QueryApiDefinitionField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryApiDefinitionField fromValue(String value) {
    for (QueryApiDefinitionField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}