package com.vmware.vcloud.sdk.constants.query;

public enum QueryExternalLocalizationField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  KEY("key"), 
  LOCALE("locale"), 
  SERVICENAMESPACE("serviceNamespace"), 
  VALUE("value");

  private String value;

  private QueryExternalLocalizationField() {
  }
  private QueryExternalLocalizationField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryExternalLocalizationField fromValue(String value) {
    for (QueryExternalLocalizationField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}