package com.vmware.vcloud.sdk.constants.query;

public enum QueryFileDescriptorField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  APIDEFINITION("apiDefinition"), 
  APINAME("apiName"), 
  APINAMESPACE("apiNamespace"), 
  APIVENDOR("apiVendor"), 
  FILEMIMETYPE("fileMimeType"), 
  FILEURL("fileUrl"), 
  NAME("name"), 
  SERVICE("service"), 
  SERVICENAME("serviceName"), 
  SERVICENAMESPACE("serviceNamespace"), 
  SERVICEVENDOR("serviceVendor");

  private String value;

  private QueryFileDescriptorField() {
  }
  private QueryFileDescriptorField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryFileDescriptorField fromValue(String value) {
    for (QueryFileDescriptorField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}