package com.vmware.vcloud.sdk.constants.query;

public enum QueryHostField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ISBUSY("isBusy"), 
  ISCROSSHOSTENABLED("isCrossHostEnabled"), 
  ISDELETED("isDeleted"), 
  ISENABLED("isEnabled"), 
  ISHUNG("isHung"), 
  ISINMAINTENANCEMODE("isInMaintenanceMode"), 
  ISPENDINGUPGRADE("isPendingUpgrade"), 
  ISPREPARED("isPrepared"), 
  ISSUPPORTED("isSupported"), 
  NAME("name"), 
  NUMBEROFVMS("numberOfVMs"), 
  OSVERSION("osVersion"), 
  STATE("state"), 
  VC("vc"), 
  VCNAME("vcName");

  private String value;

  private QueryHostField() {
  }
  private QueryHostField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryHostField fromValue(String value) {
    for (QueryHostField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}