package com.vmware.vcloud.sdk.constants.query;

public enum QueryMediaField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CATALOG("catalog"), 
  CATALOGITEM("catalogItem"), 
  CATALOGNAME("catalogName"), 
  CREATIONDATE("creationDate"), 
  ISBUSY("isBusy"), 
  ISPUBLISHED("isPublished"), 
  NAME("name"), 
  ORG("org"), 
  OWNER("owner"), 
  OWNERNAME("ownerName"), 
  STATUS("status"), 
  STORAGEB("storageB"), 

  STORAGEPROFILENAME("storageProfileName"), 
  VDC("vdc"), 
  VDCNAME("vdcName");

  private String value;

  private QueryMediaField() {
  }
  private QueryMediaField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryMediaField fromValue(String value) {
    for (QueryMediaField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}