package com.vmware.vcloud.sdk.constants.query;

public enum QueryOrgField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CANPUBLISHCATALOGS("canPublishCatalogs"), 
  DEPLOYEDVMQUOTA("deployedVMQuota"), 
  DISPLAYNAME("displayName"), 
  ISENABLED("isEnabled"), 
  ISREADONLY("isReadOnly"), 
  NAME("name"), 
  NUMBEROFCATALOGS("numberOfCatalogs"), 

  NUMBEROFDISKS("numberOfDisks"), 
  NUMBEROFGROUPS("numberOfGroups"), 
  NUMBEROFVAPPS("numberOfVApps"), 
  NUMBEROFVDCS("numberOfVdcs"), 
  STOREDVMQUOTA("storedVMQuota");

  private String value;

  private QueryOrgField() {
  }
  private QueryOrgField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryOrgField fromValue(String value) {
    for (QueryOrgField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}