package com.vmware.vcloud.sdk.constants.query;

public enum QueryVAppNetworkField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  DNS1("dns1"), 
  DNS2("dns2"), 
  DNSSUFFIX("dnsSuffix"), 
  GATEWAY("gateway"), 
  IPSCOPEID("ipScopeId"), 
  ISBUSY("isBusy"), 
  ISIPSCOPEINHERITED("isIpScopeInherited"), 
  NAME("name"), 
  NETMASK("netmask"), 
  VAPP("vApp"), 
  VAPPNAME("vAppName");

  private String value;

  private QueryVAppNetworkField() {
  }
  private QueryVAppNetworkField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryVAppNetworkField fromValue(String value) {
    for (QueryVAppNetworkField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}