package com.vmware.vcloud.sdk_v1_0;

import com.vmware.vcloud.api.rest.schema_v1_0.ReferenceType;
import com.vmware.vcloud.api.rest.schema_v1_0.ResourceType;

public abstract class VcloudResource<T extends ResourceType>
{
  private T resourceType;
  private ReferenceType referenceType;
  private VcloudClient client;

  protected VcloudResource(VcloudClient client, T resourceType)
  {
    this.resourceType = resourceType;
    this.client = client;
    setReference(resourceType);
  }

  protected VcloudClient getVcloudClient()
  {
    return this.client;
  }

  public T getResource()
  {
    return this.resourceType;
  }

  public ReferenceType getReference()
  {
    return this.referenceType;
  }

  private void setReference(ResourceType resource)
  {
    this.referenceType = new ReferenceType();
    this.referenceType.setHref(resource.getHref());
    this.referenceType.setType(resource.getType());
  }
}