package com.vmware.vcloud.sdk_v1_0.admin;

import com.vmware.vcloud.api.rest.schema_v1_0.ExternalNetworkType;
import com.vmware.vcloud.api.rest.schema_v1_0.ReferenceType;
import com.vmware.vcloud.sdk_v1_0.Response;
import com.vmware.vcloud.sdk_v1_0.RestUtil;
import com.vmware.vcloud.sdk_v1_0.VCloudException;
import com.vmware.vcloud.sdk_v1_0.VcloudClient;
import com.vmware.vcloud.sdk_v1_0.VcloudEntity;
import java.util.logging.Level;
import java.util.logging.Logger;

public class ExternalNetwork extends VcloudEntity<ExternalNetworkType>
{
  private static Logger logger = Logger.getLogger(ExternalNetwork.class.getSimpleName());

  ExternalNetwork(VcloudClient client, ExternalNetworkType externalNetworkType)
  {
    super(client, externalNetworkType);
  }

  public static ExternalNetwork getExternalNetworkByReference(VcloudClient client, ReferenceType externalNetworkRef)
    throws VCloudException
  {
    return get(client, externalNetworkRef.getHref());
  }

  private static ExternalNetwork get(VcloudClient client, String url)
    throws VCloudException
  {
    logger.log(Level.INFO, "GET: ExternalNetwork " + url);
    Response response = RestUtil.get(client, url);
    ExternalNetworkType externalNetworkType = null;
    if (response.isExpected(200))
      externalNetworkType = (ExternalNetworkType)response.getResource();
    else
      response.handleUnExpectedResponse();
    ExternalNetwork externalNetwork = new ExternalNetwork(client, externalNetworkType);

    return externalNetwork;
  }
}