package com.vmware.vcloud.sdk_v1_0.admin;

import com.vmware.vcloud.api.rest.schema_v1_0.ReferenceType;
import com.vmware.vcloud.api.rest.schema_v1_0.RightType;
import com.vmware.vcloud.sdk_v1_0.Response;
import com.vmware.vcloud.sdk_v1_0.RestUtil;
import com.vmware.vcloud.sdk_v1_0.VCloudException;
import com.vmware.vcloud.sdk_v1_0.VcloudClient;
import com.vmware.vcloud.sdk_v1_0.VcloudEntity;
import java.util.logging.Level;
import java.util.logging.Logger;

public class Right extends VcloudEntity<RightType>
{
  private static Logger logger = Logger.getLogger(Right.class.getSimpleName());

  Right(VcloudClient client, RightType rightType)
  {
    super(client, rightType);
  }

  public static Right getRightByReference(VcloudClient client, ReferenceType rightRef)
    throws VCloudException
  {
    return get(client, rightRef.getHref());
  }

  private static Right get(VcloudClient client, String url)
    throws VCloudException
  {
    logger.log(Level.INFO, "GET: Right " + url);
    Response response = RestUtil.get(client, url);
    RightType rightType = null;
    if (response.isExpected(200))
      rightType = (RightType)response.getResource();
    else
      response.handleUnExpectedResponse();
    Right right = new Right(client, rightType);
    return right;
  }
}