package com.vmware.vcloud.sdk_v1_0.admin.extensions;

class AdminExtensionConstants
{
  static class MediaType
  {
    static final String VMW_EXTENSIONM = "application/vnd.vmware.admin.vmwExtension+xml";
    static final String VMW_PROVIDER_VDC_REFERENCESM = "application/vnd.vmware.admin.vmwProviderVdcReferences+xml";
    static final String VMW_EXTERNAL_NETWORK_REFERENCESM = "application/vnd.vmware.admin.vmwExternalNetworkReferences+xml";
    static final String VMW_NETWORK_POOL_REFERENCESM = "application/vnd.vmware.admin.vmwNetworkPoolReferences+xml";
    static final String VMW_VIM_SERVER_REFERENCESM = "application/vnd.vmware.admin.vmwVimServerReferences+xml";
    static final String VMW_HOST_REFERENCESM = "application/vnd.vmware.admin.vmwHostReferences+xml";
    static final String HOSTM = "application/vnd.vmware.admin.host+xml";
    static final String VIRUAL_CENTERM = "application/vnd.vmware.admin.vmwvirtualcenter+xml";
    static final String VMW_PROVIDER_VDCM = "application/vnd.vmware.admin.vmwprovidervdc+xml";
    static final String PROVIDER_VDC = "application/vnd.vmware.admin.providervdc+xml";
    static final String VMW_EXTERNAL_NETM = "application/vnd.vmware.admin.vmwexternalnet+xml";
    static final String NETWORK = "application/vnd.vmware.admin.network+xml";
    static final String VMW_NETWORKPOOL = "application/vnd.vmware.admin.networkPool+xml";
    static final String PREPARE_HOST_PARAMSM = "application/vnd.vmware.admin.prepareHostParams+xml";
    static final String REGISTER_VIM_SERVERM = "application/vnd.vmware.admin.registerVimServerParams+xml";
    static final String VMS_OBJECT_REFS_LISTM = "application/vnd.vmware.admin.vmsObjectRefsList+xml";
    static final String IMPORT_VM_AS_VAPP_PARAMS = "application/vnd.vmware.admin.importVmAsVAppParams+xml";
    static final String IMPORT_VM_AS_VAPP_TEMPLATE_PARAMS = "application/vnd.vmware.admin.importVmAsVAppTemplateParams+xml";
    static final String RESOURCE_POOL_LIST = "application/vnd.vmware.admin.resourcePoolList+xml";
    static final String LICENSING_REPORT = "application/vnd.vmware.admin.licensingReport+xml";
    static final String LICENSING_REPORT_LIST = "application/vnd.vmware.admin.licensingReportList+xml";
  }

  static class ActionUri
  {
    static final String HOST = "/host";
    static final String PREPARE_HOST = "/action/prepare";
    static final String UNPREPARE_HOST = "/action/unprepare";
    static final String DISABLE_HOST = "/action/disable";
    static final String ENABLE_HOST = "/action/enable";
    static final String REGISTER_VIM_SERVER = "/action/registervimserver";
    static final String UNREGISTER_VIM_SERVER = "/action/unregister";
    static final String REPAIR_HOST = "/action/repair";
    static final String UPGRADE_HOST = "/action/upgrade";
    static final String FORCE_VIM_SERVER_RECONNECT = "/action/forcevimserverreconnect";
    static final String PROVIDER_VDC_ENABLE = "/action/enable";
    static final String PROVIDER_VDC_DISABLE = "/action/disable";
  }

  static class Uri
  {
    static final String EXTENSION = "/admin/extension";
    static final String HOST = "/host/";
    static final String VIRTUAL_CENTER = "/vimServer/";
    static final String SHIELD_MANAGER = "/shieldmanager/";
    static final String PROVIDER_VDC = "/providervdc/";
    static final String EXTERNAL_NET = "/externalnet/";
    static final String NETWORK_POOL = "/networkPool/";
    static final String ADD_PVDCS_PATH = "/providervdcs";
    static final String ADD_ENETS_PATH = "/externalnets";
    static final String ADD_POOLS_PATH = "/networkPools";
    static final String VMS_OBJECT_REFS_LIST = "/vmsList";
    static final String IMPORT_VM_AS_VAPP = "/importVmAsVApp";
    static final String IMPORT_VM_AS_VAPP_TEMPLATE = "/importVmAsVAppTemplate";
    static final String RESOURCE_POOL_LIST = "/resourcePoolList";
    static final String HOST_REFERENCES = "/hostReferences";
    static final String PROVIDER_VDC_REFERENCES = "/providerVdcReferences";
    static final String EXTERNAL_NETWORK_REFERENCES = "/externalNetworkReferences";
    static final String NETWORK_POOL_REFERENCES = "/networkPoolReferences";
    static final String VIM_SERVER_REFERENCES = "/vimServerReferences";
    static final String LICENSING = "/licensing/";
    static final String LICENSING_REPORT_LIST = "reports";
    static final String LICENSING_REPORT = "report/";
  }
}