package devmgr.versioned.jrpc;

public class RPCReplyMsg
  implements XDRType, RPCMsgConstants
{
  private RPCReplyStatus status = new RPCReplyStatus();
  private RPCAcceptedReply acceptedReply = new RPCAcceptedReply();
  private RPCRejectedReply rejectedReply = new RPCRejectedReply();

  public RPCReplyMsg()
  {
  }

  public RPCReplyMsg(RPCReplyMsg paramRPCReplyMsg)
  {
    this.acceptedReply = paramRPCReplyMsg.acceptedReply;
    this.rejectedReply = paramRPCReplyMsg.rejectedReply;
  }

  public RPCReplyStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(RPCReplyStatus paramRPCReplyStatus)
  {
    this.status = paramRPCReplyStatus;
  }

  public RPCAcceptedReply getAcceptedReply()
  {
    return this.acceptedReply;
  }

  public void setAcceptedReply(RPCAcceptedReply paramRPCAcceptedReply)
  {
    this.acceptedReply = paramRPCAcceptedReply;
  }

  public RPCRejectedReply getRejectedReply()
  {
    return this.rejectedReply;
  }

  public void setRejectedReply(RPCRejectedReply paramRPCRejectedReply)
  {
    this.rejectedReply = paramRPCRejectedReply;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.status.xdrEncode(paramXDROutputStream);
    switch (this.status.getValue())
    {
    case 0:
      this.acceptedReply.xdrEncode(paramXDROutputStream);
      break;
    case 1:
      this.rejectedReply.xdrEncode(paramXDROutputStream);
      break;
    }
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.status.xdrDecode(paramXDRInputStream);
    switch (this.status.getValue())
    {
    case 0:
      this.acceptedReply.xdrDecode(paramXDRInputStream);
      break;
    case 1:
      this.rejectedReply.xdrDecode(paramXDRInputStream);
      break;
    }
  }
}