package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class AutoConfigCandidateList
  implements XDRType, SYMbolAPIConstants
{
  private AutoConfigCandidate[] autoConfigCandidate;
  private ReturnCode returnCode = new ReturnCode();

  public AutoConfigCandidateList()
  {
  }

  public AutoConfigCandidateList(AutoConfigCandidateList paramAutoConfigCandidateList)
  {
    this.autoConfigCandidate = paramAutoConfigCandidateList.autoConfigCandidate;
    this.returnCode = paramAutoConfigCandidateList.returnCode;
  }

  public AutoConfigCandidate[] getAutoConfigCandidate()
  {
    return this.autoConfigCandidate;
  }

  public void setAutoConfigCandidate(AutoConfigCandidate[] paramArrayOfAutoConfigCandidate)
  {
    this.autoConfigCandidate = paramArrayOfAutoConfigCandidate;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.autoConfigCandidate == null ? 0 : this.autoConfigCandidate.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.autoConfigCandidate[k].xdrEncode(paramXDROutputStream);
    this.returnCode.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.autoConfigCandidate = new AutoConfigCandidate[j];
      for (int k = 0; k < j; k++)
      {
        this.autoConfigCandidate[k] = new AutoConfigCandidate();
        this.autoConfigCandidate[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}