package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ConsistencyGroupBundle
  implements XDRType, SYMbolAPIConstants
{
  private ConsistencyGroup[] consistencyGroup;

  public ConsistencyGroupBundle()
  {
  }

  public ConsistencyGroupBundle(ConsistencyGroupBundle paramConsistencyGroupBundle)
  {
    this.consistencyGroup = paramConsistencyGroupBundle.consistencyGroup;
  }

  public ConsistencyGroup[] getConsistencyGroup()
  {
    return this.consistencyGroup;
  }

  public void setConsistencyGroup(ConsistencyGroup[] paramArrayOfConsistencyGroup)
  {
    this.consistencyGroup = paramArrayOfConsistencyGroup;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.consistencyGroup == null ? 0 : this.consistencyGroup.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.consistencyGroup[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.consistencyGroup = new ConsistencyGroup[j];
      for (int k = 0; k < j; k++)
      {
        this.consistencyGroup[k] = new ConsistencyGroup();
        this.consistencyGroup[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}