package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ControllerDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef controllerRef = new ControllerRef();
  private SAIdentifier saId = new SAIdentifier();

  public ControllerDescriptor()
  {
  }

  public ControllerDescriptor(ControllerDescriptor paramControllerDescriptor)
  {
    this.controllerRef = paramControllerDescriptor.controllerRef;
    this.saId = paramControllerDescriptor.saId;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public SAIdentifier getSaId()
  {
    return this.saId;
  }

  public void setSaId(SAIdentifier paramSAIdentifier)
  {
    this.saId = paramSAIdentifier;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.controllerRef.xdrEncode(paramXDROutputStream);
    this.saId.xdrEncode(paramXDROutputStream);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.controllerRef.xdrDecode(paramXDRInputStream);
    this.saId.xdrDecode(paramXDRInputStream);
  }
}