package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ControllerMiswireError
  implements XDRType, SYMbolAPIConstants
{
  private DriveChannelPortRef portRefA = new DriveChannelPortRef();
  private DriveChannelPortRef portRefB = new DriveChannelPortRef();

  public ControllerMiswireError()
  {
  }

  public ControllerMiswireError(ControllerMiswireError paramControllerMiswireError)
  {
    this.portRefA = paramControllerMiswireError.portRefA;
    this.portRefB = paramControllerMiswireError.portRefB;
  }

  public DriveChannelPortRef getPortRefA()
  {
    return this.portRefA;
  }

  public void setPortRefA(DriveChannelPortRef paramDriveChannelPortRef)
  {
    this.portRefA = paramDriveChannelPortRef;
  }

  public DriveChannelPortRef getPortRefB()
  {
    return this.portRefB;
  }

  public void setPortRefB(DriveChannelPortRef paramDriveChannelPortRef)
  {
    this.portRefB = paramDriveChannelPortRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.portRefA.xdrEncode(paramXDROutputStream);
    this.portRefB.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.portRefA.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.portRefB.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}