package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannelParent
  implements XDRType, SYMbolAPIConstants
{
  private DriveChannelParentType driveChannelParent = new DriveChannelParentType();
  private ComponentRef minihubRef = new ComponentRef();
  private ControllerRef controllerRef = new ControllerRef();

  public DriveChannelParent()
  {
  }

  public DriveChannelParent(DriveChannelParent paramDriveChannelParent)
  {
    this.minihubRef = paramDriveChannelParent.minihubRef;
    this.controllerRef = paramDriveChannelParent.controllerRef;
  }

  public DriveChannelParentType getDriveChannelParent()
  {
    return this.driveChannelParent;
  }

  public void setDriveChannelParent(DriveChannelParentType paramDriveChannelParentType)
  {
    this.driveChannelParent = paramDriveChannelParentType;
  }

  public ComponentRef getMinihubRef()
  {
    return this.minihubRef;
  }

  public void setMinihubRef(ComponentRef paramComponentRef)
  {
    this.minihubRef = paramComponentRef;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.driveChannelParent.xdrEncode(paramXDROutputStream);
    switch (this.driveChannelParent.getValue())
    {
    case 0:
      break;
    case 1:
      this.minihubRef.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      this.controllerRef.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.driveChannelParent.xdrDecode(paramXDRInputStream);
    switch (this.driveChannelParent.getValue())
    {
    case 0:
      break;
    case 1:
      this.minihubRef.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.controllerRef.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}