package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ESMFirmwareUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private TrayRef trayRef = new TrayRef();
  private FirmwareUpdateDescriptor firmwareUpdateDescriptor = new FirmwareUpdateDescriptor();

  public ESMFirmwareUpdateDescriptor()
  {
  }

  public ESMFirmwareUpdateDescriptor(ESMFirmwareUpdateDescriptor paramESMFirmwareUpdateDescriptor)
  {
    this.trayRef = paramESMFirmwareUpdateDescriptor.trayRef;
    this.firmwareUpdateDescriptor = paramESMFirmwareUpdateDescriptor.firmwareUpdateDescriptor;
  }

  public TrayRef getTrayRef()
  {
    return this.trayRef;
  }

  public void setTrayRef(TrayRef paramTrayRef)
  {
    this.trayRef = paramTrayRef;
  }

  public FirmwareUpdateDescriptor getFirmwareUpdateDescriptor()
  {
    return this.firmwareUpdateDescriptor;
  }

  public void setFirmwareUpdateDescriptor(FirmwareUpdateDescriptor paramFirmwareUpdateDescriptor)
  {
    this.firmwareUpdateDescriptor = paramFirmwareUpdateDescriptor;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.trayRef.xdrEncode(paramXDROutputStream);
    this.firmwareUpdateDescriptor.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.trayRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.firmwareUpdateDescriptor.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}