package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class EsmInterfaceAttributes
  implements XDRType, SYMbolAPIConstants
{
  private IOInterfaceType ioInterfaceType = new IOInterfaceType();
  private FibreEsmAttributes fibreEsmAttributes = new FibreEsmAttributes();

  public EsmInterfaceAttributes()
  {
  }

  public EsmInterfaceAttributes(EsmInterfaceAttributes paramEsmInterfaceAttributes)
  {
    this.fibreEsmAttributes = paramEsmInterfaceAttributes.fibreEsmAttributes;
  }

  public IOInterfaceType getIoInterfaceType()
  {
    return this.ioInterfaceType;
  }

  public void setIoInterfaceType(IOInterfaceType paramIOInterfaceType)
  {
    this.ioInterfaceType = paramIOInterfaceType;
  }

  public FibreEsmAttributes getFibreEsmAttributes()
  {
    return this.fibreEsmAttributes;
  }

  public void setFibreEsmAttributes(FibreEsmAttributes paramFibreEsmAttributes)
  {
    this.fibreEsmAttributes = paramFibreEsmAttributes;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.ioInterfaceType.xdrEncode(paramXDROutputStream);
    switch (this.ioInterfaceType.getValue())
    {
    case 0:
      break;
    case 1:
      break;
    case 2:
      this.fibreEsmAttributes.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.ioInterfaceType.xdrDecode(paramXDRInputStream);
    switch (this.ioInterfaceType.getValue())
    {
    case 0:
      break;
    case 1:
      break;
    case 2:
      this.fibreEsmAttributes.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}