package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class GhostVolume
  implements XDRType, SYMbolAPIConstants
{
  private byte[] worldWideName;
  private GhostVolRef volumeRef = new GhostVolRef();
  private byte[] reserved1;
  private byte[] reserved2;

  public GhostVolume()
  {
  }

  public GhostVolume(GhostVolume paramGhostVolume)
  {
    this.worldWideName = paramGhostVolume.worldWideName;
    this.volumeRef = paramGhostVolume.volumeRef;
    this.reserved1 = paramGhostVolume.reserved1;
    this.reserved2 = paramGhostVolume.reserved2;
  }

  public byte[] getWorldWideName()
  {
    return this.worldWideName;
  }

  public void setWorldWideName(byte[] paramArrayOfByte)
  {
    this.worldWideName = paramArrayOfByte;
  }

  public GhostVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(GhostVolRef paramGhostVolRef)
  {
    this.volumeRef = paramGhostVolRef;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putVariableOpaque(this.worldWideName);
    this.volumeRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.worldWideName = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}