package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostPortRenameDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private HostPortRef hostPortRef = new HostPortRef();
  private HostPortName hostPortName = new HostPortName();
  private UserAssignedLabel label = new UserAssignedLabel();

  public HostPortRenameDescriptor()
  {
  }

  public HostPortRenameDescriptor(HostPortRenameDescriptor paramHostPortRenameDescriptor)
  {
    this.hostPortRef = paramHostPortRenameDescriptor.hostPortRef;
    this.hostPortName = paramHostPortRenameDescriptor.hostPortName;
    this.label = paramHostPortRenameDescriptor.label;
  }

  public HostPortRef getHostPortRef()
  {
    return this.hostPortRef;
  }

  public void setHostPortRef(HostPortRef paramHostPortRef)
  {
    this.hostPortRef = paramHostPortRef;
  }

  public HostPortName getHostPortName()
  {
    return this.hostPortName;
  }

  public void setHostPortName(HostPortName paramHostPortName)
  {
    this.hostPortName = paramHostPortName;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.hostPortRef.xdrEncode(paramXDROutputStream);
    this.hostPortName.xdrEncode(paramXDROutputStream);
    this.label.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortName.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}