package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HotSpareCandidate
  implements XDRType, SYMbolAPIConstants
{
  private DriveRef driveRef = new DriveRef();
  private VolumeGroupRefList volumeGroupRefList = new VolumeGroupRefList();

  public HotSpareCandidate()
  {
  }

  public HotSpareCandidate(HotSpareCandidate paramHotSpareCandidate)
  {
    this.driveRef = paramHotSpareCandidate.driveRef;
    this.volumeGroupRefList = paramHotSpareCandidate.volumeGroupRefList;
  }

  public DriveRef getDriveRef()
  {
    return this.driveRef;
  }

  public void setDriveRef(DriveRef paramDriveRef)
  {
    this.driveRef = paramDriveRef;
  }

  public VolumeGroupRefList getVolumeGroupRefList()
  {
    return this.volumeGroupRefList;
  }

  public void setVolumeGroupRefList(VolumeGroupRefList paramVolumeGroupRefList)
  {
    this.volumeGroupRefList = paramVolumeGroupRefList;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.driveRef.xdrEncode(paramXDROutputStream);
    this.volumeGroupRefList.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.driveRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupRefList.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}