package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HotSpareCandidateList
  implements XDRType, SYMbolAPIConstants
{
  private HotSpareCandidate[] hotSpareCandidate;
  private ReturnCode returnCode = new ReturnCode();

  public HotSpareCandidateList()
  {
  }

  public HotSpareCandidateList(HotSpareCandidateList paramHotSpareCandidateList)
  {
    this.hotSpareCandidate = paramHotSpareCandidateList.hotSpareCandidate;
    this.returnCode = paramHotSpareCandidateList.returnCode;
  }

  public HotSpareCandidate[] getHotSpareCandidate()
  {
    return this.hotSpareCandidate;
  }

  public void setHotSpareCandidate(HotSpareCandidate[] paramArrayOfHotSpareCandidate)
  {
    this.hotSpareCandidate = paramArrayOfHotSpareCandidate;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.hotSpareCandidate == null ? 0 : this.hotSpareCandidate.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.hotSpareCandidate[k].xdrEncode(paramXDROutputStream);
    this.returnCode.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.hotSpareCandidate = new HotSpareCandidate[j];
      for (int k = 0; k < j; k++)
      {
        this.hotSpareCandidate[k] = new HotSpareCandidate();
        this.hotSpareCandidate[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}