package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HotSpareCoverageList
  implements XDRType, SYMbolAPIConstants
{
  private HotSpareCoverage[] hotSpareCoverage;
  private ReturnCode returnCode = new ReturnCode();

  public HotSpareCoverageList()
  {
  }

  public HotSpareCoverageList(HotSpareCoverageList paramHotSpareCoverageList)
  {
    this.hotSpareCoverage = paramHotSpareCoverageList.hotSpareCoverage;
    this.returnCode = paramHotSpareCoverageList.returnCode;
  }

  public HotSpareCoverage[] getHotSpareCoverage()
  {
    return this.hotSpareCoverage;
  }

  public void setHotSpareCoverage(HotSpareCoverage[] paramArrayOfHotSpareCoverage)
  {
    this.hotSpareCoverage = paramArrayOfHotSpareCoverage;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.hotSpareCoverage == null ? 0 : this.hotSpareCoverage.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.hotSpareCoverage[k].xdrEncode(paramXDROutputStream);
    this.returnCode.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.hotSpareCoverage = new HotSpareCoverage[j];
      for (int k = 0; k < j; k++)
      {
        this.hotSpareCoverage[k] = new HotSpareCoverage();
        this.hotSpareCoverage[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}