package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class LUNMappings
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode returnCode = new ReturnCode();
  private LUNMapping[] lunMapping;

  public LUNMappings()
  {
  }

  public LUNMappings(LUNMappings paramLUNMappings)
  {
    this.returnCode = paramLUNMappings.returnCode;
    this.lunMapping = paramLUNMappings.lunMapping;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public LUNMapping[] getLunMapping()
  {
    return this.lunMapping;
  }

  public void setLunMapping(LUNMapping[] paramArrayOfLUNMapping)
  {
    this.lunMapping = paramArrayOfLUNMapping;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.returnCode.xdrEncode(paramXDROutputStream);
    int j = this.lunMapping == null ? 0 : this.lunMapping.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.lunMapping[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.lunMapping = new LUNMapping[j];
      for (int k = 0; k < j; k++)
      {
        this.lunMapping[k] = new LUNMapping();
        this.lunMapping[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}