package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MgmtClientRecord
  implements XDRType, SYMbolAPIConstants
{
  private MgmtClientRecordId id = new MgmtClientRecordId();
  private byte[] content;

  public MgmtClientRecord()
  {
  }

  public MgmtClientRecord(MgmtClientRecord paramMgmtClientRecord)
  {
    this.id = paramMgmtClientRecord.id;
    this.content = paramMgmtClientRecord.content;
  }

  public MgmtClientRecordId getId()
  {
    return this.id;
  }

  public void setId(MgmtClientRecordId paramMgmtClientRecordId)
  {
    this.id = paramMgmtClientRecordId;
  }

  public byte[] getContent()
  {
    return this.content;
  }

  public void setContent(byte[] paramArrayOfByte)
  {
    this.content = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.id.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putVariableOpaque(this.content);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.id.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.content = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}