package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorSyncPriorityDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private MirrorProxyRef mirrorProxy = new MirrorProxyRef();
  private MirrorSyncPriority syncPriority = new MirrorSyncPriority();

  public MirrorSyncPriorityDescriptor()
  {
  }

  public MirrorSyncPriorityDescriptor(MirrorSyncPriorityDescriptor paramMirrorSyncPriorityDescriptor)
  {
    this.mirrorProxy = paramMirrorSyncPriorityDescriptor.mirrorProxy;
    this.syncPriority = paramMirrorSyncPriorityDescriptor.syncPriority;
  }

  public MirrorProxyRef getMirrorProxy()
  {
    return this.mirrorProxy;
  }

  public void setMirrorProxy(MirrorProxyRef paramMirrorProxyRef)
  {
    this.mirrorProxy = paramMirrorProxyRef;
  }

  public MirrorSyncPriority getSyncPriority()
  {
    return this.syncPriority;
  }

  public void setSyncPriority(MirrorSyncPriority paramMirrorSyncPriority)
  {
    this.syncPriority = paramMirrorSyncPriority;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.mirrorProxy.xdrEncode(paramXDROutputStream);
    this.syncPriority.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.mirrorProxy.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.syncPriority.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}