package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorUnsynchronized
  implements XDRType, SYMbolAPIConstants
{
  private MirrorProxyRef mirrorVolume = new MirrorProxyRef();

  public MirrorUnsynchronized()
  {
  }

  public MirrorUnsynchronized(MirrorUnsynchronized paramMirrorUnsynchronized)
  {
    this.mirrorVolume = paramMirrorUnsynchronized.mirrorVolume;
  }

  public MirrorProxyRef getMirrorVolume()
  {
    return this.mirrorVolume;
  }

  public void setMirrorVolume(MirrorProxyRef paramMirrorProxyRef)
  {
    this.mirrorVolume = paramMirrorProxyRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.mirrorVolume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.mirrorVolume.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}