package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PRegistrationList
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode returnCode = new ReturnCode();
  private PRegistration[] persistentRegistration;

  public PRegistrationList()
  {
  }

  public PRegistrationList(PRegistrationList paramPRegistrationList)
  {
    this.returnCode = paramPRegistrationList.returnCode;
    this.persistentRegistration = paramPRegistrationList.persistentRegistration;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public PRegistration[] getPersistentRegistration()
  {
    return this.persistentRegistration;
  }

  public void setPersistentRegistration(PRegistration[] paramArrayOfPRegistration)
  {
    this.persistentRegistration = paramArrayOfPRegistration;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.returnCode.xdrEncode(paramXDROutputStream);
    int j = this.persistentRegistration == null ? 0 : this.persistentRegistration.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.persistentRegistration[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.persistentRegistration = new PRegistration[j];
      for (int k = 0; k < j; k++)
      {
        this.persistentRegistration[k] = new PRegistration();
        this.persistentRegistration[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}