package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PortList
  implements XDRType, SYMbolAPIConstants
{
  private Port[] ports;

  public PortList()
  {
  }

  public PortList(PortList paramPortList)
  {
    this.ports = paramPortList.ports;
  }

  public Port[] getPorts()
  {
    return this.ports;
  }

  public void setPorts(Port[] paramArrayOfPort)
  {
    this.ports = paramArrayOfPort;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.ports == null ? 0 : this.ports.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.ports[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.ports = new Port[j];
      for (int k = 0; k < j; k++)
      {
        this.ports[k] = new Port();
        this.ports[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}