package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RLSCommandDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private RLSCommand command = new RLSCommand();
  private int[] channels;
  private RLSDevices devices = new RLSDevices();

  public RLSCommandDescriptor()
  {
  }

  public RLSCommandDescriptor(RLSCommandDescriptor paramRLSCommandDescriptor)
  {
    this.channels = paramRLSCommandDescriptor.channels;
    this.devices = paramRLSCommandDescriptor.devices;
  }

  public RLSCommand getCommand()
  {
    return this.command;
  }

  public void setCommand(RLSCommand paramRLSCommand)
  {
    this.command = paramRLSCommand;
  }

  public int[] getChannels()
  {
    return this.channels;
  }

  public void setChannels(int[] paramArrayOfInt)
  {
    this.channels = paramArrayOfInt;
  }

  public RLSDevices getDevices()
  {
    return this.devices;
  }

  public void setDevices(RLSDevices paramRLSDevices)
  {
    this.devices = paramRLSDevices;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.command.xdrEncode(paramXDROutputStream);
    switch (this.command.getValue())
    {
    case 1:
      break;
    case 2:
      int j = this.channels == null ? 0 : this.channels.length;
      paramXDROutputStream.putInt(j);
      for (int k = 0; k < j; k++)
        paramXDROutputStream.putInt(this.channels[k]);
      break;
    case 3:
      this.devices.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.command.xdrDecode(paramXDRInputStream);
    switch (this.command.getValue())
    {
    case 1:
      break;
    case 2:
      int j = paramXDRInputStream.getInt();
      this.channels = new int[j];
      for (int k = 0; k < j; k++)
        this.channels[k] = paramXDRInputStream.getInt();
      break;
    case 3:
      this.devices.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}