package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RLSDevices
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef[] controllers;
  private DriveRef[] drives;
  private ComponentRef[] esms;

  public RLSDevices()
  {
  }

  public RLSDevices(RLSDevices paramRLSDevices)
  {
    this.controllers = paramRLSDevices.controllers;
    this.drives = paramRLSDevices.drives;
    this.esms = paramRLSDevices.esms;
  }

  public ControllerRef[] getControllers()
  {
    return this.controllers;
  }

  public void setControllers(ControllerRef[] paramArrayOfControllerRef)
  {
    this.controllers = paramArrayOfControllerRef;
  }

  public DriveRef[] getDrives()
  {
    return this.drives;
  }

  public void setDrives(DriveRef[] paramArrayOfDriveRef)
  {
    this.drives = paramArrayOfDriveRef;
  }

  public ComponentRef[] getEsms()
  {
    return this.esms;
  }

  public void setEsms(ComponentRef[] paramArrayOfComponentRef)
  {
    this.esms = paramArrayOfComponentRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.controllers == null ? 0 : this.controllers.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.controllers[k].xdrEncode(paramXDROutputStream);
    j = this.drives == null ? 0 : this.drives.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.drives[k].xdrEncode(paramXDROutputStream);
    j = this.esms == null ? 0 : this.esms.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.esms[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    int j;
    int k;
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.controllers = new ControllerRef[j];
      for (k = 0; k < j; k++)
      {
        this.controllers[k] = new ControllerRef();
        this.controllers[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.drives = new DriveRef[j];
      for (k = 0; k < j; k++)
      {
        this.drives[k] = new DriveRef();
        this.drives[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.esms = new ComponentRef[j];
      for (k = 0; k < j; k++)
      {
        this.esms[k] = new ComponentRef();
        this.esms[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}