package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RTRObject
  implements XDRType, SYMbolAPIConstants
{
  private RTRType rtrType = new RTRType();
  private ComponentRef interconnectRef = new ComponentRef();
  private ComponentRef supportCruRef = new ComponentRef();
  private ControllerRef controllerRef = new ControllerRef();
  private ComponentRef batteryRef = new ComponentRef();
  private DriveRef driveRef = new DriveRef();
  private ComponentRef esmRef = new ComponentRef();
  private ComponentRef fanRef = new ComponentRef();
  private ComponentRef powerSupplyRef = new ComponentRef();
  private ComponentRef minihubRef = new ComponentRef();

  public RTRObject()
  {
  }

  public RTRObject(RTRObject paramRTRObject)
  {
    this.interconnectRef = paramRTRObject.interconnectRef;
    this.supportCruRef = paramRTRObject.supportCruRef;
    this.controllerRef = paramRTRObject.controllerRef;
    this.batteryRef = paramRTRObject.batteryRef;
    this.driveRef = paramRTRObject.driveRef;
    this.esmRef = paramRTRObject.esmRef;
    this.fanRef = paramRTRObject.fanRef;
    this.powerSupplyRef = paramRTRObject.powerSupplyRef;
    this.minihubRef = paramRTRObject.minihubRef;
  }

  public RTRType getRtrType()
  {
    return this.rtrType;
  }

  public void setRtrType(RTRType paramRTRType)
  {
    this.rtrType = paramRTRType;
  }

  public ComponentRef getInterconnectRef()
  {
    return this.interconnectRef;
  }

  public void setInterconnectRef(ComponentRef paramComponentRef)
  {
    this.interconnectRef = paramComponentRef;
  }

  public ComponentRef getSupportCruRef()
  {
    return this.supportCruRef;
  }

  public void setSupportCruRef(ComponentRef paramComponentRef)
  {
    this.supportCruRef = paramComponentRef;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public ComponentRef getBatteryRef()
  {
    return this.batteryRef;
  }

  public void setBatteryRef(ComponentRef paramComponentRef)
  {
    this.batteryRef = paramComponentRef;
  }

  public DriveRef getDriveRef()
  {
    return this.driveRef;
  }

  public void setDriveRef(DriveRef paramDriveRef)
  {
    this.driveRef = paramDriveRef;
  }

  public ComponentRef getEsmRef()
  {
    return this.esmRef;
  }

  public void setEsmRef(ComponentRef paramComponentRef)
  {
    this.esmRef = paramComponentRef;
  }

  public ComponentRef getFanRef()
  {
    return this.fanRef;
  }

  public void setFanRef(ComponentRef paramComponentRef)
  {
    this.fanRef = paramComponentRef;
  }

  public ComponentRef getPowerSupplyRef()
  {
    return this.powerSupplyRef;
  }

  public void setPowerSupplyRef(ComponentRef paramComponentRef)
  {
    this.powerSupplyRef = paramComponentRef;
  }

  public ComponentRef getMinihubRef()
  {
    return this.minihubRef;
  }

  public void setMinihubRef(ComponentRef paramComponentRef)
  {
    this.minihubRef = paramComponentRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.rtrType.xdrEncode(paramXDROutputStream);
    switch (this.rtrType.getValue())
    {
    case 0:
      break;
    case 1:
      this.interconnectRef.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      this.supportCruRef.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      this.controllerRef.xdrEncode(paramXDROutputStream);
      break;
    case 4:
      this.batteryRef.xdrEncode(paramXDROutputStream);
      break;
    case 5:
      this.driveRef.xdrEncode(paramXDROutputStream);
      break;
    case 6:
      this.esmRef.xdrEncode(paramXDROutputStream);
      break;
    case 7:
      this.fanRef.xdrEncode(paramXDROutputStream);
      break;
    case 8:
      this.powerSupplyRef.xdrEncode(paramXDROutputStream);
      break;
    case 9:
      this.minihubRef.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.rtrType.xdrDecode(paramXDRInputStream);
    switch (this.rtrType.getValue())
    {
    case 0:
      break;
    case 1:
      this.interconnectRef.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.supportCruRef.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      this.controllerRef.xdrDecode(paramXDRInputStream);
      break;
    case 4:
      this.batteryRef.xdrDecode(paramXDRInputStream);
      break;
    case 5:
      this.driveRef.xdrDecode(paramXDRInputStream);
      break;
    case 6:
      this.esmRef.xdrDecode(paramXDRInputStream);
      break;
    case 7:
      this.fanRef.xdrDecode(paramXDRInputStream);
      break;
    case 8:
      this.powerSupplyRef.xdrDecode(paramXDRInputStream);
      break;
    case 9:
      this.minihubRef.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}