package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RTRUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private RTRTypeRef rtrRef = new RTRTypeRef();
  private RTRControl rtrControl = new RTRControl();

  public RTRUpdateDescriptor()
  {
  }

  public RTRUpdateDescriptor(RTRUpdateDescriptor paramRTRUpdateDescriptor)
  {
    this.rtrRef = paramRTRUpdateDescriptor.rtrRef;
    this.rtrControl = paramRTRUpdateDescriptor.rtrControl;
  }

  public RTRTypeRef getRtrRef()
  {
    return this.rtrRef;
  }

  public void setRtrRef(RTRTypeRef paramRTRTypeRef)
  {
    this.rtrRef = paramRTRTypeRef;
  }

  public RTRControl getRtrControl()
  {
    return this.rtrControl;
  }

  public void setRtrControl(RTRControl paramRTRControl)
  {
    this.rtrControl = paramRTRControl;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.rtrRef.xdrEncode(paramXDROutputStream);
    this.rtrControl.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.rtrRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.rtrControl.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}