package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RegistrantList
  implements XDRType, SYMbolAPIConstants
{
  private Registrant[] registrant;

  public RegistrantList()
  {
  }

  public RegistrantList(RegistrantList paramRegistrantList)
  {
    this.registrant = paramRegistrantList.registrant;
  }

  public Registrant[] getRegistrant()
  {
    return this.registrant;
  }

  public void setRegistrant(Registrant[] paramArrayOfRegistrant)
  {
    this.registrant = paramArrayOfRegistrant;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.registrant == null ? 0 : this.registrant.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.registrant[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.registrant = new Registrant[j];
      for (int k = 0; k < j; k++)
      {
        this.registrant[k] = new Registrant();
        this.registrant[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}