package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ReturnCodeWithOpaqueData
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode returnCode = new ReturnCode();
  private byte[] data;

  public ReturnCodeWithOpaqueData()
  {
  }

  public ReturnCodeWithOpaqueData(ReturnCodeWithOpaqueData paramReturnCodeWithOpaqueData)
  {
    this.returnCode = paramReturnCodeWithOpaqueData.returnCode;
    this.data = paramReturnCodeWithOpaqueData.data;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public byte[] getData()
  {
    return this.data;
  }

  public void setData(byte[] paramArrayOfByte)
  {
    this.data = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.returnCode.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putVariableOpaque(this.data);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.data = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}