package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SFPParentTypeData
  implements XDRType, SYMbolAPIConstants
{
  private SFPParentType sfpParentType = new SFPParentType();
  private ComponentRef parentEsm = new ComponentRef();
  private ComponentRef parentMinihub = new ComponentRef();
  private ControllerSFP controllerSFP = new ControllerSFP();

  public SFPParentTypeData()
  {
  }

  public SFPParentTypeData(SFPParentTypeData paramSFPParentTypeData)
  {
    this.parentEsm = paramSFPParentTypeData.parentEsm;
    this.parentMinihub = paramSFPParentTypeData.parentMinihub;
    this.controllerSFP = paramSFPParentTypeData.controllerSFP;
  }

  public SFPParentType getSfpParentType()
  {
    return this.sfpParentType;
  }

  public void setSfpParentType(SFPParentType paramSFPParentType)
  {
    this.sfpParentType = paramSFPParentType;
  }

  public ComponentRef getParentEsm()
  {
    return this.parentEsm;
  }

  public void setParentEsm(ComponentRef paramComponentRef)
  {
    this.parentEsm = paramComponentRef;
  }

  public ComponentRef getParentMinihub()
  {
    return this.parentMinihub;
  }

  public void setParentMinihub(ComponentRef paramComponentRef)
  {
    this.parentMinihub = paramComponentRef;
  }

  public ControllerSFP getControllerSFP()
  {
    return this.controllerSFP;
  }

  public void setControllerSFP(ControllerSFP paramControllerSFP)
  {
    this.controllerSFP = paramControllerSFP;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.sfpParentType.xdrEncode(paramXDROutputStream);
    switch (this.sfpParentType.getValue())
    {
    case 1:
      this.parentEsm.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      this.parentMinihub.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      this.controllerSFP.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.sfpParentType.xdrDecode(paramXDRInputStream);
    switch (this.sfpParentType.getValue())
    {
    case 1:
      this.parentEsm.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.parentMinihub.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      this.controllerSFP.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}