package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Sfp
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef sfpRef = new ComponentRef();
  private SFPStatus status = new SFPStatus();
  private Location physicalLocation = new Location();
  private SFPType sfpType = new SFPType();
  private SFPPort sfpPort = new SFPPort();
  private SFPParentTypeData parentData = new SFPParentTypeData();
  private byte[] reserved1;
  private byte[] reserved2;

  public Sfp()
  {
  }

  public Sfp(Sfp paramSfp)
  {
    this.sfpRef = paramSfp.sfpRef;
    this.status = paramSfp.status;
    this.physicalLocation = paramSfp.physicalLocation;
    this.sfpType = paramSfp.sfpType;
    this.sfpPort = paramSfp.sfpPort;
    this.parentData = paramSfp.parentData;
    this.reserved1 = paramSfp.reserved1;
    this.reserved2 = paramSfp.reserved2;
  }

  public ComponentRef getSfpRef()
  {
    return this.sfpRef;
  }

  public void setSfpRef(ComponentRef paramComponentRef)
  {
    this.sfpRef = paramComponentRef;
  }

  public SFPStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(SFPStatus paramSFPStatus)
  {
    this.status = paramSFPStatus;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public SFPType getSfpType()
  {
    return this.sfpType;
  }

  public void setSfpType(SFPType paramSFPType)
  {
    this.sfpType = paramSFPType;
  }

  public SFPPort getSfpPort()
  {
    return this.sfpPort;
  }

  public void setSfpPort(SFPPort paramSFPPort)
  {
    this.sfpPort = paramSFPPort;
  }

  public SFPParentTypeData getParentData()
  {
    return this.parentData;
  }

  public void setParentData(SFPParentTypeData paramSFPParentTypeData)
  {
    this.parentData = paramSFPParentTypeData;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.sfpRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    this.sfpType.xdrEncode(paramXDROutputStream);
    this.sfpPort.xdrEncode(paramXDROutputStream);
    this.parentData.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.sfpRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.sfpType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.sfpPort.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.parentData.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}