package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SnapshotRefList
  implements XDRType, SYMbolAPIConstants
{
  private SnapshotRef[] snapshotRef;

  public SnapshotRefList()
  {
  }

  public SnapshotRefList(SnapshotRefList paramSnapshotRefList)
  {
    this.snapshotRef = paramSnapshotRefList.snapshotRef;
  }

  public SnapshotRef[] getSnapshotRef()
  {
    return this.snapshotRef;
  }

  public void setSnapshotRef(SnapshotRef[] paramArrayOfSnapshotRef)
  {
    this.snapshotRef = paramArrayOfSnapshotRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.snapshotRef == null ? 0 : this.snapshotRef.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.snapshotRef[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.snapshotRef = new SnapshotRef[j];
      for (int k = 0; k < j; k++)
      {
        this.snapshotRef[k] = new SnapshotRef();
        this.snapshotRef[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}