package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SnapshotVolume
  implements XDRType, SYMbolAPIConstants
{
  private byte[] worldWideName;
  private SnapshotRef snapshotRef = new SnapshotRef();
  private UserAssignedLabel label = new UserAssignedLabel();
  private SnapshotStatus status = new SnapshotStatus();
  private SnapshotAction action = new SnapshotAction();
  private ControllerRef currentManager = new ControllerRef();
  private AbstractVolRef baseVolume = new AbstractVolRef();
  private LegacyVolRef repositoryVolume = new LegacyVolRef();
  private int fullWarnThreshold;
  private boolean overWarnThreshold;
  private boolean repositoryFull;
  private RepositoryFullPolicy repFullPolicy = new RepositoryFullPolicy();
  private int rollbackPriority;
  private long extentStart;
  private long extentSize;
  private long snapshotTime;
  private VolumePerms perms = new VolumePerms();
  private boolean childrenInactive;
  private int volumeHandle;
  private int mgmtClientAttribute;

  public SnapshotVolume()
  {
  }

  public SnapshotVolume(SnapshotVolume paramSnapshotVolume)
  {
    this.worldWideName = paramSnapshotVolume.worldWideName;
    this.snapshotRef = paramSnapshotVolume.snapshotRef;
    this.label = paramSnapshotVolume.label;
    this.status = paramSnapshotVolume.status;
    this.action = paramSnapshotVolume.action;
    this.currentManager = paramSnapshotVolume.currentManager;
    this.baseVolume = paramSnapshotVolume.baseVolume;
    this.repositoryVolume = paramSnapshotVolume.repositoryVolume;
    this.fullWarnThreshold = paramSnapshotVolume.fullWarnThreshold;
    this.overWarnThreshold = paramSnapshotVolume.overWarnThreshold;
    this.repositoryFull = paramSnapshotVolume.repositoryFull;
    this.repFullPolicy = paramSnapshotVolume.repFullPolicy;
    this.rollbackPriority = paramSnapshotVolume.rollbackPriority;
    this.extentStart = paramSnapshotVolume.extentStart;
    this.extentSize = paramSnapshotVolume.extentSize;
    this.snapshotTime = paramSnapshotVolume.snapshotTime;
    this.perms = paramSnapshotVolume.perms;
    this.childrenInactive = paramSnapshotVolume.childrenInactive;
    this.volumeHandle = paramSnapshotVolume.volumeHandle;
    this.mgmtClientAttribute = paramSnapshotVolume.mgmtClientAttribute;
  }

  public byte[] getWorldWideName()
  {
    return this.worldWideName;
  }

  public void setWorldWideName(byte[] paramArrayOfByte)
  {
    this.worldWideName = paramArrayOfByte;
  }

  public SnapshotRef getSnapshotRef()
  {
    return this.snapshotRef;
  }

  public void setSnapshotRef(SnapshotRef paramSnapshotRef)
  {
    this.snapshotRef = paramSnapshotRef;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public SnapshotStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(SnapshotStatus paramSnapshotStatus)
  {
    this.status = paramSnapshotStatus;
  }

  public SnapshotAction getAction()
  {
    return this.action;
  }

  public void setAction(SnapshotAction paramSnapshotAction)
  {
    this.action = paramSnapshotAction;
  }

  public ControllerRef getCurrentManager()
  {
    return this.currentManager;
  }

  public void setCurrentManager(ControllerRef paramControllerRef)
  {
    this.currentManager = paramControllerRef;
  }

  public AbstractVolRef getBaseVolume()
  {
    return this.baseVolume;
  }

  public void setBaseVolume(AbstractVolRef paramAbstractVolRef)
  {
    this.baseVolume = paramAbstractVolRef;
  }

  public LegacyVolRef getRepositoryVolume()
  {
    return this.repositoryVolume;
  }

  public void setRepositoryVolume(LegacyVolRef paramLegacyVolRef)
  {
    this.repositoryVolume = paramLegacyVolRef;
  }

  public int getFullWarnThreshold()
  {
    return this.fullWarnThreshold;
  }

  public void setFullWarnThreshold(int paramInt)
  {
    this.fullWarnThreshold = paramInt;
  }

  public boolean getOverWarnThreshold()
  {
    return this.overWarnThreshold;
  }

  public void setOverWarnThreshold(boolean paramBoolean)
  {
    this.overWarnThreshold = paramBoolean;
  }

  public boolean getRepositoryFull()
  {
    return this.repositoryFull;
  }

  public void setRepositoryFull(boolean paramBoolean)
  {
    this.repositoryFull = paramBoolean;
  }

  public RepositoryFullPolicy getRepFullPolicy()
  {
    return this.repFullPolicy;
  }

  public void setRepFullPolicy(RepositoryFullPolicy paramRepositoryFullPolicy)
  {
    this.repFullPolicy = paramRepositoryFullPolicy;
  }

  public int getRollbackPriority()
  {
    return this.rollbackPriority;
  }

  public void setRollbackPriority(int paramInt)
  {
    this.rollbackPriority = paramInt;
  }

  public long getExtentStart()
  {
    return this.extentStart;
  }

  public void setExtentStart(long paramLong)
  {
    this.extentStart = paramLong;
  }

  public long getExtentSize()
  {
    return this.extentSize;
  }

  public void setExtentSize(long paramLong)
  {
    this.extentSize = paramLong;
  }

  public long getSnapshotTime()
  {
    return this.snapshotTime;
  }

  public void setSnapshotTime(long paramLong)
  {
    this.snapshotTime = paramLong;
  }

  public VolumePerms getPerms()
  {
    return this.perms;
  }

  public void setPerms(VolumePerms paramVolumePerms)
  {
    this.perms = paramVolumePerms;
  }

  public boolean getChildrenInactive()
  {
    return this.childrenInactive;
  }

  public void setChildrenInactive(boolean paramBoolean)
  {
    this.childrenInactive = paramBoolean;
  }

  public int getVolumeHandle()
  {
    return this.volumeHandle;
  }

  public void setVolumeHandle(int paramInt)
  {
    this.volumeHandle = paramInt;
  }

  public int getMgmtClientAttribute()
  {
    return this.mgmtClientAttribute;
  }

  public void setMgmtClientAttribute(int paramInt)
  {
    this.mgmtClientAttribute = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putVariableOpaque(this.worldWideName);
    this.snapshotRef.xdrEncode(paramXDROutputStream);
    this.label.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.action.xdrEncode(paramXDROutputStream);
    this.currentManager.xdrEncode(paramXDROutputStream);
    this.baseVolume.xdrEncode(paramXDROutputStream);
    this.repositoryVolume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.fullWarnThreshold);
    paramXDROutputStream.putBoolean(this.overWarnThreshold);
    paramXDROutputStream.putBoolean(this.repositoryFull);
    this.repFullPolicy.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.rollbackPriority);
    paramXDROutputStream.putLong(this.extentStart);
    paramXDROutputStream.putLong(this.extentSize);
    paramXDROutputStream.putLong(this.snapshotTime);
    this.perms.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.childrenInactive);
    paramXDROutputStream.putInt(this.volumeHandle);
    paramXDROutputStream.putInt(this.mgmtClientAttribute);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.worldWideName = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.snapshotRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.action.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.currentManager.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.baseVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.repositoryVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.fullWarnThreshold = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.overWarnThreshold = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.repositoryFull = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.repFullPolicy.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.rollbackPriority = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.extentStart = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.extentSize = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.snapshotTime = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.perms.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.childrenInactive = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeHandle = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.mgmtClientAttribute = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}