package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocCommandDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private SocCommand command = new SocCommand();
  private ControllerRef localController = new ControllerRef();

  public SocCommandDescriptor()
  {
  }

  public SocCommandDescriptor(SocCommandDescriptor paramSocCommandDescriptor)
  {
    this.localController = paramSocCommandDescriptor.localController;
  }

  public SocCommand getCommand()
  {
    return this.command;
  }

  public void setCommand(SocCommand paramSocCommand)
  {
    this.command = paramSocCommand;
  }

  public ControllerRef getLocalController()
  {
    return this.localController;
  }

  public void setLocalController(ControllerRef paramControllerRef)
  {
    this.localController = paramControllerRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.command.xdrEncode(paramXDROutputStream);
    switch (this.command.getValue())
    {
    case 1:
      this.localController.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.command.xdrDecode(paramXDRInputStream);
    switch (this.command.getValue())
    {
    case 1:
      this.localController.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}