package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocConnectedDeviceTypeData
  implements XDRType, SYMbolAPIConstants
{
  private SocConnectedDeviceType type = new SocConnectedDeviceType();
  private ControllerRef localController = new ControllerRef();
  private ControllerRef alternateController = new ControllerRef();
  private DriveRef drive = new DriveRef();
  private ComponentRef esm = new ComponentRef();
  private ComponentRef sfp = new ComponentRef();
  private Location physicalLocation = new Location();

  public SocConnectedDeviceTypeData()
  {
  }

  public SocConnectedDeviceTypeData(SocConnectedDeviceTypeData paramSocConnectedDeviceTypeData)
  {
    this.localController = paramSocConnectedDeviceTypeData.localController;
    this.alternateController = paramSocConnectedDeviceTypeData.alternateController;
    this.drive = paramSocConnectedDeviceTypeData.drive;
    this.esm = paramSocConnectedDeviceTypeData.esm;
    this.sfp = paramSocConnectedDeviceTypeData.sfp;
    this.physicalLocation = paramSocConnectedDeviceTypeData.physicalLocation;
  }

  public SocConnectedDeviceType getType()
  {
    return this.type;
  }

  public void setType(SocConnectedDeviceType paramSocConnectedDeviceType)
  {
    this.type = paramSocConnectedDeviceType;
  }

  public ControllerRef getLocalController()
  {
    return this.localController;
  }

  public void setLocalController(ControllerRef paramControllerRef)
  {
    this.localController = paramControllerRef;
  }

  public ControllerRef getAlternateController()
  {
    return this.alternateController;
  }

  public void setAlternateController(ControllerRef paramControllerRef)
  {
    this.alternateController = paramControllerRef;
  }

  public DriveRef getDrive()
  {
    return this.drive;
  }

  public void setDrive(DriveRef paramDriveRef)
  {
    this.drive = paramDriveRef;
  }

  public ComponentRef getEsm()
  {
    return this.esm;
  }

  public void setEsm(ComponentRef paramComponentRef)
  {
    this.esm = paramComponentRef;
  }

  public ComponentRef getSfp()
  {
    return this.sfp;
  }

  public void setSfp(ComponentRef paramComponentRef)
  {
    this.sfp = paramComponentRef;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.type.xdrEncode(paramXDROutputStream);
    switch (this.type.getValue())
    {
    case 0:
      this.localController.xdrEncode(paramXDROutputStream);
      break;
    case 1:
      this.alternateController.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      this.drive.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      this.esm.xdrEncode(paramXDROutputStream);
      break;
    case 4:
      this.sfp.xdrEncode(paramXDROutputStream);
      break;
    case 5:
      this.physicalLocation.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.type.xdrDecode(paramXDRInputStream);
    switch (this.type.getValue())
    {
    case 0:
      this.localController.xdrDecode(paramXDRInputStream);
      break;
    case 1:
      this.alternateController.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.drive.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      this.esm.xdrDecode(paramXDRInputStream);
      break;
    case 4:
      this.sfp.xdrDecode(paramXDRInputStream);
      break;
    case 5:
      this.physicalLocation.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}