package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocPortData
  implements XDRType, SYMbolAPIConstants
{
  private SocPortMode socPortMode = new SocPortMode();
  private SocConnectedDevice device = new SocConnectedDevice();
  private SocPortDiagnosticData socPortDiagData = new SocPortDiagnosticData();

  public SocPortData()
  {
  }

  public SocPortData(SocPortData paramSocPortData)
  {
    this.socPortMode = paramSocPortData.socPortMode;
    this.device = paramSocPortData.device;
    this.socPortDiagData = paramSocPortData.socPortDiagData;
  }

  public SocPortMode getSocPortMode()
  {
    return this.socPortMode;
  }

  public void setSocPortMode(SocPortMode paramSocPortMode)
  {
    this.socPortMode = paramSocPortMode;
  }

  public SocConnectedDevice getDevice()
  {
    return this.device;
  }

  public void setDevice(SocConnectedDevice paramSocConnectedDevice)
  {
    this.device = paramSocConnectedDevice;
  }

  public SocPortDiagnosticData getSocPortDiagData()
  {
    return this.socPortDiagData;
  }

  public void setSocPortDiagData(SocPortDiagnosticData paramSocPortDiagnosticData)
  {
    this.socPortDiagData = paramSocPortDiagnosticData;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.socPortMode.xdrEncode(paramXDROutputStream);
    this.device.xdrEncode(paramXDROutputStream);
    this.socPortDiagData.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.socPortMode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.device.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.socPortDiagData.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}