package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocStatistics
  implements XDRType, SYMbolAPIConstants
{
  private SocData[] socData;

  public SocStatistics()
  {
  }

  public SocStatistics(SocStatistics paramSocStatistics)
  {
    this.socData = paramSocStatistics.socData;
  }

  public SocData[] getSocData()
  {
    return this.socData;
  }

  public void setSocData(SocData[] paramArrayOfSocData)
  {
    this.socData = paramArrayOfSocData;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.socData == null ? 0 : this.socData.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.socData[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.socData = new SocData[j];
      for (int k = 0; k < j; k++)
      {
        this.socData[k] = new SocData();
        this.socData[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}