package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocStatisticsReturned
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode returnCode = new ReturnCode();
  private SocStatistics socStatistics = new SocStatistics();

  public SocStatisticsReturned()
  {
  }

  public SocStatisticsReturned(SocStatisticsReturned paramSocStatisticsReturned)
  {
    this.socStatistics = paramSocStatisticsReturned.socStatistics;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public SocStatistics getSocStatistics()
  {
    return this.socStatistics;
  }

  public void setSocStatistics(SocStatistics paramSocStatistics)
  {
    this.socStatistics = paramSocStatistics;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.returnCode.xdrEncode(paramXDROutputStream);
    switch (this.returnCode.getValue())
    {
    case 1:
      this.socStatistics.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.returnCode.xdrDecode(paramXDRInputStream);
    switch (this.returnCode.getValue())
    {
    case 1:
      this.socStatistics.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}