package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class StoragePoolBundle
  implements XDRType, SYMbolAPIConstants
{
  private SAPortGroup[] saPortGroup;
  private SAPort[] saPort;
  private Cluster[] cluster;
  private Host[] host;
  private HostPort[] hostPort;
  private LUNMapping[] lunMapping;

  public StoragePoolBundle()
  {
  }

  public StoragePoolBundle(StoragePoolBundle paramStoragePoolBundle)
  {
    this.saPortGroup = paramStoragePoolBundle.saPortGroup;
    this.saPort = paramStoragePoolBundle.saPort;
    this.cluster = paramStoragePoolBundle.cluster;
    this.host = paramStoragePoolBundle.host;
    this.hostPort = paramStoragePoolBundle.hostPort;
    this.lunMapping = paramStoragePoolBundle.lunMapping;
  }

  public SAPortGroup[] getSaPortGroup()
  {
    return this.saPortGroup;
  }

  public void setSaPortGroup(SAPortGroup[] paramArrayOfSAPortGroup)
  {
    this.saPortGroup = paramArrayOfSAPortGroup;
  }

  public SAPort[] getSaPort()
  {
    return this.saPort;
  }

  public void setSaPort(SAPort[] paramArrayOfSAPort)
  {
    this.saPort = paramArrayOfSAPort;
  }

  public Cluster[] getCluster()
  {
    return this.cluster;
  }

  public void setCluster(Cluster[] paramArrayOfCluster)
  {
    this.cluster = paramArrayOfCluster;
  }

  public Host[] getHost()
  {
    return this.host;
  }

  public void setHost(Host[] paramArrayOfHost)
  {
    this.host = paramArrayOfHost;
  }

  public HostPort[] getHostPort()
  {
    return this.hostPort;
  }

  public void setHostPort(HostPort[] paramArrayOfHostPort)
  {
    this.hostPort = paramArrayOfHostPort;
  }

  public LUNMapping[] getLunMapping()
  {
    return this.lunMapping;
  }

  public void setLunMapping(LUNMapping[] paramArrayOfLUNMapping)
  {
    this.lunMapping = paramArrayOfLUNMapping;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.saPortGroup == null ? 0 : this.saPortGroup.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.saPortGroup[k].xdrEncode(paramXDROutputStream);
    j = this.saPort == null ? 0 : this.saPort.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.saPort[k].xdrEncode(paramXDROutputStream);
    j = this.cluster == null ? 0 : this.cluster.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.cluster[k].xdrEncode(paramXDROutputStream);
    j = this.host == null ? 0 : this.host.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.host[k].xdrEncode(paramXDROutputStream);
    j = this.hostPort == null ? 0 : this.hostPort.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.hostPort[k].xdrEncode(paramXDROutputStream);
    j = this.lunMapping == null ? 0 : this.lunMapping.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.lunMapping[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    int j;
    int k;
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.saPortGroup = new SAPortGroup[j];
      for (k = 0; k < j; k++)
      {
        this.saPortGroup[k] = new SAPortGroup();
        this.saPortGroup[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.saPort = new SAPort[j];
      for (k = 0; k < j; k++)
      {
        this.saPort[k] = new SAPort();
        this.saPort[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.cluster = new Cluster[j];
      for (k = 0; k < j; k++)
      {
        this.cluster[k] = new Cluster();
        this.cluster[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.host = new Host[j];
      for (k = 0; k < j; k++)
      {
        this.host[k] = new Host();
        this.host[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.hostPort = new HostPort[j];
      for (k = 0; k < j; k++)
      {
        this.hostPort[k] = new HostPort();
        this.hostPort[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.lunMapping = new LUNMapping[j];
      for (k = 0; k < j; k++)
      {
        this.lunMapping[k] = new LUNMapping();
        this.lunMapping[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}