package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ThermalSensor
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef thermalSensorRef = new ComponentRef();
  private ThermalSensorStatus status = new ThermalSensorStatus();
  private Location physicalLocation = new Location();
  private byte[] reserved1;
  private byte[] reserved2;

  public ThermalSensor()
  {
  }

  public ThermalSensor(ThermalSensor paramThermalSensor)
  {
    this.thermalSensorRef = paramThermalSensor.thermalSensorRef;
    this.status = paramThermalSensor.status;
    this.physicalLocation = paramThermalSensor.physicalLocation;
    this.reserved1 = paramThermalSensor.reserved1;
    this.reserved2 = paramThermalSensor.reserved2;
  }

  public ComponentRef getThermalSensorRef()
  {
    return this.thermalSensorRef;
  }

  public void setThermalSensorRef(ComponentRef paramComponentRef)
  {
    this.thermalSensorRef = paramComponentRef;
  }

  public ThermalSensorStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(ThermalSensorStatus paramThermalSensorStatus)
  {
    this.status = paramThermalSensorStatus;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.thermalSensorRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.thermalSensorRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}