package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCandidateRequest
  implements XDRType, SYMbolAPIConstants
{
  private CandidateSelectionTypeData candidateSelectionType = new CandidateSelectionTypeData();
  private RAIDLevel raidLevel = new RAIDLevel();
  private PhysicalDriveType phyDriveType = new PhysicalDriveType();

  public VolumeCandidateRequest()
  {
  }

  public VolumeCandidateRequest(VolumeCandidateRequest paramVolumeCandidateRequest)
  {
    this.candidateSelectionType = paramVolumeCandidateRequest.candidateSelectionType;
    this.raidLevel = paramVolumeCandidateRequest.raidLevel;
    this.phyDriveType = paramVolumeCandidateRequest.phyDriveType;
  }

  public CandidateSelectionTypeData getCandidateSelectionType()
  {
    return this.candidateSelectionType;
  }

  public void setCandidateSelectionType(CandidateSelectionTypeData paramCandidateSelectionTypeData)
  {
    this.candidateSelectionType = paramCandidateSelectionTypeData;
  }

  public RAIDLevel getRaidLevel()
  {
    return this.raidLevel;
  }

  public void setRaidLevel(RAIDLevel paramRAIDLevel)
  {
    this.raidLevel = paramRAIDLevel;
  }

  public PhysicalDriveType getPhyDriveType()
  {
    return this.phyDriveType;
  }

  public void setPhyDriveType(PhysicalDriveType paramPhysicalDriveType)
  {
    this.phyDriveType = paramPhysicalDriveType;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.candidateSelectionType.xdrEncode(paramXDROutputStream);
    this.raidLevel.xdrEncode(paramXDROutputStream);
    this.phyDriveType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.candidateSelectionType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.raidLevel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.phyDriveType.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}