package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCopyCandidateList
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode returnCode = new ReturnCode();
  private VolumeCopyCandidate[] volumeCopyCandidate;

  public VolumeCopyCandidateList()
  {
  }

  public VolumeCopyCandidateList(VolumeCopyCandidateList paramVolumeCopyCandidateList)
  {
    this.returnCode = paramVolumeCopyCandidateList.returnCode;
    this.volumeCopyCandidate = paramVolumeCopyCandidateList.volumeCopyCandidate;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public VolumeCopyCandidate[] getVolumeCopyCandidate()
  {
    return this.volumeCopyCandidate;
  }

  public void setVolumeCopyCandidate(VolumeCopyCandidate[] paramArrayOfVolumeCopyCandidate)
  {
    this.volumeCopyCandidate = paramArrayOfVolumeCopyCandidate;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.returnCode.xdrEncode(paramXDROutputStream);
    int j = this.volumeCopyCandidate == null ? 0 : this.volumeCopyCandidate.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.volumeCopyCandidate[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.volumeCopyCandidate = new VolumeCopyCandidate[j];
      for (int k = 0; k < j; k++)
      {
        this.volumeCopyCandidate[k] = new VolumeCopyCandidate();
        this.volumeCopyCandidate[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}