/*     */ package org.codehaus.stax2.ri.evt;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.Writer;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ import javax.xml.namespace.NamespaceContext;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.Location;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.events.Attribute;
/*     */ import javax.xml.stream.events.Namespace;
/*     */ import javax.xml.stream.events.StartElement;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ import org.codehaus.stax2.ri.EmptyIterator;
/*     */ import org.codehaus.stax2.ri.EmptyNamespaceContext;
/*     */ 
/*     */ public class StartElementEventImpl extends BaseEventImpl
/*     */   implements StartElement
/*     */ {
/*     */   protected final QName mName;
/*     */   protected final ArrayList mAttrs;
/*     */   protected final ArrayList mNsDecls;
/*     */   protected NamespaceContext mParentNsCtxt;
/*  42 */   NamespaceContext mActualNsCtxt = null;
/*     */ 
/*     */   protected StartElementEventImpl(Location paramLocation, QName paramQName, ArrayList paramArrayList1, ArrayList paramArrayList2, NamespaceContext paramNamespaceContext)
/*     */   {
/*  54 */     super(paramLocation);
/*  55 */     this.mName = paramQName;
/*  56 */     this.mAttrs = paramArrayList1;
/*  57 */     this.mNsDecls = paramArrayList2;
/*  58 */     this.mParentNsCtxt = (paramNamespaceContext == null ? EmptyNamespaceContext.getInstance() : paramNamespaceContext);
/*     */   }
/*     */ 
/*     */   public static StartElementEventImpl construct(Location paramLocation, QName paramQName, Iterator paramIterator1, Iterator paramIterator2, NamespaceContext paramNamespaceContext)
/*     */   {
/*     */     ArrayList localArrayList1;
/*  67 */     if ((paramIterator1 == null) || (!paramIterator1.hasNext())) {
/*  68 */       localArrayList1 = null;
/*     */     } else {
/*  70 */       localArrayList1 = new ArrayList();
/*     */       do
/*     */       {
/*  73 */         localArrayList1.add((Attribute)paramIterator1.next());
/*  74 */       }while (paramIterator1.hasNext());
/*     */     }
/*     */     ArrayList localArrayList2;
/*  78 */     if ((paramIterator2 == null) || (!paramIterator2.hasNext())) {
/*  79 */       localArrayList2 = null;
/*     */     } else {
/*  81 */       localArrayList2 = new ArrayList();
/*     */       do
/*  83 */         localArrayList2.add((Namespace)paramIterator2.next());
/*  84 */       while (paramIterator2.hasNext());
/*     */     }
/*  86 */     return new StartElementEventImpl(paramLocation, paramQName, localArrayList1, localArrayList2, paramNamespaceContext);
/*     */   }
/*     */ 
/*     */   public StartElement asStartElement()
/*     */   {
/*  96 */     return this;
/*     */   }
/*     */ 
/*     */   public int getEventType() {
/* 100 */     return 1;
/*     */   }
/*     */ 
/*     */   public boolean isStartElement() {
/* 104 */     return true;
/*     */   }
/*     */ 
/*     */   public void writeAsEncodedUnicode(Writer paramWriter) throws XMLStreamException
/*     */   {
/*     */     try
/*     */     {
/* 111 */       paramWriter.write(60);
/* 112 */       String str = this.mName.getPrefix();
/* 113 */       if ((str != null) && (str.length() > 0)) {
/* 114 */         paramWriter.write(str);
/* 115 */         paramWriter.write(58);
/*     */       }
/* 117 */       paramWriter.write(this.mName.getLocalPart());
/*     */       int i;
/*     */       int j;
/* 120 */       if (this.mNsDecls != null) {
/* 121 */         i = 0; for (j = this.mNsDecls.size(); i < j; i++) {
/* 122 */           paramWriter.write(32);
/* 123 */           ((Namespace)this.mNsDecls.get(i)).writeAsEncodedUnicode(paramWriter);
/*     */         }
/*     */ 
/*     */       }
/*     */ 
/* 128 */       if (this.mAttrs != null) {
/* 129 */         i = 0; for (j = this.mAttrs.size(); i < j; i++) {
/* 130 */           Attribute localAttribute = (Attribute)this.mAttrs.get(i);
/*     */ 
/* 132 */           if (localAttribute.isSpecified()) {
/* 133 */             paramWriter.write(32);
/* 134 */             localAttribute.writeAsEncodedUnicode(paramWriter);
/*     */           }
/*     */         }
/*     */       }
/*     */ 
/* 139 */       paramWriter.write(62);
/*     */     } catch (IOException localIOException) {
/* 141 */       throw new XMLStreamException(localIOException);
/*     */     }
/*     */   }
/*     */ 
/*     */   public void writeUsing(XMLStreamWriter2 paramXMLStreamWriter2) throws XMLStreamException
/*     */   {
/* 147 */     QName localQName = this.mName;
/* 148 */     paramXMLStreamWriter2.writeStartElement(localQName.getPrefix(), localQName.getLocalPart(), localQName.getNamespaceURI());
/*     */     int i;
/*     */     int j;
/*     */     Object localObject1;
/*     */     Object localObject2;
/* 152 */     if (this.mNsDecls != null) {
/* 153 */       i = 0; for (j = this.mNsDecls.size(); i < j; i++) {
/* 154 */         localObject1 = (Namespace)this.mNsDecls.get(i);
/* 155 */         localObject2 = ((Namespace)localObject1).getPrefix();
/* 156 */         String str = ((Namespace)localObject1).getNamespaceURI();
/* 157 */         if ((localObject2 == null) || (((String)localObject2).length() == 0))
/* 158 */           paramXMLStreamWriter2.writeDefaultNamespace(str);
/*     */         else {
/* 160 */           paramXMLStreamWriter2.writeNamespace((String)localObject2, str);
/*     */         }
/*     */       }
/*     */ 
/*     */     }
/*     */ 
/* 166 */     if (this.mAttrs != null) {
/* 167 */       i = 0; for (j = this.mAttrs.size(); i < j; i++) {
/* 168 */         localObject1 = (Attribute)this.mAttrs.get(i);
/*     */ 
/* 170 */         if (((Attribute)localObject1).isSpecified()) {
/* 171 */           localObject2 = ((Attribute)localObject1).getName();
/* 172 */           paramXMLStreamWriter2.writeAttribute(((QName)localObject2).getPrefix(), ((QName)localObject2).getNamespaceURI(), ((QName)localObject2).getLocalPart(), ((Attribute)localObject1).getValue());
/*     */         }
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */   public final QName getName()
/*     */   {
/* 185 */     return this.mName;
/*     */   }
/*     */ 
/*     */   public Iterator getNamespaces()
/*     */   {
/* 190 */     return this.mNsDecls == null ? EmptyIterator.getInstance() : this.mNsDecls.iterator();
/*     */   }
/*     */ 
/*     */   public NamespaceContext getNamespaceContext()
/*     */   {
/* 196 */     if (this.mActualNsCtxt == null) {
/* 197 */       if (this.mNsDecls == null)
/* 198 */         this.mActualNsCtxt = this.mParentNsCtxt;
/*     */       else {
/* 200 */         this.mActualNsCtxt = MergedNsContext.construct(this.mParentNsCtxt, this.mNsDecls);
/*     */       }
/*     */     }
/* 203 */     return this.mActualNsCtxt;
/*     */   }
/*     */ 
/*     */   public String getNamespaceURI(String paramString)
/*     */   {
/* 208 */     if (this.mNsDecls != null) {
/* 209 */       if (paramString == null) {
/* 210 */         paramString = "";
/*     */       }
/* 212 */       int i = 0; for (int j = this.mNsDecls.size(); i < j; i++) {
/* 213 */         Namespace localNamespace = (Namespace)this.mNsDecls.get(i);
/* 214 */         String str = localNamespace.getPrefix();
/* 215 */         if (str == null) {
/* 216 */           str = "";
/*     */         }
/* 218 */         if (paramString.equals(str)) {
/* 219 */           return localNamespace.getNamespaceURI();
/*     */         }
/*     */       }
/*     */     }
/*     */ 
/* 224 */     return null;
/*     */   }
/*     */ 
/*     */   public Attribute getAttributeByName(QName paramQName)
/*     */   {
/* 229 */     if (this.mAttrs == null) {
/* 230 */       return null;
/*     */     }
/*     */ 
/* 233 */     String str1 = paramQName.getLocalPart();
/* 234 */     String str2 = paramQName.getNamespaceURI();
/* 235 */     int i = this.mAttrs.size();
/*     */ 
/* 237 */     int j = (str2 == null) || (str2.length() == 0) ? 1 : 0;
/* 238 */     for (int k = 0; k < i; k++) {
/* 239 */       Attribute localAttribute = (Attribute)this.mAttrs.get(k);
/* 240 */       QName localQName = localAttribute.getName();
/* 241 */       if (localQName.getLocalPart().equals(str1)) {
/* 242 */         String str3 = localQName.getNamespaceURI();
/* 243 */         if (j != 0) {
/* 244 */           if ((str3 == null) || (str3.length() == 0)) {
/* 245 */             return localAttribute;
/*     */           }
/*     */         }
/* 248 */         else if (str2.equals(str3)) {
/* 249 */           return localAttribute;
/*     */         }
/*     */       }
/*     */     }
/*     */ 
/* 254 */     return null;
/*     */   }
/*     */ 
/*     */   public Iterator getAttributes()
/*     */   {
/* 259 */     if (this.mAttrs == null) {
/* 260 */       return EmptyIterator.getInstance();
/*     */     }
/* 262 */     return this.mAttrs.iterator();
/*     */   }
/*     */ 
/*     */   public boolean equals(Object paramObject)
/*     */   {
/* 273 */     if (paramObject == this) return true;
/* 274 */     if (paramObject == null) return false;
/*     */ 
/* 276 */     if (!(paramObject instanceof StartElement)) return false;
/*     */ 
/* 278 */     StartElement localStartElement = (StartElement)paramObject;
/*     */ 
/* 281 */     if (this.mName.equals(localStartElement.getName()))
/*     */     {
/* 288 */       if (iteratedEquals(getNamespaces(), localStartElement.getNamespaces())) {
/* 289 */         return iteratedEquals(getAttributes(), localStartElement.getAttributes());
/*     */       }
/*     */     }
/* 292 */     return false;
/*     */   }
/*     */ 
/*     */   public int hashCode()
/*     */   {
/* 297 */     int i = this.mName.hashCode();
/* 298 */     i = addHash(getNamespaces(), i);
/* 299 */     i = addHash(getAttributes(), i);
/* 300 */     return i;
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.evt.StartElementEventImpl
 * JD-Core Version:    0.6.2
 */