package org.eclipse.jdt.internal.compiler.batch;

import java.io.File;
import java.io.IOException;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;
import org.eclipse.jdt.internal.compiler.env.AccessRuleSet;
import org.eclipse.jdt.internal.compiler.env.NameEnvironmentAnswer;
import org.eclipse.jdt.internal.compiler.util.Util;

public class ClasspathSourceJar extends ClasspathJar
{
  private String encoding;

  public ClasspathSourceJar(File file, boolean closeZipFileAtEnd, AccessRuleSet accessRuleSet, String encoding, String destinationPath)
  {
    super(file, closeZipFileAtEnd, accessRuleSet, destinationPath);
    this.encoding = encoding;
  }

  public NameEnvironmentAnswer findClass(char[] typeName, String qualifiedPackageName, String qualifiedBinaryFileName, boolean asBinaryOnly) {
    if (!isPackage(qualifiedPackageName)) {
      return null;
    }
    ZipEntry sourceEntry = this.zipFile.getEntry(qualifiedBinaryFileName.substring(0, qualifiedBinaryFileName.length() - 6) + ".java");
    if (sourceEntry != null)
      try {
        return new NameEnvironmentAnswer(
          new CompilationUnit(
          Util.getInputStreamAsCharArray(this.zipFile.getInputStream(sourceEntry), 
          -1, this.encoding), 
          qualifiedBinaryFileName.substring(0, qualifiedBinaryFileName.length() - 6) + ".java", 
          this.encoding, this.destinationPath), 
          fetchAccessRestriction(qualifiedBinaryFileName));
      }
      catch (IOException localIOException)
      {
      }
    return null;
  }
  public NameEnvironmentAnswer findClass(char[] typeName, String qualifiedPackageName, String qualifiedBinaryFileName) {
    return findClass(typeName, qualifiedPackageName, qualifiedBinaryFileName, false);
  }
}