package org.eclipse.jdt.internal.compiler.env;

public class AccessRestriction
{
  private AccessRule accessRule;
  private String[] messageTemplates;

  public AccessRestriction(AccessRule accessRule, String[] messageTemplates)
  {
    this.accessRule = accessRule;
    this.messageTemplates = messageTemplates;
  }

  public String getMessageTemplate()
  {
    return this.messageTemplates[0];
  }

  public String getConstructorAccessMessageTemplate() {
    return this.messageTemplates[1];
  }

  public String getMethodAccessMessageTemplate() {
    return this.messageTemplates[2];
  }

  public String getFieldAccessMessageTemplate() {
    return this.messageTemplates[3];
  }

  public int getProblemId() {
    return this.accessRule.getProblemId();
  }

  public boolean ignoreIfBetter() {
    return this.accessRule.ignoreIfBetter();
  }
}