package org.eclipse.jdt.internal.compiler.lookup;

public final class BaseTypeBinding extends TypeBinding
{
  public char[] simpleName;
  private char[] constantPoolName;

  BaseTypeBinding(int id, char[] name, char[] constantPoolName)
  {
    this.tagBits |= 2L;
    this.id = id;
    this.simpleName = name;
    this.constantPoolName = constantPoolName;
  }

  public char[] computeUniqueKey(boolean isLeaf)
  {
    return constantPoolName();
  }

  public char[] constantPoolName()
  {
    return this.constantPoolName;
  }

  public PackageBinding getPackage()
  {
    return null;
  }

  public final boolean isCompatibleWith(TypeBinding right)
  {
    if (this == right)
      return true;
    if (!right.isBaseType()) {
      return this == TypeBinding.NULL;
    }
    switch (right.id) {
    case 2:
    case 3:
    case 5:
      return false;
    case 8:
      switch (this.id) {
      case 2:
      case 3:
      case 4:
      case 7:
      case 9:
      case 10:
        return true;
      case 5:
      case 6:
      case 8: } return false;
    case 9:
      switch (this.id) {
      case 2:
      case 3:
      case 4:
      case 7:
      case 10:
        return true;
      case 5:
      case 6:
      case 8:
      case 9: } return false;
    case 7:
      switch (this.id) {
      case 2:
      case 3:
      case 4:
      case 10:
        return true;
      case 5:
      case 6:
      case 7:
      case 8:
      case 9: } return false;
    case 10:
      switch (this.id) {
      case 2:
      case 3:
      case 4:
        return true;
      }
      return false;
    case 4:
      return this.id == 3;
    case 6:
    }return false;
  }

  public static final boolean isNarrowing(int left, int right)
  {
    switch (left) {
    case 5:
      return right == 5;
    case 2:
    case 3:
      if (right == 3)
        return true;
    case 4:
      if (right == 4)
        return true;
      if (right == 2)
        return true;
    case 10:
      if (right == 10)
        return true;
    case 7:
      if (right == 7)
        return true;
    case 9:
      if (right == 9)
        return true;
    case 8:
      if (right == 8)
        return true; break;
    case 6:
    }return false;
  }

  public boolean isUncheckedException(boolean includeSupertype)
  {
    return this == TypeBinding.NULL;
  }

  public static final boolean isWidening(int left, int right)
  {
    switch (left) {
    case 5:
      return right == 5;
    case 2:
      return right == 2;
    case 8:
      if (right == 8)
        return true;
    case 9:
      if (right == 9)
        return true;
    case 7:
      if (right == 7)
        return true;
    case 10:
      if (right == 10)
        return true;
      if (right == 2)
        return true;
    case 4:
      if (right == 4)
        return true;
    case 3:
      if (right == 3)
        return true; break;
    case 6:
    }return false;
  }

  public int kind()
  {
    return 132;
  }
  public char[] qualifiedSourceName() {
    return this.simpleName;
  }

  public char[] readableName() {
    return this.simpleName;
  }

  public char[] shortReadableName() {
    return this.simpleName;
  }

  public char[] sourceName() {
    return this.simpleName;
  }

  public String toString() {
    return new String(this.constantPoolName) + " (id=" + this.id + ")";
  }
}