package org.eclipse.jdt.internal.compiler.lookup;

import org.eclipse.jdt.core.compiler.CharOperation;

public class MissingBinaryTypeBinding extends BinaryTypeBinding
{
  public MissingBinaryTypeBinding(PackageBinding packageBinding, char[][] compoundName, LookupEnvironment environment)
  {
    this.compoundName = compoundName;
    computeId();
    this.tagBits |= 131136L;
    this.environment = environment;
    this.fPackage = packageBinding;
    this.fileName = CharOperation.concatWith(compoundName, '/');
    this.sourceName = compoundName[(compoundName.length - 1)];
    this.modifiers = 1;
    this.superclass = null;
    this.superInterfaces = Binding.NO_SUPERINTERFACES;
    this.typeVariables = Binding.NO_TYPE_VARIABLES;
    this.memberTypes = Binding.NO_MEMBER_TYPES;
    this.fields = Binding.NO_FIELDS;
    this.methods = Binding.NO_METHODS;
  }

  public int problemId()
  {
    return 1;
  }

  void setMissingSuperclass(ReferenceBinding missingSuperclass)
  {
    this.superclass = missingSuperclass;
  }
}