package org.jvnet.jaxbw.intellij;

import com.intellij.openapi.components.ApplicationComponent;
import com.intellij.openapi.util.InvalidDataException;
import com.intellij.openapi.util.JDOMExternalizable;
import com.intellij.openapi.util.WriteExternalException;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;
import org.jdom.Attribute;
import org.jdom.Element;
import org.jvnet.jaxbw.intellij.wizard.XjcWizard;

public class XjcComponent
  implements ApplicationComponent, JDOMExternalizable
{
  public void writeExternal(Element element)
    throws WriteExternalException
  {
    for (Map.Entry entry : XjcWizard.getSettings().entrySet())
      if (entry.getValue() != null)
      {
        Element entryElement = new Element("xjc_settings");

        entryElement = entryElement.setAttribute("name", (String)entry.getKey());

        entryElement = entryElement.setAttribute("value", (String)entry.getValue());

        element.addContent(entryElement);
      }
  }

  public void readExternal(Element element)
    throws InvalidDataException
  {
    List entries = element.getChildren("xjc_settings");
    for (int i = 0; i < entries.size(); i++) {
      Element entry = (Element)entries.get(i);

      String name = entry.getAttribute("name").getValue();
      String value = entry.getAttribute("value").getValue();

      XjcWizard.setSetting(name, value);
    }
  }

  public void initComponent()
  {
  }

  public void disposeComponent()
  {
  }

  public String getComponentName()
  {
    return "XjcComponent";
  }
}