package org.quartz;

import java.util.TimeZone;

public abstract interface CalendarIntervalTrigger extends Trigger
{
  public static final int MISFIRE_INSTRUCTION_FIRE_ONCE_NOW = 1;
  public static final int MISFIRE_INSTRUCTION_DO_NOTHING = 2;

  public abstract DateBuilder.IntervalUnit getRepeatIntervalUnit();

  public abstract int getRepeatInterval();

  public abstract int getTimesTriggered();

  public abstract TimeZone getTimeZone();

  public abstract boolean isPreserveHourOfDayAcrossDaylightSavings();

  public abstract boolean isSkipDayIfHourDoesNotExist();

  public abstract TriggerBuilder<CalendarIntervalTrigger> getTriggerBuilder();
}