package org.quartz;

import java.util.Set;

public abstract interface DailyTimeIntervalTrigger extends Trigger
{
  public static final int REPEAT_INDEFINITELY = -1;
  public static final int MISFIRE_INSTRUCTION_FIRE_ONCE_NOW = 1;
  public static final int MISFIRE_INSTRUCTION_DO_NOTHING = 2;

  public abstract DateBuilder.IntervalUnit getRepeatIntervalUnit();

  public abstract int getRepeatCount();

  public abstract int getRepeatInterval();

  public abstract TimeOfDay getStartTimeOfDay();

  public abstract TimeOfDay getEndTimeOfDay();

  public abstract Set<Integer> getDaysOfWeek();

  public abstract int getTimesTriggered();

  public abstract TriggerBuilder<DailyTimeIntervalTrigger> getTriggerBuilder();
}