package org.quartz;

import java.io.Serializable;

public abstract interface JobDetail extends Serializable, Cloneable
{
  public abstract JobKey getKey();

  public abstract String getDescription();

  public abstract Class<? extends Job> getJobClass();

  public abstract JobDataMap getJobDataMap();

  public abstract boolean isDurable();

  public abstract boolean isPersistJobDataAfterExecution();

  public abstract boolean isConcurrentExectionDisallowed();

  public abstract boolean requestsRecovery();

  public abstract Object clone();

  public abstract JobBuilder getJobBuilder();
}