package org.quartz.core;

import java.lang.reflect.Method;
import java.rmi.RemoteException;
import java.rmi.UnexpectedException;
import java.rmi.server.RemoteObject;
import java.rmi.server.RemoteRef;
import java.rmi.server.RemoteStub;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;
import org.quartz.Calendar;
import org.quartz.JobDataMap;
import org.quartz.JobDetail;
import org.quartz.JobKey;
import org.quartz.SchedulerContext;
import org.quartz.SchedulerException;
import org.quartz.Trigger;
import org.quartz.Trigger.TriggerState;
import org.quartz.TriggerKey;
import org.quartz.UnableToInterruptJobException;
import org.quartz.impl.matchers.GroupMatcher;
import org.quartz.spi.OperableTrigger;

public final class QuartzScheduler_Stub extends RemoteStub
  implements RemotableQuartzScheduler
{
  private static final long serialVersionUID = 2L;
  private static Method $method_addCalendar_0;
  private static Method $method_addJob_1;
  private static Method $method_checkExists_2;
  private static Method $method_checkExists_3;
  private static Method $method_clear_4;
  private static Method $method_deleteCalendar_5;
  private static Method $method_deleteJob_6;
  private static Method $method_deleteJobs_7;
  private static Method $method_getCalendar_8;
  private static Method $method_getCalendarNames_9;
  private static Method $method_getCurrentlyExecutingJobs_10;
  private static Method $method_getJobDetail_11;
  private static Method $method_getJobGroupNames_12;
  private static Method $method_getJobKeys_13;
  private static Method $method_getJobStoreClass_14;
  private static Method $method_getPausedTriggerGroups_15;
  private static Method $method_getSchedulerContext_16;
  private static Method $method_getSchedulerInstanceId_17;
  private static Method $method_getSchedulerName_18;
  private static Method $method_getThreadPoolClass_19;
  private static Method $method_getThreadPoolSize_20;
  private static Method $method_getTrigger_21;
  private static Method $method_getTriggerGroupNames_22;
  private static Method $method_getTriggerKeys_23;
  private static Method $method_getTriggerState_24;
  private static Method $method_getTriggersOfJob_25;
  private static Method $method_getVersion_26;
  private static Method $method_interrupt_27;
  private static Method $method_interrupt_28;
  private static Method $method_isClustered_29;
  private static Method $method_isInStandbyMode_30;
  private static Method $method_isShutdown_31;
  private static Method $method_numJobsExecuted_32;
  private static Method $method_pauseAll_33;
  private static Method $method_pauseJob_34;
  private static Method $method_pauseJobs_35;
  private static Method $method_pauseTrigger_36;
  private static Method $method_pauseTriggers_37;
  private static Method $method_rescheduleJob_38;
  private static Method $method_resumeAll_39;
  private static Method $method_resumeJob_40;
  private static Method $method_resumeJobs_41;
  private static Method $method_resumeTrigger_42;
  private static Method $method_resumeTriggers_43;
  private static Method $method_runningSince_44;
  private static Method $method_scheduleJob_45;
  private static Method $method_scheduleJob_46;
  private static Method $method_scheduleJobs_47;
  private static Method $method_shutdown_48;
  private static Method $method_shutdown_49;
  private static Method $method_standby_50;
  private static Method $method_start_51;
  private static Method $method_startDelayed_52;
  private static Method $method_supportsPersistence_53;
  private static Method $method_triggerJob_54;
  private static Method $method_triggerJob_55;
  private static Method $method_unscheduleJob_56;
  private static Method $method_unscheduleJobs_57;

  static
  {
    try
    {
      $method_addCalendar_0 = RemotableQuartzScheduler.class.getMethod("addCalendar", new Class[] { String.class, Calendar.class, Boolean.TYPE, Boolean.TYPE });
      $method_addJob_1 = RemotableQuartzScheduler.class.getMethod("addJob", new Class[] { JobDetail.class, Boolean.TYPE });
      $method_checkExists_2 = RemotableQuartzScheduler.class.getMethod("checkExists", new Class[] { JobKey.class });
      $method_checkExists_3 = RemotableQuartzScheduler.class.getMethod("checkExists", new Class[] { TriggerKey.class });
      $method_clear_4 = RemotableQuartzScheduler.class.getMethod("clear", new Class[0]);
      $method_deleteCalendar_5 = RemotableQuartzScheduler.class.getMethod("deleteCalendar", new Class[] { String.class });
      $method_deleteJob_6 = RemotableQuartzScheduler.class.getMethod("deleteJob", new Class[] { JobKey.class });
      $method_deleteJobs_7 = RemotableQuartzScheduler.class.getMethod("deleteJobs", new Class[] { List.class });
      $method_getCalendar_8 = RemotableQuartzScheduler.class.getMethod("getCalendar", new Class[] { String.class });
      $method_getCalendarNames_9 = RemotableQuartzScheduler.class.getMethod("getCalendarNames", new Class[0]);
      $method_getCurrentlyExecutingJobs_10 = RemotableQuartzScheduler.class.getMethod("getCurrentlyExecutingJobs", new Class[0]);
      $method_getJobDetail_11 = RemotableQuartzScheduler.class.getMethod("getJobDetail", new Class[] { JobKey.class });
      $method_getJobGroupNames_12 = RemotableQuartzScheduler.class.getMethod("getJobGroupNames", new Class[0]);
      $method_getJobKeys_13 = RemotableQuartzScheduler.class.getMethod("getJobKeys", new Class[] { GroupMatcher.class });
      $method_getJobStoreClass_14 = RemotableQuartzScheduler.class.getMethod("getJobStoreClass", new Class[0]);
      $method_getPausedTriggerGroups_15 = RemotableQuartzScheduler.class.getMethod("getPausedTriggerGroups", new Class[0]);
      $method_getSchedulerContext_16 = RemotableQuartzScheduler.class.getMethod("getSchedulerContext", new Class[0]);
      $method_getSchedulerInstanceId_17 = RemotableQuartzScheduler.class.getMethod("getSchedulerInstanceId", new Class[0]);
      $method_getSchedulerName_18 = RemotableQuartzScheduler.class.getMethod("getSchedulerName", new Class[0]);
      $method_getThreadPoolClass_19 = RemotableQuartzScheduler.class.getMethod("getThreadPoolClass", new Class[0]);
      $method_getThreadPoolSize_20 = RemotableQuartzScheduler.class.getMethod("getThreadPoolSize", new Class[0]);
      $method_getTrigger_21 = RemotableQuartzScheduler.class.getMethod("getTrigger", new Class[] { TriggerKey.class });
      $method_getTriggerGroupNames_22 = RemotableQuartzScheduler.class.getMethod("getTriggerGroupNames", new Class[0]);
      $method_getTriggerKeys_23 = RemotableQuartzScheduler.class.getMethod("getTriggerKeys", new Class[] { GroupMatcher.class });
      $method_getTriggerState_24 = RemotableQuartzScheduler.class.getMethod("getTriggerState", new Class[] { TriggerKey.class });
      $method_getTriggersOfJob_25 = RemotableQuartzScheduler.class.getMethod("getTriggersOfJob", new Class[] { JobKey.class });
      $method_getVersion_26 = RemotableQuartzScheduler.class.getMethod("getVersion", new Class[0]);
      $method_interrupt_27 = RemotableQuartzScheduler.class.getMethod("interrupt", new Class[] { String.class });
      $method_interrupt_28 = RemotableQuartzScheduler.class.getMethod("interrupt", new Class[] { JobKey.class });
      $method_isClustered_29 = RemotableQuartzScheduler.class.getMethod("isClustered", new Class[0]);
      $method_isInStandbyMode_30 = RemotableQuartzScheduler.class.getMethod("isInStandbyMode", new Class[0]);
      $method_isShutdown_31 = RemotableQuartzScheduler.class.getMethod("isShutdown", new Class[0]);
      $method_numJobsExecuted_32 = RemotableQuartzScheduler.class.getMethod("numJobsExecuted", new Class[0]);
      $method_pauseAll_33 = RemotableQuartzScheduler.class.getMethod("pauseAll", new Class[0]);
      $method_pauseJob_34 = RemotableQuartzScheduler.class.getMethod("pauseJob", new Class[] { JobKey.class });
      $method_pauseJobs_35 = RemotableQuartzScheduler.class.getMethod("pauseJobs", new Class[] { GroupMatcher.class });
      $method_pauseTrigger_36 = RemotableQuartzScheduler.class.getMethod("pauseTrigger", new Class[] { TriggerKey.class });
      $method_pauseTriggers_37 = RemotableQuartzScheduler.class.getMethod("pauseTriggers", new Class[] { GroupMatcher.class });
      $method_rescheduleJob_38 = RemotableQuartzScheduler.class.getMethod("rescheduleJob", new Class[] { TriggerKey.class, Trigger.class });
      $method_resumeAll_39 = RemotableQuartzScheduler.class.getMethod("resumeAll", new Class[0]);
      $method_resumeJob_40 = RemotableQuartzScheduler.class.getMethod("resumeJob", new Class[] { JobKey.class });
      $method_resumeJobs_41 = RemotableQuartzScheduler.class.getMethod("resumeJobs", new Class[] { GroupMatcher.class });
      $method_resumeTrigger_42 = RemotableQuartzScheduler.class.getMethod("resumeTrigger", new Class[] { TriggerKey.class });
      $method_resumeTriggers_43 = RemotableQuartzScheduler.class.getMethod("resumeTriggers", new Class[] { GroupMatcher.class });
      $method_runningSince_44 = RemotableQuartzScheduler.class.getMethod("runningSince", new Class[0]);
      $method_scheduleJob_45 = RemotableQuartzScheduler.class.getMethod("scheduleJob", new Class[] { JobDetail.class, Trigger.class });
      $method_scheduleJob_46 = RemotableQuartzScheduler.class.getMethod("scheduleJob", new Class[] { Trigger.class });
      $method_scheduleJobs_47 = RemotableQuartzScheduler.class.getMethod("scheduleJobs", new Class[] { Map.class, Boolean.TYPE });
      $method_shutdown_48 = RemotableQuartzScheduler.class.getMethod("shutdown", new Class[0]);
      $method_shutdown_49 = RemotableQuartzScheduler.class.getMethod("shutdown", new Class[] { Boolean.TYPE });
      $method_standby_50 = RemotableQuartzScheduler.class.getMethod("standby", new Class[0]);
      $method_start_51 = RemotableQuartzScheduler.class.getMethod("start", new Class[0]);
      $method_startDelayed_52 = RemotableQuartzScheduler.class.getMethod("startDelayed", new Class[] { Integer.TYPE });
      $method_supportsPersistence_53 = RemotableQuartzScheduler.class.getMethod("supportsPersistence", new Class[0]);
      $method_triggerJob_54 = RemotableQuartzScheduler.class.getMethod("triggerJob", new Class[] { JobKey.class, JobDataMap.class });
      $method_triggerJob_55 = RemotableQuartzScheduler.class.getMethod("triggerJob", new Class[] { OperableTrigger.class });
      $method_unscheduleJob_56 = RemotableQuartzScheduler.class.getMethod("unscheduleJob", new Class[] { TriggerKey.class });
      $method_unscheduleJobs_57 = RemotableQuartzScheduler.class.getMethod("unscheduleJobs", new Class[] { List.class });
    }
    catch (NoSuchMethodException localNoSuchMethodException)
    {
      throw new NoSuchMethodError("stub class initialization failed");
    }
  }

  public QuartzScheduler_Stub(RemoteRef paramRemoteRef)
  {
    super(paramRemoteRef);
  }

  public void addCalendar(String paramString, Calendar paramCalendar, boolean paramBoolean1, boolean paramBoolean2)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_addCalendar_0, new Object[] { paramString, paramCalendar, paramBoolean1 ? Boolean.TRUE : Boolean.FALSE, paramBoolean2 ? Boolean.TRUE : Boolean.FALSE }, 8855052307177792680L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void addJob(JobDetail paramJobDetail, boolean paramBoolean)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_addJob_1, new Object[] { paramJobDetail, paramBoolean ? Boolean.TRUE : Boolean.FALSE }, -7729650160006632870L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean checkExists(JobKey paramJobKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_checkExists_2, new Object[] { paramJobKey }, -5409554300431077992L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean checkExists(TriggerKey paramTriggerKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_checkExists_3, new Object[] { paramTriggerKey }, 57742068790347073L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void clear()
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_clear_4, null, -7475254351993695499L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean deleteCalendar(String paramString)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_deleteCalendar_5, new Object[] { paramString }, 4621799193941576495L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean deleteJob(JobKey paramJobKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_deleteJob_6, new Object[] { paramJobKey }, -3057293324488607018L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean deleteJobs(List paramList)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_deleteJobs_7, new Object[] { paramList }, 7613446947728959209L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Calendar getCalendar(String paramString)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getCalendar_8, new Object[] { paramString }, 7476199188467217146L);
      return (Calendar)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public List getCalendarNames()
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getCalendarNames_9, null, -4042711865985645589L);
      return (List)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public List getCurrentlyExecutingJobs()
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getCurrentlyExecutingJobs_10, null, 5767551841304860517L);
      return (List)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public JobDetail getJobDetail(JobKey paramJobKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getJobDetail_11, new Object[] { paramJobKey }, -5890147489272798972L);
      return (JobDetail)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public List getJobGroupNames()
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getJobGroupNames_12, null, -8455486033245212483L);
      return (List)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Set getJobKeys(GroupMatcher paramGroupMatcher)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getJobKeys_13, new Object[] { paramGroupMatcher }, 5516129892023529995L);
      return (Set)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Class getJobStoreClass()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getJobStoreClass_14, null, 6705397913929502666L);
      return (Class)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Set getPausedTriggerGroups()
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getPausedTriggerGroups_15, null, -3055688590637594456L);
      return (Set)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public SchedulerContext getSchedulerContext()
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getSchedulerContext_16, null, 2814359591403475563L);
      return (SchedulerContext)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public String getSchedulerInstanceId()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getSchedulerInstanceId_17, null, -2454925768252868567L);
      return (String)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public String getSchedulerName()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getSchedulerName_18, null, 1038196595245667445L);
      return (String)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Class getThreadPoolClass()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getThreadPoolClass_19, null, -706336661940287388L);
      return (Class)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public int getThreadPoolSize()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getThreadPoolSize_20, null, 6528392066641712137L);
      return ((Integer)localObject).intValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Trigger getTrigger(TriggerKey paramTriggerKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getTrigger_21, new Object[] { paramTriggerKey }, -8135458059745415503L);
      return (Trigger)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public List getTriggerGroupNames()
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getTriggerGroupNames_22, null, -1425625447055098000L);
      return (List)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Set getTriggerKeys(GroupMatcher paramGroupMatcher)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getTriggerKeys_23, new Object[] { paramGroupMatcher }, -833881061725726505L);
      return (Set)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Trigger.TriggerState getTriggerState(TriggerKey paramTriggerKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getTriggerState_24, new Object[] { paramTriggerKey }, -5299675517853200699L);
      return (Trigger.TriggerState)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public List getTriggersOfJob(JobKey paramJobKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getTriggersOfJob_25, new Object[] { paramJobKey }, 4987568461050139134L);
      return (List)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public String getVersion()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_getVersion_26, null, -8081107751519807347L);
      return (String)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean interrupt(String paramString)
    throws RemoteException, UnableToInterruptJobException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_interrupt_27, new Object[] { paramString }, 256262298724115780L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (UnableToInterruptJobException localUnableToInterruptJobException)
    {
      throw localUnableToInterruptJobException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean interrupt(JobKey paramJobKey)
    throws RemoteException, UnableToInterruptJobException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_interrupt_28, new Object[] { paramJobKey }, -4185636327079289011L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (UnableToInterruptJobException localUnableToInterruptJobException)
    {
      throw localUnableToInterruptJobException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean isClustered()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_isClustered_29, null, 8772462407279794129L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean isInStandbyMode()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_isInStandbyMode_30, null, 809977841435240287L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean isShutdown()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_isShutdown_31, null, 6424449119484905518L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public int numJobsExecuted()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_numJobsExecuted_32, null, 3699847707830503805L);
      return ((Integer)localObject).intValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void pauseAll()
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_pauseAll_33, null, 5457255371237476599L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void pauseJob(JobKey paramJobKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_pauseJob_34, new Object[] { paramJobKey }, 8209397623379863913L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void pauseJobs(GroupMatcher paramGroupMatcher)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_pauseJobs_35, new Object[] { paramGroupMatcher }, 8348393716035813534L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void pauseTrigger(TriggerKey paramTriggerKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_pauseTrigger_36, new Object[] { paramTriggerKey }, -1556555911706012384L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void pauseTriggers(GroupMatcher paramGroupMatcher)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_pauseTriggers_37, new Object[] { paramGroupMatcher }, -7673129639132463315L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Date rescheduleJob(TriggerKey paramTriggerKey, Trigger paramTrigger)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_rescheduleJob_38, new Object[] { paramTriggerKey, paramTrigger }, -6542935860087805349L);
      return (Date)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void resumeAll()
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_resumeAll_39, null, 6544465639644633234L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void resumeJob(JobKey paramJobKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_resumeJob_40, new Object[] { paramJobKey }, 85405606979760311L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void resumeJobs(GroupMatcher paramGroupMatcher)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_resumeJobs_41, new Object[] { paramGroupMatcher }, 7080691189565323939L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void resumeTrigger(TriggerKey paramTriggerKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_resumeTrigger_42, new Object[] { paramTriggerKey }, 1103652291697918174L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void resumeTriggers(GroupMatcher paramGroupMatcher)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_resumeTriggers_43, new Object[] { paramGroupMatcher }, 316892067472367515L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Date runningSince()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_runningSince_44, null, -1739625058868381113L);
      return (Date)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Date scheduleJob(JobDetail paramJobDetail, Trigger paramTrigger)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_scheduleJob_45, new Object[] { paramJobDetail, paramTrigger }, 4944457543332629245L);
      return (Date)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public Date scheduleJob(Trigger paramTrigger)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_scheduleJob_46, new Object[] { paramTrigger }, -6865148385642356285L);
      return (Date)localObject;
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void scheduleJobs(Map paramMap, boolean paramBoolean)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_scheduleJobs_47, new Object[] { paramMap, paramBoolean ? Boolean.TRUE : Boolean.FALSE }, 2404438458719160003L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void shutdown()
    throws RemoteException
  {
    try
    {
      this.ref.invoke(this, $method_shutdown_48, null, -7207851917985848402L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void shutdown(boolean paramBoolean)
    throws RemoteException
  {
    try
    {
      this.ref.invoke(this, $method_shutdown_49, new Object[] { paramBoolean ? Boolean.TRUE : Boolean.FALSE }, -7158426071079062438L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void standby()
    throws RemoteException
  {
    try
    {
      this.ref.invoke(this, $method_standby_50, null, 7161048918451732526L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void start()
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_start_51, null, -8025343665958530775L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void startDelayed(int paramInt)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_startDelayed_52, new Object[] { new Integer(paramInt) }, -1476976461109028800L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean supportsPersistence()
    throws RemoteException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_supportsPersistence_53, null, -5767630451452602400L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void triggerJob(JobKey paramJobKey, JobDataMap paramJobDataMap)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_triggerJob_54, new Object[] { paramJobKey, paramJobDataMap }, -1585175841511357332L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public void triggerJob(OperableTrigger paramOperableTrigger)
    throws RemoteException, SchedulerException
  {
    try
    {
      this.ref.invoke(this, $method_triggerJob_55, new Object[] { paramOperableTrigger }, 5598451830209081494L);
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean unscheduleJob(TriggerKey paramTriggerKey)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_unscheduleJob_56, new Object[] { paramTriggerKey }, -4592142908438852383L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }

  public boolean unscheduleJobs(List paramList)
    throws RemoteException, SchedulerException
  {
    try
    {
      Object localObject = this.ref.invoke(this, $method_unscheduleJobs_57, new Object[] { paramList }, 1385849655203364760L);
      return ((Boolean)localObject).booleanValue();
    }
    catch (RuntimeException localRuntimeException)
    {
      throw localRuntimeException;
    }
    catch (RemoteException localRemoteException)
    {
      throw localRemoteException;
    }
    catch (SchedulerException localSchedulerException)
    {
      throw localSchedulerException;
    }
    catch (Exception localException)
    {
      throw new UnexpectedException("undeclared checked exception", localException);
    }
  }
}