package org.quartz.impl.jdbcjobstore;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.sql.ResultSet;
import java.sql.SQLException;
import org.quartz.spi.ClassLoadHelper;
import org.slf4j.Logger;

public class PostgreSQLDelegate extends StdJDBCDelegate
{
  public PostgreSQLDelegate(Logger log, String tablePrefix, String schedName, String instanceId, ClassLoadHelper classLoadHelper)
  {
    super(log, tablePrefix, schedName, instanceId, classLoadHelper);
  }

  public PostgreSQLDelegate(Logger log, String tablePrefix, String schedName, String instanceId, ClassLoadHelper classLoadHelper, Boolean useProperties)
  {
    super(log, tablePrefix, schedName, instanceId, classLoadHelper, useProperties);
  }

  protected Object getObjectFromBlob(ResultSet rs, String colName)
    throws ClassNotFoundException, IOException, SQLException
  {
    InputStream binaryInput = null;
    byte[] bytes = rs.getBytes(colName);

    Object obj = null;

    if ((bytes != null) && (bytes.length != 0)) {
      binaryInput = new ByteArrayInputStream(bytes);

      ObjectInputStream in = new ObjectInputStream(binaryInput);
      try {
        obj = in.readObject();
      } finally {
        in.close();
      }

    }

    return obj;
  }

  protected Object getJobDataFromBlob(ResultSet rs, String colName)
    throws ClassNotFoundException, IOException, SQLException
  {
    if (canUseProperties()) {
      InputStream binaryInput = null;
      byte[] bytes = rs.getBytes(colName);
      if ((bytes == null) || (bytes.length == 0)) {
        return null;
      }
      binaryInput = new ByteArrayInputStream(bytes);
      return binaryInput;
    }
    return getObjectFromBlob(rs, colName);
  }
}