package org.quartz.impl.matchers;

import org.quartz.Matcher;
import org.quartz.utils.Key;

public class KeyMatcher<T extends Key<?>>
  implements Matcher<T>
{
  protected T compareTo;

  protected KeyMatcher(T compareTo)
  {
    this.compareTo = compareTo;
  }

  public static <U extends Key<?>> KeyMatcher<U> keyEquals(U compareTo)
  {
    return new KeyMatcher(compareTo);
  }

  public boolean isMatch(T key)
  {
    return this.compareTo.equals(key);
  }

  public T getCompareToValue() {
    return this.compareTo;
  }

  public int hashCode()
  {
    int prime = 31;
    int result = 1;
    result = 31 * result + (this.compareTo == null ? 0 : this.compareTo.hashCode());

    return result;
  }

  public boolean equals(Object obj)
  {
    if (this == obj)
      return true;
    if (obj == null)
      return false;
    if (getClass() != obj.getClass())
      return false;
    KeyMatcher other = (KeyMatcher)obj;
    if (this.compareTo == null) {
      if (other.compareTo != null)
        return false;
    } else if (!this.compareTo.equals(other.compareTo))
      return false;
    return true;
  }
}