package devmgr.trace;

import java.io.Serializable;

public class TraceConfiguration
  implements Serializable
{
  private boolean m_GlobalTracing = true;
  private boolean[] m_ComponentTracing = null;
  private String m_TraceFile = null;

  protected TraceConfiguration(boolean paramBoolean, boolean[] paramArrayOfBoolean, String paramString)
  {
    this.m_GlobalTracing = paramBoolean;
    this.m_ComponentTracing = new boolean[paramArrayOfBoolean.length];
    for (int i = 0; i < paramArrayOfBoolean.length; i++)
      this.m_ComponentTracing[i] = paramArrayOfBoolean[i];
    this.m_TraceFile = paramString;
  }

  public boolean getGlobalTracing()
  {
    return this.m_GlobalTracing;
  }

  public void setGlobalTracing(boolean paramBoolean)
  {
    this.m_GlobalTracing = paramBoolean;
  }

  public boolean[] getComponentTracing()
  {
    return this.m_ComponentTracing;
  }

  public void setComponentTracing(int paramInt, boolean paramBoolean)
    throws IllegalArgumentException
  {
    if ((paramInt >= this.m_ComponentTracing.length) || (paramInt < 0))
      throw new IllegalArgumentException();
    this.m_ComponentTracing[paramInt] = paramBoolean;
  }

  public String getTraceFile()
  {
    return this.m_TraceFile;
  }

  public void setTraceFile(String paramString)
  {
    this.m_TraceFile = paramString;
  }
}