package devmgr.versioned.jrpc;

public class RPCAcceptedStatus
  implements XDRType, RPCMsgConstants
{
  public static final int SUCCESS = 0;
  public static final int PROG_UNAVAIL = 1;
  public static final int PROG_MISMATCH = 2;
  public static final int PROC_UNAVAIL = 3;
  public static final int GARBAGE_ARGS = 4;
  public static final int SYSTEM_ERR = 5;
  private int value;

  public RPCAcceptedStatus()
  {
  }

  public RPCAcceptedStatus(RPCAcceptedStatus paramRPCAcceptedStatus)
  {
    this.value = paramRPCAcceptedStatus.value;
  }

  public RPCAcceptedStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}