package devmgr.versioned.jrpc;

public class RPCCallMsg
  implements XDRType, RPCMsgConstants
{
  private int rpcVersion;
  private int programNo;
  private int versionNo;
  private int procedure;
  private RPCOpaqueAuth credential = new RPCOpaqueAuth();
  private RPCOpaqueAuth verifier = new RPCOpaqueAuth();

  public RPCCallMsg()
  {
  }

  public RPCCallMsg(RPCCallMsg paramRPCCallMsg)
  {
    this.rpcVersion = paramRPCCallMsg.rpcVersion;
    this.programNo = paramRPCCallMsg.programNo;
    this.versionNo = paramRPCCallMsg.versionNo;
    this.procedure = paramRPCCallMsg.procedure;
    this.credential = paramRPCCallMsg.credential;
    this.verifier = paramRPCCallMsg.verifier;
  }

  public int getRpcVersion()
  {
    return this.rpcVersion;
  }

  public void setRpcVersion(int paramInt)
  {
    this.rpcVersion = paramInt;
  }

  public int getProgramNo()
  {
    return this.programNo;
  }

  public void setProgramNo(int paramInt)
  {
    this.programNo = paramInt;
  }

  public int getVersionNo()
  {
    return this.versionNo;
  }

  public void setVersionNo(int paramInt)
  {
    this.versionNo = paramInt;
  }

  public int getProcedure()
  {
    return this.procedure;
  }

  public void setProcedure(int paramInt)
  {
    this.procedure = paramInt;
  }

  public RPCOpaqueAuth getCredential()
  {
    return this.credential;
  }

  public void setCredential(RPCOpaqueAuth paramRPCOpaqueAuth)
  {
    this.credential = paramRPCOpaqueAuth;
  }

  public RPCOpaqueAuth getVerifier()
  {
    return this.verifier;
  }

  public void setVerifier(RPCOpaqueAuth paramRPCOpaqueAuth)
  {
    this.verifier = paramRPCOpaqueAuth;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.rpcVersion);
    paramXDROutputStream.putInt(this.programNo);
    paramXDROutputStream.putInt(this.versionNo);
    paramXDROutputStream.putInt(this.procedure);
    this.credential.xdrEncode(paramXDROutputStream);
    this.verifier.xdrEncode(paramXDROutputStream);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.rpcVersion = paramXDRInputStream.getInt();
    this.programNo = paramXDRInputStream.getInt();
    this.versionNo = paramXDRInputStream.getInt();
    this.procedure = paramXDRInputStream.getInt();
    this.credential.xdrDecode(paramXDRInputStream);
    this.verifier.xdrDecode(paramXDRInputStream);
  }
}