package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class AccessibleController
  implements XDRType, SYMbolAPIConstants
{
  private int trayId;
  private int slot;
  private SAIdentifier saId = new SAIdentifier();
  private ControllerRef thisController = new ControllerRef();
  private ControllerRef[] allControllers;

  public AccessibleController()
  {
  }

  public AccessibleController(AccessibleController paramAccessibleController)
  {
    this.trayId = paramAccessibleController.trayId;
    this.slot = paramAccessibleController.slot;
    this.saId = paramAccessibleController.saId;
    this.thisController = paramAccessibleController.thisController;
    this.allControllers = paramAccessibleController.allControllers;
  }

  public int getTrayId()
  {
    return this.trayId;
  }

  public void setTrayId(int paramInt)
  {
    this.trayId = paramInt;
  }

  public int getSlot()
  {
    return this.slot;
  }

  public void setSlot(int paramInt)
  {
    this.slot = paramInt;
  }

  public SAIdentifier getSaId()
  {
    return this.saId;
  }

  public void setSaId(SAIdentifier paramSAIdentifier)
  {
    this.saId = paramSAIdentifier;
  }

  public ControllerRef getThisController()
  {
    return this.thisController;
  }

  public void setThisController(ControllerRef paramControllerRef)
  {
    this.thisController = paramControllerRef;
  }

  public ControllerRef[] getAllControllers()
  {
    return this.allControllers;
  }

  public void setAllControllers(ControllerRef[] paramArrayOfControllerRef)
  {
    this.allControllers = paramArrayOfControllerRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.trayId);
    paramXDROutputStream.putInt(this.slot);
    this.saId.xdrEncode(paramXDROutputStream);
    this.thisController.xdrEncode(paramXDROutputStream);
    int i = this.allControllers == null ? 0 : this.allControllers.length;
    paramXDROutputStream.putInt(i);
    for (int j = 0; j < i; j++)
      this.allControllers[j].xdrEncode(paramXDROutputStream);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.trayId = paramXDRInputStream.getInt();
    this.slot = paramXDRInputStream.getInt();
    this.saId.xdrDecode(paramXDRInputStream);
    this.thisController.xdrDecode(paramXDRInputStream);
    int i = paramXDRInputStream.getInt();
    this.allControllers = new ControllerRef[i];
    for (int j = 0; j < i; j++)
    {
      this.allControllers[j] = new ControllerRef();
      this.allControllers[j].xdrDecode(paramXDRInputStream);
    }
  }
}