package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Alarm
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef alarmRef = new ComponentRef();
  private Location physicalLocation = new Location();
  private AlarmStatus status = new AlarmStatus();
  private boolean isManageable;

  public Alarm()
  {
  }

  public Alarm(Alarm paramAlarm)
  {
    this.alarmRef = paramAlarm.alarmRef;
    this.physicalLocation = paramAlarm.physicalLocation;
    this.status = paramAlarm.status;
    this.isManageable = paramAlarm.isManageable;
  }

  public ComponentRef getAlarmRef()
  {
    return this.alarmRef;
  }

  public void setAlarmRef(ComponentRef paramComponentRef)
  {
    this.alarmRef = paramComponentRef;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public AlarmStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(AlarmStatus paramAlarmStatus)
  {
    this.status = paramAlarmStatus;
  }

  public boolean getIsManageable()
  {
    return this.isManageable;
  }

  public void setIsManageable(boolean paramBoolean)
  {
    this.isManageable = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.alarmRef.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.isManageable);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.alarmRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.isManageable = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}