package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class AlarmStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int ALARM_STAT_UNKNOWN = 0;
  public static final int ALARM_STAT_ENABLED = 1;
  public static final int ALARM_STAT_DISABLED = 2;
  public static final int ALARM_STAT_SOUNDING = 3;
  public static final int ALARM_STAT_MUTED = 4;
  public static final int ALARM_STAT_MISSING = 5;
  private int value;

  public AlarmStatus()
  {
  }

  public AlarmStatus(AlarmStatus paramAlarmStatus)
  {
    this.value = paramAlarmStatus.value;
  }

  public AlarmStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}