package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class CacheFlushModifier
  implements XDRType, SYMbolAPIConstants
{
  public static final int CACHE_FLUSH_IMMEDIATE = 0;
  public static final int CACHE_FLUSH_250_MSEC = 1;
  public static final int CACHE_FLUSH_500_MSEC = 2;
  public static final int CACHE_FLUSH_750_MSEC = 3;
  public static final int CACHE_FLUSH_1_SEC = 4;
  public static final int CACHE_FLUSH_1500_MSEC = 5;
  public static final int CACHE_FLUSH_2_SEC = 6;
  public static final int CACHE_FLUSH_5_SEC = 7;
  public static final int CACHE_FLUSH_10_SEC = 8;
  public static final int CACHE_FLUSH_20_SEC = 9;
  public static final int CACHE_FLUSH_60_SEC = 10;
  public static final int CACHE_FLUSH_120_SEC = 11;
  public static final int CACHE_FLUSH_300_SEC = 12;
  public static final int CACHE_FLUSH_1200_SEC = 13;
  public static final int CACHE_FLUSH_3600_SEC = 14;
  public static final int CACHE_FLUSH_INFINITE = 15;
  private int value;

  public CacheFlushModifier()
  {
  }

  public CacheFlushModifier(CacheFlushModifier paramCacheFlushModifier)
  {
    this.value = paramCacheFlushModifier.value;
  }

  public CacheFlushModifier(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}