package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class CandidateSelectionType
  implements XDRType, SYMbolAPIConstants
{
  public static final int CANDIDATE_SEL_FREE_EXTENT = 1;
  public static final int CANDIDATE_SEL_MANUAL = 2;
  public static final int CANDIDATE_SEL_COUNT = 3;
  private int value;

  public CandidateSelectionType()
  {
  }

  public CandidateSelectionType(CandidateSelectionType paramCandidateSelectionType)
  {
    this.value = paramCandidateSelectionType.value;
  }

  public CandidateSelectionType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}