package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ChangeState
  implements XDRType, SYMbolAPIConstants
{
  private long configGeneration;
  private long lastCriticalMelSeqNumber;

  public ChangeState()
  {
  }

  public ChangeState(ChangeState paramChangeState)
  {
    this.configGeneration = paramChangeState.configGeneration;
    this.lastCriticalMelSeqNumber = paramChangeState.lastCriticalMelSeqNumber;
  }

  public long getConfigGeneration()
  {
    return this.configGeneration;
  }

  public void setConfigGeneration(long paramLong)
  {
    this.configGeneration = paramLong;
  }

  public long getLastCriticalMelSeqNumber()
  {
    return this.lastCriticalMelSeqNumber;
  }

  public void setLastCriticalMelSeqNumber(long paramLong)
  {
    this.lastCriticalMelSeqNumber = paramLong;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putLong(this.configGeneration);
    paramXDROutputStream.putLong(this.lastCriticalMelSeqNumber);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.configGeneration = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.lastCriticalMelSeqNumber = paramXDRInputStream.getLong();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}