package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ChannelLocation
  implements XDRType, SYMbolAPIConstants
{
  private ChannelType channelType = new ChannelType();
  private int index;
  private int controllerSlot;

  public ChannelLocation()
  {
  }

  public ChannelLocation(ChannelLocation paramChannelLocation)
  {
    this.channelType = paramChannelLocation.channelType;
    this.index = paramChannelLocation.index;
    this.controllerSlot = paramChannelLocation.controllerSlot;
  }

  public ChannelType getChannelType()
  {
    return this.channelType;
  }

  public void setChannelType(ChannelType paramChannelType)
  {
    this.channelType = paramChannelType;
  }

  public int getIndex()
  {
    return this.index;
  }

  public void setIndex(int paramInt)
  {
    this.index = paramInt;
  }

  public int getControllerSlot()
  {
    return this.controllerSlot;
  }

  public void setControllerSlot(int paramInt)
  {
    this.controllerSlot = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.channelType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.index);
    paramXDROutputStream.putInt(this.controllerSlot);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channelType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.index = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerSlot = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}