package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ChannelType
  implements XDRType, SYMbolAPIConstants
{
  public static final int CHANNEL_TYPE_HOSTSIDE = 0;
  public static final int CHANNEL_TYPE_DRIVESIDE = 1;
  private int value;

  public ChannelType()
  {
  }

  public ChannelType(ChannelType paramChannelType)
  {
    this.value = paramChannelType.value;
  }

  public ChannelType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}