package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ControllerGBIC
  implements XDRType, SYMbolAPIConstants
{
  private ControllerGBICType controllerGBICType = new ControllerGBICType();
  private ControllerRef parentController = new ControllerRef();
  private int channel;
  private byte[] reserved1;
  private byte[] reserved2;

  public ControllerGBIC()
  {
  }

  public ControllerGBIC(ControllerGBIC paramControllerGBIC)
  {
    this.controllerGBICType = paramControllerGBIC.controllerGBICType;
    this.parentController = paramControllerGBIC.parentController;
    this.channel = paramControllerGBIC.channel;
    this.reserved1 = paramControllerGBIC.reserved1;
    this.reserved2 = paramControllerGBIC.reserved2;
  }

  public ControllerGBICType getControllerGBICType()
  {
    return this.controllerGBICType;
  }

  public void setControllerGBICType(ControllerGBICType paramControllerGBICType)
  {
    this.controllerGBICType = paramControllerGBICType;
  }

  public ControllerRef getParentController()
  {
    return this.parentController;
  }

  public void setParentController(ControllerRef paramControllerRef)
  {
    this.parentController = paramControllerRef;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.controllerGBICType.xdrEncode(paramXDROutputStream);
    this.parentController.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerGBICType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.parentController.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}