package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ControllerSFP
  implements XDRType, SYMbolAPIConstants
{
  private ControllerSFPType controllerSFPType = new ControllerSFPType();
  private ControllerRef parentController = new ControllerRef();
  private int channel;
  private byte[] reserved1;
  private byte[] reserved2;

  public ControllerSFP()
  {
  }

  public ControllerSFP(ControllerSFP paramControllerSFP)
  {
    this.controllerSFPType = paramControllerSFP.controllerSFPType;
    this.parentController = paramControllerSFP.parentController;
    this.channel = paramControllerSFP.channel;
    this.reserved1 = paramControllerSFP.reserved1;
    this.reserved2 = paramControllerSFP.reserved2;
  }

  public ControllerSFPType getControllerSFPType()
  {
    return this.controllerSFPType;
  }

  public void setControllerSFPType(ControllerSFPType paramControllerSFPType)
  {
    this.controllerSFPType = paramControllerSFPType;
  }

  public ControllerRef getParentController()
  {
    return this.parentController;
  }

  public void setParentController(ControllerRef paramControllerRef)
  {
    this.parentController = paramControllerRef;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.controllerSFPType.xdrEncode(paramXDROutputStream);
    this.parentController.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerSFPType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.parentController.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}