package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ControllerSfpLocation
  implements XDRType, SYMbolAPIConstants
{
  private ChannelType channelType = new ChannelType();
  private int channel;
  private int sfpPort;
  private int controllerSlot;

  public ControllerSfpLocation()
  {
  }

  public ControllerSfpLocation(ControllerSfpLocation paramControllerSfpLocation)
  {
    this.channelType = paramControllerSfpLocation.channelType;
    this.channel = paramControllerSfpLocation.channel;
    this.sfpPort = paramControllerSfpLocation.sfpPort;
    this.controllerSlot = paramControllerSfpLocation.controllerSlot;
  }

  public ChannelType getChannelType()
  {
    return this.channelType;
  }

  public void setChannelType(ChannelType paramChannelType)
  {
    this.channelType = paramChannelType;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public int getSfpPort()
  {
    return this.sfpPort;
  }

  public void setSfpPort(int paramInt)
  {
    this.sfpPort = paramInt;
  }

  public int getControllerSlot()
  {
    return this.controllerSlot;
  }

  public void setControllerSlot(int paramInt)
  {
    this.controllerSlot = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.channelType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putInt(this.sfpPort);
    paramXDROutputStream.putInt(this.controllerSlot);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channelType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.sfpPort = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerSlot = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}