package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DdcLogData
  implements XDRType, SYMbolAPIConstants
{
  private boolean lastChunk;
  private byte[] logData;

  public DdcLogData()
  {
  }

  public DdcLogData(DdcLogData paramDdcLogData)
  {
    this.lastChunk = paramDdcLogData.lastChunk;
    this.logData = paramDdcLogData.logData;
  }

  public boolean getLastChunk()
  {
    return this.lastChunk;
  }

  public void setLastChunk(boolean paramBoolean)
  {
    this.lastChunk = paramBoolean;
  }

  public byte[] getLogData()
  {
    return this.logData;
  }

  public void setLogData(byte[] paramArrayOfByte)
  {
    this.logData = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.lastChunk);
    paramXDROutputStream.putVariableOpaque(this.logData, 131072);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.lastChunk = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.logData = paramXDRInputStream.getVariableOpaque(131072);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}