package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Drive
  implements XDRType, SYMbolAPIConstants
{
  private boolean offline;
  private boolean hotSpare;
  private boolean invalidDriveData;
  private boolean available;
  private boolean pfa;
  private DriveRef driveRef = new DriveRef();
  private DriveStatus status = new DriveStatus();
  private DriveStatusCause cause = new DriveStatusCause();
  private DriveTypeData interfaceType = new DriveTypeData();
  private Location physicalLocation = new Location();
  private String manufacturer;
  private long manufacturerDate;
  private String productID;
  private String serialNumber;
  private String softwareVersion;
  private int blkSize;
  private long usableCapacity;
  private long rawCapacity;
  private byte[] worldWideName;
  private VolumeGroupRef currentVolumeGroupRef = new VolumeGroupRef();
  private DriveRef sparedForDriveRef = new DriveRef();
  private DriveRef mirrorDrive = new DriveRef();
  private boolean nonRedundantAccess;
  private int workingChannel;
  private int volumeGroupIndex;
  private InterfaceSpeed currentSpeed = new InterfaceSpeed();
  private InterfaceSpeed maxSpeed = new InterfaceSpeed();
  private boolean uncertified;
  private boolean hasDegradedChannel;
  private int[] degradedChannels;
  private PhysicalDriveType phyDriveType = new PhysicalDriveType();
  private int spindleSpeed;
  private RTRAttributes rtrAttributes = new RTRAttributes();
  private InterposerData interposerData = new InterposerData();

  public Drive()
  {
  }

  public Drive(Drive paramDrive)
  {
    this.offline = paramDrive.offline;
    this.hotSpare = paramDrive.hotSpare;
    this.invalidDriveData = paramDrive.invalidDriveData;
    this.available = paramDrive.available;
    this.pfa = paramDrive.pfa;
    this.driveRef = paramDrive.driveRef;
    this.status = paramDrive.status;
    this.cause = paramDrive.cause;
    this.interfaceType = paramDrive.interfaceType;
    this.physicalLocation = paramDrive.physicalLocation;
    this.manufacturer = paramDrive.manufacturer;
    this.manufacturerDate = paramDrive.manufacturerDate;
    this.productID = paramDrive.productID;
    this.serialNumber = paramDrive.serialNumber;
    this.softwareVersion = paramDrive.softwareVersion;
    this.blkSize = paramDrive.blkSize;
    this.usableCapacity = paramDrive.usableCapacity;
    this.rawCapacity = paramDrive.rawCapacity;
    this.worldWideName = paramDrive.worldWideName;
    this.currentVolumeGroupRef = paramDrive.currentVolumeGroupRef;
    this.sparedForDriveRef = paramDrive.sparedForDriveRef;
    this.mirrorDrive = paramDrive.mirrorDrive;
    this.nonRedundantAccess = paramDrive.nonRedundantAccess;
    this.workingChannel = paramDrive.workingChannel;
    this.volumeGroupIndex = paramDrive.volumeGroupIndex;
    this.currentSpeed = paramDrive.currentSpeed;
    this.maxSpeed = paramDrive.maxSpeed;
    this.uncertified = paramDrive.uncertified;
    this.hasDegradedChannel = paramDrive.hasDegradedChannel;
    this.degradedChannels = paramDrive.degradedChannels;
    this.phyDriveType = paramDrive.phyDriveType;
    this.spindleSpeed = paramDrive.spindleSpeed;
    this.rtrAttributes = paramDrive.rtrAttributes;
    this.interposerData = paramDrive.interposerData;
  }

  public boolean getOffline()
  {
    return this.offline;
  }

  public void setOffline(boolean paramBoolean)
  {
    this.offline = paramBoolean;
  }

  public boolean getHotSpare()
  {
    return this.hotSpare;
  }

  public void setHotSpare(boolean paramBoolean)
  {
    this.hotSpare = paramBoolean;
  }

  public boolean getInvalidDriveData()
  {
    return this.invalidDriveData;
  }

  public void setInvalidDriveData(boolean paramBoolean)
  {
    this.invalidDriveData = paramBoolean;
  }

  public boolean getAvailable()
  {
    return this.available;
  }

  public void setAvailable(boolean paramBoolean)
  {
    this.available = paramBoolean;
  }

  public boolean getPfa()
  {
    return this.pfa;
  }

  public void setPfa(boolean paramBoolean)
  {
    this.pfa = paramBoolean;
  }

  public DriveRef getDriveRef()
  {
    return this.driveRef;
  }

  public void setDriveRef(DriveRef paramDriveRef)
  {
    this.driveRef = paramDriveRef;
  }

  public DriveStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(DriveStatus paramDriveStatus)
  {
    this.status = paramDriveStatus;
  }

  public DriveStatusCause getCause()
  {
    return this.cause;
  }

  public void setCause(DriveStatusCause paramDriveStatusCause)
  {
    this.cause = paramDriveStatusCause;
  }

  public DriveTypeData getInterfaceType()
  {
    return this.interfaceType;
  }

  public void setInterfaceType(DriveTypeData paramDriveTypeData)
  {
    this.interfaceType = paramDriveTypeData;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public String getManufacturer()
  {
    return this.manufacturer;
  }

  public void setManufacturer(String paramString)
  {
    this.manufacturer = paramString;
  }

  public long getManufacturerDate()
  {
    return this.manufacturerDate;
  }

  public void setManufacturerDate(long paramLong)
  {
    this.manufacturerDate = paramLong;
  }

  public String getProductID()
  {
    return this.productID;
  }

  public void setProductID(String paramString)
  {
    this.productID = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public String getSoftwareVersion()
  {
    return this.softwareVersion;
  }

  public void setSoftwareVersion(String paramString)
  {
    this.softwareVersion = paramString;
  }

  public int getBlkSize()
  {
    return this.blkSize;
  }

  public void setBlkSize(int paramInt)
  {
    this.blkSize = paramInt;
  }

  public long getUsableCapacity()
  {
    return this.usableCapacity;
  }

  public void setUsableCapacity(long paramLong)
  {
    this.usableCapacity = paramLong;
  }

  public long getRawCapacity()
  {
    return this.rawCapacity;
  }

  public void setRawCapacity(long paramLong)
  {
    this.rawCapacity = paramLong;
  }

  public byte[] getWorldWideName()
  {
    return this.worldWideName;
  }

  public void setWorldWideName(byte[] paramArrayOfByte)
  {
    this.worldWideName = paramArrayOfByte;
  }

  public VolumeGroupRef getCurrentVolumeGroupRef()
  {
    return this.currentVolumeGroupRef;
  }

  public void setCurrentVolumeGroupRef(VolumeGroupRef paramVolumeGroupRef)
  {
    this.currentVolumeGroupRef = paramVolumeGroupRef;
  }

  public DriveRef getSparedForDriveRef()
  {
    return this.sparedForDriveRef;
  }

  public void setSparedForDriveRef(DriveRef paramDriveRef)
  {
    this.sparedForDriveRef = paramDriveRef;
  }

  public DriveRef getMirrorDrive()
  {
    return this.mirrorDrive;
  }

  public void setMirrorDrive(DriveRef paramDriveRef)
  {
    this.mirrorDrive = paramDriveRef;
  }

  public boolean getNonRedundantAccess()
  {
    return this.nonRedundantAccess;
  }

  public void setNonRedundantAccess(boolean paramBoolean)
  {
    this.nonRedundantAccess = paramBoolean;
  }

  public int getWorkingChannel()
  {
    return this.workingChannel;
  }

  public void setWorkingChannel(int paramInt)
  {
    this.workingChannel = paramInt;
  }

  public int getVolumeGroupIndex()
  {
    return this.volumeGroupIndex;
  }

  public void setVolumeGroupIndex(int paramInt)
  {
    this.volumeGroupIndex = paramInt;
  }

  public InterfaceSpeed getCurrentSpeed()
  {
    return this.currentSpeed;
  }

  public void setCurrentSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.currentSpeed = paramInterfaceSpeed;
  }

  public InterfaceSpeed getMaxSpeed()
  {
    return this.maxSpeed;
  }

  public void setMaxSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.maxSpeed = paramInterfaceSpeed;
  }

  public boolean getUncertified()
  {
    return this.uncertified;
  }

  public void setUncertified(boolean paramBoolean)
  {
    this.uncertified = paramBoolean;
  }

  public boolean getHasDegradedChannel()
  {
    return this.hasDegradedChannel;
  }

  public void setHasDegradedChannel(boolean paramBoolean)
  {
    this.hasDegradedChannel = paramBoolean;
  }

  public int[] getDegradedChannels()
  {
    return this.degradedChannels;
  }

  public void setDegradedChannels(int[] paramArrayOfInt)
  {
    this.degradedChannels = paramArrayOfInt;
  }

  public PhysicalDriveType getPhyDriveType()
  {
    return this.phyDriveType;
  }

  public void setPhyDriveType(PhysicalDriveType paramPhysicalDriveType)
  {
    this.phyDriveType = paramPhysicalDriveType;
  }

  public int getSpindleSpeed()
  {
    return this.spindleSpeed;
  }

  public void setSpindleSpeed(int paramInt)
  {
    this.spindleSpeed = paramInt;
  }

  public RTRAttributes getRtrAttributes()
  {
    return this.rtrAttributes;
  }

  public void setRtrAttributes(RTRAttributes paramRTRAttributes)
  {
    this.rtrAttributes = paramRTRAttributes;
  }

  public InterposerData getInterposerData()
  {
    return this.interposerData;
  }

  public void setInterposerData(InterposerData paramInterposerData)
  {
    this.interposerData = paramInterposerData;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.offline);
    paramXDROutputStream.putBoolean(this.hotSpare);
    paramXDROutputStream.putBoolean(this.invalidDriveData);
    paramXDROutputStream.putBoolean(this.available);
    paramXDROutputStream.putBoolean(this.pfa);
    this.driveRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.cause.xdrEncode(paramXDROutputStream);
    this.interfaceType.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.manufacturer);
    paramXDROutputStream.putLong(this.manufacturerDate);
    paramXDROutputStream.putString(this.productID);
    paramXDROutputStream.putString(this.serialNumber);
    paramXDROutputStream.putString(this.softwareVersion);
    paramXDROutputStream.putInt(this.blkSize);
    paramXDROutputStream.putLong(this.usableCapacity);
    paramXDROutputStream.putLong(this.rawCapacity);
    paramXDROutputStream.putVariableOpaque(this.worldWideName);
    this.currentVolumeGroupRef.xdrEncode(paramXDROutputStream);
    this.sparedForDriveRef.xdrEncode(paramXDROutputStream);
    this.mirrorDrive.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.nonRedundantAccess);
    paramXDROutputStream.putInt(this.workingChannel);
    paramXDROutputStream.putInt(this.volumeGroupIndex);
    this.currentSpeed.xdrEncode(paramXDROutputStream);
    this.maxSpeed.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.uncertified);
    paramXDROutputStream.putBoolean(this.hasDegradedChannel);
    int j = this.degradedChannels == null ? 0 : this.degradedChannels.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      paramXDROutputStream.putInt(this.degradedChannels[k]);
    this.phyDriveType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.spindleSpeed);
    this.rtrAttributes.xdrEncode(paramXDROutputStream);
    this.interposerData.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.offline = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.hotSpare = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.invalidDriveData = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.available = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.pfa = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.driveRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.cause.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.interfaceType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturer = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturerDate = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.productID = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.serialNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.softwareVersion = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.blkSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.usableCapacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.rawCapacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.worldWideName = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.currentVolumeGroupRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.sparedForDriveRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.mirrorDrive.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.nonRedundantAccess = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.workingChannel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupIndex = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.currentSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.maxSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.uncertified = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.hasDegradedChannel = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.degradedChannels = new int[j];
      for (int k = 0; k < j; k++)
        this.degradedChannels[k] = paramXDRInputStream.getInt();
    }
    if (paramXDRInputStream.getPosition() < i)
      this.phyDriveType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.spindleSpeed = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.rtrAttributes.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.interposerData.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}