package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannelErrorCounts
  implements XDRType, SYMbolAPIConstants
{
  private int nonChannelErrors;
  private int timeoutErrors;
  private int controllerDetectedErrors;
  private int driveDetectedErrors;
  private int linkDownErrors;

  public DriveChannelErrorCounts()
  {
  }

  public DriveChannelErrorCounts(DriveChannelErrorCounts paramDriveChannelErrorCounts)
  {
    this.nonChannelErrors = paramDriveChannelErrorCounts.nonChannelErrors;
    this.timeoutErrors = paramDriveChannelErrorCounts.timeoutErrors;
    this.controllerDetectedErrors = paramDriveChannelErrorCounts.controllerDetectedErrors;
    this.driveDetectedErrors = paramDriveChannelErrorCounts.driveDetectedErrors;
    this.linkDownErrors = paramDriveChannelErrorCounts.linkDownErrors;
  }

  public int getNonChannelErrors()
  {
    return this.nonChannelErrors;
  }

  public void setNonChannelErrors(int paramInt)
  {
    this.nonChannelErrors = paramInt;
  }

  public int getTimeoutErrors()
  {
    return this.timeoutErrors;
  }

  public void setTimeoutErrors(int paramInt)
  {
    this.timeoutErrors = paramInt;
  }

  public int getControllerDetectedErrors()
  {
    return this.controllerDetectedErrors;
  }

  public void setControllerDetectedErrors(int paramInt)
  {
    this.controllerDetectedErrors = paramInt;
  }

  public int getDriveDetectedErrors()
  {
    return this.driveDetectedErrors;
  }

  public void setDriveDetectedErrors(int paramInt)
  {
    this.driveDetectedErrors = paramInt;
  }

  public int getLinkDownErrors()
  {
    return this.linkDownErrors;
  }

  public void setLinkDownErrors(int paramInt)
  {
    this.linkDownErrors = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.nonChannelErrors);
    paramXDROutputStream.putInt(this.timeoutErrors);
    paramXDROutputStream.putInt(this.controllerDetectedErrors);
    paramXDROutputStream.putInt(this.driveDetectedErrors);
    paramXDROutputStream.putInt(this.linkDownErrors);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.nonChannelErrors = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.timeoutErrors = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerDetectedErrors = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.driveDetectedErrors = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.linkDownErrors = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}