package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannelParentType
  implements XDRType, SYMbolAPIConstants
{
  public static final int PARENT_UNKNOWN = 0;
  public static final int MINIHUB = 1;
  public static final int CONTROLLER = 2;
  private int value;

  public DriveChannelParentType()
  {
  }

  public DriveChannelParentType(DriveChannelParentType paramDriveChannelParentType)
  {
    this.value = paramDriveChannelParentType.value;
  }

  public DriveChannelParentType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}