package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannelState
  implements XDRType, SYMbolAPIConstants
{
  public static final int DRIVE_CHANNEL_STATE_OPTIMAL = 0;
  public static final int DRIVE_CHANNEL_STATE_DEGRADED = 1;
  public static final int DRIVE_CHANNEL_STATE_HW_FAILED = 2;
  private int value;

  public DriveChannelState()
  {
  }

  public DriveChannelState(DriveChannelState paramDriveChannelState)
  {
    this.value = paramDriveChannelState.value;
  }

  public DriveChannelState(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}