package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannelStateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private int channel;
  private DriveChannelState state = new DriveChannelState();

  public DriveChannelStateDescriptor()
  {
  }

  public DriveChannelStateDescriptor(DriveChannelStateDescriptor paramDriveChannelStateDescriptor)
  {
    this.channel = paramDriveChannelStateDescriptor.channel;
    this.state = paramDriveChannelStateDescriptor.state;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public DriveChannelState getState()
  {
    return this.state;
  }

  public void setState(DriveChannelState paramDriveChannelState)
  {
    this.state = paramDriveChannelState;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.channel);
    this.state.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.state.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}