package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannelStatistics
  implements XDRType, SYMbolAPIConstants
{
  private long startTimeStamp;
  private long endTimeStamp;
  private int totalIoCount;
  private int totalIoErrorCount;
  private LinkStatus linkStatus = new LinkStatus();
  private DriveChannelErrorCounts errorCounts = new DriveChannelErrorCounts();

  public DriveChannelStatistics()
  {
  }

  public DriveChannelStatistics(DriveChannelStatistics paramDriveChannelStatistics)
  {
    this.startTimeStamp = paramDriveChannelStatistics.startTimeStamp;
    this.endTimeStamp = paramDriveChannelStatistics.endTimeStamp;
    this.totalIoCount = paramDriveChannelStatistics.totalIoCount;
    this.totalIoErrorCount = paramDriveChannelStatistics.totalIoErrorCount;
    this.linkStatus = paramDriveChannelStatistics.linkStatus;
    this.errorCounts = paramDriveChannelStatistics.errorCounts;
  }

  public long getStartTimeStamp()
  {
    return this.startTimeStamp;
  }

  public void setStartTimeStamp(long paramLong)
  {
    this.startTimeStamp = paramLong;
  }

  public long getEndTimeStamp()
  {
    return this.endTimeStamp;
  }

  public void setEndTimeStamp(long paramLong)
  {
    this.endTimeStamp = paramLong;
  }

  public int getTotalIoCount()
  {
    return this.totalIoCount;
  }

  public void setTotalIoCount(int paramInt)
  {
    this.totalIoCount = paramInt;
  }

  public int getTotalIoErrorCount()
  {
    return this.totalIoErrorCount;
  }

  public void setTotalIoErrorCount(int paramInt)
  {
    this.totalIoErrorCount = paramInt;
  }

  public LinkStatus getLinkStatus()
  {
    return this.linkStatus;
  }

  public void setLinkStatus(LinkStatus paramLinkStatus)
  {
    this.linkStatus = paramLinkStatus;
  }

  public DriveChannelErrorCounts getErrorCounts()
  {
    return this.errorCounts;
  }

  public void setErrorCounts(DriveChannelErrorCounts paramDriveChannelErrorCounts)
  {
    this.errorCounts = paramDriveChannelErrorCounts;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putLong(this.startTimeStamp);
    paramXDROutputStream.putLong(this.endTimeStamp);
    paramXDROutputStream.putInt(this.totalIoCount);
    paramXDROutputStream.putInt(this.totalIoErrorCount);
    this.linkStatus.xdrEncode(paramXDROutputStream);
    this.errorCounts.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.startTimeStamp = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.endTimeStamp = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.totalIoCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalIoErrorCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.linkStatus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.errorCounts.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}