package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveDownloadStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int DRIVE_DL_STAT_OKAY = 1;
  public static final int DRIVE_DL_STAT_INVALID_DRIVEREF = 2;
  public static final int DRIVE_DL_STAT_DUPLICATE_DRIVE = 3;
  public static final int DRIVE_DL_STAT_NOT_ATTEMPTED = 4;
  public static final int DRIVE_DL_STAT_INVALID_STATE = 5;
  public static final int DRIVE_DL_STAT_IN_PROGRESS = 6;
  public static final int DRIVE_DL_STAT_PARTIAL_UPDATE = 7;
  public static final int DRIVE_DL_STAT_FAILED_UPDATE = 8;
  private int value;

  public DriveDownloadStatus()
  {
  }

  public DriveDownloadStatus(DriveDownloadStatus paramDriveDownloadStatus)
  {
    this.value = paramDriveDownloadStatus.value;
  }

  public DriveDownloadStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}