package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveLostRedundancyFailure
  implements XDRType, SYMbolAPIConstants
{
  private DriveRef driveLostRedundancy = new DriveRef();
  private int workingChannel;
  private ComponentRef failedEsm = new ComponentRef();

  public DriveLostRedundancyFailure()
  {
  }

  public DriveLostRedundancyFailure(DriveLostRedundancyFailure paramDriveLostRedundancyFailure)
  {
    this.driveLostRedundancy = paramDriveLostRedundancyFailure.driveLostRedundancy;
    this.workingChannel = paramDriveLostRedundancyFailure.workingChannel;
    this.failedEsm = paramDriveLostRedundancyFailure.failedEsm;
  }

  public DriveRef getDriveLostRedundancy()
  {
    return this.driveLostRedundancy;
  }

  public void setDriveLostRedundancy(DriveRef paramDriveRef)
  {
    this.driveLostRedundancy = paramDriveRef;
  }

  public int getWorkingChannel()
  {
    return this.workingChannel;
  }

  public void setWorkingChannel(int paramInt)
  {
    this.workingChannel = paramInt;
  }

  public ComponentRef getFailedEsm()
  {
    return this.failedEsm;
  }

  public void setFailedEsm(ComponentRef paramComponentRef)
  {
    this.failedEsm = paramComponentRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.driveLostRedundancy.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.workingChannel);
    this.failedEsm.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.driveLostRedundancy.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.workingChannel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.failedEsm.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}