package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int DRIVE_STAT_OPTIMAL = 1;
  public static final int DRIVE_STAT_FAILED = 2;
  public static final int DRIVE_STAT_REPLACED = 3;
  public static final int DRIVE_STAT_BYPASSED = 4;
  public static final int DRIVE_STAT_UNRESPONSIVE = 5;
  public static final int DRIVE_STAT_REMOVED = 6;
  private int value;

  public DriveStatus()
  {
  }

  public DriveStatus(DriveStatus paramDriveStatus)
  {
    this.value = paramDriveStatus.value;
  }

  public DriveStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}