package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveType
  implements XDRType, SYMbolAPIConstants
{
  public static final int DRIVE_TYPE_SCSI = 1;
  public static final int DRIVE_TYPE_FIBRE = 2;
  public static final int DRIVE_TYPE_UNKNOWN = 3;
  private int value;

  public DriveType()
  {
  }

  public DriveType(DriveType paramDriveType)
  {
    this.value = paramDriveType.value;
  }

  public DriveType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}