package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Esm
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef esmRef = new ComponentRef();
  private ESMStatus status = new ESMStatus();
  private Location physicalLocation = new Location();
  private boolean nonRedundantAccess;
  private String partNumber;
  private String serialNumber;
  private long manufacturerDate;
  private String manufacturer;
  private String fruType;
  private String softwareVersion;
  private ESMInterfaceTypeData esmInterfaceData = new ESMInterfaceTypeData();
  private String productID;
  private int workingChannel;
  private InterfaceSpeed currentSpeed = new InterfaceSpeed();
  private InterfaceSpeed maxSpeed = new InterfaceSpeed();
  private byte[] reserved1;
  private byte[] reserved2;
  private FibreESMAddress fibreEsm = new FibreESMAddress();
  private RTRAttributes rtrAttributes = new RTRAttributes();
  private EsmInterfaceAttributes esmInterfaceAttributes = new EsmInterfaceAttributes();

  public Esm()
  {
  }

  public Esm(Esm paramEsm)
  {
    this.esmRef = paramEsm.esmRef;
    this.status = paramEsm.status;
    this.physicalLocation = paramEsm.physicalLocation;
    this.nonRedundantAccess = paramEsm.nonRedundantAccess;
    this.partNumber = paramEsm.partNumber;
    this.serialNumber = paramEsm.serialNumber;
    this.manufacturerDate = paramEsm.manufacturerDate;
    this.manufacturer = paramEsm.manufacturer;
    this.fruType = paramEsm.fruType;
    this.softwareVersion = paramEsm.softwareVersion;
    this.esmInterfaceData = paramEsm.esmInterfaceData;
    this.productID = paramEsm.productID;
    this.workingChannel = paramEsm.workingChannel;
    this.currentSpeed = paramEsm.currentSpeed;
    this.maxSpeed = paramEsm.maxSpeed;
    this.reserved1 = paramEsm.reserved1;
    this.reserved2 = paramEsm.reserved2;
    this.fibreEsm = paramEsm.fibreEsm;
    this.rtrAttributes = paramEsm.rtrAttributes;
    this.esmInterfaceAttributes = paramEsm.esmInterfaceAttributes;
  }

  public ComponentRef getEsmRef()
  {
    return this.esmRef;
  }

  public void setEsmRef(ComponentRef paramComponentRef)
  {
    this.esmRef = paramComponentRef;
  }

  public ESMStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(ESMStatus paramESMStatus)
  {
    this.status = paramESMStatus;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public boolean getNonRedundantAccess()
  {
    return this.nonRedundantAccess;
  }

  public void setNonRedundantAccess(boolean paramBoolean)
  {
    this.nonRedundantAccess = paramBoolean;
  }

  public String getPartNumber()
  {
    return this.partNumber;
  }

  public void setPartNumber(String paramString)
  {
    this.partNumber = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public long getManufacturerDate()
  {
    return this.manufacturerDate;
  }

  public void setManufacturerDate(long paramLong)
  {
    this.manufacturerDate = paramLong;
  }

  public String getManufacturer()
  {
    return this.manufacturer;
  }

  public void setManufacturer(String paramString)
  {
    this.manufacturer = paramString;
  }

  public String getFruType()
  {
    return this.fruType;
  }

  public void setFruType(String paramString)
  {
    this.fruType = paramString;
  }

  public String getSoftwareVersion()
  {
    return this.softwareVersion;
  }

  public void setSoftwareVersion(String paramString)
  {
    this.softwareVersion = paramString;
  }

  public ESMInterfaceTypeData getEsmInterfaceData()
  {
    return this.esmInterfaceData;
  }

  public void setEsmInterfaceData(ESMInterfaceTypeData paramESMInterfaceTypeData)
  {
    this.esmInterfaceData = paramESMInterfaceTypeData;
  }

  public String getProductID()
  {
    return this.productID;
  }

  public void setProductID(String paramString)
  {
    this.productID = paramString;
  }

  public int getWorkingChannel()
  {
    return this.workingChannel;
  }

  public void setWorkingChannel(int paramInt)
  {
    this.workingChannel = paramInt;
  }

  public InterfaceSpeed getCurrentSpeed()
  {
    return this.currentSpeed;
  }

  public void setCurrentSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.currentSpeed = paramInterfaceSpeed;
  }

  public InterfaceSpeed getMaxSpeed()
  {
    return this.maxSpeed;
  }

  public void setMaxSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.maxSpeed = paramInterfaceSpeed;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public FibreESMAddress getFibreEsm()
  {
    return this.fibreEsm;
  }

  public void setFibreEsm(FibreESMAddress paramFibreESMAddress)
  {
    this.fibreEsm = paramFibreESMAddress;
  }

  public RTRAttributes getRtrAttributes()
  {
    return this.rtrAttributes;
  }

  public void setRtrAttributes(RTRAttributes paramRTRAttributes)
  {
    this.rtrAttributes = paramRTRAttributes;
  }

  public EsmInterfaceAttributes getEsmInterfaceAttributes()
  {
    return this.esmInterfaceAttributes;
  }

  public void setEsmInterfaceAttributes(EsmInterfaceAttributes paramEsmInterfaceAttributes)
  {
    this.esmInterfaceAttributes = paramEsmInterfaceAttributes;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.esmRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.nonRedundantAccess);
    paramXDROutputStream.putString(this.partNumber);
    paramXDROutputStream.putString(this.serialNumber);
    paramXDROutputStream.putLong(this.manufacturerDate);
    paramXDROutputStream.putString(this.manufacturer);
    paramXDROutputStream.putString(this.fruType);
    paramXDROutputStream.putString(this.softwareVersion);
    this.esmInterfaceData.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.productID);
    paramXDROutputStream.putInt(this.workingChannel);
    this.currentSpeed.xdrEncode(paramXDROutputStream);
    this.maxSpeed.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    this.fibreEsm.xdrEncode(paramXDROutputStream);
    this.rtrAttributes.xdrEncode(paramXDROutputStream);
    this.esmInterfaceAttributes.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.esmRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.nonRedundantAccess = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.partNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.serialNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturerDate = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturer = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.fruType = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.softwareVersion = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.esmInterfaceData.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.productID = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.workingChannel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.currentSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.maxSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.fibreEsm.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.rtrAttributes.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.esmInterfaceAttributes.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}