package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class EsmLostRedundancyFailure
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef esmLostRedundancy = new ComponentRef();
  private int workingChannel;

  public EsmLostRedundancyFailure()
  {
  }

  public EsmLostRedundancyFailure(EsmLostRedundancyFailure paramEsmLostRedundancyFailure)
  {
    this.esmLostRedundancy = paramEsmLostRedundancyFailure.esmLostRedundancy;
    this.workingChannel = paramEsmLostRedundancyFailure.workingChannel;
  }

  public ComponentRef getEsmLostRedundancy()
  {
    return this.esmLostRedundancy;
  }

  public void setEsmLostRedundancy(ComponentRef paramComponentRef)
  {
    this.esmLostRedundancy = paramComponentRef;
  }

  public int getWorkingChannel()
  {
    return this.workingChannel;
  }

  public void setWorkingChannel(int paramInt)
  {
    this.workingChannel = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.esmLostRedundancy.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.workingChannel);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.esmLostRedundancy.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.workingChannel = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}