package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class EventCategory
  implements XDRType, SYMbolAPIConstants
{
  public static final int EVENT_CATEGORY_ERROR = 1;
  public static final int EVENT_CATEGORY_FAILURE = 2;
  public static final int EVENT_CATEGORY_COMMAND = 3;
  public static final int EVENT_CATEGORY_NOTIFICATION = 4;
  public static final int EVENT_CATEGORY_STATE_CHANGE = 5;
  public static final int EVENT_CATEGORY_HOST_ENTRY = 6;
  public static final int EVENT_CATEGORY_GENERAL = 7;
  private int value;

  public EventCategory()
  {
  }

  public EventCategory(EventCategory paramEventCategory)
  {
    this.value = paramEventCategory.value;
  }

  public EventCategory(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}