package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class EventComponentType
  implements XDRType, SYMbolAPIConstants
{
  public static final int EVENT_COMP_TYPE_UNKNOWN = 0;
  public static final int EVENT_COMP_TYPE_DRIVE = 1;
  public static final int EVENT_COMP_TYPE_POWER_SPLY = 2;
  public static final int EVENT_COMP_TYPE_FAN = 3;
  public static final int EVENT_COMP_TYPE_MINIHUB = 4;
  public static final int EVENT_COMP_TYPE_TEMP_SENSOR = 5;
  public static final int EVENT_COMP_TYPE_CHANNEL = 6;
  public static final int EVENT_COMP_TYPE_ESM = 7;
  public static final int EVENT_COMP_TYPE_CONTROLLER = 8;
  public static final int EVENT_COMP_TYPE_BATTERY = 9;
  public static final int EVENT_COMP_TYPE_ENCLOSURE = 10;
  public static final int EVENT_COMP_TYPE_UPS = 11;
  public static final int EVENT_COMP_TYPE_CHIP = 12;
  public static final int EVENT_COMP_TYPE_VOLUME = 13;
  public static final int EVENT_COMP_TYPE_VOLUME_GRP = 14;
  public static final int EVENT_COMP_TYPE_PORT_CRU = 15;
  public static final int EVENT_COMP_TYPE_INTERCONNECT_CRU = 16;
  public static final int EVENT_COMP_TYPE_SUPPORT_CRU = 17;
  public static final int EVENT_COMP_TYPE_ALARM = 18;
  public static final int EVENT_COMP_TYPE_CHANNEL_PORT = 19;
  public static final int EVENT_COMP_TYPE_SFP_PORT = 20;
  public static final int EVENT_COMP_TYPE_HOST_BOARD = 21;
  public static final int EVENT_COMP_TYPE_NEW_FORMAT = 22;
  public static final int EVENT_COMP_TYPE_CTLR_SFP = 23;
  public static final int EVENT_COMP_TYPE_CTLR_SOC = 24;
  private int value;

  public EventComponentType()
  {
  }

  public EventComponentType(EventComponentType paramEventComponentType)
  {
    this.value = paramEventComponentType.value;
  }

  public EventComponentType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}