package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FreeExtent
  implements XDRType, SYMbolAPIConstants
{
  private long sectorOffset;
  private long rawCapacity;
  private RAIDLevel raidLevel = new RAIDLevel();
  private VolumeGroupRef volumeGroupRef = new VolumeGroupRef();
  private FreeExtentRef freeExtentRef = new FreeExtentRef();
  private byte[] reserved1;
  private byte[] reserved2;

  public FreeExtent()
  {
  }

  public FreeExtent(FreeExtent paramFreeExtent)
  {
    this.sectorOffset = paramFreeExtent.sectorOffset;
    this.rawCapacity = paramFreeExtent.rawCapacity;
    this.raidLevel = paramFreeExtent.raidLevel;
    this.volumeGroupRef = paramFreeExtent.volumeGroupRef;
    this.freeExtentRef = paramFreeExtent.freeExtentRef;
    this.reserved1 = paramFreeExtent.reserved1;
    this.reserved2 = paramFreeExtent.reserved2;
  }

  public long getSectorOffset()
  {
    return this.sectorOffset;
  }

  public void setSectorOffset(long paramLong)
  {
    this.sectorOffset = paramLong;
  }

  public long getRawCapacity()
  {
    return this.rawCapacity;
  }

  public void setRawCapacity(long paramLong)
  {
    this.rawCapacity = paramLong;
  }

  public RAIDLevel getRaidLevel()
  {
    return this.raidLevel;
  }

  public void setRaidLevel(RAIDLevel paramRAIDLevel)
  {
    this.raidLevel = paramRAIDLevel;
  }

  public VolumeGroupRef getVolumeGroupRef()
  {
    return this.volumeGroupRef;
  }

  public void setVolumeGroupRef(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volumeGroupRef = paramVolumeGroupRef;
  }

  public FreeExtentRef getFreeExtentRef()
  {
    return this.freeExtentRef;
  }

  public void setFreeExtentRef(FreeExtentRef paramFreeExtentRef)
  {
    this.freeExtentRef = paramFreeExtentRef;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putLong(this.sectorOffset);
    paramXDROutputStream.putLong(this.rawCapacity);
    this.raidLevel.xdrEncode(paramXDROutputStream);
    this.volumeGroupRef.xdrEncode(paramXDROutputStream);
    this.freeExtentRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.sectorOffset = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.rawCapacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.raidLevel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.freeExtentRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}