package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class GBICParentType
  implements XDRType, SYMbolAPIConstants
{
  public static final int GBIC_PARENT_TYPE_ESM = 1;
  public static final int GBIC_PARENT_TYPE_MINIHUB = 2;
  public static final int GBIC_PARENT_TYPE_CONTROLLER = 3;
  private int value;

  public GBICParentType()
  {
  }

  public GBICParentType(GBICParentType paramGBICParentType)
  {
    this.value = paramGBICParentType.value;
  }

  public GBICParentType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}