package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class GBICStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int GBIC_STAT_OPTIMAL = 1;
  public static final int GBIC_STAT_FAILED = 2;
  public static final int GBIC_STAT_REMOVED = 3;
  public static final int GBIC_STAT_UNKNOWN = 4;
  private int value;

  public GBICStatus()
  {
  }

  public GBICStatus(GBICStatus paramGBICStatus)
  {
    this.value = paramGBICStatus.value;
  }

  public GBICStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}