package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Host
  implements XDRType, SYMbolAPIConstants
{
  private HostRef hostRef = new HostRef();
  private ClusterRef clusterRef = new ClusterRef();
  private UserAssignedLabel label = new UserAssignedLabel();
  private boolean isSAControlled;
  private boolean confirmLUNMappingCreation;

  public Host()
  {
  }

  public Host(Host paramHost)
  {
    this.hostRef = paramHost.hostRef;
    this.clusterRef = paramHost.clusterRef;
    this.label = paramHost.label;
    this.isSAControlled = paramHost.isSAControlled;
    this.confirmLUNMappingCreation = paramHost.confirmLUNMappingCreation;
  }

  public HostRef getHostRef()
  {
    return this.hostRef;
  }

  public void setHostRef(HostRef paramHostRef)
  {
    this.hostRef = paramHostRef;
  }

  public ClusterRef getClusterRef()
  {
    return this.clusterRef;
  }

  public void setClusterRef(ClusterRef paramClusterRef)
  {
    this.clusterRef = paramClusterRef;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public boolean getIsSAControlled()
  {
    return this.isSAControlled;
  }

  public void setIsSAControlled(boolean paramBoolean)
  {
    this.isSAControlled = paramBoolean;
  }

  public boolean getConfirmLUNMappingCreation()
  {
    return this.confirmLUNMappingCreation;
  }

  public void setConfirmLUNMappingCreation(boolean paramBoolean)
  {
    this.confirmLUNMappingCreation = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.hostRef.xdrEncode(paramXDROutputStream);
    this.clusterRef.xdrEncode(paramXDROutputStream);
    this.label.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.isSAControlled);
    paramXDROutputStream.putBoolean(this.confirmLUNMappingCreation);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.hostRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.clusterRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.isSAControlled = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.confirmLUNMappingCreation = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}