package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostBoardStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int HB_STAT_OPTIMAL = 1;
  public static final int HB_STAT_NEEDS_ATTENTION = 2;
  private int value;

  public HostBoardStatus()
  {
  }

  public HostBoardStatus(HostBoardStatus paramHostBoardStatus)
  {
    this.value = paramHostBoardStatus.value;
  }

  public HostBoardStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}