package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostPortTypeUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private HostPortRef hostPortRef = new HostPortRef();
  private int hostPortTypeIndex;

  public HostPortTypeUpdateDescriptor()
  {
  }

  public HostPortTypeUpdateDescriptor(HostPortTypeUpdateDescriptor paramHostPortTypeUpdateDescriptor)
  {
    this.hostPortRef = paramHostPortTypeUpdateDescriptor.hostPortRef;
    this.hostPortTypeIndex = paramHostPortTypeUpdateDescriptor.hostPortTypeIndex;
  }

  public HostPortRef getHostPortRef()
  {
    return this.hostPortRef;
  }

  public void setHostPortRef(HostPortRef paramHostPortRef)
  {
    this.hostPortRef = paramHostPortRef;
  }

  public int getHostPortTypeIndex()
  {
    return this.hostPortTypeIndex;
  }

  public void setHostPortTypeIndex(int paramInt)
  {
    this.hostPortTypeIndex = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.hostPortRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.hostPortTypeIndex);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortTypeIndex = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}