package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostSAConnection
  implements XDRType, SYMbolAPIConstants
{
  private HostSAConnectionRef hostSAConnectionRef = new HostSAConnectionRef();
  private int srcHostId;
  private HostPortRef hostPortRef = new HostPortRef();
  private SAPortRef saPortRef = new SAPortRef();
  private boolean online;

  public HostSAConnection()
  {
  }

  public HostSAConnection(HostSAConnection paramHostSAConnection)
  {
    this.hostSAConnectionRef = paramHostSAConnection.hostSAConnectionRef;
    this.srcHostId = paramHostSAConnection.srcHostId;
    this.hostPortRef = paramHostSAConnection.hostPortRef;
    this.saPortRef = paramHostSAConnection.saPortRef;
    this.online = paramHostSAConnection.online;
  }

  public HostSAConnectionRef getHostSAConnectionRef()
  {
    return this.hostSAConnectionRef;
  }

  public void setHostSAConnectionRef(HostSAConnectionRef paramHostSAConnectionRef)
  {
    this.hostSAConnectionRef = paramHostSAConnectionRef;
  }

  public int getSrcHostId()
  {
    return this.srcHostId;
  }

  public void setSrcHostId(int paramInt)
  {
    this.srcHostId = paramInt;
  }

  public HostPortRef getHostPortRef()
  {
    return this.hostPortRef;
  }

  public void setHostPortRef(HostPortRef paramHostPortRef)
  {
    this.hostPortRef = paramHostPortRef;
  }

  public SAPortRef getSaPortRef()
  {
    return this.saPortRef;
  }

  public void setSaPortRef(SAPortRef paramSAPortRef)
  {
    this.saPortRef = paramSAPortRef;
  }

  public boolean getOnline()
  {
    return this.online;
  }

  public void setOnline(boolean paramBoolean)
  {
    this.online = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.hostSAConnectionRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.srcHostId);
    this.hostPortRef.xdrEncode(paramXDROutputStream);
    this.saPortRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.online);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.hostSAConnectionRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.srcHostId = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.saPortRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.online = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}