package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostSpecificNVSRAMUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private NVSRAMRegionId regionId = new NVSRAMRegionId();
  private int offset;
  private byte[] regionData;
  private int hostIndex;

  public HostSpecificNVSRAMUpdateDescriptor()
  {
  }

  public HostSpecificNVSRAMUpdateDescriptor(HostSpecificNVSRAMUpdateDescriptor paramHostSpecificNVSRAMUpdateDescriptor)
  {
    this.regionId = paramHostSpecificNVSRAMUpdateDescriptor.regionId;
    this.offset = paramHostSpecificNVSRAMUpdateDescriptor.offset;
    this.regionData = paramHostSpecificNVSRAMUpdateDescriptor.regionData;
    this.hostIndex = paramHostSpecificNVSRAMUpdateDescriptor.hostIndex;
  }

  public NVSRAMRegionId getRegionId()
  {
    return this.regionId;
  }

  public void setRegionId(NVSRAMRegionId paramNVSRAMRegionId)
  {
    this.regionId = paramNVSRAMRegionId;
  }

  public int getOffset()
  {
    return this.offset;
  }

  public void setOffset(int paramInt)
  {
    this.offset = paramInt;
  }

  public byte[] getRegionData()
  {
    return this.regionData;
  }

  public void setRegionData(byte[] paramArrayOfByte)
  {
    this.regionData = paramArrayOfByte;
  }

  public int getHostIndex()
  {
    return this.hostIndex;
  }

  public void setHostIndex(int paramInt)
  {
    this.hostIndex = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.regionId.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.offset);
    paramXDROutputStream.putVariableOpaque(this.regionData);
    paramXDROutputStream.putInt(this.hostIndex);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.regionId.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.offset = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.regionData = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.hostIndex = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}