package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class LUNMappingCreationDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private int lun;
  private int perms;
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private SYMbolRef mapRef = new SYMbolRef();

  public LUNMappingCreationDescriptor()
  {
  }

  public LUNMappingCreationDescriptor(LUNMappingCreationDescriptor paramLUNMappingCreationDescriptor)
  {
    this.lun = paramLUNMappingCreationDescriptor.lun;
    this.perms = paramLUNMappingCreationDescriptor.perms;
    this.volumeRef = paramLUNMappingCreationDescriptor.volumeRef;
    this.mapRef = paramLUNMappingCreationDescriptor.mapRef;
  }

  public int getLun()
  {
    return this.lun;
  }

  public void setLun(int paramInt)
  {
    this.lun = paramInt;
  }

  public int getPerms()
  {
    return this.perms;
  }

  public void setPerms(int paramInt)
  {
    this.perms = paramInt;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public SYMbolRef getMapRef()
  {
    return this.mapRef;
  }

  public void setMapRef(SYMbolRef paramSYMbolRef)
  {
    this.mapRef = paramSYMbolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.lun);
    paramXDROutputStream.putInt(this.perms);
    this.volumeRef.xdrEncode(paramXDROutputStream);
    this.mapRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.lun = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.perms = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.mapRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}