package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class LUNMappingUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private LUNMappingRef lunMappingRef = new LUNMappingRef();
  private int lun;
  private SYMbolRef mapRef = new SYMbolRef();

  public LUNMappingUpdateDescriptor()
  {
  }

  public LUNMappingUpdateDescriptor(LUNMappingUpdateDescriptor paramLUNMappingUpdateDescriptor)
  {
    this.lunMappingRef = paramLUNMappingUpdateDescriptor.lunMappingRef;
    this.lun = paramLUNMappingUpdateDescriptor.lun;
    this.mapRef = paramLUNMappingUpdateDescriptor.mapRef;
  }

  public LUNMappingRef getLunMappingRef()
  {
    return this.lunMappingRef;
  }

  public void setLunMappingRef(LUNMappingRef paramLUNMappingRef)
  {
    this.lunMappingRef = paramLUNMappingRef;
  }

  public int getLun()
  {
    return this.lun;
  }

  public void setLun(int paramInt)
  {
    this.lun = paramInt;
  }

  public SYMbolRef getMapRef()
  {
    return this.mapRef;
  }

  public void setMapRef(SYMbolRef paramSYMbolRef)
  {
    this.mapRef = paramSYMbolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.lunMappingRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.lun);
    this.mapRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.lunMappingRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.lun = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.mapRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}