package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MgmtClientRecordId
  implements XDRType, SYMbolAPIConstants
{
  private int reserved;
  private int recordNum;
  private MCR_GROUP_ID groupId = new MCR_GROUP_ID();

  public MgmtClientRecordId()
  {
  }

  public MgmtClientRecordId(MgmtClientRecordId paramMgmtClientRecordId)
  {
    this.reserved = paramMgmtClientRecordId.reserved;
    this.recordNum = paramMgmtClientRecordId.recordNum;
    this.groupId = paramMgmtClientRecordId.groupId;
  }

  public int getReserved()
  {
    return this.reserved;
  }

  public void setReserved(int paramInt)
  {
    this.reserved = paramInt;
  }

  public int getRecordNum()
  {
    return this.recordNum;
  }

  public void setRecordNum(int paramInt)
  {
    this.recordNum = paramInt;
  }

  public MCR_GROUP_ID getGroupId()
  {
    return this.groupId;
  }

  public void setGroupId(MCR_GROUP_ID paramMCR_GROUP_ID)
  {
    this.groupId = paramMCR_GROUP_ID;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.reserved);
    paramXDROutputStream.putInt(this.recordNum);
    this.groupId.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.recordNum = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.groupId.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}