package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Minihub
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef minihubRef = new ComponentRef();
  private MinihubStatus status = new MinihubStatus();
  private Location physicalLocation = new Location();
  private MinihubTypeData minihubData = new MinihubTypeData();
  private InterfaceSpeed currentSpeed = new InterfaceSpeed();
  private InterfaceSpeed maxSpeed = new InterfaceSpeed();
  private int channel;
  private PortList portList = new PortList();
  private String vendorName;
  private String partNumber;
  private String serialNumber;
  private String fruType;
  private long manufacturerDate;
  private byte[] reserved1;
  private byte[] reserved2;
  private RTRAttributes rtrAttributes = new RTRAttributes();

  public Minihub()
  {
  }

  public Minihub(Minihub paramMinihub)
  {
    this.minihubRef = paramMinihub.minihubRef;
    this.status = paramMinihub.status;
    this.physicalLocation = paramMinihub.physicalLocation;
    this.minihubData = paramMinihub.minihubData;
    this.currentSpeed = paramMinihub.currentSpeed;
    this.maxSpeed = paramMinihub.maxSpeed;
    this.channel = paramMinihub.channel;
    this.portList = paramMinihub.portList;
    this.vendorName = paramMinihub.vendorName;
    this.partNumber = paramMinihub.partNumber;
    this.serialNumber = paramMinihub.serialNumber;
    this.fruType = paramMinihub.fruType;
    this.manufacturerDate = paramMinihub.manufacturerDate;
    this.reserved1 = paramMinihub.reserved1;
    this.reserved2 = paramMinihub.reserved2;
    this.rtrAttributes = paramMinihub.rtrAttributes;
  }

  public ComponentRef getMinihubRef()
  {
    return this.minihubRef;
  }

  public void setMinihubRef(ComponentRef paramComponentRef)
  {
    this.minihubRef = paramComponentRef;
  }

  public MinihubStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(MinihubStatus paramMinihubStatus)
  {
    this.status = paramMinihubStatus;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public MinihubTypeData getMinihubData()
  {
    return this.minihubData;
  }

  public void setMinihubData(MinihubTypeData paramMinihubTypeData)
  {
    this.minihubData = paramMinihubTypeData;
  }

  public InterfaceSpeed getCurrentSpeed()
  {
    return this.currentSpeed;
  }

  public void setCurrentSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.currentSpeed = paramInterfaceSpeed;
  }

  public InterfaceSpeed getMaxSpeed()
  {
    return this.maxSpeed;
  }

  public void setMaxSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.maxSpeed = paramInterfaceSpeed;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public PortList getPortList()
  {
    return this.portList;
  }

  public void setPortList(PortList paramPortList)
  {
    this.portList = paramPortList;
  }

  public String getVendorName()
  {
    return this.vendorName;
  }

  public void setVendorName(String paramString)
  {
    this.vendorName = paramString;
  }

  public String getPartNumber()
  {
    return this.partNumber;
  }

  public void setPartNumber(String paramString)
  {
    this.partNumber = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public String getFruType()
  {
    return this.fruType;
  }

  public void setFruType(String paramString)
  {
    this.fruType = paramString;
  }

  public long getManufacturerDate()
  {
    return this.manufacturerDate;
  }

  public void setManufacturerDate(long paramLong)
  {
    this.manufacturerDate = paramLong;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public RTRAttributes getRtrAttributes()
  {
    return this.rtrAttributes;
  }

  public void setRtrAttributes(RTRAttributes paramRTRAttributes)
  {
    this.rtrAttributes = paramRTRAttributes;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.minihubRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    this.minihubData.xdrEncode(paramXDROutputStream);
    this.currentSpeed.xdrEncode(paramXDROutputStream);
    this.maxSpeed.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    this.portList.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.vendorName);
    paramXDROutputStream.putString(this.partNumber);
    paramXDROutputStream.putString(this.serialNumber);
    paramXDROutputStream.putString(this.fruType);
    paramXDROutputStream.putLong(this.manufacturerDate);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    this.rtrAttributes.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.minihubRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.minihubData.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.currentSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.maxSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.portList.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.vendorName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.partNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.serialNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.fruType = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturerDate = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.rtrAttributes.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}