package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MinihubLocation
  implements XDRType, SYMbolAPIConstants
{
  private MinihubType minihubType = new MinihubType();
  private int channel;
  private int controllerSlot;
  private int tray;

  public MinihubLocation()
  {
  }

  public MinihubLocation(MinihubLocation paramMinihubLocation)
  {
    this.minihubType = paramMinihubLocation.minihubType;
    this.channel = paramMinihubLocation.channel;
    this.controllerSlot = paramMinihubLocation.controllerSlot;
    this.tray = paramMinihubLocation.tray;
  }

  public MinihubType getMinihubType()
  {
    return this.minihubType;
  }

  public void setMinihubType(MinihubType paramMinihubType)
  {
    this.minihubType = paramMinihubType;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public int getControllerSlot()
  {
    return this.controllerSlot;
  }

  public void setControllerSlot(int paramInt)
  {
    this.controllerSlot = paramInt;
  }

  public int getTray()
  {
    return this.tray;
  }

  public void setTray(int paramInt)
  {
    this.tray = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.minihubType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putInt(this.controllerSlot);
    paramXDROutputStream.putInt(this.tray);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.minihubType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerSlot = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.tray = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}