package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorProxyRole
  implements XDRType, SYMbolAPIConstants
{
  public static final int MIRROR_PRIMARY = 0;
  public static final int MIRROR_SECONDARY = 1;
  public static final int MIRROR_INVALID = 2;
  private int value;

  public MirrorProxyRole()
  {
  }

  public MirrorProxyRole(MirrorProxyRole paramMirrorProxyRole)
  {
    this.value = paramMirrorProxyRole.value;
  }

  public MirrorProxyRole(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}