package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorProxyVolume
  implements XDRType, SYMbolAPIConstants
{
  private byte[] worldWideName;
  private MirrorProxyRef mirrorProxyRef = new MirrorProxyRef();
  private int volumeHandle;
  private MirrorProxyStatus localMirrorStatus = new MirrorProxyStatus();
  private MirrorProxyStatus remoteMirrorStatus = new MirrorProxyStatus();
  private MirrorProxyRole localRole = new MirrorProxyRole();
  private MirrorProxyRole remoteRole = new MirrorProxyRole();
  private MirrorSyncPriority localPriority = new MirrorSyncPriority();
  private MirrorSyncPriority peerPriority = new MirrorSyncPriority();
  private long usableCapacity;
  private ControllerRef currentManager = new ControllerRef();
  private AbstractVolRef baseVolume = new AbstractVolRef();
  private RemoteVolRef remoteVolRef = new RemoteVolRef();
  private VolumeAction action = new VolumeAction();
  private byte[] reserved1;
  private byte[] reserved2;
  private MirrorProxyWriteMode localWriteMode = new MirrorProxyWriteMode();
  private boolean autoResync;
  private ConsistencyGroupRef consistencyGroupRef = new ConsistencyGroupRef();

  public MirrorProxyVolume()
  {
  }

  public MirrorProxyVolume(MirrorProxyVolume paramMirrorProxyVolume)
  {
    this.worldWideName = paramMirrorProxyVolume.worldWideName;
    this.mirrorProxyRef = paramMirrorProxyVolume.mirrorProxyRef;
    this.volumeHandle = paramMirrorProxyVolume.volumeHandle;
    this.localMirrorStatus = paramMirrorProxyVolume.localMirrorStatus;
    this.remoteMirrorStatus = paramMirrorProxyVolume.remoteMirrorStatus;
    this.localRole = paramMirrorProxyVolume.localRole;
    this.remoteRole = paramMirrorProxyVolume.remoteRole;
    this.localPriority = paramMirrorProxyVolume.localPriority;
    this.peerPriority = paramMirrorProxyVolume.peerPriority;
    this.usableCapacity = paramMirrorProxyVolume.usableCapacity;
    this.currentManager = paramMirrorProxyVolume.currentManager;
    this.baseVolume = paramMirrorProxyVolume.baseVolume;
    this.remoteVolRef = paramMirrorProxyVolume.remoteVolRef;
    this.action = paramMirrorProxyVolume.action;
    this.reserved1 = paramMirrorProxyVolume.reserved1;
    this.reserved2 = paramMirrorProxyVolume.reserved2;
    this.localWriteMode = paramMirrorProxyVolume.localWriteMode;
    this.autoResync = paramMirrorProxyVolume.autoResync;
    this.consistencyGroupRef = paramMirrorProxyVolume.consistencyGroupRef;
  }

  public byte[] getWorldWideName()
  {
    return this.worldWideName;
  }

  public void setWorldWideName(byte[] paramArrayOfByte)
  {
    this.worldWideName = paramArrayOfByte;
  }

  public MirrorProxyRef getMirrorProxyRef()
  {
    return this.mirrorProxyRef;
  }

  public void setMirrorProxyRef(MirrorProxyRef paramMirrorProxyRef)
  {
    this.mirrorProxyRef = paramMirrorProxyRef;
  }

  public int getVolumeHandle()
  {
    return this.volumeHandle;
  }

  public void setVolumeHandle(int paramInt)
  {
    this.volumeHandle = paramInt;
  }

  public MirrorProxyStatus getLocalMirrorStatus()
  {
    return this.localMirrorStatus;
  }

  public void setLocalMirrorStatus(MirrorProxyStatus paramMirrorProxyStatus)
  {
    this.localMirrorStatus = paramMirrorProxyStatus;
  }

  public MirrorProxyStatus getRemoteMirrorStatus()
  {
    return this.remoteMirrorStatus;
  }

  public void setRemoteMirrorStatus(MirrorProxyStatus paramMirrorProxyStatus)
  {
    this.remoteMirrorStatus = paramMirrorProxyStatus;
  }

  public MirrorProxyRole getLocalRole()
  {
    return this.localRole;
  }

  public void setLocalRole(MirrorProxyRole paramMirrorProxyRole)
  {
    this.localRole = paramMirrorProxyRole;
  }

  public MirrorProxyRole getRemoteRole()
  {
    return this.remoteRole;
  }

  public void setRemoteRole(MirrorProxyRole paramMirrorProxyRole)
  {
    this.remoteRole = paramMirrorProxyRole;
  }

  public MirrorSyncPriority getLocalPriority()
  {
    return this.localPriority;
  }

  public void setLocalPriority(MirrorSyncPriority paramMirrorSyncPriority)
  {
    this.localPriority = paramMirrorSyncPriority;
  }

  public MirrorSyncPriority getPeerPriority()
  {
    return this.peerPriority;
  }

  public void setPeerPriority(MirrorSyncPriority paramMirrorSyncPriority)
  {
    this.peerPriority = paramMirrorSyncPriority;
  }

  public long getUsableCapacity()
  {
    return this.usableCapacity;
  }

  public void setUsableCapacity(long paramLong)
  {
    this.usableCapacity = paramLong;
  }

  public ControllerRef getCurrentManager()
  {
    return this.currentManager;
  }

  public void setCurrentManager(ControllerRef paramControllerRef)
  {
    this.currentManager = paramControllerRef;
  }

  public AbstractVolRef getBaseVolume()
  {
    return this.baseVolume;
  }

  public void setBaseVolume(AbstractVolRef paramAbstractVolRef)
  {
    this.baseVolume = paramAbstractVolRef;
  }

  public RemoteVolRef getRemoteVolRef()
  {
    return this.remoteVolRef;
  }

  public void setRemoteVolRef(RemoteVolRef paramRemoteVolRef)
  {
    this.remoteVolRef = paramRemoteVolRef;
  }

  public VolumeAction getAction()
  {
    return this.action;
  }

  public void setAction(VolumeAction paramVolumeAction)
  {
    this.action = paramVolumeAction;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public MirrorProxyWriteMode getLocalWriteMode()
  {
    return this.localWriteMode;
  }

  public void setLocalWriteMode(MirrorProxyWriteMode paramMirrorProxyWriteMode)
  {
    this.localWriteMode = paramMirrorProxyWriteMode;
  }

  public boolean getAutoResync()
  {
    return this.autoResync;
  }

  public void setAutoResync(boolean paramBoolean)
  {
    this.autoResync = paramBoolean;
  }

  public ConsistencyGroupRef getConsistencyGroupRef()
  {
    return this.consistencyGroupRef;
  }

  public void setConsistencyGroupRef(ConsistencyGroupRef paramConsistencyGroupRef)
  {
    this.consistencyGroupRef = paramConsistencyGroupRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putVariableOpaque(this.worldWideName);
    this.mirrorProxyRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.volumeHandle);
    this.localMirrorStatus.xdrEncode(paramXDROutputStream);
    this.remoteMirrorStatus.xdrEncode(paramXDROutputStream);
    this.localRole.xdrEncode(paramXDROutputStream);
    this.remoteRole.xdrEncode(paramXDROutputStream);
    this.localPriority.xdrEncode(paramXDROutputStream);
    this.peerPriority.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.usableCapacity);
    this.currentManager.xdrEncode(paramXDROutputStream);
    this.baseVolume.xdrEncode(paramXDROutputStream);
    this.remoteVolRef.xdrEncode(paramXDROutputStream);
    this.action.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    this.localWriteMode.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.autoResync);
    this.consistencyGroupRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.worldWideName = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.mirrorProxyRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.volumeHandle = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.localMirrorStatus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.remoteMirrorStatus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.localRole.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.remoteRole.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.localPriority.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.peerPriority.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.usableCapacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.currentManager.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.baseVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.action.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.localWriteMode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.autoResync = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.consistencyGroupRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}