package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ObjectBundle
  implements XDRType, SYMbolAPIConstants
{
  private long configGeneration;
  private StorageArray sa = new StorageArray();
  private Tray[] tray;
  private ComponentBundle componentBundle = new ComponentBundle();
  private Controller[] controller;
  private Drive[] drive;
  private VolumeGroup[] volumeGroup;
  private Volume[] volume;
  private FreeExtent[] freeExtent;
  private DVEVolume[] dveVol;
  private StoragePoolBundle storagePoolBundle = new StoragePoolBundle();
  private HLVolumeBundle highLevelVolBundle = new HLVolumeBundle();
  private GhostVolBundle ghostVolBundle = new GhostVolBundle();
  private ConsistencyGroupBundle consistencyGroupBundle = new ConsistencyGroupBundle();

  public ObjectBundle()
  {
  }

  public ObjectBundle(ObjectBundle paramObjectBundle)
  {
    this.configGeneration = paramObjectBundle.configGeneration;
    this.sa = paramObjectBundle.sa;
    this.tray = paramObjectBundle.tray;
    this.componentBundle = paramObjectBundle.componentBundle;
    this.controller = paramObjectBundle.controller;
    this.drive = paramObjectBundle.drive;
    this.volumeGroup = paramObjectBundle.volumeGroup;
    this.volume = paramObjectBundle.volume;
    this.freeExtent = paramObjectBundle.freeExtent;
    this.dveVol = paramObjectBundle.dveVol;
    this.storagePoolBundle = paramObjectBundle.storagePoolBundle;
    this.highLevelVolBundle = paramObjectBundle.highLevelVolBundle;
    this.ghostVolBundle = paramObjectBundle.ghostVolBundle;
    this.consistencyGroupBundle = paramObjectBundle.consistencyGroupBundle;
  }

  public long getConfigGeneration()
  {
    return this.configGeneration;
  }

  public void setConfigGeneration(long paramLong)
  {
    this.configGeneration = paramLong;
  }

  public StorageArray getSa()
  {
    return this.sa;
  }

  public void setSa(StorageArray paramStorageArray)
  {
    this.sa = paramStorageArray;
  }

  public Tray[] getTray()
  {
    return this.tray;
  }

  public void setTray(Tray[] paramArrayOfTray)
  {
    this.tray = paramArrayOfTray;
  }

  public ComponentBundle getComponentBundle()
  {
    return this.componentBundle;
  }

  public void setComponentBundle(ComponentBundle paramComponentBundle)
  {
    this.componentBundle = paramComponentBundle;
  }

  public Controller[] getController()
  {
    return this.controller;
  }

  public void setController(Controller[] paramArrayOfController)
  {
    this.controller = paramArrayOfController;
  }

  public Drive[] getDrive()
  {
    return this.drive;
  }

  public void setDrive(Drive[] paramArrayOfDrive)
  {
    this.drive = paramArrayOfDrive;
  }

  public VolumeGroup[] getVolumeGroup()
  {
    return this.volumeGroup;
  }

  public void setVolumeGroup(VolumeGroup[] paramArrayOfVolumeGroup)
  {
    this.volumeGroup = paramArrayOfVolumeGroup;
  }

  public Volume[] getVolume()
  {
    return this.volume;
  }

  public void setVolume(Volume[] paramArrayOfVolume)
  {
    this.volume = paramArrayOfVolume;
  }

  public FreeExtent[] getFreeExtent()
  {
    return this.freeExtent;
  }

  public void setFreeExtent(FreeExtent[] paramArrayOfFreeExtent)
  {
    this.freeExtent = paramArrayOfFreeExtent;
  }

  public DVEVolume[] getDveVol()
  {
    return this.dveVol;
  }

  public void setDveVol(DVEVolume[] paramArrayOfDVEVolume)
  {
    this.dveVol = paramArrayOfDVEVolume;
  }

  public StoragePoolBundle getStoragePoolBundle()
  {
    return this.storagePoolBundle;
  }

  public void setStoragePoolBundle(StoragePoolBundle paramStoragePoolBundle)
  {
    this.storagePoolBundle = paramStoragePoolBundle;
  }

  public HLVolumeBundle getHighLevelVolBundle()
  {
    return this.highLevelVolBundle;
  }

  public void setHighLevelVolBundle(HLVolumeBundle paramHLVolumeBundle)
  {
    this.highLevelVolBundle = paramHLVolumeBundle;
  }

  public GhostVolBundle getGhostVolBundle()
  {
    return this.ghostVolBundle;
  }

  public void setGhostVolBundle(GhostVolBundle paramGhostVolBundle)
  {
    this.ghostVolBundle = paramGhostVolBundle;
  }

  public ConsistencyGroupBundle getConsistencyGroupBundle()
  {
    return this.consistencyGroupBundle;
  }

  public void setConsistencyGroupBundle(ConsistencyGroupBundle paramConsistencyGroupBundle)
  {
    this.consistencyGroupBundle = paramConsistencyGroupBundle;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putLong(this.configGeneration);
    this.sa.xdrEncode(paramXDROutputStream);
    int j = this.tray == null ? 0 : this.tray.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.tray[k].xdrEncode(paramXDROutputStream);
    this.componentBundle.xdrEncode(paramXDROutputStream);
    j = this.controller == null ? 0 : this.controller.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.controller[k].xdrEncode(paramXDROutputStream);
    j = this.drive == null ? 0 : this.drive.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.drive[k].xdrEncode(paramXDROutputStream);
    j = this.volumeGroup == null ? 0 : this.volumeGroup.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.volumeGroup[k].xdrEncode(paramXDROutputStream);
    j = this.volume == null ? 0 : this.volume.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.volume[k].xdrEncode(paramXDROutputStream);
    j = this.freeExtent == null ? 0 : this.freeExtent.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.freeExtent[k].xdrEncode(paramXDROutputStream);
    j = this.dveVol == null ? 0 : this.dveVol.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.dveVol[k].xdrEncode(paramXDROutputStream);
    this.storagePoolBundle.xdrEncode(paramXDROutputStream);
    this.highLevelVolBundle.xdrEncode(paramXDROutputStream);
    this.ghostVolBundle.xdrEncode(paramXDROutputStream);
    this.consistencyGroupBundle.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.configGeneration = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.sa.xdrDecode(paramXDRInputStream);
    int j;
    int k;
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.tray = new Tray[j];
      for (k = 0; k < j; k++)
      {
        this.tray[k] = new Tray();
        this.tray[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.componentBundle.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.controller = new Controller[j];
      for (k = 0; k < j; k++)
      {
        this.controller[k] = new Controller();
        this.controller[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.drive = new Drive[j];
      for (k = 0; k < j; k++)
      {
        this.drive[k] = new Drive();
        this.drive[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.volumeGroup = new VolumeGroup[j];
      for (k = 0; k < j; k++)
      {
        this.volumeGroup[k] = new VolumeGroup();
        this.volumeGroup[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.volume = new Volume[j];
      for (k = 0; k < j; k++)
      {
        this.volume[k] = new Volume();
        this.volume[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.freeExtent = new FreeExtent[j];
      for (k = 0; k < j; k++)
      {
        this.freeExtent[k] = new FreeExtent();
        this.freeExtent[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.dveVol = new DVEVolume[j];
      for (k = 0; k < j; k++)
      {
        this.dveVol[k] = new DVEVolume();
        this.dveVol[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.storagePoolBundle.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.highLevelVolBundle.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.ghostVolBundle.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.consistencyGroupBundle.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}