package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PRegistration
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private int lun;
  private ReservationTypeID reservationTypeID = new ReservationTypeID();
  private PRegistrantList registrantList = new PRegistrantList();
  private ITNexus holdingITNexus = new ITNexus();
  private boolean ptpl_A;

  public PRegistration()
  {
  }

  public PRegistration(PRegistration paramPRegistration)
  {
    this.volumeRef = paramPRegistration.volumeRef;
    this.lun = paramPRegistration.lun;
    this.reservationTypeID = paramPRegistration.reservationTypeID;
    this.registrantList = paramPRegistration.registrantList;
    this.holdingITNexus = paramPRegistration.holdingITNexus;
    this.ptpl_A = paramPRegistration.ptpl_A;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public int getLun()
  {
    return this.lun;
  }

  public void setLun(int paramInt)
  {
    this.lun = paramInt;
  }

  public ReservationTypeID getReservationTypeID()
  {
    return this.reservationTypeID;
  }

  public void setReservationTypeID(ReservationTypeID paramReservationTypeID)
  {
    this.reservationTypeID = paramReservationTypeID;
  }

  public PRegistrantList getRegistrantList()
  {
    return this.registrantList;
  }

  public void setRegistrantList(PRegistrantList paramPRegistrantList)
  {
    this.registrantList = paramPRegistrantList;
  }

  public ITNexus getHoldingITNexus()
  {
    return this.holdingITNexus;
  }

  public void setHoldingITNexus(ITNexus paramITNexus)
  {
    this.holdingITNexus = paramITNexus;
  }

  public boolean getPtpl_A()
  {
    return this.ptpl_A;
  }

  public void setPtpl_A(boolean paramBoolean)
  {
    this.ptpl_A = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.lun);
    this.reservationTypeID.xdrEncode(paramXDROutputStream);
    this.registrantList.xdrEncode(paramXDROutputStream);
    this.holdingITNexus.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.ptpl_A);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.lun = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.reservationTypeID.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.registrantList.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.holdingITNexus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.ptpl_A = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}