package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PersistentRegistration
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private int lun;
  private ClusterRef clusterRef = new ClusterRef();
  private HostRef hostRef = new HostRef();
  private ReservationTypeID reservationTypeID = new ReservationTypeID();
  private RegistrantList registrantList = new RegistrantList();
  private boolean ptpl_A;

  public PersistentRegistration()
  {
  }

  public PersistentRegistration(PersistentRegistration paramPersistentRegistration)
  {
    this.volumeRef = paramPersistentRegistration.volumeRef;
    this.lun = paramPersistentRegistration.lun;
    this.clusterRef = paramPersistentRegistration.clusterRef;
    this.hostRef = paramPersistentRegistration.hostRef;
    this.reservationTypeID = paramPersistentRegistration.reservationTypeID;
    this.registrantList = paramPersistentRegistration.registrantList;
    this.ptpl_A = paramPersistentRegistration.ptpl_A;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public int getLun()
  {
    return this.lun;
  }

  public void setLun(int paramInt)
  {
    this.lun = paramInt;
  }

  public ClusterRef getClusterRef()
  {
    return this.clusterRef;
  }

  public void setClusterRef(ClusterRef paramClusterRef)
  {
    this.clusterRef = paramClusterRef;
  }

  public HostRef getHostRef()
  {
    return this.hostRef;
  }

  public void setHostRef(HostRef paramHostRef)
  {
    this.hostRef = paramHostRef;
  }

  public ReservationTypeID getReservationTypeID()
  {
    return this.reservationTypeID;
  }

  public void setReservationTypeID(ReservationTypeID paramReservationTypeID)
  {
    this.reservationTypeID = paramReservationTypeID;
  }

  public RegistrantList getRegistrantList()
  {
    return this.registrantList;
  }

  public void setRegistrantList(RegistrantList paramRegistrantList)
  {
    this.registrantList = paramRegistrantList;
  }

  public boolean getPtpl_A()
  {
    return this.ptpl_A;
  }

  public void setPtpl_A(boolean paramBoolean)
  {
    this.ptpl_A = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.lun);
    this.clusterRef.xdrEncode(paramXDROutputStream);
    this.hostRef.xdrEncode(paramXDROutputStream);
    this.reservationTypeID.xdrEncode(paramXDROutputStream);
    this.registrantList.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.ptpl_A);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.lun = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.clusterRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reservationTypeID.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.registrantList.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.ptpl_A = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}