package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PortType
  implements XDRType, SYMbolAPIConstants
{
  public static final int PORT_TYPE_GBIC = 1;
  public static final int PORT_TYPE_DB9 = 2;
  public static final int PORT_TYPE_SFP = 3;
  private int value;

  public PortType()
  {
  }

  public PortType(PortType paramPortType)
  {
    this.value = paramPortType.value;
  }

  public PortType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}