package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PowerSupply
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef powerSupplyRef = new ComponentRef();
  private PowerSupplyStatus status = new PowerSupplyStatus();
  private Location physicalLocation = new Location();
  private String partNumber;
  private String serialNumber;
  private String vendorName;
  private long manufacturerDate;
  private String fruType;
  private byte[] reserved1;
  private byte[] reserved2;
  private RTRAttributes rtrAttributes = new RTRAttributes();

  public PowerSupply()
  {
  }

  public PowerSupply(PowerSupply paramPowerSupply)
  {
    this.powerSupplyRef = paramPowerSupply.powerSupplyRef;
    this.status = paramPowerSupply.status;
    this.physicalLocation = paramPowerSupply.physicalLocation;
    this.partNumber = paramPowerSupply.partNumber;
    this.serialNumber = paramPowerSupply.serialNumber;
    this.vendorName = paramPowerSupply.vendorName;
    this.manufacturerDate = paramPowerSupply.manufacturerDate;
    this.fruType = paramPowerSupply.fruType;
    this.reserved1 = paramPowerSupply.reserved1;
    this.reserved2 = paramPowerSupply.reserved2;
    this.rtrAttributes = paramPowerSupply.rtrAttributes;
  }

  public ComponentRef getPowerSupplyRef()
  {
    return this.powerSupplyRef;
  }

  public void setPowerSupplyRef(ComponentRef paramComponentRef)
  {
    this.powerSupplyRef = paramComponentRef;
  }

  public PowerSupplyStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(PowerSupplyStatus paramPowerSupplyStatus)
  {
    this.status = paramPowerSupplyStatus;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public String getPartNumber()
  {
    return this.partNumber;
  }

  public void setPartNumber(String paramString)
  {
    this.partNumber = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public String getVendorName()
  {
    return this.vendorName;
  }

  public void setVendorName(String paramString)
  {
    this.vendorName = paramString;
  }

  public long getManufacturerDate()
  {
    return this.manufacturerDate;
  }

  public void setManufacturerDate(long paramLong)
  {
    this.manufacturerDate = paramLong;
  }

  public String getFruType()
  {
    return this.fruType;
  }

  public void setFruType(String paramString)
  {
    this.fruType = paramString;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public RTRAttributes getRtrAttributes()
  {
    return this.rtrAttributes;
  }

  public void setRtrAttributes(RTRAttributes paramRTRAttributes)
  {
    this.rtrAttributes = paramRTRAttributes;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.powerSupplyRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.partNumber);
    paramXDROutputStream.putString(this.serialNumber);
    paramXDROutputStream.putString(this.vendorName);
    paramXDROutputStream.putLong(this.manufacturerDate);
    paramXDROutputStream.putString(this.fruType);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    this.rtrAttributes.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.powerSupplyRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.partNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.serialNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturerDate = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.fruType = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.rtrAttributes.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}