package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RLSDeviceType
  implements XDRType, SYMbolAPIConstants
{
  public static final int RLS_CONTROLLER = 1;
  public static final int RLS_DRIVE = 2;
  public static final int RLS_ESM = 3;
  private int value;

  public RLSDeviceType()
  {
  }

  public RLSDeviceType(RLSDeviceType paramRLSDeviceType)
  {
    this.value = paramRLSDeviceType.value;
  }

  public RLSDeviceType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}