package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RTRAttributeData
  implements XDRType, SYMbolAPIConstants
{
  private boolean hasReadyToRemoveIndicator;
  private boolean readyToRemove;

  public RTRAttributeData()
  {
  }

  public RTRAttributeData(RTRAttributeData paramRTRAttributeData)
  {
    this.hasReadyToRemoveIndicator = paramRTRAttributeData.hasReadyToRemoveIndicator;
    this.readyToRemove = paramRTRAttributeData.readyToRemove;
  }

  public boolean getHasReadyToRemoveIndicator()
  {
    return this.hasReadyToRemoveIndicator;
  }

  public void setHasReadyToRemoveIndicator(boolean paramBoolean)
  {
    this.hasReadyToRemoveIndicator = paramBoolean;
  }

  public boolean getReadyToRemove()
  {
    return this.readyToRemove;
  }

  public void setReadyToRemove(boolean paramBoolean)
  {
    this.readyToRemove = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.hasReadyToRemoveIndicator);
    paramXDROutputStream.putBoolean(this.readyToRemove);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.hasReadyToRemoveIndicator = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.readyToRemove = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}