package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RTRControl
  implements XDRType, SYMbolAPIConstants
{
  public static final int RTR_CONTROL_ENABLE = 1;
  public static final int RTR_CONTROL_DISABLE = 2;
  public static final int RTR_CONTROL_REFRESH = 3;
  private int value;

  public RTRControl()
  {
  }

  public RTRControl(RTRControl paramRTRControl)
  {
    this.value = paramRTRControl.value;
  }

  public RTRControl(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}