package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RecoverVolumeDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private UserAssignedLabel label = new UserAssignedLabel();
  private ControllerRef manager = new ControllerRef();
  private long capacity;
  private RAIDLevel raidLevel = new RAIDLevel();
  private int segmentSize;
  private int readAhead;
  private long offset;
  private int volumeGroupNumber;
  private int driveCount;
  private DriveRefList driveRefList = new DriveRefList();

  public RecoverVolumeDescriptor()
  {
  }

  public RecoverVolumeDescriptor(RecoverVolumeDescriptor paramRecoverVolumeDescriptor)
  {
    this.label = paramRecoverVolumeDescriptor.label;
    this.manager = paramRecoverVolumeDescriptor.manager;
    this.capacity = paramRecoverVolumeDescriptor.capacity;
    this.raidLevel = paramRecoverVolumeDescriptor.raidLevel;
    this.segmentSize = paramRecoverVolumeDescriptor.segmentSize;
    this.readAhead = paramRecoverVolumeDescriptor.readAhead;
    this.offset = paramRecoverVolumeDescriptor.offset;
    this.volumeGroupNumber = paramRecoverVolumeDescriptor.volumeGroupNumber;
    this.driveCount = paramRecoverVolumeDescriptor.driveCount;
    this.driveRefList = paramRecoverVolumeDescriptor.driveRefList;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public ControllerRef getManager()
  {
    return this.manager;
  }

  public void setManager(ControllerRef paramControllerRef)
  {
    this.manager = paramControllerRef;
  }

  public long getCapacity()
  {
    return this.capacity;
  }

  public void setCapacity(long paramLong)
  {
    this.capacity = paramLong;
  }

  public RAIDLevel getRaidLevel()
  {
    return this.raidLevel;
  }

  public void setRaidLevel(RAIDLevel paramRAIDLevel)
  {
    this.raidLevel = paramRAIDLevel;
  }

  public int getSegmentSize()
  {
    return this.segmentSize;
  }

  public void setSegmentSize(int paramInt)
  {
    this.segmentSize = paramInt;
  }

  public int getReadAhead()
  {
    return this.readAhead;
  }

  public void setReadAhead(int paramInt)
  {
    this.readAhead = paramInt;
  }

  public long getOffset()
  {
    return this.offset;
  }

  public void setOffset(long paramLong)
  {
    this.offset = paramLong;
  }

  public int getVolumeGroupNumber()
  {
    return this.volumeGroupNumber;
  }

  public void setVolumeGroupNumber(int paramInt)
  {
    this.volumeGroupNumber = paramInt;
  }

  public int getDriveCount()
  {
    return this.driveCount;
  }

  public void setDriveCount(int paramInt)
  {
    this.driveCount = paramInt;
  }

  public DriveRefList getDriveRefList()
  {
    return this.driveRefList;
  }

  public void setDriveRefList(DriveRefList paramDriveRefList)
  {
    this.driveRefList = paramDriveRefList;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.label.xdrEncode(paramXDROutputStream);
    this.manager.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.capacity);
    this.raidLevel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.segmentSize);
    paramXDROutputStream.putInt(this.readAhead);
    paramXDROutputStream.putLong(this.offset);
    paramXDROutputStream.putInt(this.volumeGroupNumber);
    paramXDROutputStream.putInt(this.driveCount);
    this.driveRefList.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.manager.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.capacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.raidLevel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.segmentSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.readAhead = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.offset = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupNumber = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.driveCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.driveRefList.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}