package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RemoteCommunicationCheckDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private RemoteVolRef remoteVolume = new RemoteVolRef();
  private int numSamples;

  public RemoteCommunicationCheckDescriptor()
  {
  }

  public RemoteCommunicationCheckDescriptor(RemoteCommunicationCheckDescriptor paramRemoteCommunicationCheckDescriptor)
  {
    this.remoteVolume = paramRemoteCommunicationCheckDescriptor.remoteVolume;
    this.numSamples = paramRemoteCommunicationCheckDescriptor.numSamples;
  }

  public RemoteVolRef getRemoteVolume()
  {
    return this.remoteVolume;
  }

  public void setRemoteVolume(RemoteVolRef paramRemoteVolRef)
  {
    this.remoteVolume = paramRemoteVolRef;
  }

  public int getNumSamples()
  {
    return this.numSamples;
  }

  public void setNumSamples(int paramInt)
  {
    this.numSamples = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.remoteVolume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.numSamples);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.remoteVolume.xdrDecode(paramXDRInputStream);
    this.numSamples = paramXDRInputStream.getInt();
  }
}