package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RemoteCommunicationCheckSampleList
  implements XDRType, SYMbolAPIConstants
{
  private int[] remoteCommunicationCheckSamples;
  private int timeout;
  private ReturnCode testStatus = new ReturnCode();
  private ReturnCode returnCode = new ReturnCode();

  public RemoteCommunicationCheckSampleList()
  {
  }

  public RemoteCommunicationCheckSampleList(RemoteCommunicationCheckSampleList paramRemoteCommunicationCheckSampleList)
  {
    this.remoteCommunicationCheckSamples = paramRemoteCommunicationCheckSampleList.remoteCommunicationCheckSamples;
    this.timeout = paramRemoteCommunicationCheckSampleList.timeout;
    this.testStatus = paramRemoteCommunicationCheckSampleList.testStatus;
    this.returnCode = paramRemoteCommunicationCheckSampleList.returnCode;
  }

  public int[] getRemoteCommunicationCheckSamples()
  {
    return this.remoteCommunicationCheckSamples;
  }

  public void setRemoteCommunicationCheckSamples(int[] paramArrayOfInt)
  {
    this.remoteCommunicationCheckSamples = paramArrayOfInt;
  }

  public int getTimeout()
  {
    return this.timeout;
  }

  public void setTimeout(int paramInt)
  {
    this.timeout = paramInt;
  }

  public ReturnCode getTestStatus()
  {
    return this.testStatus;
  }

  public void setTestStatus(ReturnCode paramReturnCode)
  {
    this.testStatus = paramReturnCode;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.remoteCommunicationCheckSamples == null ? 0 : this.remoteCommunicationCheckSamples.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      paramXDROutputStream.putInt(this.remoteCommunicationCheckSamples[k]);
    paramXDROutputStream.putInt(this.timeout);
    this.testStatus.xdrEncode(paramXDROutputStream);
    this.returnCode.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.remoteCommunicationCheckSamples = new int[j];
      for (int k = 0; k < j; k++)
        this.remoteCommunicationCheckSamples[k] = paramXDRInputStream.getInt();
    }
    if (paramXDRInputStream.getPosition() < i)
      this.timeout = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.testStatus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}