package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RemoteVolume
  implements XDRType, SYMbolAPIConstants
{
  private byte[] worldWideName;
  private RemoteVolRef remoteVolRef = new RemoteVolRef();
  private ControllerRef manager = new ControllerRef();
  private SAIdentifier remoteArrayId = new SAIdentifier();
  private byte[] remoteNodeWWN;
  private byte[] remoteVolWWN;
  private UserAssignedLabel remoteVolUserLabel = new UserAssignedLabel();
  private RemoteVolumeState remoteVolState = new RemoteVolumeState();
  private long remoteVolCapacity;
  private int volumeHandle;
  private VolumePerms perms = new VolumePerms();
  private byte[] reserved1;
  private byte[] reserved2;

  public RemoteVolume()
  {
  }

  public RemoteVolume(RemoteVolume paramRemoteVolume)
  {
    this.worldWideName = paramRemoteVolume.worldWideName;
    this.remoteVolRef = paramRemoteVolume.remoteVolRef;
    this.manager = paramRemoteVolume.manager;
    this.remoteArrayId = paramRemoteVolume.remoteArrayId;
    this.remoteNodeWWN = paramRemoteVolume.remoteNodeWWN;
    this.remoteVolWWN = paramRemoteVolume.remoteVolWWN;
    this.remoteVolUserLabel = paramRemoteVolume.remoteVolUserLabel;
    this.remoteVolState = paramRemoteVolume.remoteVolState;
    this.remoteVolCapacity = paramRemoteVolume.remoteVolCapacity;
    this.volumeHandle = paramRemoteVolume.volumeHandle;
    this.perms = paramRemoteVolume.perms;
    this.reserved1 = paramRemoteVolume.reserved1;
    this.reserved2 = paramRemoteVolume.reserved2;
  }

  public byte[] getWorldWideName()
  {
    return this.worldWideName;
  }

  public void setWorldWideName(byte[] paramArrayOfByte)
  {
    this.worldWideName = paramArrayOfByte;
  }

  public RemoteVolRef getRemoteVolRef()
  {
    return this.remoteVolRef;
  }

  public void setRemoteVolRef(RemoteVolRef paramRemoteVolRef)
  {
    this.remoteVolRef = paramRemoteVolRef;
  }

  public ControllerRef getManager()
  {
    return this.manager;
  }

  public void setManager(ControllerRef paramControllerRef)
  {
    this.manager = paramControllerRef;
  }

  public SAIdentifier getRemoteArrayId()
  {
    return this.remoteArrayId;
  }

  public void setRemoteArrayId(SAIdentifier paramSAIdentifier)
  {
    this.remoteArrayId = paramSAIdentifier;
  }

  public byte[] getRemoteNodeWWN()
  {
    return this.remoteNodeWWN;
  }

  public void setRemoteNodeWWN(byte[] paramArrayOfByte)
  {
    this.remoteNodeWWN = paramArrayOfByte;
  }

  public byte[] getRemoteVolWWN()
  {
    return this.remoteVolWWN;
  }

  public void setRemoteVolWWN(byte[] paramArrayOfByte)
  {
    this.remoteVolWWN = paramArrayOfByte;
  }

  public UserAssignedLabel getRemoteVolUserLabel()
  {
    return this.remoteVolUserLabel;
  }

  public void setRemoteVolUserLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.remoteVolUserLabel = paramUserAssignedLabel;
  }

  public RemoteVolumeState getRemoteVolState()
  {
    return this.remoteVolState;
  }

  public void setRemoteVolState(RemoteVolumeState paramRemoteVolumeState)
  {
    this.remoteVolState = paramRemoteVolumeState;
  }

  public long getRemoteVolCapacity()
  {
    return this.remoteVolCapacity;
  }

  public void setRemoteVolCapacity(long paramLong)
  {
    this.remoteVolCapacity = paramLong;
  }

  public int getVolumeHandle()
  {
    return this.volumeHandle;
  }

  public void setVolumeHandle(int paramInt)
  {
    this.volumeHandle = paramInt;
  }

  public VolumePerms getPerms()
  {
    return this.perms;
  }

  public void setPerms(VolumePerms paramVolumePerms)
  {
    this.perms = paramVolumePerms;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putVariableOpaque(this.worldWideName);
    this.remoteVolRef.xdrEncode(paramXDROutputStream);
    this.manager.xdrEncode(paramXDROutputStream);
    this.remoteArrayId.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putVariableOpaque(this.remoteNodeWWN);
    paramXDROutputStream.putVariableOpaque(this.remoteVolWWN);
    this.remoteVolUserLabel.xdrEncode(paramXDROutputStream);
    this.remoteVolState.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.remoteVolCapacity);
    paramXDROutputStream.putInt(this.volumeHandle);
    this.perms.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.worldWideName = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.manager.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.remoteArrayId.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.remoteNodeWWN = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolWWN = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolUserLabel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolState.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolCapacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeHandle = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.perms.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}