package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RloginUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef controllerRef = new ControllerRef();
  private String interfaceName;
  private int channel;
  private boolean enableRlogin;

  public RloginUpdateDescriptor()
  {
  }

  public RloginUpdateDescriptor(RloginUpdateDescriptor paramRloginUpdateDescriptor)
  {
    this.controllerRef = paramRloginUpdateDescriptor.controllerRef;
    this.interfaceName = paramRloginUpdateDescriptor.interfaceName;
    this.channel = paramRloginUpdateDescriptor.channel;
    this.enableRlogin = paramRloginUpdateDescriptor.enableRlogin;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public String getInterfaceName()
  {
    return this.interfaceName;
  }

  public void setInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public boolean getEnableRlogin()
  {
    return this.enableRlogin;
  }

  public void setEnableRlogin(boolean paramBoolean)
  {
    this.enableRlogin = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.controllerRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.interfaceName);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putBoolean(this.enableRlogin);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.interfaceName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.enableRlogin = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}