package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RuntimeDiagDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef controllerRef = new ControllerRef();
  private RuntimeDiagTestID runtimeDiagTestID = new RuntimeDiagTestID();
  private int channel;
  private boolean usePattern;
  private byte[] pattern;

  public RuntimeDiagDescriptor()
  {
  }

  public RuntimeDiagDescriptor(RuntimeDiagDescriptor paramRuntimeDiagDescriptor)
  {
    this.controllerRef = paramRuntimeDiagDescriptor.controllerRef;
    this.runtimeDiagTestID = paramRuntimeDiagDescriptor.runtimeDiagTestID;
    this.channel = paramRuntimeDiagDescriptor.channel;
    this.usePattern = paramRuntimeDiagDescriptor.usePattern;
    this.pattern = paramRuntimeDiagDescriptor.pattern;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public RuntimeDiagTestID getRuntimeDiagTestID()
  {
    return this.runtimeDiagTestID;
  }

  public void setRuntimeDiagTestID(RuntimeDiagTestID paramRuntimeDiagTestID)
  {
    this.runtimeDiagTestID = paramRuntimeDiagTestID;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public boolean getUsePattern()
  {
    return this.usePattern;
  }

  public void setUsePattern(boolean paramBoolean)
  {
    this.usePattern = paramBoolean;
  }

  public byte[] getPattern()
  {
    return this.pattern;
  }

  public void setPattern(byte[] paramArrayOfByte)
  {
    this.pattern = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.controllerRef.xdrEncode(paramXDROutputStream);
    this.runtimeDiagTestID.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putBoolean(this.usePattern);
    paramXDROutputStream.putFixedOpaque(this.pattern, 64);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.runtimeDiagTestID.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.usePattern = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.pattern = paramXDRInputStream.getFixedOpaque(64);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}