package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SACache
  implements XDRType, SYMbolAPIConstants
{
  private int cacheBlkSize;
  private int demandFlushAmount;
  private int demandFlushThreshold;
  private byte[] reserved1;
  private byte[] reserved2;

  public SACache()
  {
  }

  public SACache(SACache paramSACache)
  {
    this.cacheBlkSize = paramSACache.cacheBlkSize;
    this.demandFlushAmount = paramSACache.demandFlushAmount;
    this.demandFlushThreshold = paramSACache.demandFlushThreshold;
    this.reserved1 = paramSACache.reserved1;
    this.reserved2 = paramSACache.reserved2;
  }

  public int getCacheBlkSize()
  {
    return this.cacheBlkSize;
  }

  public void setCacheBlkSize(int paramInt)
  {
    this.cacheBlkSize = paramInt;
  }

  public int getDemandFlushAmount()
  {
    return this.demandFlushAmount;
  }

  public void setDemandFlushAmount(int paramInt)
  {
    this.demandFlushAmount = paramInt;
  }

  public int getDemandFlushThreshold()
  {
    return this.demandFlushThreshold;
  }

  public void setDemandFlushThreshold(int paramInt)
  {
    this.demandFlushThreshold = paramInt;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.cacheBlkSize);
    paramXDROutputStream.putInt(this.demandFlushAmount);
    paramXDROutputStream.putInt(this.demandFlushThreshold);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.cacheBlkSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.demandFlushAmount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.demandFlushThreshold = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}