package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SACacheParamsUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private int cacheBlkSize;
  private int demandFlushAmount;
  private int demandFlushThreshold;

  public SACacheParamsUpdateDescriptor()
  {
  }

  public SACacheParamsUpdateDescriptor(SACacheParamsUpdateDescriptor paramSACacheParamsUpdateDescriptor)
  {
    this.cacheBlkSize = paramSACacheParamsUpdateDescriptor.cacheBlkSize;
    this.demandFlushAmount = paramSACacheParamsUpdateDescriptor.demandFlushAmount;
    this.demandFlushThreshold = paramSACacheParamsUpdateDescriptor.demandFlushThreshold;
  }

  public int getCacheBlkSize()
  {
    return this.cacheBlkSize;
  }

  public void setCacheBlkSize(int paramInt)
  {
    this.cacheBlkSize = paramInt;
  }

  public int getDemandFlushAmount()
  {
    return this.demandFlushAmount;
  }

  public void setDemandFlushAmount(int paramInt)
  {
    this.demandFlushAmount = paramInt;
  }

  public int getDemandFlushThreshold()
  {
    return this.demandFlushThreshold;
  }

  public void setDemandFlushThreshold(int paramInt)
  {
    this.demandFlushThreshold = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.cacheBlkSize);
    paramXDROutputStream.putInt(this.demandFlushAmount);
    paramXDROutputStream.putInt(this.demandFlushThreshold);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.cacheBlkSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.demandFlushAmount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.demandFlushThreshold = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}