package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SAData
  implements XDRType, SYMbolAPIConstants
{
  private boolean needsAttention;
  private boolean fixing;
  private SAIdentifier saId = new SAIdentifier();
  private String managementClassName;
  private UserAssignedLabel storageArrayLabel = new UserAssignedLabel();
  private long bootTime;
  private byte[] fwVersion;
  private byte[] appVersion;
  private byte[] bootVersion;
  private String nvsramVersion;
  private String fwPrefix;
  private String res1;
  private String res2;
  private int[] arrayAttributes;
  private int[] res4;
  private int[] res5;
  private int[] res6;
  private byte[] res7;
  private byte[] res8;

  public SAData()
  {
  }

  public SAData(SAData paramSAData)
  {
    this.needsAttention = paramSAData.needsAttention;
    this.fixing = paramSAData.fixing;
    this.saId = paramSAData.saId;
    this.managementClassName = paramSAData.managementClassName;
    this.storageArrayLabel = paramSAData.storageArrayLabel;
    this.bootTime = paramSAData.bootTime;
    this.fwVersion = paramSAData.fwVersion;
    this.appVersion = paramSAData.appVersion;
    this.bootVersion = paramSAData.bootVersion;
    this.nvsramVersion = paramSAData.nvsramVersion;
    this.fwPrefix = paramSAData.fwPrefix;
    this.res1 = paramSAData.res1;
    this.res2 = paramSAData.res2;
    this.arrayAttributes = paramSAData.arrayAttributes;
    this.res4 = paramSAData.res4;
    this.res5 = paramSAData.res5;
    this.res6 = paramSAData.res6;
    this.res7 = paramSAData.res7;
    this.res8 = paramSAData.res8;
  }

  public boolean getNeedsAttention()
  {
    return this.needsAttention;
  }

  public void setNeedsAttention(boolean paramBoolean)
  {
    this.needsAttention = paramBoolean;
  }

  public boolean getFixing()
  {
    return this.fixing;
  }

  public void setFixing(boolean paramBoolean)
  {
    this.fixing = paramBoolean;
  }

  public SAIdentifier getSaId()
  {
    return this.saId;
  }

  public void setSaId(SAIdentifier paramSAIdentifier)
  {
    this.saId = paramSAIdentifier;
  }

  public String getManagementClassName()
  {
    return this.managementClassName;
  }

  public void setManagementClassName(String paramString)
  {
    this.managementClassName = paramString;
  }

  public UserAssignedLabel getStorageArrayLabel()
  {
    return this.storageArrayLabel;
  }

  public void setStorageArrayLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.storageArrayLabel = paramUserAssignedLabel;
  }

  public long getBootTime()
  {
    return this.bootTime;
  }

  public void setBootTime(long paramLong)
  {
    this.bootTime = paramLong;
  }

  public byte[] getFwVersion()
  {
    return this.fwVersion;
  }

  public void setFwVersion(byte[] paramArrayOfByte)
  {
    this.fwVersion = paramArrayOfByte;
  }

  public byte[] getAppVersion()
  {
    return this.appVersion;
  }

  public void setAppVersion(byte[] paramArrayOfByte)
  {
    this.appVersion = paramArrayOfByte;
  }

  public byte[] getBootVersion()
  {
    return this.bootVersion;
  }

  public void setBootVersion(byte[] paramArrayOfByte)
  {
    this.bootVersion = paramArrayOfByte;
  }

  public String getNvsramVersion()
  {
    return this.nvsramVersion;
  }

  public void setNvsramVersion(String paramString)
  {
    this.nvsramVersion = paramString;
  }

  public String getFwPrefix()
  {
    return this.fwPrefix;
  }

  public void setFwPrefix(String paramString)
  {
    this.fwPrefix = paramString;
  }

  public String getRes1()
  {
    return this.res1;
  }

  public void setRes1(String paramString)
  {
    this.res1 = paramString;
  }

  public String getRes2()
  {
    return this.res2;
  }

  public void setRes2(String paramString)
  {
    this.res2 = paramString;
  }

  public int[] getArrayAttributes()
  {
    return this.arrayAttributes;
  }

  public void setArrayAttributes(int[] paramArrayOfInt)
  {
    this.arrayAttributes = paramArrayOfInt;
  }

  public int[] getRes4()
  {
    return this.res4;
  }

  public void setRes4(int[] paramArrayOfInt)
  {
    this.res4 = paramArrayOfInt;
  }

  public int[] getRes5()
  {
    return this.res5;
  }

  public void setRes5(int[] paramArrayOfInt)
  {
    this.res5 = paramArrayOfInt;
  }

  public int[] getRes6()
  {
    return this.res6;
  }

  public void setRes6(int[] paramArrayOfInt)
  {
    this.res6 = paramArrayOfInt;
  }

  public byte[] getRes7()
  {
    return this.res7;
  }

  public void setRes7(byte[] paramArrayOfByte)
  {
    this.res7 = paramArrayOfByte;
  }

  public byte[] getRes8()
  {
    return this.res8;
  }

  public void setRes8(byte[] paramArrayOfByte)
  {
    this.res8 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putBoolean(this.needsAttention);
    paramXDROutputStream.putBoolean(this.fixing);
    this.saId.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.managementClassName);
    this.storageArrayLabel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.bootTime);
    paramXDROutputStream.putFixedOpaque(this.fwVersion, 4);
    paramXDROutputStream.putFixedOpaque(this.appVersion, 4);
    paramXDROutputStream.putFixedOpaque(this.bootVersion, 4);
    paramXDROutputStream.putString(this.nvsramVersion);
    paramXDROutputStream.putString(this.fwPrefix, 15);
    paramXDROutputStream.putString(this.res1);
    paramXDROutputStream.putString(this.res2);
    int i = this.arrayAttributes == null ? 0 : this.arrayAttributes.length;
    paramXDROutputStream.putInt(i);
    for (int j = 0; j < i; j++)
      paramXDROutputStream.putInt(this.arrayAttributes[j]);
    i = this.res4 == null ? 0 : this.res4.length;
    paramXDROutputStream.putInt(i);
    for (j = 0; j < i; j++)
      paramXDROutputStream.putInt(this.res4[j]);
    i = this.res5 == null ? 0 : this.res5.length;
    paramXDROutputStream.putInt(i);
    for (j = 0; j < i; j++)
      paramXDROutputStream.putInt(this.res5[j]);
    i = this.res6 == null ? 0 : this.res6.length;
    paramXDROutputStream.putInt(i);
    for (j = 0; j < i; j++)
      paramXDROutputStream.putInt(this.res6[j]);
    paramXDROutputStream.putVariableOpaque(this.res7);
    paramXDROutputStream.putVariableOpaque(this.res8);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.needsAttention = paramXDRInputStream.getBoolean();
    this.fixing = paramXDRInputStream.getBoolean();
    this.saId.xdrDecode(paramXDRInputStream);
    this.managementClassName = paramXDRInputStream.getString();
    this.storageArrayLabel.xdrDecode(paramXDRInputStream);
    this.bootTime = paramXDRInputStream.getLong();
    this.fwVersion = paramXDRInputStream.getFixedOpaque(4);
    this.appVersion = paramXDRInputStream.getFixedOpaque(4);
    this.bootVersion = paramXDRInputStream.getFixedOpaque(4);
    this.nvsramVersion = paramXDRInputStream.getString();
    this.fwPrefix = paramXDRInputStream.getString(15);
    this.res1 = paramXDRInputStream.getString();
    this.res2 = paramXDRInputStream.getString();
    int i = paramXDRInputStream.getInt();
    this.arrayAttributes = new int[i];
    for (int j = 0; j < i; j++)
      this.arrayAttributes[j] = paramXDRInputStream.getInt();
    i = paramXDRInputStream.getInt();
    this.res4 = new int[i];
    for (j = 0; j < i; j++)
      this.res4[j] = paramXDRInputStream.getInt();
    i = paramXDRInputStream.getInt();
    this.res5 = new int[i];
    for (j = 0; j < i; j++)
      this.res5[j] = paramXDRInputStream.getInt();
    i = paramXDRInputStream.getInt();
    this.res6 = new int[i];
    for (j = 0; j < i; j++)
      this.res6[j] = paramXDRInputStream.getInt();
    this.res7 = paramXDRInputStream.getVariableOpaque();
    this.res8 = paramXDRInputStream.getVariableOpaque();
  }
}