package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SAPort
  implements XDRType, SYMbolAPIConstants
{
  private SAPortRef saPortRef = new SAPortRef();
  private SAPortGroupRef saPortGroupRef = new SAPortGroupRef();
  private ControllerRef controllerRef = new ControllerRef();
  private int portId;

  public SAPort()
  {
  }

  public SAPort(SAPort paramSAPort)
  {
    this.saPortRef = paramSAPort.saPortRef;
    this.saPortGroupRef = paramSAPort.saPortGroupRef;
    this.controllerRef = paramSAPort.controllerRef;
    this.portId = paramSAPort.portId;
  }

  public SAPortRef getSaPortRef()
  {
    return this.saPortRef;
  }

  public void setSaPortRef(SAPortRef paramSAPortRef)
  {
    this.saPortRef = paramSAPortRef;
  }

  public SAPortGroupRef getSaPortGroupRef()
  {
    return this.saPortGroupRef;
  }

  public void setSaPortGroupRef(SAPortGroupRef paramSAPortGroupRef)
  {
    this.saPortGroupRef = paramSAPortGroupRef;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public int getPortId()
  {
    return this.portId;
  }

  public void setPortId(int paramInt)
  {
    this.portId = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.saPortRef.xdrEncode(paramXDROutputStream);
    this.saPortGroupRef.xdrEncode(paramXDROutputStream);
    this.controllerRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.portId);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.saPortRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.saPortGroupRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.controllerRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.portId = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}