package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SCSIDriverType
  implements XDRType, SYMbolAPIConstants
{
  public static final int SCSI_SE = 1;
  public static final int SCSI_HVD = 2;
  public static final int SCSI_LVD = 3;
  private int value;

  public SCSIDriverType()
  {
  }

  public SCSIDriverType(SCSIDriverType paramSCSIDriverType)
  {
    this.value = paramSCSIDriverType.value;
  }

  public SCSIDriverType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}