package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SFP_SPEED
  implements XDRType, SYMbolAPIConstants
{
  public static final int SFP_SPEED_TYPE_UNKNOWN = 0;
  public static final int SFP_SPEED_TYPE_1GIG = 1;
  public static final int SFP_SPEED_TYPE_2GIG = 2;
  public static final int SFP_SPEED_TYPE_4GIG = 4;
  private int value;

  public SFP_SPEED()
  {
  }

  public SFP_SPEED(SFP_SPEED paramSFP_SPEED)
  {
    this.value = paramSFP_SPEED.value;
  }

  public SFP_SPEED(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}