package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SFP_TRANSMISSION_MEDIA
  implements XDRType, SYMbolAPIConstants
{
  public static final int SFP_TRANSMISSION_TYPE_UNKNOWN = 0;
  public static final int SFP_TRANSMISSION_TYPE_TWIN_AXIAL_PAIR = 1;
  public static final int SFP_TRANSMISSION_TYPE_TM_SHIELDED_TWISTED_PAIR = 2;
  public static final int SFP_TRANSMISSION_TYPE_TM_MINIATURE_COAX = 4;
  public static final int SFP_TRANSMISSION_TYPE_TM_VIDEO_COAX = 8;
  public static final int SFP_TRANSMISSION_TYPE_TM_MULTI_MODE_M6 = 16;
  public static final int SFP_TRANSMISSION_TYPE_TM_MULTI_MODE_M5 = 32;
  public static final int SFP_TRANSMISSION_TYPE_TM_SINGLE_MODE = 64;
  private int value;

  public SFP_TRANSMISSION_MEDIA()
  {
  }

  public SFP_TRANSMISSION_MEDIA(SFP_TRANSMISSION_MEDIA paramSFP_TRANSMISSION_MEDIA)
  {
    this.value = paramSFP_TRANSMISSION_MEDIA.value;
  }

  public SFP_TRANSMISSION_MEDIA(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}