package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SnapshotCreationDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef baseVolume = new AbstractVolRef();
  private UserAssignedLabel snapshotLabel = new UserAssignedLabel();
  private UserAssignedLabel repositoryLabel = new UserAssignedLabel();
  private long repositoryCapacity;
  private int warnThreshold;
  private long extentStart;
  private long extentSize;
  private RepositoryFullPolicy repFullPolicy = new RepositoryFullPolicy();
  private VolumeCandidate candidate = new VolumeCandidate();
  private boolean noMapping;

  public SnapshotCreationDescriptor()
  {
  }

  public SnapshotCreationDescriptor(SnapshotCreationDescriptor paramSnapshotCreationDescriptor)
  {
    this.baseVolume = paramSnapshotCreationDescriptor.baseVolume;
    this.snapshotLabel = paramSnapshotCreationDescriptor.snapshotLabel;
    this.repositoryLabel = paramSnapshotCreationDescriptor.repositoryLabel;
    this.repositoryCapacity = paramSnapshotCreationDescriptor.repositoryCapacity;
    this.warnThreshold = paramSnapshotCreationDescriptor.warnThreshold;
    this.extentStart = paramSnapshotCreationDescriptor.extentStart;
    this.extentSize = paramSnapshotCreationDescriptor.extentSize;
    this.repFullPolicy = paramSnapshotCreationDescriptor.repFullPolicy;
    this.candidate = paramSnapshotCreationDescriptor.candidate;
    this.noMapping = paramSnapshotCreationDescriptor.noMapping;
  }

  public AbstractVolRef getBaseVolume()
  {
    return this.baseVolume;
  }

  public void setBaseVolume(AbstractVolRef paramAbstractVolRef)
  {
    this.baseVolume = paramAbstractVolRef;
  }

  public UserAssignedLabel getSnapshotLabel()
  {
    return this.snapshotLabel;
  }

  public void setSnapshotLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.snapshotLabel = paramUserAssignedLabel;
  }

  public UserAssignedLabel getRepositoryLabel()
  {
    return this.repositoryLabel;
  }

  public void setRepositoryLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.repositoryLabel = paramUserAssignedLabel;
  }

  public long getRepositoryCapacity()
  {
    return this.repositoryCapacity;
  }

  public void setRepositoryCapacity(long paramLong)
  {
    this.repositoryCapacity = paramLong;
  }

  public int getWarnThreshold()
  {
    return this.warnThreshold;
  }

  public void setWarnThreshold(int paramInt)
  {
    this.warnThreshold = paramInt;
  }

  public long getExtentStart()
  {
    return this.extentStart;
  }

  public void setExtentStart(long paramLong)
  {
    this.extentStart = paramLong;
  }

  public long getExtentSize()
  {
    return this.extentSize;
  }

  public void setExtentSize(long paramLong)
  {
    this.extentSize = paramLong;
  }

  public RepositoryFullPolicy getRepFullPolicy()
  {
    return this.repFullPolicy;
  }

  public void setRepFullPolicy(RepositoryFullPolicy paramRepositoryFullPolicy)
  {
    this.repFullPolicy = paramRepositoryFullPolicy;
  }

  public VolumeCandidate getCandidate()
  {
    return this.candidate;
  }

  public void setCandidate(VolumeCandidate paramVolumeCandidate)
  {
    this.candidate = paramVolumeCandidate;
  }

  public boolean getNoMapping()
  {
    return this.noMapping;
  }

  public void setNoMapping(boolean paramBoolean)
  {
    this.noMapping = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.baseVolume.xdrEncode(paramXDROutputStream);
    this.snapshotLabel.xdrEncode(paramXDROutputStream);
    this.repositoryLabel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.repositoryCapacity);
    paramXDROutputStream.putInt(this.warnThreshold);
    paramXDROutputStream.putLong(this.extentStart);
    paramXDROutputStream.putLong(this.extentSize);
    this.repFullPolicy.xdrEncode(paramXDROutputStream);
    this.candidate.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.noMapping);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.baseVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.snapshotLabel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.repositoryLabel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.repositoryCapacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.warnThreshold = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.extentStart = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.extentSize = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.repFullPolicy.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.candidate.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.noMapping = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}