package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SnapshotFailure
  implements XDRType, SYMbolAPIConstants
{
  private LegacyVolRef repositoryVolume = new LegacyVolRef();
  private SnapshotRef snapshotVolume = new SnapshotRef();
  private boolean repositoryFull;

  public SnapshotFailure()
  {
  }

  public SnapshotFailure(SnapshotFailure paramSnapshotFailure)
  {
    this.repositoryVolume = paramSnapshotFailure.repositoryVolume;
    this.snapshotVolume = paramSnapshotFailure.snapshotVolume;
    this.repositoryFull = paramSnapshotFailure.repositoryFull;
  }

  public LegacyVolRef getRepositoryVolume()
  {
    return this.repositoryVolume;
  }

  public void setRepositoryVolume(LegacyVolRef paramLegacyVolRef)
  {
    this.repositoryVolume = paramLegacyVolRef;
  }

  public SnapshotRef getSnapshotVolume()
  {
    return this.snapshotVolume;
  }

  public void setSnapshotVolume(SnapshotRef paramSnapshotRef)
  {
    this.snapshotVolume = paramSnapshotRef;
  }

  public boolean getRepositoryFull()
  {
    return this.repositoryFull;
  }

  public void setRepositoryFull(boolean paramBoolean)
  {
    this.repositoryFull = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.repositoryVolume.xdrEncode(paramXDROutputStream);
    this.snapshotVolume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.repositoryFull);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.repositoryVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.snapshotVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.repositoryFull = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}