package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocConnectedDevice
  implements XDRType, SYMbolAPIConstants
{
  private int channel;
  private SocConnectedDeviceTypeData socConnectedDeviceData = new SocConnectedDeviceTypeData();

  public SocConnectedDevice()
  {
  }

  public SocConnectedDevice(SocConnectedDevice paramSocConnectedDevice)
  {
    this.channel = paramSocConnectedDevice.channel;
    this.socConnectedDeviceData = paramSocConnectedDevice.socConnectedDeviceData;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public SocConnectedDeviceTypeData getSocConnectedDeviceData()
  {
    return this.socConnectedDeviceData;
  }

  public void setSocConnectedDeviceData(SocConnectedDeviceTypeData paramSocConnectedDeviceTypeData)
  {
    this.socConnectedDeviceData = paramSocConnectedDeviceTypeData;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.channel);
    this.socConnectedDeviceData.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.socConnectedDeviceData.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}