package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocConnectedDeviceType
  implements XDRType, SYMbolAPIConstants
{
  public static final int SOC_PORT_CONTROLLER_LOCAL = 0;
  public static final int SOC_PORT_CONTROLLER_ALTERNATE = 1;
  public static final int SOC_PORT_DRIVE = 2;
  public static final int SOC_PORT_ESM = 3;
  public static final int SOC_PORT_SFP = 4;
  public static final int SOC_PORT_UNKNOWN_DEVICE = 5;
  private int value;

  public SocConnectedDeviceType()
  {
  }

  public SocConnectedDeviceType(SocConnectedDeviceType paramSocConnectedDeviceType)
  {
    this.value = paramSocConnectedDeviceType.value;
  }

  public SocConnectedDeviceType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}