package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocData
  implements XDRType, SYMbolAPIConstants
{
  private boolean valid;
  private SocDeviceData socDeviceData = new SocDeviceData();
  private SocPortData[] socPortData;

  public SocData()
  {
  }

  public SocData(SocData paramSocData)
  {
    this.valid = paramSocData.valid;
    this.socDeviceData = paramSocData.socDeviceData;
    this.socPortData = paramSocData.socPortData;
  }

  public boolean getValid()
  {
    return this.valid;
  }

  public void setValid(boolean paramBoolean)
  {
    this.valid = paramBoolean;
  }

  public SocDeviceData getSocDeviceData()
  {
    return this.socDeviceData;
  }

  public void setSocDeviceData(SocDeviceData paramSocDeviceData)
  {
    this.socDeviceData = paramSocDeviceData;
  }

  public SocPortData[] getSocPortData()
  {
    return this.socPortData;
  }

  public void setSocPortData(SocPortData[] paramArrayOfSocPortData)
  {
    this.socPortData = paramArrayOfSocPortData;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.valid);
    this.socDeviceData.xdrEncode(paramXDROutputStream);
    int j = this.socPortData == null ? 0 : this.socPortData.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.socPortData[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.valid = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.socDeviceData.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.socPortData = new SocPortData[j];
      for (int k = 0; k < j; k++)
      {
        this.socPortData[k] = new SocPortData();
        this.socPortData[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}