package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocDeviceData
  implements XDRType, SYMbolAPIConstants
{
  private SocParent parent = new SocParent();
  private boolean hubMode;
  private boolean managedMode;
  private int collectionElapsedTime;

  public SocDeviceData()
  {
  }

  public SocDeviceData(SocDeviceData paramSocDeviceData)
  {
    this.parent = paramSocDeviceData.parent;
    this.hubMode = paramSocDeviceData.hubMode;
    this.managedMode = paramSocDeviceData.managedMode;
    this.collectionElapsedTime = paramSocDeviceData.collectionElapsedTime;
  }

  public SocParent getParent()
  {
    return this.parent;
  }

  public void setParent(SocParent paramSocParent)
  {
    this.parent = paramSocParent;
  }

  public boolean getHubMode()
  {
    return this.hubMode;
  }

  public void setHubMode(boolean paramBoolean)
  {
    this.hubMode = paramBoolean;
  }

  public boolean getManagedMode()
  {
    return this.managedMode;
  }

  public void setManagedMode(boolean paramBoolean)
  {
    this.managedMode = paramBoolean;
  }

  public int getCollectionElapsedTime()
  {
    return this.collectionElapsedTime;
  }

  public void setCollectionElapsedTime(int paramInt)
  {
    this.collectionElapsedTime = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.parent.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.hubMode);
    paramXDROutputStream.putBoolean(this.managedMode);
    paramXDROutputStream.putInt(this.collectionElapsedTime);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.parent.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hubMode = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.managedMode = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.collectionElapsedTime = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}