package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocLocation
  implements XDRType, SYMbolAPIConstants
{
  private ChannelType channelType = new ChannelType();
  private int channel;
  private int soc;
  private int port;
  private int controllerSlot;

  public SocLocation()
  {
  }

  public SocLocation(SocLocation paramSocLocation)
  {
    this.channelType = paramSocLocation.channelType;
    this.channel = paramSocLocation.channel;
    this.soc = paramSocLocation.soc;
    this.port = paramSocLocation.port;
    this.controllerSlot = paramSocLocation.controllerSlot;
  }

  public ChannelType getChannelType()
  {
    return this.channelType;
  }

  public void setChannelType(ChannelType paramChannelType)
  {
    this.channelType = paramChannelType;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public int getSoc()
  {
    return this.soc;
  }

  public void setSoc(int paramInt)
  {
    this.soc = paramInt;
  }

  public int getPort()
  {
    return this.port;
  }

  public void setPort(int paramInt)
  {
    this.port = paramInt;
  }

  public int getControllerSlot()
  {
    return this.controllerSlot;
  }

  public void setControllerSlot(int paramInt)
  {
    this.controllerSlot = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.channelType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putInt(this.soc);
    paramXDROutputStream.putInt(this.port);
    paramXDROutputStream.putInt(this.controllerSlot);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channelType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.soc = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.port = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerSlot = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}