package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocPortDiagnosticData
  implements XDRType, SYMbolAPIConstants
{
  private SocPortState portState = new SocPortState();
  private int portInsertionCount;
  private SocLoopState loopState = new SocLoopState();
  private int loopUpCount;
  private int crcErrorCount;
  private int relativeFrequencyDriftErrorAverage;
  private int loopCycleCount;
  private int osErrorCount;
  private int portConnectionsAttemptedCount;
  private int portConnectionsHeldOffCount;
  private int portUtilization;

  public SocPortDiagnosticData()
  {
  }

  public SocPortDiagnosticData(SocPortDiagnosticData paramSocPortDiagnosticData)
  {
    this.portState = paramSocPortDiagnosticData.portState;
    this.portInsertionCount = paramSocPortDiagnosticData.portInsertionCount;
    this.loopState = paramSocPortDiagnosticData.loopState;
    this.loopUpCount = paramSocPortDiagnosticData.loopUpCount;
    this.crcErrorCount = paramSocPortDiagnosticData.crcErrorCount;
    this.relativeFrequencyDriftErrorAverage = paramSocPortDiagnosticData.relativeFrequencyDriftErrorAverage;
    this.loopCycleCount = paramSocPortDiagnosticData.loopCycleCount;
    this.osErrorCount = paramSocPortDiagnosticData.osErrorCount;
    this.portConnectionsAttemptedCount = paramSocPortDiagnosticData.portConnectionsAttemptedCount;
    this.portConnectionsHeldOffCount = paramSocPortDiagnosticData.portConnectionsHeldOffCount;
    this.portUtilization = paramSocPortDiagnosticData.portUtilization;
  }

  public SocPortState getPortState()
  {
    return this.portState;
  }

  public void setPortState(SocPortState paramSocPortState)
  {
    this.portState = paramSocPortState;
  }

  public int getPortInsertionCount()
  {
    return this.portInsertionCount;
  }

  public void setPortInsertionCount(int paramInt)
  {
    this.portInsertionCount = paramInt;
  }

  public SocLoopState getLoopState()
  {
    return this.loopState;
  }

  public void setLoopState(SocLoopState paramSocLoopState)
  {
    this.loopState = paramSocLoopState;
  }

  public int getLoopUpCount()
  {
    return this.loopUpCount;
  }

  public void setLoopUpCount(int paramInt)
  {
    this.loopUpCount = paramInt;
  }

  public int getCrcErrorCount()
  {
    return this.crcErrorCount;
  }

  public void setCrcErrorCount(int paramInt)
  {
    this.crcErrorCount = paramInt;
  }

  public int getRelativeFrequencyDriftErrorAverage()
  {
    return this.relativeFrequencyDriftErrorAverage;
  }

  public void setRelativeFrequencyDriftErrorAverage(int paramInt)
  {
    this.relativeFrequencyDriftErrorAverage = paramInt;
  }

  public int getLoopCycleCount()
  {
    return this.loopCycleCount;
  }

  public void setLoopCycleCount(int paramInt)
  {
    this.loopCycleCount = paramInt;
  }

  public int getOsErrorCount()
  {
    return this.osErrorCount;
  }

  public void setOsErrorCount(int paramInt)
  {
    this.osErrorCount = paramInt;
  }

  public int getPortConnectionsAttemptedCount()
  {
    return this.portConnectionsAttemptedCount;
  }

  public void setPortConnectionsAttemptedCount(int paramInt)
  {
    this.portConnectionsAttemptedCount = paramInt;
  }

  public int getPortConnectionsHeldOffCount()
  {
    return this.portConnectionsHeldOffCount;
  }

  public void setPortConnectionsHeldOffCount(int paramInt)
  {
    this.portConnectionsHeldOffCount = paramInt;
  }

  public int getPortUtilization()
  {
    return this.portUtilization;
  }

  public void setPortUtilization(int paramInt)
  {
    this.portUtilization = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.portState.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.portInsertionCount);
    this.loopState.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.loopUpCount);
    paramXDROutputStream.putInt(this.crcErrorCount);
    paramXDROutputStream.putInt(this.relativeFrequencyDriftErrorAverage);
    paramXDROutputStream.putInt(this.loopCycleCount);
    paramXDROutputStream.putInt(this.osErrorCount);
    paramXDROutputStream.putInt(this.portConnectionsAttemptedCount);
    paramXDROutputStream.putInt(this.portConnectionsHeldOffCount);
    paramXDROutputStream.putInt(this.portUtilization);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.portState.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.portInsertionCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.loopState.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.loopUpCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.crcErrorCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.relativeFrequencyDriftErrorAverage = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.loopCycleCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.osErrorCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.portConnectionsAttemptedCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.portConnectionsHeldOffCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.portUtilization = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}