package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class StorageArray
  implements XDRType, SYMbolAPIConstants
{
  private SAData saData = new SAData();
  private SAIdentifier safeId = new SAIdentifier();
  private SACache cache = new SACache();
  private AccessVolume accessVolume = new AccessVolume();
  private FeatureParams featureParameters = new FeatureParams();
  private int mediaScanPeriod;
  private Capability[] capabilities;
  private PremiumFeature[] premiumFeatures;
  private TrayPositionList trayPositionList = new TrayPositionList();
  private UserAssignedLabel[] hostPortType;
  private HostSpecificValues[] hostSpecificVals;
  private CompatibleFirmware[] compatibility;
  private VolumeUsageHint[] usageHints;
  private int definedPartitionCount;
  private int defaultHostPortTypeIndex;
  private byte[] remoteAccessID;
  private boolean remoteMirroringActive;
  private int volXferAlertDelayPeriod;
  private byte[] reserved1;
  private byte[] reserved2;
  private StagedFirmware stagedFirmware = new StagedFirmware();
  private UnreadableSectors unreadableSectors = new UnreadableSectors();
  private DriveChannel[] driveChannels;
  private DriveChannelPort[] portLocations;
  private DdcTag ddcTag = new DdcTag();

  public StorageArray()
  {
  }

  public StorageArray(StorageArray paramStorageArray)
  {
    this.saData = paramStorageArray.saData;
    this.safeId = paramStorageArray.safeId;
    this.cache = paramStorageArray.cache;
    this.accessVolume = paramStorageArray.accessVolume;
    this.featureParameters = paramStorageArray.featureParameters;
    this.mediaScanPeriod = paramStorageArray.mediaScanPeriod;
    this.capabilities = paramStorageArray.capabilities;
    this.premiumFeatures = paramStorageArray.premiumFeatures;
    this.trayPositionList = paramStorageArray.trayPositionList;
    this.hostPortType = paramStorageArray.hostPortType;
    this.hostSpecificVals = paramStorageArray.hostSpecificVals;
    this.compatibility = paramStorageArray.compatibility;
    this.usageHints = paramStorageArray.usageHints;
    this.definedPartitionCount = paramStorageArray.definedPartitionCount;
    this.defaultHostPortTypeIndex = paramStorageArray.defaultHostPortTypeIndex;
    this.remoteAccessID = paramStorageArray.remoteAccessID;
    this.remoteMirroringActive = paramStorageArray.remoteMirroringActive;
    this.volXferAlertDelayPeriod = paramStorageArray.volXferAlertDelayPeriod;
    this.reserved1 = paramStorageArray.reserved1;
    this.reserved2 = paramStorageArray.reserved2;
    this.stagedFirmware = paramStorageArray.stagedFirmware;
    this.unreadableSectors = paramStorageArray.unreadableSectors;
    this.driveChannels = paramStorageArray.driveChannels;
    this.portLocations = paramStorageArray.portLocations;
    this.ddcTag = paramStorageArray.ddcTag;
  }

  public SAData getSaData()
  {
    return this.saData;
  }

  public void setSaData(SAData paramSAData)
  {
    this.saData = paramSAData;
  }

  public SAIdentifier getSafeId()
  {
    return this.safeId;
  }

  public void setSafeId(SAIdentifier paramSAIdentifier)
  {
    this.safeId = paramSAIdentifier;
  }

  public SACache getCache()
  {
    return this.cache;
  }

  public void setCache(SACache paramSACache)
  {
    this.cache = paramSACache;
  }

  public AccessVolume getAccessVolume()
  {
    return this.accessVolume;
  }

  public void setAccessVolume(AccessVolume paramAccessVolume)
  {
    this.accessVolume = paramAccessVolume;
  }

  public FeatureParams getFeatureParameters()
  {
    return this.featureParameters;
  }

  public void setFeatureParameters(FeatureParams paramFeatureParams)
  {
    this.featureParameters = paramFeatureParams;
  }

  public int getMediaScanPeriod()
  {
    return this.mediaScanPeriod;
  }

  public void setMediaScanPeriod(int paramInt)
  {
    this.mediaScanPeriod = paramInt;
  }

  public Capability[] getCapabilities()
  {
    return this.capabilities;
  }

  public void setCapabilities(Capability[] paramArrayOfCapability)
  {
    this.capabilities = paramArrayOfCapability;
  }

  public PremiumFeature[] getPremiumFeatures()
  {
    return this.premiumFeatures;
  }

  public void setPremiumFeatures(PremiumFeature[] paramArrayOfPremiumFeature)
  {
    this.premiumFeatures = paramArrayOfPremiumFeature;
  }

  public TrayPositionList getTrayPositionList()
  {
    return this.trayPositionList;
  }

  public void setTrayPositionList(TrayPositionList paramTrayPositionList)
  {
    this.trayPositionList = paramTrayPositionList;
  }

  public UserAssignedLabel[] getHostPortType()
  {
    return this.hostPortType;
  }

  public void setHostPortType(UserAssignedLabel[] paramArrayOfUserAssignedLabel)
  {
    this.hostPortType = paramArrayOfUserAssignedLabel;
  }

  public HostSpecificValues[] getHostSpecificVals()
  {
    return this.hostSpecificVals;
  }

  public void setHostSpecificVals(HostSpecificValues[] paramArrayOfHostSpecificValues)
  {
    this.hostSpecificVals = paramArrayOfHostSpecificValues;
  }

  public CompatibleFirmware[] getCompatibility()
  {
    return this.compatibility;
  }

  public void setCompatibility(CompatibleFirmware[] paramArrayOfCompatibleFirmware)
  {
    this.compatibility = paramArrayOfCompatibleFirmware;
  }

  public VolumeUsageHint[] getUsageHints()
  {
    return this.usageHints;
  }

  public void setUsageHints(VolumeUsageHint[] paramArrayOfVolumeUsageHint)
  {
    this.usageHints = paramArrayOfVolumeUsageHint;
  }

  public int getDefinedPartitionCount()
  {
    return this.definedPartitionCount;
  }

  public void setDefinedPartitionCount(int paramInt)
  {
    this.definedPartitionCount = paramInt;
  }

  public int getDefaultHostPortTypeIndex()
  {
    return this.defaultHostPortTypeIndex;
  }

  public void setDefaultHostPortTypeIndex(int paramInt)
  {
    this.defaultHostPortTypeIndex = paramInt;
  }

  public byte[] getRemoteAccessID()
  {
    return this.remoteAccessID;
  }

  public void setRemoteAccessID(byte[] paramArrayOfByte)
  {
    this.remoteAccessID = paramArrayOfByte;
  }

  public boolean getRemoteMirroringActive()
  {
    return this.remoteMirroringActive;
  }

  public void setRemoteMirroringActive(boolean paramBoolean)
  {
    this.remoteMirroringActive = paramBoolean;
  }

  public int getVolXferAlertDelayPeriod()
  {
    return this.volXferAlertDelayPeriod;
  }

  public void setVolXferAlertDelayPeriod(int paramInt)
  {
    this.volXferAlertDelayPeriod = paramInt;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public StagedFirmware getStagedFirmware()
  {
    return this.stagedFirmware;
  }

  public void setStagedFirmware(StagedFirmware paramStagedFirmware)
  {
    this.stagedFirmware = paramStagedFirmware;
  }

  public UnreadableSectors getUnreadableSectors()
  {
    return this.unreadableSectors;
  }

  public void setUnreadableSectors(UnreadableSectors paramUnreadableSectors)
  {
    this.unreadableSectors = paramUnreadableSectors;
  }

  public DriveChannel[] getDriveChannels()
  {
    return this.driveChannels;
  }

  public void setDriveChannels(DriveChannel[] paramArrayOfDriveChannel)
  {
    this.driveChannels = paramArrayOfDriveChannel;
  }

  public DriveChannelPort[] getPortLocations()
  {
    return this.portLocations;
  }

  public void setPortLocations(DriveChannelPort[] paramArrayOfDriveChannelPort)
  {
    this.portLocations = paramArrayOfDriveChannelPort;
  }

  public DdcTag getDdcTag()
  {
    return this.ddcTag;
  }

  public void setDdcTag(DdcTag paramDdcTag)
  {
    this.ddcTag = paramDdcTag;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.saData.xdrEncode(paramXDROutputStream);
    this.safeId.xdrEncode(paramXDROutputStream);
    this.cache.xdrEncode(paramXDROutputStream);
    this.accessVolume.xdrEncode(paramXDROutputStream);
    this.featureParameters.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.mediaScanPeriod);
    int j = this.capabilities == null ? 0 : this.capabilities.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.capabilities[k].xdrEncode(paramXDROutputStream);
    j = this.premiumFeatures == null ? 0 : this.premiumFeatures.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.premiumFeatures[k].xdrEncode(paramXDROutputStream);
    this.trayPositionList.xdrEncode(paramXDROutputStream);
    j = this.hostPortType == null ? 0 : this.hostPortType.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.hostPortType[k].xdrEncode(paramXDROutputStream);
    j = this.hostSpecificVals == null ? 0 : this.hostSpecificVals.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.hostSpecificVals[k].xdrEncode(paramXDROutputStream);
    j = this.compatibility == null ? 0 : this.compatibility.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.compatibility[k].xdrEncode(paramXDROutputStream);
    j = this.usageHints == null ? 0 : this.usageHints.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.usageHints[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.definedPartitionCount);
    paramXDROutputStream.putInt(this.defaultHostPortTypeIndex);
    paramXDROutputStream.putFixedOpaque(this.remoteAccessID, 8);
    paramXDROutputStream.putBoolean(this.remoteMirroringActive);
    paramXDROutputStream.putInt(this.volXferAlertDelayPeriod);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    this.stagedFirmware.xdrEncode(paramXDROutputStream);
    this.unreadableSectors.xdrEncode(paramXDROutputStream);
    j = this.driveChannels == null ? 0 : this.driveChannels.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.driveChannels[k].xdrEncode(paramXDROutputStream);
    j = this.portLocations == null ? 0 : this.portLocations.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.portLocations[k].xdrEncode(paramXDROutputStream);
    this.ddcTag.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.saData.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.safeId.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.cache.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.accessVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.featureParameters.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.mediaScanPeriod = paramXDRInputStream.getInt();
    int j;
    int k;
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.capabilities = new Capability[j];
      for (k = 0; k < j; k++)
      {
        this.capabilities[k] = new Capability();
        this.capabilities[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.premiumFeatures = new PremiumFeature[j];
      for (k = 0; k < j; k++)
      {
        this.premiumFeatures[k] = new PremiumFeature();
        this.premiumFeatures[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.trayPositionList.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.hostPortType = new UserAssignedLabel[j];
      for (k = 0; k < j; k++)
      {
        this.hostPortType[k] = new UserAssignedLabel();
        this.hostPortType[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.hostSpecificVals = new HostSpecificValues[j];
      for (k = 0; k < j; k++)
      {
        this.hostSpecificVals[k] = new HostSpecificValues();
        this.hostSpecificVals[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.compatibility = new CompatibleFirmware[j];
      for (k = 0; k < j; k++)
      {
        this.compatibility[k] = new CompatibleFirmware();
        this.compatibility[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.usageHints = new VolumeUsageHint[j];
      for (k = 0; k < j; k++)
      {
        this.usageHints[k] = new VolumeUsageHint();
        this.usageHints[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.definedPartitionCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.defaultHostPortTypeIndex = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.remoteAccessID = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.remoteMirroringActive = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.volXferAlertDelayPeriod = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.stagedFirmware.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.unreadableSectors.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.driveChannels = new DriveChannel[j];
      for (k = 0; k < j; k++)
      {
        this.driveChannels[k] = new DriveChannel();
        this.driveChannels[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.portLocations = new DriveChannelPort[j];
      for (k = 0; k < j; k++)
      {
        this.portLocations[k] = new DriveChannelPort();
        this.portLocations[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.ddcTag.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}