package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SupportCRU
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef supportCRURef = new ComponentRef();
  private SupportCRUStatus status = new SupportCRUStatus();
  private Location physicalLocation = new Location();
  private long manufacturerDate;
  private String vendorName;
  private String vendorPN;
  private String vendorSN;
  private String fruType;
  private boolean readyToRemove;
  private RTRAttributes rtrAttributes = new RTRAttributes();

  public SupportCRU()
  {
  }

  public SupportCRU(SupportCRU paramSupportCRU)
  {
    this.supportCRURef = paramSupportCRU.supportCRURef;
    this.status = paramSupportCRU.status;
    this.physicalLocation = paramSupportCRU.physicalLocation;
    this.manufacturerDate = paramSupportCRU.manufacturerDate;
    this.vendorName = paramSupportCRU.vendorName;
    this.vendorPN = paramSupportCRU.vendorPN;
    this.vendorSN = paramSupportCRU.vendorSN;
    this.fruType = paramSupportCRU.fruType;
    this.readyToRemove = paramSupportCRU.readyToRemove;
    this.rtrAttributes = paramSupportCRU.rtrAttributes;
  }

  public ComponentRef getSupportCRURef()
  {
    return this.supportCRURef;
  }

  public void setSupportCRURef(ComponentRef paramComponentRef)
  {
    this.supportCRURef = paramComponentRef;
  }

  public SupportCRUStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(SupportCRUStatus paramSupportCRUStatus)
  {
    this.status = paramSupportCRUStatus;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public long getManufacturerDate()
  {
    return this.manufacturerDate;
  }

  public void setManufacturerDate(long paramLong)
  {
    this.manufacturerDate = paramLong;
  }

  public String getVendorName()
  {
    return this.vendorName;
  }

  public void setVendorName(String paramString)
  {
    this.vendorName = paramString;
  }

  public String getVendorPN()
  {
    return this.vendorPN;
  }

  public void setVendorPN(String paramString)
  {
    this.vendorPN = paramString;
  }

  public String getVendorSN()
  {
    return this.vendorSN;
  }

  public void setVendorSN(String paramString)
  {
    this.vendorSN = paramString;
  }

  public String getFruType()
  {
    return this.fruType;
  }

  public void setFruType(String paramString)
  {
    this.fruType = paramString;
  }

  public boolean getReadyToRemove()
  {
    return this.readyToRemove;
  }

  public void setReadyToRemove(boolean paramBoolean)
  {
    this.readyToRemove = paramBoolean;
  }

  public RTRAttributes getRtrAttributes()
  {
    return this.rtrAttributes;
  }

  public void setRtrAttributes(RTRAttributes paramRTRAttributes)
  {
    this.rtrAttributes = paramRTRAttributes;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.supportCRURef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.manufacturerDate);
    paramXDROutputStream.putString(this.vendorName);
    paramXDROutputStream.putString(this.vendorPN);
    paramXDROutputStream.putString(this.vendorSN);
    paramXDROutputStream.putString(this.fruType);
    paramXDROutputStream.putBoolean(this.readyToRemove);
    this.rtrAttributes.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.supportCRURef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturerDate = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorPN = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorSN = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.fruType = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.readyToRemove = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.rtrAttributes.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}