package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ThermalSensorStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int THERMAL_SENSOR_STAT_OPTIMAL = 1;
  public static final int THERMAL_SENSOR_STAT_NOMINAL_TEMP_EXCEED = 2;
  public static final int THERMAL_SENSOR_STAT_MAX_TEMP_EXCEED = 3;
  public static final int THERMAL_SENSOR_STAT_REMOVED = 4;
  public static final int THERMAL_SENSOR_STAT_UNKNOWN = 5;
  private int value;

  public ThermalSensorStatus()
  {
  }

  public ThermalSensorStatus(ThermalSensorStatus paramThermalSensorStatus)
  {
    this.value = paramThermalSensorStatus.value;
  }

  public ThermalSensorStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}