package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Tray
  implements XDRType, SYMbolAPIConstants
{
  private TrayType type = new TrayType();
  private TrayOrientation orientation = new TrayOrientation();
  private int numControllerSlots;
  private int numDriveSlots;
  private int trayId;
  private TrayRef trayRef = new TrayRef();
  private boolean nonRedundantAccess;
  private String partNumber;
  private String serialNumber;
  private String vendorName;
  private long manufacturerDate;
  private String fruType;
  private boolean trayIDMismatch;
  private boolean trayIDConflict;
  private boolean esmVersionMismatch;
  private boolean esmMiswire;
  private boolean drvMHSpeedMismatch;
  private boolean unsupportedTray;
  private int workingChannel;
  private InterfaceSpeed maxSpeed = new InterfaceSpeed();
  private TrayTechnologyType trayTechnologyType = new TrayTechnologyType();
  private boolean esmGroupError;
  private boolean uncertifiedTray;
  private boolean locateTray;
  private boolean esmHardwareMismatch;
  private boolean hasConfigurableTrayId;
  private IOInterfaceType frontEndInterfaceTechnology = new IOInterfaceType();
  private PhysicalDriveType[] driveTechnologies;

  public Tray()
  {
  }

  public Tray(Tray paramTray)
  {
    this.type = paramTray.type;
    this.orientation = paramTray.orientation;
    this.numControllerSlots = paramTray.numControllerSlots;
    this.numDriveSlots = paramTray.numDriveSlots;
    this.trayId = paramTray.trayId;
    this.trayRef = paramTray.trayRef;
    this.nonRedundantAccess = paramTray.nonRedundantAccess;
    this.partNumber = paramTray.partNumber;
    this.serialNumber = paramTray.serialNumber;
    this.vendorName = paramTray.vendorName;
    this.manufacturerDate = paramTray.manufacturerDate;
    this.fruType = paramTray.fruType;
    this.trayIDMismatch = paramTray.trayIDMismatch;
    this.trayIDConflict = paramTray.trayIDConflict;
    this.esmVersionMismatch = paramTray.esmVersionMismatch;
    this.esmMiswire = paramTray.esmMiswire;
    this.drvMHSpeedMismatch = paramTray.drvMHSpeedMismatch;
    this.unsupportedTray = paramTray.unsupportedTray;
    this.workingChannel = paramTray.workingChannel;
    this.maxSpeed = paramTray.maxSpeed;
    this.trayTechnologyType = paramTray.trayTechnologyType;
    this.esmGroupError = paramTray.esmGroupError;
    this.uncertifiedTray = paramTray.uncertifiedTray;
    this.locateTray = paramTray.locateTray;
    this.esmHardwareMismatch = paramTray.esmHardwareMismatch;
    this.hasConfigurableTrayId = paramTray.hasConfigurableTrayId;
    this.frontEndInterfaceTechnology = paramTray.frontEndInterfaceTechnology;
    this.driveTechnologies = paramTray.driveTechnologies;
  }

  public TrayType getType()
  {
    return this.type;
  }

  public void setType(TrayType paramTrayType)
  {
    this.type = paramTrayType;
  }

  public TrayOrientation getOrientation()
  {
    return this.orientation;
  }

  public void setOrientation(TrayOrientation paramTrayOrientation)
  {
    this.orientation = paramTrayOrientation;
  }

  public int getNumControllerSlots()
  {
    return this.numControllerSlots;
  }

  public void setNumControllerSlots(int paramInt)
  {
    this.numControllerSlots = paramInt;
  }

  public int getNumDriveSlots()
  {
    return this.numDriveSlots;
  }

  public void setNumDriveSlots(int paramInt)
  {
    this.numDriveSlots = paramInt;
  }

  public int getTrayId()
  {
    return this.trayId;
  }

  public void setTrayId(int paramInt)
  {
    this.trayId = paramInt;
  }

  public TrayRef getTrayRef()
  {
    return this.trayRef;
  }

  public void setTrayRef(TrayRef paramTrayRef)
  {
    this.trayRef = paramTrayRef;
  }

  public boolean getNonRedundantAccess()
  {
    return this.nonRedundantAccess;
  }

  public void setNonRedundantAccess(boolean paramBoolean)
  {
    this.nonRedundantAccess = paramBoolean;
  }

  public String getPartNumber()
  {
    return this.partNumber;
  }

  public void setPartNumber(String paramString)
  {
    this.partNumber = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public String getVendorName()
  {
    return this.vendorName;
  }

  public void setVendorName(String paramString)
  {
    this.vendorName = paramString;
  }

  public long getManufacturerDate()
  {
    return this.manufacturerDate;
  }

  public void setManufacturerDate(long paramLong)
  {
    this.manufacturerDate = paramLong;
  }

  public String getFruType()
  {
    return this.fruType;
  }

  public void setFruType(String paramString)
  {
    this.fruType = paramString;
  }

  public boolean getTrayIDMismatch()
  {
    return this.trayIDMismatch;
  }

  public void setTrayIDMismatch(boolean paramBoolean)
  {
    this.trayIDMismatch = paramBoolean;
  }

  public boolean getTrayIDConflict()
  {
    return this.trayIDConflict;
  }

  public void setTrayIDConflict(boolean paramBoolean)
  {
    this.trayIDConflict = paramBoolean;
  }

  public boolean getEsmVersionMismatch()
  {
    return this.esmVersionMismatch;
  }

  public void setEsmVersionMismatch(boolean paramBoolean)
  {
    this.esmVersionMismatch = paramBoolean;
  }

  public boolean getEsmMiswire()
  {
    return this.esmMiswire;
  }

  public void setEsmMiswire(boolean paramBoolean)
  {
    this.esmMiswire = paramBoolean;
  }

  public boolean getDrvMHSpeedMismatch()
  {
    return this.drvMHSpeedMismatch;
  }

  public void setDrvMHSpeedMismatch(boolean paramBoolean)
  {
    this.drvMHSpeedMismatch = paramBoolean;
  }

  public boolean getUnsupportedTray()
  {
    return this.unsupportedTray;
  }

  public void setUnsupportedTray(boolean paramBoolean)
  {
    this.unsupportedTray = paramBoolean;
  }

  public int getWorkingChannel()
  {
    return this.workingChannel;
  }

  public void setWorkingChannel(int paramInt)
  {
    this.workingChannel = paramInt;
  }

  public InterfaceSpeed getMaxSpeed()
  {
    return this.maxSpeed;
  }

  public void setMaxSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.maxSpeed = paramInterfaceSpeed;
  }

  public TrayTechnologyType getTrayTechnologyType()
  {
    return this.trayTechnologyType;
  }

  public void setTrayTechnologyType(TrayTechnologyType paramTrayTechnologyType)
  {
    this.trayTechnologyType = paramTrayTechnologyType;
  }

  public boolean getEsmGroupError()
  {
    return this.esmGroupError;
  }

  public void setEsmGroupError(boolean paramBoolean)
  {
    this.esmGroupError = paramBoolean;
  }

  public boolean getUncertifiedTray()
  {
    return this.uncertifiedTray;
  }

  public void setUncertifiedTray(boolean paramBoolean)
  {
    this.uncertifiedTray = paramBoolean;
  }

  public boolean getLocateTray()
  {
    return this.locateTray;
  }

  public void setLocateTray(boolean paramBoolean)
  {
    this.locateTray = paramBoolean;
  }

  public boolean getEsmHardwareMismatch()
  {
    return this.esmHardwareMismatch;
  }

  public void setEsmHardwareMismatch(boolean paramBoolean)
  {
    this.esmHardwareMismatch = paramBoolean;
  }

  public boolean getHasConfigurableTrayId()
  {
    return this.hasConfigurableTrayId;
  }

  public void setHasConfigurableTrayId(boolean paramBoolean)
  {
    this.hasConfigurableTrayId = paramBoolean;
  }

  public IOInterfaceType getFrontEndInterfaceTechnology()
  {
    return this.frontEndInterfaceTechnology;
  }

  public void setFrontEndInterfaceTechnology(IOInterfaceType paramIOInterfaceType)
  {
    this.frontEndInterfaceTechnology = paramIOInterfaceType;
  }

  public PhysicalDriveType[] getDriveTechnologies()
  {
    return this.driveTechnologies;
  }

  public void setDriveTechnologies(PhysicalDriveType[] paramArrayOfPhysicalDriveType)
  {
    this.driveTechnologies = paramArrayOfPhysicalDriveType;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.type.xdrEncode(paramXDROutputStream);
    this.orientation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.numControllerSlots);
    paramXDROutputStream.putInt(this.numDriveSlots);
    paramXDROutputStream.putInt(this.trayId);
    this.trayRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.nonRedundantAccess);
    paramXDROutputStream.putString(this.partNumber);
    paramXDROutputStream.putString(this.serialNumber);
    paramXDROutputStream.putString(this.vendorName);
    paramXDROutputStream.putLong(this.manufacturerDate);
    paramXDROutputStream.putString(this.fruType);
    paramXDROutputStream.putBoolean(this.trayIDMismatch);
    paramXDROutputStream.putBoolean(this.trayIDConflict);
    paramXDROutputStream.putBoolean(this.esmVersionMismatch);
    paramXDROutputStream.putBoolean(this.esmMiswire);
    paramXDROutputStream.putBoolean(this.drvMHSpeedMismatch);
    paramXDROutputStream.putBoolean(this.unsupportedTray);
    paramXDROutputStream.putInt(this.workingChannel);
    this.maxSpeed.xdrEncode(paramXDROutputStream);
    this.trayTechnologyType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.esmGroupError);
    paramXDROutputStream.putBoolean(this.uncertifiedTray);
    paramXDROutputStream.putBoolean(this.locateTray);
    paramXDROutputStream.putBoolean(this.esmHardwareMismatch);
    paramXDROutputStream.putBoolean(this.hasConfigurableTrayId);
    this.frontEndInterfaceTechnology.xdrEncode(paramXDROutputStream);
    int j = this.driveTechnologies == null ? 0 : this.driveTechnologies.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.driveTechnologies[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.type.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.orientation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.numControllerSlots = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.numDriveSlots = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.trayId = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.trayRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.nonRedundantAccess = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.partNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.serialNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturerDate = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.fruType = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.trayIDMismatch = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.trayIDConflict = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.esmVersionMismatch = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.esmMiswire = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.drvMHSpeedMismatch = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.unsupportedTray = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.workingChannel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.maxSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.trayTechnologyType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.esmGroupError = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.uncertifiedTray = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.locateTray = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.esmHardwareMismatch = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.hasConfigurableTrayId = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.frontEndInterfaceTechnology.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.driveTechnologies = new PhysicalDriveType[j];
      for (int k = 0; k < j; k++)
      {
        this.driveTechnologies[k] = new PhysicalDriveType();
        this.driveTechnologies[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}