package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class TrayOrientation
  implements XDRType, SYMbolAPIConstants
{
  public static final int TRAY_ORIENTATION_HORIZONTAL = 1;
  public static final int TRAY_ORIENTATION_VERTICAL = 2;
  private int value;

  public TrayOrientation()
  {
  }

  public TrayOrientation(TrayOrientation paramTrayOrientation)
  {
    this.value = paramTrayOrientation.value;
  }

  public TrayOrientation(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}