package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class TraySlot
  implements XDRType, SYMbolAPIConstants
{
  private int tray;
  private int slot;

  public TraySlot()
  {
  }

  public TraySlot(TraySlot paramTraySlot)
  {
    this.tray = paramTraySlot.tray;
    this.slot = paramTraySlot.slot;
  }

  public int getTray()
  {
    return this.tray;
  }

  public void setTray(int paramInt)
  {
    this.tray = paramInt;
  }

  public int getSlot()
  {
    return this.slot;
  }

  public void setSlot(int paramInt)
  {
    this.slot = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.tray);
    paramXDROutputStream.putInt(this.slot);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.tray = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.slot = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}