package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class TrayTechnologyType
  implements XDRType, SYMbolAPIConstants
{
  public static final int TRAY_TECH_SCSI_SCSI = 1;
  public static final int TRAY_TECH_FIBRE_FIBRE = 2;
  public static final int TRAY_TECH_FIBRE_SATA = 3;
  public static final int TRAY_TECH_FIBRE_PATA = 4;
  private int value;

  public TrayTechnologyType()
  {
  }

  public TrayTechnologyType(TrayTechnologyType paramTrayTechnologyType)
  {
    this.value = paramTrayTechnologyType.value;
  }

  public TrayTechnologyType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}