package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class TrayType
  implements XDRType, SYMbolAPIConstants
{
  public static final int TRAY_TYPE_SYM1000 = 1;
  public static final int TRAY_TYPE_SYM2000 = 2;
  public static final int TRAY_TYPE_SYM2772 = 3;
  public static final int TRAY_TYPE_PCIRAID = 4;
  public static final int TRAY_TYPE_GENERIC = 5;
  public static final int TRAY_TYPE_SYM2200 = 6;
  public static final int TRAY_TYPE_SYM1200 = 7;
  public static final int TRAY_TYPE_SYM2882 = 8;
  public static final int TRAY_TYPE_SYM1500 = 9;
  public static final int TRAY_TYPE_FC4600 = 10;
  private int value;

  public TrayType()
  {
  }

  public TrayType(TrayType paramTrayType)
  {
    this.value = paramTrayType.value;
  }

  public TrayType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}