package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class TrayUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private TrayRef ref = new TrayRef();
  private int trayID;

  public TrayUpdateDescriptor()
  {
  }

  public TrayUpdateDescriptor(TrayUpdateDescriptor paramTrayUpdateDescriptor)
  {
    this.ref = paramTrayUpdateDescriptor.ref;
    this.trayID = paramTrayUpdateDescriptor.trayID;
  }

  public TrayRef getRef()
  {
    return this.ref;
  }

  public void setRef(TrayRef paramTrayRef)
  {
    this.ref = paramTrayRef;
  }

  public int getTrayID()
  {
    return this.trayID;
  }

  public void setTrayID(int paramInt)
  {
    this.trayID = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.ref.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.trayID);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.ref.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.trayID = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}