package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class UnreadableSectors
  implements XDRType, SYMbolAPIConstants
{
  private int count;
  private int maxLimit;

  public UnreadableSectors()
  {
  }

  public UnreadableSectors(UnreadableSectors paramUnreadableSectors)
  {
    this.count = paramUnreadableSectors.count;
    this.maxLimit = paramUnreadableSectors.maxLimit;
  }

  public int getCount()
  {
    return this.count;
  }

  public void setCount(int paramInt)
  {
    this.count = paramInt;
  }

  public int getMaxLimit()
  {
    return this.maxLimit;
  }

  public void setMaxLimit(int paramInt)
  {
    this.maxLimit = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.count);
    paramXDROutputStream.putInt(this.maxLimit);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.count = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.maxLimit = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}