package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class UsmRecordType
  implements XDRType, SYMbolAPIConstants
{
  public static final int USM_RECORD_TYPE_PHYSICAL = 1;
  public static final int USM_RECORD_TYPE_LOGICAL = 2;
  public static final int USM_RECORD_TYPE_INJECTED = 3;
  public static final int USM_RECORD_TYPE_EDC_ERROR = 4;
  private int value;

  public UsmRecordType()
  {
  }

  public UsmRecordType(UsmRecordType paramUsmRecordType)
  {
    this.value = paramUsmRecordType.value;
  }

  public UsmRecordType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}