package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeActionProgress
  implements XDRType, SYMbolAPIConstants
{
  private int percentComplete;
  private int timeToCompletion;

  public VolumeActionProgress()
  {
  }

  public VolumeActionProgress(VolumeActionProgress paramVolumeActionProgress)
  {
    this.percentComplete = paramVolumeActionProgress.percentComplete;
    this.timeToCompletion = paramVolumeActionProgress.timeToCompletion;
  }

  public int getPercentComplete()
  {
    return this.percentComplete;
  }

  public void setPercentComplete(int paramInt)
  {
    this.percentComplete = paramInt;
  }

  public int getTimeToCompletion()
  {
    return this.timeToCompletion;
  }

  public void setTimeToCompletion(int paramInt)
  {
    this.timeToCompletion = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.percentComplete);
    paramXDROutputStream.putInt(this.timeToCompletion);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.percentComplete = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.timeToCompletion = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}