package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCacheParamsUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private boolean cwob;
  private boolean mirrorEnable;
  private boolean readCacheEnable;
  private boolean writeCacheEnable;
  private CacheFlushModifier cacheFlushModifier = new CacheFlushModifier();
  private int readAheadMultiplier;

  public VolumeCacheParamsUpdateDescriptor()
  {
  }

  public VolumeCacheParamsUpdateDescriptor(VolumeCacheParamsUpdateDescriptor paramVolumeCacheParamsUpdateDescriptor)
  {
    this.volumeRef = paramVolumeCacheParamsUpdateDescriptor.volumeRef;
    this.cwob = paramVolumeCacheParamsUpdateDescriptor.cwob;
    this.mirrorEnable = paramVolumeCacheParamsUpdateDescriptor.mirrorEnable;
    this.readCacheEnable = paramVolumeCacheParamsUpdateDescriptor.readCacheEnable;
    this.writeCacheEnable = paramVolumeCacheParamsUpdateDescriptor.writeCacheEnable;
    this.cacheFlushModifier = paramVolumeCacheParamsUpdateDescriptor.cacheFlushModifier;
    this.readAheadMultiplier = paramVolumeCacheParamsUpdateDescriptor.readAheadMultiplier;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public boolean getCwob()
  {
    return this.cwob;
  }

  public void setCwob(boolean paramBoolean)
  {
    this.cwob = paramBoolean;
  }

  public boolean getMirrorEnable()
  {
    return this.mirrorEnable;
  }

  public void setMirrorEnable(boolean paramBoolean)
  {
    this.mirrorEnable = paramBoolean;
  }

  public boolean getReadCacheEnable()
  {
    return this.readCacheEnable;
  }

  public void setReadCacheEnable(boolean paramBoolean)
  {
    this.readCacheEnable = paramBoolean;
  }

  public boolean getWriteCacheEnable()
  {
    return this.writeCacheEnable;
  }

  public void setWriteCacheEnable(boolean paramBoolean)
  {
    this.writeCacheEnable = paramBoolean;
  }

  public CacheFlushModifier getCacheFlushModifier()
  {
    return this.cacheFlushModifier;
  }

  public void setCacheFlushModifier(CacheFlushModifier paramCacheFlushModifier)
  {
    this.cacheFlushModifier = paramCacheFlushModifier;
  }

  public int getReadAheadMultiplier()
  {
    return this.readAheadMultiplier;
  }

  public void setReadAheadMultiplier(int paramInt)
  {
    this.readAheadMultiplier = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.cwob);
    paramXDROutputStream.putBoolean(this.mirrorEnable);
    paramXDROutputStream.putBoolean(this.readCacheEnable);
    paramXDROutputStream.putBoolean(this.writeCacheEnable);
    this.cacheFlushModifier.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.readAheadMultiplier);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.cwob = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.mirrorEnable = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.readCacheEnable = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.writeCacheEnable = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.cacheFlushModifier.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.readAheadMultiplier = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}