package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeGroup
  implements XDRType, SYMbolAPIConstants
{
  private int sequenceNum;
  private boolean offline;
  private RAIDLevel raidLevel = new RAIDLevel();
  private byte[] worldWideName;
  private VolumeGroupRef volumeGroupRef = new VolumeGroupRef();
  private byte[] reserved1;
  private byte[] reserved2;
  private boolean trayLossProtection;

  public VolumeGroup()
  {
  }

  public VolumeGroup(VolumeGroup paramVolumeGroup)
  {
    this.sequenceNum = paramVolumeGroup.sequenceNum;
    this.offline = paramVolumeGroup.offline;
    this.raidLevel = paramVolumeGroup.raidLevel;
    this.worldWideName = paramVolumeGroup.worldWideName;
    this.volumeGroupRef = paramVolumeGroup.volumeGroupRef;
    this.reserved1 = paramVolumeGroup.reserved1;
    this.reserved2 = paramVolumeGroup.reserved2;
    this.trayLossProtection = paramVolumeGroup.trayLossProtection;
  }

  public int getSequenceNum()
  {
    return this.sequenceNum;
  }

  public void setSequenceNum(int paramInt)
  {
    this.sequenceNum = paramInt;
  }

  public boolean getOffline()
  {
    return this.offline;
  }

  public void setOffline(boolean paramBoolean)
  {
    this.offline = paramBoolean;
  }

  public RAIDLevel getRaidLevel()
  {
    return this.raidLevel;
  }

  public void setRaidLevel(RAIDLevel paramRAIDLevel)
  {
    this.raidLevel = paramRAIDLevel;
  }

  public byte[] getWorldWideName()
  {
    return this.worldWideName;
  }

  public void setWorldWideName(byte[] paramArrayOfByte)
  {
    this.worldWideName = paramArrayOfByte;
  }

  public VolumeGroupRef getVolumeGroupRef()
  {
    return this.volumeGroupRef;
  }

  public void setVolumeGroupRef(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volumeGroupRef = paramVolumeGroupRef;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public boolean getTrayLossProtection()
  {
    return this.trayLossProtection;
  }

  public void setTrayLossProtection(boolean paramBoolean)
  {
    this.trayLossProtection = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.sequenceNum);
    paramXDROutputStream.putBoolean(this.offline);
    this.raidLevel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putVariableOpaque(this.worldWideName);
    this.volumeGroupRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.putBoolean(this.trayLossProtection);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.sequenceNum = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.offline = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.raidLevel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.worldWideName = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.trayLossProtection = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}