package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeMediaScanParams
  implements XDRType, SYMbolAPIConstants
{
  private boolean enable;
  private boolean parityValidationEnable;

  public VolumeMediaScanParams()
  {
  }

  public VolumeMediaScanParams(VolumeMediaScanParams paramVolumeMediaScanParams)
  {
    this.enable = paramVolumeMediaScanParams.enable;
    this.parityValidationEnable = paramVolumeMediaScanParams.parityValidationEnable;
  }

  public boolean getEnable()
  {
    return this.enable;
  }

  public void setEnable(boolean paramBoolean)
  {
    this.enable = paramBoolean;
  }

  public boolean getParityValidationEnable()
  {
    return this.parityValidationEnable;
  }

  public void setParityValidationEnable(boolean paramBoolean)
  {
    this.parityValidationEnable = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.enable);
    paramXDROutputStream.putBoolean(this.parityValidationEnable);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.enable = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.parityValidationEnable = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}