package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumePerformance
  implements XDRType, SYMbolAPIConstants
{
  private long time;
  private int totalRequestsServiced;
  private int totalBlocksRequested;
  private int totalReadRequests;
  private int totalReadBlocksRequested;
  private int totalWriteRequests;
  private int totalWriteBlocksRequested;
  private int percentReadRequests;
  private int averageBlocksRequested;
  private int totalLargeReads;
  private int totalLargeReadBlocksRequested;
  private int totalLargeWrites;
  private int totalLargeWriteBlocksRequested;
  private int totalCacheReadChecks;
  private int totalCacheReadCheckHits;
  private int totalCacheWriteRequests;
  private AbstractVolRef volumeRef = new AbstractVolRef();

  public VolumePerformance()
  {
  }

  public VolumePerformance(VolumePerformance paramVolumePerformance)
  {
    this.time = paramVolumePerformance.time;
    this.totalRequestsServiced = paramVolumePerformance.totalRequestsServiced;
    this.totalBlocksRequested = paramVolumePerformance.totalBlocksRequested;
    this.totalReadRequests = paramVolumePerformance.totalReadRequests;
    this.totalReadBlocksRequested = paramVolumePerformance.totalReadBlocksRequested;
    this.totalWriteRequests = paramVolumePerformance.totalWriteRequests;
    this.totalWriteBlocksRequested = paramVolumePerformance.totalWriteBlocksRequested;
    this.percentReadRequests = paramVolumePerformance.percentReadRequests;
    this.averageBlocksRequested = paramVolumePerformance.averageBlocksRequested;
    this.totalLargeReads = paramVolumePerformance.totalLargeReads;
    this.totalLargeReadBlocksRequested = paramVolumePerformance.totalLargeReadBlocksRequested;
    this.totalLargeWrites = paramVolumePerformance.totalLargeWrites;
    this.totalLargeWriteBlocksRequested = paramVolumePerformance.totalLargeWriteBlocksRequested;
    this.totalCacheReadChecks = paramVolumePerformance.totalCacheReadChecks;
    this.totalCacheReadCheckHits = paramVolumePerformance.totalCacheReadCheckHits;
    this.totalCacheWriteRequests = paramVolumePerformance.totalCacheWriteRequests;
    this.volumeRef = paramVolumePerformance.volumeRef;
  }

  public long getTime()
  {
    return this.time;
  }

  public void setTime(long paramLong)
  {
    this.time = paramLong;
  }

  public int getTotalRequestsServiced()
  {
    return this.totalRequestsServiced;
  }

  public void setTotalRequestsServiced(int paramInt)
  {
    this.totalRequestsServiced = paramInt;
  }

  public int getTotalBlocksRequested()
  {
    return this.totalBlocksRequested;
  }

  public void setTotalBlocksRequested(int paramInt)
  {
    this.totalBlocksRequested = paramInt;
  }

  public int getTotalReadRequests()
  {
    return this.totalReadRequests;
  }

  public void setTotalReadRequests(int paramInt)
  {
    this.totalReadRequests = paramInt;
  }

  public int getTotalReadBlocksRequested()
  {
    return this.totalReadBlocksRequested;
  }

  public void setTotalReadBlocksRequested(int paramInt)
  {
    this.totalReadBlocksRequested = paramInt;
  }

  public int getTotalWriteRequests()
  {
    return this.totalWriteRequests;
  }

  public void setTotalWriteRequests(int paramInt)
  {
    this.totalWriteRequests = paramInt;
  }

  public int getTotalWriteBlocksRequested()
  {
    return this.totalWriteBlocksRequested;
  }

  public void setTotalWriteBlocksRequested(int paramInt)
  {
    this.totalWriteBlocksRequested = paramInt;
  }

  public int getPercentReadRequests()
  {
    return this.percentReadRequests;
  }

  public void setPercentReadRequests(int paramInt)
  {
    this.percentReadRequests = paramInt;
  }

  public int getAverageBlocksRequested()
  {
    return this.averageBlocksRequested;
  }

  public void setAverageBlocksRequested(int paramInt)
  {
    this.averageBlocksRequested = paramInt;
  }

  public int getTotalLargeReads()
  {
    return this.totalLargeReads;
  }

  public void setTotalLargeReads(int paramInt)
  {
    this.totalLargeReads = paramInt;
  }

  public int getTotalLargeReadBlocksRequested()
  {
    return this.totalLargeReadBlocksRequested;
  }

  public void setTotalLargeReadBlocksRequested(int paramInt)
  {
    this.totalLargeReadBlocksRequested = paramInt;
  }

  public int getTotalLargeWrites()
  {
    return this.totalLargeWrites;
  }

  public void setTotalLargeWrites(int paramInt)
  {
    this.totalLargeWrites = paramInt;
  }

  public int getTotalLargeWriteBlocksRequested()
  {
    return this.totalLargeWriteBlocksRequested;
  }

  public void setTotalLargeWriteBlocksRequested(int paramInt)
  {
    this.totalLargeWriteBlocksRequested = paramInt;
  }

  public int getTotalCacheReadChecks()
  {
    return this.totalCacheReadChecks;
  }

  public void setTotalCacheReadChecks(int paramInt)
  {
    this.totalCacheReadChecks = paramInt;
  }

  public int getTotalCacheReadCheckHits()
  {
    return this.totalCacheReadCheckHits;
  }

  public void setTotalCacheReadCheckHits(int paramInt)
  {
    this.totalCacheReadCheckHits = paramInt;
  }

  public int getTotalCacheWriteRequests()
  {
    return this.totalCacheWriteRequests;
  }

  public void setTotalCacheWriteRequests(int paramInt)
  {
    this.totalCacheWriteRequests = paramInt;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putLong(this.time);
    paramXDROutputStream.putInt(this.totalRequestsServiced);
    paramXDROutputStream.putInt(this.totalBlocksRequested);
    paramXDROutputStream.putInt(this.totalReadRequests);
    paramXDROutputStream.putInt(this.totalReadBlocksRequested);
    paramXDROutputStream.putInt(this.totalWriteRequests);
    paramXDROutputStream.putInt(this.totalWriteBlocksRequested);
    paramXDROutputStream.putInt(this.percentReadRequests);
    paramXDROutputStream.putInt(this.averageBlocksRequested);
    paramXDROutputStream.putInt(this.totalLargeReads);
    paramXDROutputStream.putInt(this.totalLargeReadBlocksRequested);
    paramXDROutputStream.putInt(this.totalLargeWrites);
    paramXDROutputStream.putInt(this.totalLargeWriteBlocksRequested);
    paramXDROutputStream.putInt(this.totalCacheReadChecks);
    paramXDROutputStream.putInt(this.totalCacheReadCheckHits);
    paramXDROutputStream.putInt(this.totalCacheWriteRequests);
    this.volumeRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.time = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.totalRequestsServiced = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalBlocksRequested = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalReadRequests = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalReadBlocksRequested = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalWriteRequests = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalWriteBlocksRequested = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.percentReadRequests = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.averageBlocksRequested = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalLargeReads = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalLargeReadBlocksRequested = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalLargeWrites = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalLargeWriteBlocksRequested = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalCacheReadChecks = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalCacheReadCheckHits = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalCacheWriteRequests = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}