/*     */ package org.codehaus.stax2.ri;
/*     */ 
/*     */ import java.util.Iterator;
/*     */ import javax.xml.namespace.NamespaceContext;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.XMLEventReader;
/*     */ import javax.xml.stream.XMLEventWriter;
/*     */ import javax.xml.stream.XMLStreamConstants;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.events.Attribute;
/*     */ import javax.xml.stream.events.Characters;
/*     */ import javax.xml.stream.events.Comment;
/*     */ import javax.xml.stream.events.DTD;
/*     */ import javax.xml.stream.events.EntityReference;
/*     */ import javax.xml.stream.events.Namespace;
/*     */ import javax.xml.stream.events.ProcessingInstruction;
/*     */ import javax.xml.stream.events.StartDocument;
/*     */ import javax.xml.stream.events.StartElement;
/*     */ import javax.xml.stream.events.XMLEvent;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ import org.codehaus.stax2.evt.XMLEvent2;
/*     */ 
/*     */ public class Stax2EventWriterImpl
/*     */   implements XMLEventWriter, XMLStreamConstants
/*     */ {
/*     */   final XMLStreamWriter2 mWriter;
/*     */ 
/*     */   public Stax2EventWriterImpl(XMLStreamWriter2 paramXMLStreamWriter2)
/*     */   {
/*  30 */     this.mWriter = paramXMLStreamWriter2;
/*     */   }
/*     */ 
/*     */   public void add(XMLEvent paramXMLEvent)
/*     */     throws XMLStreamException
/*     */   {
/*     */     Object localObject1;
/*     */     Object localObject2;
/*  51 */     switch (paramXMLEvent.getEventType())
/*     */     {
/*     */     case 10:
/*  58 */       localObject1 = (Attribute)paramXMLEvent;
/*  59 */       localObject2 = ((Attribute)localObject1).getName();
/*  60 */       this.mWriter.writeAttribute(((QName)localObject2).getPrefix(), ((QName)localObject2).getNamespaceURI(), ((QName)localObject2).getLocalPart(), ((Attribute)localObject1).getValue());
/*     */ 
/*  63 */       break;
/*     */     case 8:
/*  66 */       this.mWriter.writeEndDocument();
/*  67 */       break;
/*     */     case 2:
/*  70 */       this.mWriter.writeEndElement();
/*  71 */       break;
/*     */     case 13:
/*  75 */       localObject1 = (Namespace)paramXMLEvent;
/*  76 */       this.mWriter.writeNamespace(((Namespace)localObject1).getPrefix(), ((Namespace)localObject1).getNamespaceURI());
/*     */ 
/*  78 */       break;
/*     */     case 7:
/*  82 */       localObject1 = (StartDocument)paramXMLEvent;
/*  83 */       if (!((StartDocument)localObject1).encodingSet())
/*  84 */         this.mWriter.writeStartDocument(((StartDocument)localObject1).getVersion());
/*     */       else {
/*  86 */         this.mWriter.writeStartDocument(((StartDocument)localObject1).getCharacterEncodingScheme(), ((StartDocument)localObject1).getVersion());
/*     */       }
/*     */ 
/*  90 */       break;
/*     */     case 1:
/*  95 */       localObject1 = paramXMLEvent.asStartElement();
/*  96 */       localObject2 = ((StartElement)localObject1).getName();
/*  97 */       this.mWriter.writeStartElement(((QName)localObject2).getPrefix(), ((QName)localObject2).getLocalPart(), ((QName)localObject2).getNamespaceURI());
/*     */ 
/*  99 */       Iterator localIterator = ((StartElement)localObject1).getNamespaces();
/*     */       Object localObject3;
/* 100 */       while (localIterator.hasNext()) {
/* 101 */         localObject3 = (Namespace)localIterator.next();
/* 102 */         add((XMLEvent)localObject3);
/*     */       }
/* 104 */       localIterator = ((StartElement)localObject1).getAttributes();
/* 105 */       while (localIterator.hasNext()) {
/* 106 */         localObject3 = (Attribute)localIterator.next();
/* 107 */         add((XMLEvent)localObject3);
/*     */       }
/*     */ 
/* 110 */       break;
/*     */     case 4:
/* 119 */       localObject1 = paramXMLEvent.asCharacters();
/* 120 */       localObject2 = ((Characters)localObject1).getData();
/* 121 */       if (((Characters)localObject1).isCData())
/* 122 */         this.mWriter.writeCData((String)localObject2);
/*     */       else {
/* 124 */         this.mWriter.writeCharacters((String)localObject2);
/*     */       }
/*     */ 
/* 127 */       break;
/*     */     case 12:
/* 130 */       this.mWriter.writeCData(paramXMLEvent.asCharacters().getData());
/* 131 */       break;
/*     */     case 5:
/* 134 */       this.mWriter.writeComment(((Comment)paramXMLEvent).getText());
/* 135 */       break;
/*     */     case 11:
/* 138 */       this.mWriter.writeDTD(((DTD)paramXMLEvent).getDocumentTypeDeclaration());
/* 139 */       break;
/*     */     case 9:
/* 142 */       this.mWriter.writeEntityRef(((EntityReference)paramXMLEvent).getName());
/* 143 */       break;
/*     */     case 3:
/* 147 */       localObject1 = (ProcessingInstruction)paramXMLEvent;
/* 148 */       this.mWriter.writeProcessingInstruction(((ProcessingInstruction)localObject1).getTarget(), ((ProcessingInstruction)localObject1).getData());
/*     */ 
/* 150 */       break;
/*     */     case 6:
/*     */     case 14:
/*     */     case 15:
/*     */     default:
/* 158 */       if ((paramXMLEvent instanceof XMLEvent2)) {
/* 159 */         ((XMLEvent2)paramXMLEvent).writeUsing(this.mWriter);
/*     */       }
/*     */       else
/* 162 */         throw new XMLStreamException("Don't know how to output event " + paramXMLEvent);
/*     */       break;
/*     */     }
/*     */   }
/*     */ 
/*     */   public void add(XMLEventReader paramXMLEventReader)
/*     */     throws XMLStreamException
/*     */   {
/* 170 */     while (paramXMLEventReader.hasNext())
/* 171 */       add(paramXMLEventReader.nextEvent());
/*     */   }
/*     */ 
/*     */   public void close()
/*     */     throws XMLStreamException
/*     */   {
/* 178 */     this.mWriter.close();
/*     */   }
/*     */ 
/*     */   public void flush()
/*     */     throws XMLStreamException
/*     */   {
/* 184 */     this.mWriter.flush();
/*     */   }
/*     */ 
/*     */   public NamespaceContext getNamespaceContext() {
/* 188 */     return this.mWriter.getNamespaceContext();
/*     */   }
/*     */ 
/*     */   public String getPrefix(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 194 */     return this.mWriter.getPrefix(paramString);
/*     */   }
/*     */ 
/*     */   public void setDefaultNamespace(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 200 */     this.mWriter.setDefaultNamespace(paramString);
/*     */   }
/*     */ 
/*     */   public void setNamespaceContext(NamespaceContext paramNamespaceContext)
/*     */     throws XMLStreamException
/*     */   {
/* 206 */     this.mWriter.setNamespaceContext(paramNamespaceContext);
/*     */   }
/*     */ 
/*     */   public void setPrefix(String paramString1, String paramString2)
/*     */     throws XMLStreamException
/*     */   {
/* 212 */     this.mWriter.setPrefix(paramString1, paramString2);
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.Stax2EventWriterImpl
 * JD-Core Version:    0.6.2
 */