/*     */ package org.codehaus.stax2.ri;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.Writer;
/*     */ import java.math.BigDecimal;
/*     */ import java.math.BigInteger;
/*     */ import javax.xml.namespace.NamespaceContext;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import org.codehaus.stax2.AttributeInfo;
/*     */ import org.codehaus.stax2.DTDInfo;
/*     */ import org.codehaus.stax2.LocationInfo;
/*     */ import org.codehaus.stax2.XMLStreamLocation2;
/*     */ import org.codehaus.stax2.XMLStreamReader2;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.BooleanDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.DecimalDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.DoubleArrayDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.DoubleDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.FloatArrayDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.FloatDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.IntArrayDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.IntDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.IntegerDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.LongArrayDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.LongDecoder;
/*     */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.QNameDecoder;
/*     */ import org.codehaus.stax2.typed.Base64Variant;
/*     */ import org.codehaus.stax2.typed.Base64Variants;
/*     */ import org.codehaus.stax2.typed.TypedArrayDecoder;
/*     */ import org.codehaus.stax2.typed.TypedValueDecoder;
/*     */ import org.codehaus.stax2.typed.TypedXMLStreamException;
/*     */ import org.codehaus.stax2.validation.DTDValidationSchema;
/*     */ import org.codehaus.stax2.validation.ValidationProblemHandler;
/*     */ import org.codehaus.stax2.validation.XMLValidationSchema;
/*     */ import org.codehaus.stax2.validation.XMLValidator;
/*     */ 
/*     */ public abstract class Stax2ReaderImpl
/*     */   implements XMLStreamReader2, AttributeInfo, DTDInfo, LocationInfo
/*     */ {
/*     */   protected ValueDecoderFactory _decoderFactory;
/*     */ 
/*     */   public Object getFeature(String paramString)
/*     */   {
/*  72 */     return null;
/*     */   }
/*     */ 
/*     */   public void setFeature(String paramString, Object paramObject)
/*     */   {
/*     */   }
/*     */ 
/*     */   public boolean isPropertySupported(String paramString)
/*     */   {
/*  87 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean setProperty(String paramString, Object paramObject)
/*     */   {
/*  92 */     return false;
/*     */   }
/*     */ 
/*     */   public void skipElement()
/*     */     throws XMLStreamException
/*     */   {
/*  99 */     if (getEventType() != 1) {
/* 100 */       throwNotStartElem();
/*     */     }
/* 102 */     int i = 1;
/*     */     while (true)
/*     */     {
/* 105 */       int j = next();
/* 106 */       if (j == 1) {
/* 107 */         i++;
/* 108 */       } else if (j == 2) {
/* 109 */         i--; if (i == 0)
/*     */           break;
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */   public AttributeInfo getAttributeInfo()
/*     */     throws XMLStreamException
/*     */   {
/* 120 */     if (getEventType() != 1) {
/* 121 */       throwNotStartElem();
/*     */     }
/* 123 */     return this;
/*     */   }
/*     */ 
/*     */   public DTDInfo getDTDInfo()
/*     */     throws XMLStreamException
/*     */   {
/* 130 */     if (getEventType() != 11) {
/* 131 */       return null;
/*     */     }
/* 133 */     return this;
/*     */   }
/*     */ 
/*     */   public final LocationInfo getLocationInfo()
/*     */   {
/* 142 */     return this;
/*     */   }
/*     */ 
/*     */   public int getText(Writer paramWriter, boolean paramBoolean)
/*     */     throws IOException, XMLStreamException
/*     */   {
/* 150 */     char[] arrayOfChar = getTextCharacters();
/* 151 */     int i = getTextStart();
/* 152 */     int j = getTextLength();
/*     */ 
/* 154 */     if (j > 0) {
/* 155 */       paramWriter.write(arrayOfChar, i, j);
/*     */     }
/* 157 */     return j;
/*     */   }
/*     */ 
/*     */   public abstract int getDepth();
/*     */ 
/*     */   public abstract boolean isEmptyElement()
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract NamespaceContext getNonTransientNamespaceContext();
/*     */ 
/*     */   public String getPrefixedName()
/*     */   {
/* 174 */     switch (getEventType())
/*     */     {
/*     */     case 1:
/*     */     case 2:
/* 178 */       String str1 = getPrefix();
/* 179 */       String str2 = getLocalName();
/*     */ 
/* 181 */       if (str1 == null) {
/* 182 */         return str2;
/*     */       }
/* 184 */       StringBuffer localStringBuffer = new StringBuffer(str2.length() + 1 + str1.length());
/* 185 */       localStringBuffer.append(str1);
/* 186 */       localStringBuffer.append(':');
/* 187 */       localStringBuffer.append(str2);
/* 188 */       return localStringBuffer.toString();
/*     */     case 9:
/* 191 */       return getLocalName();
/*     */     case 3:
/* 193 */       return getPITarget();
/*     */     case 11:
/* 195 */       return getDTDRootName();
/*     */     case 4:
/*     */     case 5:
/*     */     case 6:
/*     */     case 7:
/*     */     case 8:
/* 198 */     case 10: } throw new IllegalStateException("Current state not START_ELEMENT, END_ELEMENT, ENTITY_REFERENCE, PROCESSING_INSTRUCTION or DTD");
/*     */   }
/*     */ 
/*     */   public void closeCompletely()
/*     */     throws XMLStreamException
/*     */   {
/* 206 */     close();
/*     */   }
/*     */ 
/*     */   public int findAttributeIndex(String paramString1, String paramString2)
/*     */   {
/* 221 */     return -1;
/*     */   }
/*     */ 
/*     */   public int getIdAttributeIndex()
/*     */   {
/* 227 */     return -1;
/*     */   }
/*     */ 
/*     */   public int getNotationAttributeIndex()
/*     */   {
/* 233 */     return -1;
/*     */   }
/*     */ 
/*     */   public Object getProcessedDTD()
/*     */   {
/* 243 */     return null;
/*     */   }
/*     */ 
/*     */   public String getDTDRootName() {
/* 247 */     return null;
/*     */   }
/*     */ 
/*     */   public String getDTDPublicId() {
/* 251 */     return null;
/*     */   }
/*     */ 
/*     */   public String getDTDSystemId() {
/* 255 */     return null;
/*     */   }
/*     */ 
/*     */   public String getDTDInternalSubset()
/*     */   {
/* 263 */     return null;
/*     */   }
/*     */ 
/*     */   public DTDValidationSchema getProcessedDTDSchema()
/*     */   {
/* 269 */     return null;
/*     */   }
/*     */ 
/*     */   public long getStartingByteOffset()
/*     */   {
/* 281 */     return -1L;
/*     */   }
/*     */ 
/*     */   public long getStartingCharOffset() {
/* 285 */     return 0L;
/*     */   }
/*     */ 
/*     */   public long getEndingByteOffset() throws XMLStreamException
/*     */   {
/* 290 */     return -1L;
/*     */   }
/*     */ 
/*     */   public long getEndingCharOffset() throws XMLStreamException
/*     */   {
/* 295 */     return -1L;
/*     */   }
/*     */ 
/*     */   public abstract XMLStreamLocation2 getStartLocation();
/*     */ 
/*     */   public abstract XMLStreamLocation2 getCurrentLocation();
/*     */ 
/*     */   public abstract XMLStreamLocation2 getEndLocation()
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public XMLValidator validateAgainst(XMLValidationSchema paramXMLValidationSchema)
/*     */     throws XMLStreamException
/*     */   {
/* 316 */     throwUnsupported();
/* 317 */     return null;
/*     */   }
/*     */ 
/*     */   public XMLValidator stopValidatingAgainst(XMLValidationSchema paramXMLValidationSchema)
/*     */     throws XMLStreamException
/*     */   {
/* 323 */     throwUnsupported();
/* 324 */     return null;
/*     */   }
/*     */ 
/*     */   public XMLValidator stopValidatingAgainst(XMLValidator paramXMLValidator)
/*     */     throws XMLStreamException
/*     */   {
/* 330 */     throwUnsupported();
/* 331 */     return null;
/*     */   }
/*     */ 
/*     */   public abstract ValidationProblemHandler setValidationProblemHandler(ValidationProblemHandler paramValidationProblemHandler);
/*     */ 
/*     */   public boolean getElementAsBoolean()
/*     */     throws XMLStreamException
/*     */   {
/* 344 */     ValueDecoderFactory.BooleanDecoder localBooleanDecoder = _decoderFactory().getBooleanDecoder();
/* 345 */     getElementAs(localBooleanDecoder);
/* 346 */     return localBooleanDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public int getElementAsInt() throws XMLStreamException
/*     */   {
/* 351 */     ValueDecoderFactory.IntDecoder localIntDecoder = _decoderFactory().getIntDecoder();
/* 352 */     getElementAs(localIntDecoder);
/* 353 */     return localIntDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public long getElementAsLong() throws XMLStreamException
/*     */   {
/* 358 */     ValueDecoderFactory.LongDecoder localLongDecoder = _decoderFactory().getLongDecoder();
/* 359 */     getElementAs(localLongDecoder);
/* 360 */     return localLongDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public float getElementAsFloat() throws XMLStreamException
/*     */   {
/* 365 */     ValueDecoderFactory.FloatDecoder localFloatDecoder = _decoderFactory().getFloatDecoder();
/* 366 */     getElementAs(localFloatDecoder);
/* 367 */     return localFloatDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public double getElementAsDouble() throws XMLStreamException
/*     */   {
/* 372 */     ValueDecoderFactory.DoubleDecoder localDoubleDecoder = _decoderFactory().getDoubleDecoder();
/* 373 */     getElementAs(localDoubleDecoder);
/* 374 */     return localDoubleDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public BigInteger getElementAsInteger() throws XMLStreamException
/*     */   {
/* 379 */     ValueDecoderFactory.IntegerDecoder localIntegerDecoder = _decoderFactory().getIntegerDecoder();
/* 380 */     getElementAs(localIntegerDecoder);
/* 381 */     return localIntegerDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public BigDecimal getElementAsDecimal() throws XMLStreamException
/*     */   {
/* 386 */     ValueDecoderFactory.DecimalDecoder localDecimalDecoder = _decoderFactory().getDecimalDecoder();
/* 387 */     getElementAs(localDecimalDecoder);
/* 388 */     return localDecimalDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public QName getElementAsQName() throws XMLStreamException
/*     */   {
/* 393 */     ValueDecoderFactory.QNameDecoder localQNameDecoder = _decoderFactory().getQNameDecoder(getNamespaceContext());
/* 394 */     getElementAs(localQNameDecoder);
/*     */ 
/* 396 */     return localQNameDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public byte[] getElementAsBinary() throws XMLStreamException
/*     */   {
/* 401 */     return getElementAsBinary(Base64Variants.getDefaultVariant());
/*     */   }
/*     */ 
/*     */   public abstract byte[] getElementAsBinary(Base64Variant paramBase64Variant)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public void getElementAs(TypedValueDecoder paramTypedValueDecoder) throws XMLStreamException
/*     */   {
/* 409 */     String str = getElementText();
/*     */     try {
/* 411 */       paramTypedValueDecoder.decode(str);
/*     */     } catch (IllegalArgumentException localIllegalArgumentException) {
/* 413 */       throw _constructTypeException(localIllegalArgumentException, str);
/*     */     }
/*     */   }
/*     */ 
/*     */   public int readElementAsIntArray(int[] paramArrayOfInt, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 425 */     return readElementAsArray(_decoderFactory().getIntArrayDecoder(paramArrayOfInt, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public int readElementAsLongArray(long[] paramArrayOfLong, int paramInt1, int paramInt2) throws XMLStreamException
/*     */   {
/* 430 */     return readElementAsArray(_decoderFactory().getLongArrayDecoder(paramArrayOfLong, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public int readElementAsFloatArray(float[] paramArrayOfFloat, int paramInt1, int paramInt2) throws XMLStreamException
/*     */   {
/* 435 */     return readElementAsArray(_decoderFactory().getFloatArrayDecoder(paramArrayOfFloat, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public int readElementAsDoubleArray(double[] paramArrayOfDouble, int paramInt1, int paramInt2) throws XMLStreamException
/*     */   {
/* 440 */     return readElementAsArray(_decoderFactory().getDoubleArrayDecoder(paramArrayOfDouble, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public abstract int readElementAsArray(TypedArrayDecoder paramTypedArrayDecoder)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public int readElementAsBinary(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 461 */     return readElementAsBinary(Base64Variants.getDefaultVariant(), paramArrayOfByte, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */   public abstract int readElementAsBinary(Base64Variant paramBase64Variant, byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract int getAttributeIndex(String paramString1, String paramString2);
/*     */ 
/*     */   public boolean getAttributeAsBoolean(int paramInt)
/*     */     throws XMLStreamException
/*     */   {
/* 477 */     ValueDecoderFactory.BooleanDecoder localBooleanDecoder = _decoderFactory().getBooleanDecoder();
/* 478 */     getAttributeAs(paramInt, localBooleanDecoder);
/* 479 */     return localBooleanDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public int getAttributeAsInt(int paramInt) throws XMLStreamException
/*     */   {
/* 484 */     ValueDecoderFactory.IntDecoder localIntDecoder = _decoderFactory().getIntDecoder();
/* 485 */     getAttributeAs(paramInt, localIntDecoder);
/* 486 */     return localIntDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public long getAttributeAsLong(int paramInt) throws XMLStreamException
/*     */   {
/* 491 */     ValueDecoderFactory.LongDecoder localLongDecoder = _decoderFactory().getLongDecoder();
/* 492 */     getAttributeAs(paramInt, localLongDecoder);
/* 493 */     return localLongDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public float getAttributeAsFloat(int paramInt) throws XMLStreamException
/*     */   {
/* 498 */     ValueDecoderFactory.FloatDecoder localFloatDecoder = _decoderFactory().getFloatDecoder();
/* 499 */     getAttributeAs(paramInt, localFloatDecoder);
/* 500 */     return localFloatDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public double getAttributeAsDouble(int paramInt) throws XMLStreamException
/*     */   {
/* 505 */     ValueDecoderFactory.DoubleDecoder localDoubleDecoder = _decoderFactory().getDoubleDecoder();
/* 506 */     getAttributeAs(paramInt, localDoubleDecoder);
/* 507 */     return localDoubleDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public BigInteger getAttributeAsInteger(int paramInt) throws XMLStreamException
/*     */   {
/* 512 */     ValueDecoderFactory.IntegerDecoder localIntegerDecoder = _decoderFactory().getIntegerDecoder();
/* 513 */     getAttributeAs(paramInt, localIntegerDecoder);
/* 514 */     return localIntegerDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public BigDecimal getAttributeAsDecimal(int paramInt) throws XMLStreamException
/*     */   {
/* 519 */     ValueDecoderFactory.DecimalDecoder localDecimalDecoder = _decoderFactory().getDecimalDecoder();
/* 520 */     getAttributeAs(paramInt, localDecimalDecoder);
/* 521 */     return localDecimalDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public QName getAttributeAsQName(int paramInt) throws XMLStreamException
/*     */   {
/* 526 */     ValueDecoderFactory.QNameDecoder localQNameDecoder = _decoderFactory().getQNameDecoder(getNamespaceContext());
/* 527 */     getAttributeAs(paramInt, localQNameDecoder);
/*     */ 
/* 529 */     return localQNameDecoder.getValue();
/*     */   }
/*     */ 
/*     */   public void getAttributeAs(int paramInt, TypedValueDecoder paramTypedValueDecoder) throws XMLStreamException
/*     */   {
/* 534 */     String str = getAttributeValue(paramInt);
/*     */     try {
/* 536 */       paramTypedValueDecoder.decode(str);
/*     */     } catch (IllegalArgumentException localIllegalArgumentException) {
/* 538 */       throw _constructTypeException(localIllegalArgumentException, str);
/*     */     }
/*     */   }
/*     */ 
/*     */   public int[] getAttributeAsIntArray(int paramInt) throws XMLStreamException
/*     */   {
/* 544 */     ValueDecoderFactory.IntArrayDecoder localIntArrayDecoder = _decoderFactory().getIntArrayDecoder();
/* 545 */     getAttributeAsArray(paramInt, localIntArrayDecoder);
/* 546 */     return localIntArrayDecoder.getValues();
/*     */   }
/*     */ 
/*     */   public long[] getAttributeAsLongArray(int paramInt) throws XMLStreamException
/*     */   {
/* 551 */     ValueDecoderFactory.LongArrayDecoder localLongArrayDecoder = _decoderFactory().getLongArrayDecoder();
/* 552 */     getAttributeAsArray(paramInt, localLongArrayDecoder);
/* 553 */     return localLongArrayDecoder.getValues();
/*     */   }
/*     */ 
/*     */   public float[] getAttributeAsFloatArray(int paramInt) throws XMLStreamException
/*     */   {
/* 558 */     ValueDecoderFactory.FloatArrayDecoder localFloatArrayDecoder = _decoderFactory().getFloatArrayDecoder();
/* 559 */     getAttributeAsArray(paramInt, localFloatArrayDecoder);
/* 560 */     return localFloatArrayDecoder.getValues();
/*     */   }
/*     */ 
/*     */   public double[] getAttributeAsDoubleArray(int paramInt) throws XMLStreamException
/*     */   {
/* 565 */     ValueDecoderFactory.DoubleArrayDecoder localDoubleArrayDecoder = _decoderFactory().getDoubleArrayDecoder();
/* 566 */     getAttributeAsArray(paramInt, localDoubleArrayDecoder);
/* 567 */     return localDoubleArrayDecoder.getValues();
/*     */   }
/*     */ 
/*     */   public abstract int getAttributeAsArray(int paramInt, TypedArrayDecoder paramTypedArrayDecoder)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public byte[] getAttributeAsBinary(int paramInt)
/*     */     throws XMLStreamException
/*     */   {
/* 579 */     return getAttributeAsBinary(Base64Variants.getDefaultVariant(), paramInt);
/*     */   }
/*     */ 
/*     */   public abstract byte[] getAttributeAsBinary(Base64Variant paramBase64Variant, int paramInt)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   protected ValueDecoderFactory _decoderFactory()
/*     */   {
/* 592 */     if (this._decoderFactory == null) {
/* 593 */       this._decoderFactory = new ValueDecoderFactory();
/*     */     }
/* 595 */     return this._decoderFactory;
/*     */   }
/*     */ 
/*     */   protected TypedXMLStreamException _constructTypeException(IllegalArgumentException paramIllegalArgumentException, String paramString)
/*     */   {
/* 600 */     return new TypedXMLStreamException(paramString, paramIllegalArgumentException.getMessage(), getStartLocation(), paramIllegalArgumentException);
/*     */   }
/*     */ 
/*     */   protected void throwUnsupported()
/*     */     throws XMLStreamException
/*     */   {
/* 612 */     throw new XMLStreamException("Unsupported method");
/*     */   }
/*     */ 
/*     */   protected void throwNotStartElem()
/*     */   {
/* 617 */     throw new IllegalStateException("Current state not START_ELEMENT");
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.Stax2ReaderImpl
 * JD-Core Version:    0.6.2
 */