/*     */ package org.codehaus.stax2.ri;
/*     */ 
/*     */ import javax.xml.stream.XMLStreamConstants;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.XMLStreamReader;
/*     */ import org.codehaus.stax2.DTDInfo;
/*     */ import org.codehaus.stax2.XMLStreamLocation2;
/*     */ import org.codehaus.stax2.XMLStreamReader2;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ import org.codehaus.stax2.validation.ValidationProblemHandler;
/*     */ import org.codehaus.stax2.validation.XMLValidationSchema;
/*     */ import org.codehaus.stax2.validation.XMLValidator;
/*     */ 
/*     */ public abstract class Stax2WriterImpl
/*     */   implements XMLStreamWriter2, XMLStreamConstants
/*     */ {
/*     */   public boolean isPropertySupported(String paramString)
/*     */   {
/*  49 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean setProperty(String paramString, Object paramObject)
/*     */   {
/*  54 */     throw new IllegalArgumentException("No settable property '" + paramString + "'");
/*     */   }
/*     */ 
/*     */   public abstract XMLStreamLocation2 getLocation();
/*     */ 
/*     */   public abstract String getEncoding();
/*     */ 
/*     */   public void writeCData(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/*  64 */     writeCData(new String(paramArrayOfChar, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeDTD(String paramString1, String paramString2, String paramString3, String paramString4)
/*     */     throws XMLStreamException
/*     */   {
/*  74 */     StringBuffer localStringBuffer = new StringBuffer();
/*  75 */     localStringBuffer.append("<!DOCTYPE");
/*  76 */     localStringBuffer.append(paramString1);
/*  77 */     if (paramString2 != null) {
/*  78 */       if (paramString3 != null) {
/*  79 */         localStringBuffer.append(" PUBLIC \"");
/*  80 */         localStringBuffer.append(paramString3);
/*  81 */         localStringBuffer.append("\" \"");
/*     */       } else {
/*  83 */         localStringBuffer.append(" SYSTEM \"");
/*     */       }
/*  85 */       localStringBuffer.append(paramString2);
/*  86 */       localStringBuffer.append('"');
/*     */     }
/*     */ 
/*  89 */     if ((paramString4 != null) && (paramString4.length() > 0)) {
/*  90 */       localStringBuffer.append(" [");
/*  91 */       localStringBuffer.append(paramString4);
/*  92 */       localStringBuffer.append(']');
/*     */     }
/*  94 */     localStringBuffer.append('>');
/*  95 */     writeDTD(localStringBuffer.toString());
/*     */   }
/*     */ 
/*     */   public void writeFullEndElement()
/*     */     throws XMLStreamException
/*     */   {
/* 105 */     writeCharacters("");
/* 106 */     writeEndElement();
/*     */   }
/*     */ 
/*     */   public void writeSpace(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 117 */     writeRaw(paramString);
/*     */   }
/*     */ 
/*     */   public void writeSpace(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 124 */     writeRaw(paramArrayOfChar, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */   public abstract void writeStartDocument(String paramString1, String paramString2, boolean paramBoolean)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public void writeRaw(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 140 */     writeRaw(paramString, 0, paramString.length());
/*     */   }
/*     */ 
/*     */   public abstract void writeRaw(String paramString, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract void writeRaw(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public void copyEventFromReader(XMLStreamReader2 paramXMLStreamReader2, boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/*     */     Object localObject;
/* 152 */     switch (paramXMLStreamReader2.getEventType())
/*     */     {
/*     */     case 7:
/* 155 */       localObject = paramXMLStreamReader2.getVersion();
/*     */ 
/* 160 */       if ((localObject != null) && (((String)localObject).length() != 0))
/*     */       {
/* 163 */         if (paramXMLStreamReader2.standaloneSet()) {
/* 164 */           writeStartDocument(paramXMLStreamReader2.getVersion(), paramXMLStreamReader2.getCharacterEncodingScheme(), paramXMLStreamReader2.isStandalone());
/*     */         }
/*     */         else
/*     */         {
/* 168 */           writeStartDocument(paramXMLStreamReader2.getCharacterEncodingScheme(), paramXMLStreamReader2.getVersion());
/*     */         }
/*     */ 
/*     */       }
/*     */ 
/* 173 */       return;
/*     */     case 8:
/* 176 */       writeEndDocument();
/* 177 */       return;
/*     */     case 1:
/* 185 */       copyStartElement(paramXMLStreamReader2);
/* 186 */       return;
/*     */     case 2:
/* 189 */       writeEndElement();
/* 190 */       return;
/*     */     case 6:
/* 193 */       writeSpace(paramXMLStreamReader2.getTextCharacters(), paramXMLStreamReader2.getTextStart(), paramXMLStreamReader2.getTextLength());
/* 194 */       return;
/*     */     case 12:
/* 197 */       writeCData(paramXMLStreamReader2.getTextCharacters(), paramXMLStreamReader2.getTextStart(), paramXMLStreamReader2.getTextLength());
/* 198 */       return;
/*     */     case 4:
/* 201 */       writeCharacters(paramXMLStreamReader2.getTextCharacters(), paramXMLStreamReader2.getTextStart(), paramXMLStreamReader2.getTextLength());
/* 202 */       return;
/*     */     case 5:
/* 205 */       writeComment(paramXMLStreamReader2.getText());
/* 206 */       return;
/*     */     case 3:
/* 209 */       writeProcessingInstruction(paramXMLStreamReader2.getPITarget(), paramXMLStreamReader2.getPIData());
/* 210 */       return;
/*     */     case 11:
/* 214 */       localObject = paramXMLStreamReader2.getDTDInfo();
/* 215 */       if (localObject == null)
/*     */       {
/* 219 */         throw new XMLStreamException("Current state DOCTYPE, but not DTDInfo Object returned -- reader doesn't support DTDs?");
/*     */       }
/* 221 */       writeDTD(((DTDInfo)localObject).getDTDRootName(), ((DTDInfo)localObject).getDTDSystemId(), ((DTDInfo)localObject).getDTDPublicId(), ((DTDInfo)localObject).getDTDInternalSubset());
/*     */ 
/* 224 */       return;
/*     */     case 9:
/* 227 */       writeEntityRef(paramXMLStreamReader2.getLocalName());
/* 228 */       return;
/*     */     case 10:
/*     */     case 13:
/*     */     case 14:
/*     */     case 15:
/*     */     }
/*     */ 
/* 236 */     throw new XMLStreamException("Unrecognized event type (" + paramXMLStreamReader2.getEventType() + "); not sure how to copy");
/*     */   }
/*     */ 
/*     */   public XMLValidator validateAgainst(XMLValidationSchema paramXMLValidationSchema)
/*     */     throws XMLStreamException
/*     */   {
/* 249 */     throw new UnsupportedOperationException("Not yet implemented");
/*     */   }
/*     */ 
/*     */   public XMLValidator stopValidatingAgainst(XMLValidationSchema paramXMLValidationSchema)
/*     */     throws XMLStreamException
/*     */   {
/* 255 */     return null;
/*     */   }
/*     */ 
/*     */   public XMLValidator stopValidatingAgainst(XMLValidator paramXMLValidator)
/*     */     throws XMLStreamException
/*     */   {
/* 261 */     return null;
/*     */   }
/*     */ 
/*     */   public ValidationProblemHandler setValidationProblemHandler(ValidationProblemHandler paramValidationProblemHandler)
/*     */   {
/* 269 */     return null;
/*     */   }
/*     */ 
/*     */   protected void copyStartElement(XMLStreamReader paramXMLStreamReader)
/*     */     throws XMLStreamException
/*     */   {
/* 287 */     int i = paramXMLStreamReader.getNamespaceCount();
/*     */     String str1;
/*     */     String str2;
/* 288 */     if (i > 0)
/*     */     {
/* 293 */       for (j = 0; j < i; j++) {
/* 294 */         str1 = paramXMLStreamReader.getNamespacePrefix(j);
/* 295 */         str2 = paramXMLStreamReader.getNamespaceURI(j);
/* 296 */         if ((str1 == null) || (str1.length() == 0))
/* 297 */           setDefaultNamespace(str2);
/*     */         else {
/* 299 */           setPrefix(str1, str2);
/*     */         }
/*     */       }
/*     */     }
/* 303 */     writeStartElement(paramXMLStreamReader.getPrefix(), paramXMLStreamReader.getLocalName(), paramXMLStreamReader.getNamespaceURI());
/*     */ 
/* 305 */     if (i > 0)
/*     */     {
/* 307 */       for (j = 0; j < i; j++) {
/* 308 */         str1 = paramXMLStreamReader.getNamespacePrefix(j);
/* 309 */         str2 = paramXMLStreamReader.getNamespaceURI(j);
/*     */ 
/* 311 */         if ((str1 == null) || (str1.length() == 0))
/* 312 */           writeDefaultNamespace(str2);
/*     */         else {
/* 314 */           writeNamespace(str1, str2);
/*     */         }
/*     */ 
/*     */       }
/*     */ 
/*     */     }
/*     */ 
/* 322 */     int j = paramXMLStreamReader.getAttributeCount();
/* 323 */     if (j > 0)
/* 324 */       for (int k = 0; k < j; k++)
/* 325 */         writeAttribute(paramXMLStreamReader.getAttributePrefix(k), paramXMLStreamReader.getAttributeNamespace(k), paramXMLStreamReader.getAttributeLocalName(k), paramXMLStreamReader.getAttributeValue(k));
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.Stax2WriterImpl
 * JD-Core Version:    0.6.2
 */