/*     */ package org.codehaus.stax2.ri.dom;
/*     */ 
/*     */ import java.math.BigDecimal;
/*     */ import java.math.BigInteger;
/*     */ import java.text.MessageFormat;
/*     */ import javax.xml.namespace.NamespaceContext;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import org.codehaus.stax2.XMLStreamLocation2;
/*     */ import org.codehaus.stax2.XMLStreamReader2;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ import org.codehaus.stax2.ri.typed.SimpleValueEncoder;
/*     */ import org.codehaus.stax2.typed.Base64Variant;
/*     */ import org.codehaus.stax2.typed.Base64Variants;
/*     */ import org.codehaus.stax2.validation.ValidationProblemHandler;
/*     */ import org.codehaus.stax2.validation.XMLValidationSchema;
/*     */ import org.codehaus.stax2.validation.XMLValidator;
/*     */ import org.w3c.dom.Document;
/*     */ import org.w3c.dom.Node;
/*     */ 
/*     */ public abstract class DOMWrappingWriter
/*     */   implements XMLStreamWriter2
/*     */ {
/*     */   static final String DEFAULT_OUTPUT_ENCODING = "UTF-8";
/*     */   static final String DEFAULT_XML_VERSION = "1.0";
/*     */   protected final boolean mNsAware;
/*     */   protected final boolean mNsRepairing;
/*  79 */   protected String mEncoding = null;
/*     */   protected NamespaceContext mNsContext;
/*     */   protected final Document mDocument;
/*     */   protected SimpleValueEncoder mValueEncoder;
/*     */ 
/*     */   protected DOMWrappingWriter(Node paramNode, boolean paramBoolean1, boolean paramBoolean2)
/*     */     throws XMLStreamException
/*     */   {
/* 121 */     if (paramNode == null) {
/* 122 */       throw new IllegalArgumentException("Can not pass null Node for constructing a DOM-based XMLStreamWriter");
/*     */     }
/* 124 */     this.mNsAware = paramBoolean1;
/* 125 */     this.mNsRepairing = paramBoolean2;
/*     */ 
/* 130 */     switch (paramNode.getNodeType()) {
/*     */     case 9:
/* 132 */       this.mDocument = ((Document)paramNode);
/*     */ 
/* 137 */       break;
/*     */     case 1:
/* 140 */       this.mDocument = paramNode.getOwnerDocument();
/* 141 */       break;
/*     */     case 11:
/* 144 */       this.mDocument = paramNode.getOwnerDocument();
/*     */ 
/* 146 */       break;
/*     */     default:
/* 149 */       throw new XMLStreamException("Can not create an XMLStreamWriter for a DOM node of type " + paramNode.getClass());
/*     */     }
/* 151 */     if (this.mDocument == null)
/* 152 */       throw new XMLStreamException("Can not create an XMLStreamWriter for given node (of type " + paramNode.getClass() + "): did not have owner document");
/*     */   }
/*     */ 
/*     */   public void close()
/*     */   {
/*     */   }
/*     */ 
/*     */   public void flush()
/*     */   {
/*     */   }
/*     */ 
/*     */   public abstract NamespaceContext getNamespaceContext();
/*     */ 
/*     */   public abstract String getPrefix(String paramString);
/*     */ 
/*     */   public abstract Object getProperty(String paramString);
/*     */ 
/*     */   public abstract void setDefaultNamespace(String paramString);
/*     */ 
/*     */   public void setNamespaceContext(NamespaceContext paramNamespaceContext)
/*     */   {
/* 176 */     this.mNsContext = paramNamespaceContext;
/*     */   }
/*     */ 
/*     */   public abstract void setPrefix(String paramString1, String paramString2)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract void writeAttribute(String paramString1, String paramString2)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract void writeAttribute(String paramString1, String paramString2, String paramString3)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract void writeAttribute(String paramString1, String paramString2, String paramString3, String paramString4) throws XMLStreamException;
/*     */ 
/*     */   public void writeCData(String paramString) throws XMLStreamException
/*     */   {
/* 192 */     appendLeaf(this.mDocument.createCDATASection(paramString));
/*     */   }
/*     */ 
/*     */   public void writeCharacters(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 198 */     writeCharacters(new String(paramArrayOfChar, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeCharacters(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 204 */     appendLeaf(this.mDocument.createTextNode(paramString));
/*     */   }
/*     */ 
/*     */   public void writeComment(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 210 */     appendLeaf(this.mDocument.createComment(paramString));
/*     */   }
/*     */ 
/*     */   public abstract void writeDefaultNamespace(String paramString)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public void writeDTD(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 222 */     reportUnsupported("writeDTD()");
/*     */   }
/*     */ 
/*     */   public abstract void writeEmptyElement(String paramString)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract void writeEmptyElement(String paramString1, String paramString2) throws XMLStreamException;
/*     */ 
/*     */   public abstract void writeEmptyElement(String paramString1, String paramString2, String paramString3) throws XMLStreamException;
/*     */ 
/*     */   public abstract void writeEndDocument() throws XMLStreamException;
/*     */ 
/*     */   public void writeEntityRef(String paramString) throws XMLStreamException
/*     */   {
/* 236 */     appendLeaf(this.mDocument.createEntityReference(paramString));
/*     */   }
/*     */ 
/*     */   public void writeProcessingInstruction(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 242 */     writeProcessingInstruction(paramString, null);
/*     */   }
/*     */ 
/*     */   public void writeProcessingInstruction(String paramString1, String paramString2)
/*     */     throws XMLStreamException
/*     */   {
/* 248 */     appendLeaf(this.mDocument.createProcessingInstruction(paramString1, paramString2));
/*     */   }
/*     */ 
/*     */   public void writeStartDocument()
/*     */     throws XMLStreamException
/*     */   {
/* 257 */     writeStartDocument("UTF-8", "1.0");
/*     */   }
/*     */ 
/*     */   public void writeStartDocument(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 263 */     writeStartDocument(null, paramString);
/*     */   }
/*     */ 
/*     */   public void writeStartDocument(String paramString1, String paramString2)
/*     */     throws XMLStreamException
/*     */   {
/* 270 */     this.mEncoding = paramString1;
/*     */   }
/*     */ 
/*     */   public XMLStreamLocation2 getLocation()
/*     */   {
/* 283 */     return null;
/*     */   }
/*     */ 
/*     */   public String getEncoding() {
/* 287 */     return this.mEncoding;
/*     */   }
/*     */ 
/*     */   public abstract boolean isPropertySupported(String paramString);
/*     */ 
/*     */   public abstract boolean setProperty(String paramString, Object paramObject);
/*     */ 
/*     */   public void writeCData(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 303 */     writeCData(new String(paramArrayOfChar, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public abstract void writeDTD(String paramString1, String paramString2, String paramString3, String paramString4)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public void writeFullEndElement()
/*     */     throws XMLStreamException
/*     */   {
/* 315 */     writeEndElement();
/*     */   }
/*     */ 
/*     */   public void writeSpace(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 321 */     writeSpace(new String(paramArrayOfChar, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeSpace(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 332 */     writeCharacters(paramString);
/*     */   }
/*     */ 
/*     */   public void writeStartDocument(String paramString1, String paramString2, boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/* 338 */     writeStartDocument(paramString2, paramString1);
/*     */   }
/*     */ 
/*     */   public XMLValidator validateAgainst(XMLValidationSchema paramXMLValidationSchema)
/*     */     throws XMLStreamException
/*     */   {
/* 351 */     return null;
/*     */   }
/*     */ 
/*     */   public XMLValidator stopValidatingAgainst(XMLValidationSchema paramXMLValidationSchema)
/*     */     throws XMLStreamException
/*     */   {
/* 358 */     return null;
/*     */   }
/*     */ 
/*     */   public XMLValidator stopValidatingAgainst(XMLValidator paramXMLValidator)
/*     */     throws XMLStreamException
/*     */   {
/* 365 */     return null;
/*     */   }
/*     */ 
/*     */   public ValidationProblemHandler setValidationProblemHandler(ValidationProblemHandler paramValidationProblemHandler)
/*     */   {
/* 371 */     return null;
/*     */   }
/*     */ 
/*     */   public void writeRaw(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 383 */     reportUnsupported("writeRaw()");
/*     */   }
/*     */ 
/*     */   public void writeRaw(String paramString, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 389 */     reportUnsupported("writeRaw()");
/*     */   }
/*     */ 
/*     */   public void writeRaw(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 395 */     reportUnsupported("writeRaw()");
/*     */   }
/*     */ 
/*     */   public void copyEventFromReader(XMLStreamReader2 paramXMLStreamReader2, boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/*     */   }
/*     */ 
/*     */   public void closeCompletely()
/*     */   {
/*     */   }
/*     */ 
/*     */   public void writeBoolean(boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/* 426 */     writeCharacters(paramBoolean ? "true" : "false");
/*     */   }
/*     */ 
/*     */   public void writeInt(int paramInt) throws XMLStreamException
/*     */   {
/* 431 */     writeCharacters(String.valueOf(paramInt));
/*     */   }
/*     */ 
/*     */   public void writeLong(long paramLong) throws XMLStreamException
/*     */   {
/* 436 */     writeCharacters(String.valueOf(paramLong));
/*     */   }
/*     */ 
/*     */   public void writeFloat(float paramFloat) throws XMLStreamException
/*     */   {
/* 441 */     writeCharacters(String.valueOf(paramFloat));
/*     */   }
/*     */ 
/*     */   public void writeDouble(double paramDouble) throws XMLStreamException
/*     */   {
/* 446 */     writeCharacters(String.valueOf(paramDouble));
/*     */   }
/*     */ 
/*     */   public void writeInteger(BigInteger paramBigInteger) throws XMLStreamException
/*     */   {
/* 451 */     writeCharacters(paramBigInteger.toString());
/*     */   }
/*     */ 
/*     */   public void writeDecimal(BigDecimal paramBigDecimal) throws XMLStreamException
/*     */   {
/* 456 */     writeCharacters(paramBigDecimal.toString());
/*     */   }
/*     */ 
/*     */   public void writeQName(QName paramQName) throws XMLStreamException
/*     */   {
/* 461 */     writeCharacters(serializeQNameValue(paramQName));
/*     */   }
/*     */ 
/*     */   public void writeIntArray(int[] paramArrayOfInt, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 470 */     writeCharacters(getValueEncoder().encodeAsString(paramArrayOfInt, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeLongArray(long[] paramArrayOfLong, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 477 */     writeCharacters(getValueEncoder().encodeAsString(paramArrayOfLong, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeFloatArray(float[] paramArrayOfFloat, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 484 */     writeCharacters(getValueEncoder().encodeAsString(paramArrayOfFloat, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeDoubleArray(double[] paramArrayOfDouble, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 491 */     writeCharacters(getValueEncoder().encodeAsString(paramArrayOfDouble, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeBinary(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 497 */     writeBinary(Base64Variants.getDefaultVariant(), paramArrayOfByte, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */   public void writeBinary(Base64Variant paramBase64Variant, byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 503 */     writeCharacters(getValueEncoder().encodeAsString(paramBase64Variant, paramArrayOfByte, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeBooleanAttribute(String paramString1, String paramString2, String paramString3, boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/* 511 */     writeAttribute(paramString1, paramString2, paramString3, paramBoolean ? "true" : "false");
/*     */   }
/*     */ 
/*     */   public void writeIntAttribute(String paramString1, String paramString2, String paramString3, int paramInt)
/*     */     throws XMLStreamException
/*     */   {
/* 517 */     writeAttribute(paramString1, paramString2, paramString3, String.valueOf(paramInt));
/*     */   }
/*     */ 
/*     */   public void writeLongAttribute(String paramString1, String paramString2, String paramString3, long paramLong)
/*     */     throws XMLStreamException
/*     */   {
/* 523 */     writeAttribute(paramString1, paramString2, paramString3, String.valueOf(paramLong));
/*     */   }
/*     */ 
/*     */   public void writeFloatAttribute(String paramString1, String paramString2, String paramString3, float paramFloat)
/*     */     throws XMLStreamException
/*     */   {
/* 529 */     writeAttribute(paramString1, paramString2, paramString3, String.valueOf(paramFloat));
/*     */   }
/*     */ 
/*     */   public void writeDoubleAttribute(String paramString1, String paramString2, String paramString3, double paramDouble)
/*     */     throws XMLStreamException
/*     */   {
/* 535 */     writeAttribute(paramString1, paramString2, paramString3, String.valueOf(paramDouble));
/*     */   }
/*     */ 
/*     */   public void writeIntegerAttribute(String paramString1, String paramString2, String paramString3, BigInteger paramBigInteger)
/*     */     throws XMLStreamException
/*     */   {
/* 541 */     writeAttribute(paramString1, paramString2, paramString3, paramBigInteger.toString());
/*     */   }
/*     */ 
/*     */   public void writeDecimalAttribute(String paramString1, String paramString2, String paramString3, BigDecimal paramBigDecimal)
/*     */     throws XMLStreamException
/*     */   {
/* 547 */     writeAttribute(paramString1, paramString2, paramString3, paramBigDecimal.toString());
/*     */   }
/*     */ 
/*     */   public void writeQNameAttribute(String paramString1, String paramString2, String paramString3, QName paramQName)
/*     */     throws XMLStreamException
/*     */   {
/* 553 */     writeAttribute(paramString1, paramString2, paramString3, serializeQNameValue(paramQName));
/*     */   }
/*     */ 
/*     */   public void writeIntArrayAttribute(String paramString1, String paramString2, String paramString3, int[] paramArrayOfInt)
/*     */     throws XMLStreamException
/*     */   {
/* 559 */     writeAttribute(paramString1, paramString2, paramString3, getValueEncoder().encodeAsString(paramArrayOfInt, 0, paramArrayOfInt.length));
/*     */   }
/*     */ 
/*     */   public void writeLongArrayAttribute(String paramString1, String paramString2, String paramString3, long[] paramArrayOfLong)
/*     */     throws XMLStreamException
/*     */   {
/* 565 */     writeAttribute(paramString1, paramString2, paramString3, getValueEncoder().encodeAsString(paramArrayOfLong, 0, paramArrayOfLong.length));
/*     */   }
/*     */ 
/*     */   public void writeFloatArrayAttribute(String paramString1, String paramString2, String paramString3, float[] paramArrayOfFloat)
/*     */     throws XMLStreamException
/*     */   {
/* 571 */     writeAttribute(paramString1, paramString2, paramString3, getValueEncoder().encodeAsString(paramArrayOfFloat, 0, paramArrayOfFloat.length));
/*     */   }
/*     */ 
/*     */   public void writeDoubleArrayAttribute(String paramString1, String paramString2, String paramString3, double[] paramArrayOfDouble)
/*     */     throws XMLStreamException
/*     */   {
/* 577 */     writeAttribute(paramString1, paramString2, paramString3, getValueEncoder().encodeAsString(paramArrayOfDouble, 0, paramArrayOfDouble.length));
/*     */   }
/*     */ 
/*     */   public void writeBinaryAttribute(String paramString1, String paramString2, String paramString3, byte[] paramArrayOfByte)
/*     */     throws XMLStreamException
/*     */   {
/* 583 */     writeBinaryAttribute(Base64Variants.getDefaultVariant(), paramString1, paramString2, paramString3, paramArrayOfByte);
/*     */   }
/*     */ 
/*     */   public void writeBinaryAttribute(Base64Variant paramBase64Variant, String paramString1, String paramString2, String paramString3, byte[] paramArrayOfByte) throws XMLStreamException
/*     */   {
/* 588 */     writeAttribute(paramString1, paramString2, paramString3, getValueEncoder().encodeAsString(paramBase64Variant, paramArrayOfByte, 0, paramArrayOfByte.length));
/*     */   }
/*     */ 
/*     */   protected abstract void appendLeaf(Node paramNode)
/*     */     throws IllegalStateException;
/*     */ 
/*     */   protected String serializeQNameValue(QName paramQName)
/*     */     throws XMLStreamException
/*     */   {
/*     */     Object localObject;
/* 618 */     if (this.mNsRepairing) {
/* 619 */       str1 = paramQName.getNamespaceURI();
/*     */ 
/* 621 */       NamespaceContext localNamespaceContext = getNamespaceContext();
/* 622 */       localObject = localNamespaceContext == null ? null : localNamespaceContext.getPrefix(str1);
/* 623 */       if (localObject == null)
/*     */       {
/* 625 */         String str2 = paramQName.getPrefix();
/* 626 */         if ((str2 == null) || (str2.length() == 0)) {
/* 627 */           localObject = "";
/*     */ 
/* 632 */           writeDefaultNamespace(str1);
/*     */         } else {
/* 634 */           localObject = str2;
/* 635 */           writeNamespace((String)localObject, str1);
/*     */         }
/*     */       }
/*     */     } else {
/* 639 */       localObject = paramQName.getPrefix();
/*     */     }
/* 641 */     String str1 = paramQName.getLocalPart();
/* 642 */     if ((localObject == null) || (((String)localObject).length() == 0)) {
/* 643 */       return str1;
/*     */     }
/*     */ 
/* 647 */     return (String)localObject + ":" + str1;
/*     */   }
/*     */ 
/*     */   protected SimpleValueEncoder getValueEncoder()
/*     */   {
/* 652 */     if (this.mValueEncoder == null) {
/* 653 */       this.mValueEncoder = new SimpleValueEncoder();
/*     */     }
/* 655 */     return this.mValueEncoder;
/*     */   }
/*     */ 
/*     */   protected static void throwOutputError(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 667 */     throw new XMLStreamException(paramString);
/*     */   }
/*     */ 
/*     */   protected static void throwOutputError(String paramString, Object paramObject)
/*     */     throws XMLStreamException
/*     */   {
/* 673 */     String str = MessageFormat.format(paramString, new Object[] { paramObject });
/* 674 */     throwOutputError(str);
/*     */   }
/*     */ 
/*     */   protected void reportUnsupported(String paramString)
/*     */   {
/* 679 */     throw new UnsupportedOperationException(paramString + " can not be used with DOM-backed writer");
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.dom.DOMWrappingWriter
 * JD-Core Version:    0.6.2
 */