/*     */ package org.codehaus.stax2.ri.evt;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.Writer;
/*     */ import java.util.Iterator;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.Location;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.events.Characters;
/*     */ import javax.xml.stream.events.EndElement;
/*     */ import javax.xml.stream.events.StartElement;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ import org.codehaus.stax2.evt.XMLEvent2;
/*     */ 
/*     */ public abstract class BaseEventImpl
/*     */   implements XMLEvent2
/*     */ {
/*     */   protected final Location mLocation;
/*     */ 
/*     */   protected BaseEventImpl(Location paramLocation)
/*     */   {
/*  31 */     this.mLocation = paramLocation;
/*     */   }
/*     */ 
/*     */   public Characters asCharacters()
/*     */   {
/*  41 */     return (Characters)this;
/*     */   }
/*     */ 
/*     */   public EndElement asEndElement() {
/*  45 */     return (EndElement)this;
/*     */   }
/*     */ 
/*     */   public StartElement asStartElement() {
/*  49 */     return (StartElement)this;
/*     */   }
/*     */ 
/*     */   public abstract int getEventType();
/*     */ 
/*     */   public Location getLocation() {
/*  55 */     return this.mLocation;
/*     */   }
/*     */ 
/*     */   public QName getSchemaType() {
/*  59 */     return null;
/*     */   }
/*     */ 
/*     */   public boolean isAttribute()
/*     */   {
/*  64 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean isCharacters()
/*     */   {
/*  69 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean isEndDocument()
/*     */   {
/*  74 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean isEndElement()
/*     */   {
/*  79 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean isEntityReference()
/*     */   {
/*  84 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean isNamespace()
/*     */   {
/*  89 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean isProcessingInstruction()
/*     */   {
/*  94 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean isStartDocument()
/*     */   {
/*  99 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean isStartElement()
/*     */   {
/* 104 */     return false;
/*     */   }
/*     */ 
/*     */   public abstract void writeAsEncodedUnicode(Writer paramWriter)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract void writeUsing(XMLStreamWriter2 paramXMLStreamWriter2)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract boolean equals(Object paramObject);
/*     */ 
/*     */   public abstract int hashCode();
/*     */ 
/*     */   public String toString()
/*     */   {
/* 135 */     return "[Stax Event #" + getEventType() + "]";
/*     */   }
/*     */ 
/*     */   protected void throwFromIOE(IOException paramIOException)
/*     */     throws XMLStreamException
/*     */   {
/* 147 */     throw new XMLStreamException(paramIOException.getMessage(), paramIOException);
/*     */   }
/*     */ 
/*     */   protected static boolean stringsWithNullsEqual(String paramString1, String paramString2)
/*     */   {
/* 157 */     if ((paramString1 == null) || (paramString1.length() == 0)) {
/* 158 */       return (paramString2 == null) || (paramString2.length() == 0);
/*     */     }
/* 160 */     return (paramString2 != null) && (paramString1.equals(paramString2));
/*     */   }
/*     */ 
/*     */   protected static boolean iteratedEquals(Iterator paramIterator1, Iterator paramIterator2)
/*     */   {
/* 165 */     if ((paramIterator1 == null) || (paramIterator2 == null)) {
/* 166 */       return paramIterator1 == paramIterator2;
/*     */     }
/*     */ 
/* 169 */     while (paramIterator1.hasNext()) {
/* 170 */       if (!paramIterator2.hasNext()) {
/* 171 */         return false;
/*     */       }
/* 173 */       Object localObject1 = paramIterator1.next();
/* 174 */       Object localObject2 = paramIterator2.next();
/*     */ 
/* 176 */       if (!localObject1.equals(localObject2)) {
/* 177 */         return false;
/*     */       }
/*     */     }
/* 180 */     return true;
/*     */   }
/*     */ 
/*     */   protected static int addHash(Iterator paramIterator, int paramInt)
/*     */   {
/* 185 */     int i = paramInt;
/* 186 */     if (paramIterator != null) {
/* 187 */       while (paramIterator.hasNext()) {
/* 188 */         i ^= paramIterator.next().hashCode();
/*     */       }
/*     */     }
/* 191 */     return i;
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.evt.BaseEventImpl
 * JD-Core Version:    0.6.2
 */