/*     */ package org.codehaus.stax2.ri.evt;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.StringWriter;
/*     */ import java.io.Writer;
/*     */ import java.util.List;
/*     */ import javax.xml.stream.Location;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.events.DTD;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ import org.codehaus.stax2.evt.DTD2;
/*     */ 
/*     */ public class DTDEventImpl extends BaseEventImpl
/*     */   implements DTD2
/*     */ {
/*     */   final String mRootName;
/*     */   final String mSystemId;
/*     */   final String mPublicId;
/*     */   final String mInternalSubset;
/*     */   final Object mDTD;
/*  47 */   String mFullText = null;
/*     */ 
/*     */   public DTDEventImpl(Location paramLocation, String paramString1, String paramString2, String paramString3, String paramString4, Object paramObject)
/*     */   {
/*  59 */     super(paramLocation);
/*  60 */     this.mRootName = paramString1;
/*  61 */     this.mSystemId = paramString2;
/*  62 */     this.mPublicId = paramString3;
/*  63 */     this.mInternalSubset = paramString4;
/*  64 */     this.mFullText = null;
/*  65 */     this.mDTD = paramObject;
/*     */   }
/*     */ 
/*     */   public DTDEventImpl(Location paramLocation, String paramString1, String paramString2)
/*     */   {
/*  73 */     this(paramLocation, paramString1, null, null, paramString2, null);
/*     */   }
/*     */ 
/*     */   public DTDEventImpl(Location paramLocation, String paramString)
/*     */   {
/*  78 */     this(paramLocation, null, null, null, null, null);
/*  79 */     this.mFullText = paramString;
/*     */   }
/*     */ 
/*     */   public String getDocumentTypeDeclaration()
/*     */   {
/*     */     try
/*     */     {
/*  91 */       return doGetDocumentTypeDeclaration();
/*     */     } catch (XMLStreamException localXMLStreamException) {
/*  93 */       throw new RuntimeException("Internal error: " + localXMLStreamException);
/*     */     }
/*     */   }
/*     */ 
/*     */   public List getEntities()
/*     */   {
/* 100 */     return null;
/*     */   }
/*     */ 
/*     */   public List getNotations()
/*     */   {
/* 106 */     return null;
/*     */   }
/*     */ 
/*     */   public Object getProcessedDTD()
/*     */   {
/* 111 */     return this.mDTD;
/*     */   }
/*     */ 
/*     */   public int getEventType()
/*     */   {
/* 121 */     return 11;
/*     */   }
/*     */ 
/*     */   public void writeAsEncodedUnicode(Writer paramWriter)
/*     */     throws XMLStreamException
/*     */   {
/*     */     try
/*     */     {
/* 129 */       if (this.mFullText != null) {
/* 130 */         paramWriter.write(this.mFullText);
/* 131 */         return;
/*     */       }
/*     */ 
/* 134 */       paramWriter.write("<!DOCTYPE");
/* 135 */       if (this.mRootName != null)
/*     */       {
/* 137 */         paramWriter.write(32);
/* 138 */         paramWriter.write(this.mRootName);
/*     */       }
/* 140 */       if (this.mSystemId != null) {
/* 141 */         if (this.mPublicId != null) {
/* 142 */           paramWriter.write(" PUBLIC \"");
/* 143 */           paramWriter.write(this.mPublicId);
/* 144 */           paramWriter.write(34);
/*     */         } else {
/* 146 */           paramWriter.write(" SYSTEM");
/*     */         }
/* 148 */         paramWriter.write(" \"");
/* 149 */         paramWriter.write(this.mSystemId);
/* 150 */         paramWriter.write(34);
/*     */       }
/* 152 */       if (this.mInternalSubset != null) {
/* 153 */         paramWriter.write(" [");
/* 154 */         paramWriter.write(this.mInternalSubset);
/* 155 */         paramWriter.write(93);
/*     */       }
/* 157 */       paramWriter.write(">");
/*     */     } catch (IOException localIOException) {
/* 159 */       throwFromIOE(localIOException);
/*     */     }
/*     */   }
/*     */ 
/*     */   public void writeUsing(XMLStreamWriter2 paramXMLStreamWriter2) throws XMLStreamException
/*     */   {
/* 165 */     if (this.mRootName != null) {
/* 166 */       paramXMLStreamWriter2.writeDTD(this.mRootName, this.mSystemId, this.mPublicId, this.mInternalSubset);
/* 167 */       return;
/*     */     }
/*     */ 
/* 171 */     paramXMLStreamWriter2.writeDTD(doGetDocumentTypeDeclaration());
/*     */   }
/*     */ 
/*     */   public String getRootName()
/*     */   {
/* 181 */     return this.mRootName;
/*     */   }
/*     */ 
/*     */   public String getSystemId() {
/* 185 */     return this.mSystemId;
/*     */   }
/*     */ 
/*     */   public String getPublicId() {
/* 189 */     return this.mPublicId;
/*     */   }
/*     */ 
/*     */   public String getInternalSubset() {
/* 193 */     return this.mInternalSubset;
/*     */   }
/*     */ 
/*     */   public boolean equals(Object paramObject)
/*     */   {
/* 204 */     if (paramObject == this) return true;
/* 205 */     if (paramObject == null) return false;
/* 206 */     if (!(paramObject instanceof DTD)) return false;
/*     */ 
/* 208 */     DTD localDTD = (DTD)paramObject;
/*     */ 
/* 216 */     return stringsWithNullsEqual(getDocumentTypeDeclaration(), localDTD.getDocumentTypeDeclaration());
/*     */   }
/*     */ 
/*     */   public int hashCode()
/*     */   {
/* 223 */     int i = 0;
/* 224 */     if (this.mRootName != null) i ^= this.mRootName.hashCode();
/* 225 */     if (this.mSystemId != null) i ^= this.mSystemId.hashCode();
/* 226 */     if (this.mPublicId != null) i ^= this.mPublicId.hashCode();
/* 227 */     if (this.mInternalSubset != null) i ^= this.mInternalSubset.hashCode();
/* 228 */     if (this.mDTD != null) i ^= this.mDTD.hashCode();
/* 229 */     if ((i == 0) && (this.mFullText != null)) {
/* 230 */       i ^= this.mFullText.hashCode();
/*     */     }
/* 232 */     return i;
/*     */   }
/*     */ 
/*     */   protected String doGetDocumentTypeDeclaration()
/*     */     throws XMLStreamException
/*     */   {
/* 244 */     if (this.mFullText == null) {
/* 245 */       int i = 60;
/* 246 */       if (this.mInternalSubset != null) {
/* 247 */         i += this.mInternalSubset.length() + 4;
/*     */       }
/* 249 */       StringWriter localStringWriter = new StringWriter(i);
/* 250 */       writeAsEncodedUnicode(localStringWriter);
/* 251 */       this.mFullText = localStringWriter.toString();
/*     */     }
/* 253 */     return this.mFullText;
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.evt.DTDEventImpl
 * JD-Core Version:    0.6.2
 */