/*     */ package org.codehaus.stax2.ri.evt;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.Writer;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.Location;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.XMLStreamReader;
/*     */ import javax.xml.stream.events.EndElement;
/*     */ import javax.xml.stream.events.Namespace;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ import org.codehaus.stax2.ri.EmptyIterator;
/*     */ 
/*     */ public class EndElementEventImpl extends BaseEventImpl
/*     */   implements EndElement
/*     */ {
/*     */   final QName mName;
/*     */   final ArrayList mNamespaces;
/*     */ 
/*     */   public EndElementEventImpl(Location paramLocation, XMLStreamReader paramXMLStreamReader)
/*     */   {
/*  31 */     super(paramLocation);
/*  32 */     this.mName = paramXMLStreamReader.getName();
/*     */ 
/*  35 */     int i = paramXMLStreamReader.getNamespaceCount();
/*  36 */     if (i == 0) {
/*  37 */       this.mNamespaces = null;
/*     */     } else {
/*  39 */       ArrayList localArrayList = new ArrayList(i);
/*  40 */       for (int j = 0; j < i; j++) {
/*  41 */         localArrayList.add(NamespaceEventImpl.constructNamespace(paramLocation, paramXMLStreamReader.getNamespacePrefix(j), paramXMLStreamReader.getNamespaceURI(j)));
/*     */       }
/*     */ 
/*  44 */       this.mNamespaces = localArrayList;
/*     */     }
/*     */   }
/*     */ 
/*     */   public EndElementEventImpl(Location paramLocation, QName paramQName, Iterator paramIterator)
/*     */   {
/*  53 */     super(paramLocation);
/*  54 */     this.mName = paramQName;
/*  55 */     if ((paramIterator == null) || (!paramIterator.hasNext())) {
/*  56 */       this.mNamespaces = null;
/*     */     } else {
/*  58 */       ArrayList localArrayList = new ArrayList();
/*  59 */       while (paramIterator.hasNext())
/*     */       {
/*  64 */         localArrayList.add((Namespace)paramIterator.next());
/*     */       }
/*  66 */       this.mNamespaces = localArrayList;
/*     */     }
/*     */   }
/*     */ 
/*     */   public QName getName()
/*     */   {
/*  77 */     return this.mName;
/*     */   }
/*     */ 
/*     */   public Iterator getNamespaces()
/*     */   {
/*  82 */     return this.mNamespaces == null ? EmptyIterator.getInstance() : this.mNamespaces.iterator();
/*     */   }
/*     */ 
/*     */   public EndElement asEndElement()
/*     */   {
/*  93 */     return this;
/*     */   }
/*     */ 
/*     */   public int getEventType() {
/*  97 */     return 2;
/*     */   }
/*     */ 
/*     */   public boolean isEndElement() {
/* 101 */     return true;
/*     */   }
/*     */ 
/*     */   public void writeAsEncodedUnicode(Writer paramWriter) throws XMLStreamException
/*     */   {
/*     */     try
/*     */     {
/* 108 */       paramWriter.write("</");
/* 109 */       String str = this.mName.getPrefix();
/* 110 */       if ((str != null) && (str.length() > 0)) {
/* 111 */         paramWriter.write(str);
/* 112 */         paramWriter.write(58);
/*     */       }
/* 114 */       paramWriter.write(this.mName.getLocalPart());
/* 115 */       paramWriter.write(62);
/*     */     } catch (IOException localIOException) {
/* 117 */       throwFromIOE(localIOException);
/*     */     }
/*     */   }
/*     */ 
/*     */   public void writeUsing(XMLStreamWriter2 paramXMLStreamWriter2) throws XMLStreamException
/*     */   {
/* 123 */     paramXMLStreamWriter2.writeEndElement();
/*     */   }
/*     */ 
/*     */   public boolean equals(Object paramObject)
/*     */   {
/* 134 */     if (paramObject == this) return true;
/* 135 */     if (paramObject == null) return false;
/*     */ 
/* 137 */     if (!(paramObject instanceof EndElement)) return false;
/*     */ 
/* 139 */     EndElement localEndElement = (EndElement)paramObject;
/*     */ 
/* 141 */     if (getName().equals(localEndElement.getName()))
/*     */     {
/* 147 */       return true;
/*     */     }
/* 149 */     return false;
/*     */   }
/*     */ 
/*     */   public int hashCode()
/*     */   {
/* 154 */     return getName().hashCode();
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.evt.EndElementEventImpl
 * JD-Core Version:    0.6.2
 */