/*     */ package org.codehaus.stax2.ri.evt;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.Collections;
/*     */ import java.util.Iterator;
/*     */ import java.util.List;
/*     */ import javax.xml.namespace.NamespaceContext;
/*     */ import javax.xml.stream.events.Namespace;
/*     */ 
/*     */ public class MergedNsContext
/*     */   implements NamespaceContext
/*     */ {
/*     */   final NamespaceContext mParentCtxt;
/*     */   final List mNamespaces;
/*     */ 
/*     */   protected MergedNsContext(NamespaceContext paramNamespaceContext, List paramList)
/*     */   {
/*  26 */     this.mParentCtxt = paramNamespaceContext;
/*  27 */     this.mNamespaces = (paramList == null ? Collections.EMPTY_LIST : paramList);
/*     */   }
/*     */ 
/*     */   public static MergedNsContext construct(NamespaceContext paramNamespaceContext, List paramList)
/*     */   {
/*  33 */     return new MergedNsContext(paramNamespaceContext, paramList);
/*     */   }
/*     */ 
/*     */   public String getNamespaceURI(String paramString)
/*     */   {
/*  44 */     if (paramString == null) {
/*  45 */       throw new IllegalArgumentException("Illegal to pass null prefix");
/*     */     }
/*  47 */     int i = 0; for (int j = this.mNamespaces.size(); i < j; i++) {
/*  48 */       Namespace localNamespace = (Namespace)this.mNamespaces.get(i);
/*  49 */       if (paramString.equals(localNamespace.getPrefix())) {
/*  50 */         return localNamespace.getNamespaceURI();
/*     */       }
/*     */     }
/*     */ 
/*  54 */     if (this.mParentCtxt != null) {
/*  55 */       String str = this.mParentCtxt.getNamespaceURI(paramString);
/*  56 */       if (str != null) {
/*  57 */         return str;
/*     */       }
/*     */     }
/*  60 */     if (paramString.equals("xml")) {
/*  61 */       return "http://www.w3.org/XML/1998/namespace";
/*     */     }
/*  63 */     if (paramString.equals("xmlns")) {
/*  64 */       return "http://www.w3.org/2000/xmlns/";
/*     */     }
/*  66 */     return null;
/*     */   }
/*     */ 
/*     */   public String getPrefix(String paramString)
/*     */   {
/*  71 */     if ((paramString == null) || (paramString.length() == 0)) {
/*  72 */       throw new IllegalArgumentException("Illegal to pass null/empty prefix as argument.");
/*     */     }
/*     */ 
/*  77 */     int i = 0;
/*     */     Object localObject2;
/*  77 */     for (int j = this.mNamespaces.size(); i < j; i++) {
/*  78 */       localObject2 = (Namespace)this.mNamespaces.get(i);
/*  79 */       if (paramString.equals(((Namespace)localObject2).getNamespaceURI())) {
/*  80 */         return ((Namespace)localObject2).getPrefix();
/*     */       }
/*     */     }
/*     */ 
/*  84 */     if (this.mParentCtxt != null) {
/*  85 */       String str1 = this.mParentCtxt.getPrefix(paramString);
/*  86 */       if (str1 != null)
/*     */       {
/*  88 */         localObject1 = getNamespaceURI(str1);
/*  89 */         if (((String)localObject1).equals(paramString))
/*     */         {
/*  91 */           return str1;
/*     */         }
/*     */ 
/*     */       }
/*     */ 
/*  96 */       Object localObject1 = this.mParentCtxt.getPrefixes(paramString);
/*  97 */       while (((Iterator)localObject1).hasNext()) {
/*  98 */         localObject2 = (String)((Iterator)localObject1).next();
/*  99 */         if (!((String)localObject2).equals(str1))
/*     */         {
/* 101 */           String str2 = getNamespaceURI((String)localObject2);
/* 102 */           if (str2.equals(paramString))
/*     */           {
/* 104 */             return localObject2;
/*     */           }
/*     */         }
/*     */       }
/*     */ 
/*     */     }
/*     */ 
/* 111 */     if (paramString.equals("http://www.w3.org/XML/1998/namespace")) {
/* 112 */       return "xml";
/*     */     }
/* 114 */     if (paramString.equals("http://www.w3.org/2000/xmlns/")) {
/* 115 */       return "xmlns";
/*     */     }
/*     */ 
/* 119 */     return null;
/*     */   }
/*     */ 
/*     */   public Iterator getPrefixes(String paramString)
/*     */   {
/* 124 */     if ((paramString == null) || (paramString.length() == 0)) {
/* 125 */       throw new IllegalArgumentException("Illegal to pass null/empty prefix as argument.");
/*     */     }
/*     */ 
/* 129 */     ArrayList localArrayList = null;
/* 130 */     int i = 0;
/*     */     Object localObject;
/* 130 */     for (int j = this.mNamespaces.size(); i < j; i++) {
/* 131 */       localObject = (Namespace)this.mNamespaces.get(i);
/* 132 */       if (paramString.equals(((Namespace)localObject).getNamespaceURI())) {
/* 133 */         localArrayList = addToList(localArrayList, ((Namespace)localObject).getPrefix());
/*     */       }
/*     */ 
/*     */     }
/*     */ 
/* 138 */     if (this.mParentCtxt != null) {
/* 139 */       Iterator localIterator = this.mParentCtxt.getPrefixes(paramString);
/* 140 */       while (localIterator.hasNext()) {
/* 141 */         String str = (String)localIterator.next();
/*     */ 
/* 143 */         localObject = getNamespaceURI(str);
/* 144 */         if (((String)localObject).equals(paramString))
/*     */         {
/* 146 */           localArrayList = addToList(localArrayList, str);
/*     */         }
/*     */       }
/*     */ 
/*     */     }
/*     */ 
/* 152 */     if (paramString.equals("http://www.w3.org/XML/1998/namespace")) {
/* 153 */       localArrayList = addToList(localArrayList, "xml");
/*     */     }
/* 155 */     if (paramString.equals("http://www.w3.org/2000/xmlns/")) {
/* 156 */       localArrayList = addToList(localArrayList, "xmlns");
/*     */     }
/*     */ 
/* 159 */     return null;
/*     */   }
/*     */ 
/*     */   protected ArrayList addToList(ArrayList paramArrayList, String paramString)
/*     */   {
/* 170 */     if (paramArrayList == null) {
/* 171 */       paramArrayList = new ArrayList();
/*     */     }
/* 173 */     paramArrayList.add(paramString);
/* 174 */     return paramArrayList;
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.evt.MergedNsContext
 * JD-Core Version:    0.6.2
 */