package org.codehaus.stax2.typed;

import java.math.BigDecimal;
import java.math.BigInteger;
import javax.xml.namespace.QName;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.XMLStreamReader;

public abstract interface TypedXMLStreamReader extends XMLStreamReader
{
  public abstract boolean getElementAsBoolean()
    throws XMLStreamException;

  public abstract int getElementAsInt()
    throws XMLStreamException;

  public abstract long getElementAsLong()
    throws XMLStreamException;

  public abstract float getElementAsFloat()
    throws XMLStreamException;

  public abstract double getElementAsDouble()
    throws XMLStreamException;

  public abstract BigInteger getElementAsInteger()
    throws XMLStreamException;

  public abstract BigDecimal getElementAsDecimal()
    throws XMLStreamException;

  public abstract QName getElementAsQName()
    throws XMLStreamException;

  public abstract byte[] getElementAsBinary()
    throws XMLStreamException;

  public abstract byte[] getElementAsBinary(Base64Variant paramBase64Variant)
    throws XMLStreamException;

  public abstract void getElementAs(TypedValueDecoder paramTypedValueDecoder)
    throws XMLStreamException;

  public abstract int readElementAsBinary(byte[] paramArrayOfByte, int paramInt1, int paramInt2, Base64Variant paramBase64Variant)
    throws XMLStreamException;

  public abstract int readElementAsBinary(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
    throws XMLStreamException;

  public abstract int readElementAsIntArray(int[] paramArrayOfInt, int paramInt1, int paramInt2)
    throws XMLStreamException;

  public abstract int readElementAsLongArray(long[] paramArrayOfLong, int paramInt1, int paramInt2)
    throws XMLStreamException;

  public abstract int readElementAsFloatArray(float[] paramArrayOfFloat, int paramInt1, int paramInt2)
    throws XMLStreamException;

  public abstract int readElementAsDoubleArray(double[] paramArrayOfDouble, int paramInt1, int paramInt2)
    throws XMLStreamException;

  public abstract int readElementAsArray(TypedArrayDecoder paramTypedArrayDecoder)
    throws XMLStreamException;

  public abstract int getAttributeIndex(String paramString1, String paramString2);

  public abstract boolean getAttributeAsBoolean(int paramInt)
    throws XMLStreamException;

  public abstract int getAttributeAsInt(int paramInt)
    throws XMLStreamException;

  public abstract long getAttributeAsLong(int paramInt)
    throws XMLStreamException;

  public abstract float getAttributeAsFloat(int paramInt)
    throws XMLStreamException;

  public abstract double getAttributeAsDouble(int paramInt)
    throws XMLStreamException;

  public abstract BigInteger getAttributeAsInteger(int paramInt)
    throws XMLStreamException;

  public abstract BigDecimal getAttributeAsDecimal(int paramInt)
    throws XMLStreamException;

  public abstract QName getAttributeAsQName(int paramInt)
    throws XMLStreamException;

  public abstract void getAttributeAs(int paramInt, TypedValueDecoder paramTypedValueDecoder)
    throws XMLStreamException;

  public abstract byte[] getAttributeAsBinary(int paramInt)
    throws XMLStreamException;

  public abstract byte[] getAttributeAsBinary(int paramInt, Base64Variant paramBase64Variant)
    throws XMLStreamException;

  public abstract int[] getAttributeAsIntArray(int paramInt)
    throws XMLStreamException;

  public abstract long[] getAttributeAsLongArray(int paramInt)
    throws XMLStreamException;

  public abstract float[] getAttributeAsFloatArray(int paramInt)
    throws XMLStreamException;

  public abstract double[] getAttributeAsDoubleArray(int paramInt)
    throws XMLStreamException;

  public abstract int getAttributeAsArray(int paramInt, TypedArrayDecoder paramTypedArrayDecoder)
    throws XMLStreamException;
}

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.typed.TypedXMLStreamReader
 * JD-Core Version:    0.6.2
 */