/*     */ package org.codehaus.stax2.validation;
/*     */ 
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ 
/*     */ public class ValidatorPair extends XMLValidator
/*     */ {
/*     */   public static final String ATTR_TYPE_DEFAULT = "CDATA";
/*     */   protected XMLValidator mFirst;
/*     */   protected XMLValidator mSecond;
/*     */ 
/*     */   public ValidatorPair(XMLValidator paramXMLValidator1, XMLValidator paramXMLValidator2)
/*     */   {
/*  33 */     this.mFirst = paramXMLValidator1;
/*  34 */     this.mSecond = paramXMLValidator2;
/*     */   }
/*     */ 
/*     */   public XMLValidationSchema getSchema()
/*     */   {
/*  49 */     return null;
/*     */   }
/*     */ 
/*     */   public void validateElementStart(String paramString1, String paramString2, String paramString3)
/*     */     throws XMLStreamException
/*     */   {
/*  56 */     this.mFirst.validateElementStart(paramString1, paramString2, paramString3);
/*  57 */     this.mSecond.validateElementStart(paramString1, paramString2, paramString3);
/*     */   }
/*     */ 
/*     */   public String validateAttribute(String paramString1, String paramString2, String paramString3, String paramString4)
/*     */     throws XMLStreamException
/*     */   {
/*  64 */     String str = this.mFirst.validateAttribute(paramString1, paramString2, paramString3, paramString4);
/*     */ 
/*  66 */     if (str != null) {
/*  67 */       paramString4 = str;
/*     */     }
/*  69 */     return this.mSecond.validateAttribute(paramString1, paramString2, paramString3, paramString4);
/*     */   }
/*     */ 
/*     */   public String validateAttribute(String paramString1, String paramString2, String paramString3, char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/*  78 */     String str = this.mFirst.validateAttribute(paramString1, paramString2, paramString3, paramArrayOfChar, paramInt1, paramInt2);
/*     */ 
/*  83 */     if (str != null) {
/*  84 */       return this.mSecond.validateAttribute(paramString1, paramString2, paramString3, str);
/*     */     }
/*     */ 
/*  87 */     return this.mSecond.validateAttribute(paramString1, paramString2, paramString3, paramArrayOfChar, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */   public int validateElementAndAttributes()
/*     */     throws XMLStreamException
/*     */   {
/*  94 */     int i = this.mFirst.validateElementAndAttributes();
/*  95 */     int j = this.mSecond.validateElementAndAttributes();
/*     */ 
/* 101 */     return i < j ? i : j;
/*     */   }
/*     */ 
/*     */   public int validateElementEnd(String paramString1, String paramString2, String paramString3)
/*     */     throws XMLStreamException
/*     */   {
/* 107 */     int i = this.mFirst.validateElementEnd(paramString1, paramString2, paramString3);
/* 108 */     int j = this.mSecond.validateElementEnd(paramString1, paramString2, paramString3);
/*     */ 
/* 111 */     return i < j ? i : j;
/*     */   }
/*     */ 
/*     */   public void validateText(String paramString, boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/* 117 */     this.mFirst.validateText(paramString, paramBoolean);
/* 118 */     this.mSecond.validateText(paramString, paramBoolean);
/*     */   }
/*     */ 
/*     */   public void validateText(char[] paramArrayOfChar, int paramInt1, int paramInt2, boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/* 125 */     this.mFirst.validateText(paramArrayOfChar, paramInt1, paramInt2, paramBoolean);
/* 126 */     this.mSecond.validateText(paramArrayOfChar, paramInt1, paramInt2, paramBoolean);
/*     */   }
/*     */ 
/*     */   public void validationCompleted(boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/* 132 */     this.mFirst.validationCompleted(paramBoolean);
/* 133 */     this.mSecond.validationCompleted(paramBoolean);
/*     */   }
/*     */ 
/*     */   public String getAttributeType(int paramInt)
/*     */   {
/* 144 */     String str1 = this.mFirst.getAttributeType(paramInt);
/*     */ 
/* 149 */     if ((str1 == null) || (str1.length() == 0) || (str1.equals("CDATA"))) {
/* 150 */       String str2 = this.mSecond.getAttributeType(paramInt);
/* 151 */       if ((str2 != null) && (str2.length() > 0)) {
/* 152 */         return str2;
/*     */       }
/*     */     }
/*     */ 
/* 156 */     return str1;
/*     */   }
/*     */ 
/*     */   public int getIdAttrIndex()
/*     */   {
/* 161 */     int i = this.mFirst.getIdAttrIndex();
/* 162 */     if (i < 0) {
/* 163 */       return this.mSecond.getIdAttrIndex();
/*     */     }
/* 165 */     return i;
/*     */   }
/*     */ 
/*     */   public int getNotationAttrIndex()
/*     */   {
/* 170 */     int i = this.mFirst.getNotationAttrIndex();
/* 171 */     if (i < 0) {
/* 172 */       return this.mSecond.getNotationAttrIndex();
/*     */     }
/* 174 */     return i;
/*     */   }
/*     */ 
/*     */   public static boolean removeValidator(XMLValidator paramXMLValidator, XMLValidationSchema paramXMLValidationSchema, XMLValidator[] paramArrayOfXMLValidator)
/*     */   {
/* 185 */     if ((paramXMLValidator instanceof ValidatorPair)) {
/* 186 */       return ((ValidatorPair)paramXMLValidator).doRemoveValidator(paramXMLValidationSchema, paramArrayOfXMLValidator);
/*     */     }
/* 188 */     if (paramXMLValidator.getSchema() == paramXMLValidationSchema) {
/* 189 */       paramArrayOfXMLValidator[0] = paramXMLValidator;
/* 190 */       paramArrayOfXMLValidator[1] = null;
/* 191 */       return true;
/*     */     }
/*     */ 
/* 194 */     return false;
/*     */   }
/*     */ 
/*     */   public static boolean removeValidator(XMLValidator paramXMLValidator1, XMLValidator paramXMLValidator2, XMLValidator[] paramArrayOfXMLValidator)
/*     */   {
/* 199 */     if (paramXMLValidator1 == paramXMLValidator2) {
/* 200 */       paramArrayOfXMLValidator[0] = paramXMLValidator1;
/* 201 */       paramArrayOfXMLValidator[1] = null;
/* 202 */       return true;
/* 203 */     }if ((paramXMLValidator1 instanceof ValidatorPair)) {
/* 204 */       return ((ValidatorPair)paramXMLValidator1).doRemoveValidator(paramXMLValidator2, paramArrayOfXMLValidator);
/*     */     }
/* 206 */     return false;
/*     */   }
/*     */ 
/*     */   private boolean doRemoveValidator(XMLValidationSchema paramXMLValidationSchema, XMLValidator[] paramArrayOfXMLValidator)
/*     */   {
/*     */     XMLValidator localXMLValidator;
/* 211 */     if (removeValidator(this.mFirst, paramXMLValidationSchema, paramArrayOfXMLValidator)) {
/* 212 */       localXMLValidator = paramArrayOfXMLValidator[1];
/* 213 */       if (localXMLValidator == null) {
/* 214 */         paramArrayOfXMLValidator[1] = this.mSecond;
/*     */       } else {
/* 216 */         this.mFirst = localXMLValidator;
/* 217 */         paramArrayOfXMLValidator[1] = this;
/*     */       }
/* 219 */       return true;
/*     */     }
/* 221 */     if (removeValidator(this.mSecond, paramXMLValidationSchema, paramArrayOfXMLValidator)) {
/* 222 */       localXMLValidator = paramArrayOfXMLValidator[1];
/* 223 */       if (localXMLValidator == null) {
/* 224 */         paramArrayOfXMLValidator[1] = this.mFirst;
/*     */       } else {
/* 226 */         this.mSecond = localXMLValidator;
/* 227 */         paramArrayOfXMLValidator[1] = this;
/*     */       }
/* 229 */       return true;
/*     */     }
/* 231 */     return false;
/*     */   }
/*     */ 
/*     */   private boolean doRemoveValidator(XMLValidator paramXMLValidator, XMLValidator[] paramArrayOfXMLValidator)
/*     */   {
/*     */     XMLValidator localXMLValidator;
/* 236 */     if (removeValidator(this.mFirst, paramXMLValidator, paramArrayOfXMLValidator)) {
/* 237 */       localXMLValidator = paramArrayOfXMLValidator[1];
/* 238 */       if (localXMLValidator == null) {
/* 239 */         paramArrayOfXMLValidator[1] = this.mSecond;
/*     */       } else {
/* 241 */         this.mFirst = localXMLValidator;
/* 242 */         paramArrayOfXMLValidator[1] = this;
/*     */       }
/* 244 */       return true;
/*     */     }
/* 246 */     if (removeValidator(this.mSecond, paramXMLValidator, paramArrayOfXMLValidator)) {
/* 247 */       localXMLValidator = paramArrayOfXMLValidator[1];
/* 248 */       if (localXMLValidator == null) {
/* 249 */         paramArrayOfXMLValidator[1] = this.mFirst;
/*     */       } else {
/* 251 */         this.mSecond = localXMLValidator;
/* 252 */         paramArrayOfXMLValidator[1] = this;
/*     */       }
/* 254 */       return true;
/*     */     }
/* 256 */     return false;
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.validation.ValidatorPair
 * JD-Core Version:    0.6.2
 */