/*     */ package org.codehaus.stax2.validation;
/*     */ 
/*     */ import java.io.BufferedReader;
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.InputStreamReader;
/*     */ import java.io.Reader;
/*     */ import java.net.URL;
/*     */ import java.util.Enumeration;
/*     */ import java.util.HashMap;
/*     */ import java.util.Properties;
/*     */ import javax.xml.stream.FactoryConfigurationError;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ 
/*     */ public abstract class XMLValidationSchemaFactory
/*     */ {
/*     */   public static final String INTERNAL_ID_SCHEMA_DTD = "dtd";
/*     */   public static final String INTERNAL_ID_SCHEMA_RELAXNG = "relaxng";
/*     */   public static final String INTERNAL_ID_SCHEMA_W3C = "w3c";
/*     */   public static final String INTERNAL_ID_SCHEMA_TREX = "trex";
/*  35 */   static final HashMap sSchemaIds = new HashMap();
/*     */   static final String JAXP_PROP_FILENAME = "jaxp.properties";
/*     */   public static final String SYSTEM_PROPERTY_FOR_IMPL = "org.codehaus.stax2.validation.XMLValidationSchemaFactory.";
/*     */   public static final String SERVICE_DEFINITION_PATH = "META-INF/services/org.codehaus.stax2.validation.XMLValidationSchemaFactory.";
/*     */   public static final String P_IS_NAMESPACE_AWARE = "org.codehaus2.stax2.validation.isNamespaceAware";
/*     */   public static final String P_ENABLE_CACHING = "org.codehaus2.stax2.validation.enableCaching";
/*     */   protected final String mSchemaType;
/*     */ 
/*     */   protected XMLValidationSchemaFactory(String paramString)
/*     */   {
/*  98 */     this.mSchemaType = paramString;
/*     */   }
/*     */ 
/*     */   public static XMLValidationSchemaFactory newInstance(String paramString)
/*     */     throws FactoryConfigurationError
/*     */   {
/* 116 */     return newInstance(paramString, Thread.currentThread().getContextClassLoader());
/*     */   }
/*     */ 
/*     */   public static XMLValidationSchemaFactory newInstance(String paramString, ClassLoader paramClassLoader)
/*     */     throws FactoryConfigurationError
/*     */   {
/* 126 */     String str1 = (String)sSchemaIds.get(paramString);
/* 127 */     if (str1 == null) {
/* 128 */       throw new FactoryConfigurationError("Unrecognized schema type (id '" + paramString + "')");
/*     */     }
/*     */ 
/* 131 */     String str2 = "org.codehaus.stax2.validation.XMLValidationSchemaFactory." + str1;
/* 132 */     Object localObject1 = null;
/*     */     try
/*     */     {
/* 138 */       String str3 = System.getProperty(str2);
/* 139 */       if ((str3 != null) && (str3.length() > 0))
/* 140 */         return createNewInstance(paramClassLoader, str3);
/*     */     }
/*     */     catch (SecurityException localSecurityException1)
/*     */     {
/* 144 */       localObject1 = localSecurityException1;
/*     */     }
/*     */ 
/*     */     Object localObject2;
/*     */     Object localObject3;
/*     */     try
/*     */     {
/* 152 */       String str4 = System.getProperty("java.home");
/* 153 */       localObject2 = new File(str4);
/*     */ 
/* 156 */       localObject2 = new File((File)localObject2, "lib");
/* 157 */       localObject2 = new File((File)localObject2, "jaxp.properties");
/* 158 */       if (((File)localObject2).exists())
/*     */         try {
/* 160 */           Properties localProperties = new Properties();
/* 161 */           localProperties.load(new FileInputStream((File)localObject2));
/* 162 */           localObject3 = localProperties.getProperty(str2);
/* 163 */           if ((localObject3 != null) && (((String)localObject3).length() > 0))
/* 164 */             return createNewInstance(paramClassLoader, (String)localObject3);
/*     */         }
/*     */         catch (IOException localIOException2)
/*     */         {
/*     */         }
/*     */     }
/*     */     catch (SecurityException localSecurityException2)
/*     */     {
/* 172 */       localObject1 = localSecurityException2;
/*     */     }
/*     */ 
/* 178 */     String str5 = "META-INF/services/org.codehaus.stax2.validation.XMLValidationSchemaFactory." + str1;
/*     */     try
/*     */     {
/* 182 */       if (paramClassLoader == null)
/* 183 */         localObject2 = ClassLoader.getSystemResources(str5);
/*     */       else {
/* 185 */         localObject2 = paramClassLoader.getResources(str5);
/*     */       }
/*     */ 
/* 188 */       if (localObject2 != null)
/* 189 */         while (((Enumeration)localObject2).hasMoreElements()) {
/* 190 */           URL localURL = (URL)((Enumeration)localObject2).nextElement();
/* 191 */           localObject3 = localURL.openStream();
/* 192 */           BufferedReader localBufferedReader = new BufferedReader(new InputStreamReader((InputStream)localObject3, "ISO-8859-1"));
/*     */ 
/* 194 */           Object localObject4 = null;
/*     */           try
/*     */           {
/*     */             String str7;
/* 198 */             while ((str7 = localBufferedReader.readLine()) != null) {
/* 199 */               str7 = str7.trim();
/* 200 */               if ((str7.length() > 0) && (str7.charAt(0) != '#'))
/* 201 */                 localObject4 = str7;
/*     */             }
/*     */           }
/*     */           finally
/*     */           {
/* 206 */             localBufferedReader.close();
/*     */           }
/* 208 */           if ((localObject4 != null) && (localObject4.length() > 0))
/* 209 */             return createNewInstance(paramClassLoader, localObject4);
/*     */         }
/*     */     }
/*     */     catch (SecurityException localSecurityException3)
/*     */     {
/* 214 */       localObject1 = localSecurityException3;
/*     */     }
/*     */     catch (IOException localIOException1)
/*     */     {
/*     */     }
/*     */ 
/* 220 */     String str6 = "No XMLValidationSchemaFactory implementation class specified or accessible (via system property '" + str2 + "', or service definition under '" + str5 + "')";
/*     */ 
/* 223 */     if (localObject1 != null) {
/* 224 */       throw new FactoryConfigurationError(str6 + " (possibly caused by: " + localObject1 + ")", localObject1);
/*     */     }
/* 226 */     throw new FactoryConfigurationError(str6);
/*     */   }
/*     */ 
/*     */   public XMLValidationSchema createSchema(InputStream paramInputStream)
/*     */     throws XMLStreamException
/*     */   {
/* 234 */     return createSchema(paramInputStream, null);
/*     */   }
/*     */ 
/*     */   public XMLValidationSchema createSchema(InputStream paramInputStream, String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 240 */     return createSchema(paramInputStream, paramString, null, null);
/*     */   }
/*     */ 
/*     */   public abstract XMLValidationSchema createSchema(InputStream paramInputStream, String paramString1, String paramString2, String paramString3)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public XMLValidationSchema createSchema(Reader paramReader)
/*     */     throws XMLStreamException
/*     */   {
/* 250 */     return createSchema(paramReader, null, null);
/*     */   }
/*     */ 
/*     */   public abstract XMLValidationSchema createSchema(Reader paramReader, String paramString1, String paramString2)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract XMLValidationSchema createSchema(URL paramURL)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract XMLValidationSchema createSchema(File paramFile)
/*     */     throws XMLStreamException;
/*     */ 
/*     */   public abstract boolean isPropertySupported(String paramString);
/*     */ 
/*     */   public abstract boolean setProperty(String paramString, Object paramObject);
/*     */ 
/*     */   public abstract Object getProperty(String paramString);
/*     */ 
/*     */   public final String getSchemaType()
/*     */   {
/* 287 */     return this.mSchemaType;
/*     */   }
/*     */ 
/*     */   private static XMLValidationSchemaFactory createNewInstance(ClassLoader paramClassLoader, String paramString)
/*     */     throws FactoryConfigurationError
/*     */   {
/*     */     try
/*     */     {
/*     */       Class localClass;
/* 301 */       if (paramClassLoader == null)
/* 302 */         localClass = Class.forName(paramString);
/*     */       else {
/* 304 */         localClass = paramClassLoader.loadClass(paramString);
/*     */       }
/* 306 */       return (XMLValidationSchemaFactory)localClass.newInstance();
/*     */     } catch (ClassNotFoundException localClassNotFoundException) {
/* 308 */       throw new FactoryConfigurationError("XMLValidationSchemaFactory implementation '" + paramString + "' not found (missing jar in classpath?)", localClassNotFoundException);
/*     */     }
/*     */     catch (Exception localException) {
/* 311 */       throw new FactoryConfigurationError("XMLValidationSchemaFactory implementation '" + paramString + "' could not be instantiated: " + localException, localException);
/*     */     }
/*     */   }
/*     */ 
/*     */   static
/*     */   {
/*  37 */     sSchemaIds.put("http://www.w3.org/XML/1998/namespace", "dtd");
/*  38 */     sSchemaIds.put("http://relaxng.org/ns/structure/0.9", "relaxng");
/*  39 */     sSchemaIds.put("http://www.w3.org/2001/XMLSchema", "w3c");
/*  40 */     sSchemaIds.put("http://www.thaiopensource.com/trex", "trex");
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.validation.XMLValidationSchemaFactory
 * JD-Core Version:    0.6.2
 */