package org.eclipse.jdt.internal.compiler;

import org.eclipse.jdt.core.compiler.CategorizedProblem;

public abstract interface ISourceElementRequestor
{
  public abstract void acceptConstructorReference(char[] paramArrayOfChar, int paramInt1, int paramInt2);

  public abstract void acceptFieldReference(char[] paramArrayOfChar, int paramInt);

  public abstract void acceptImport(int paramInt1, int paramInt2, char[][] paramArrayOfChar, boolean paramBoolean, int paramInt3);

  public abstract void acceptLineSeparatorPositions(int[] paramArrayOfInt);

  public abstract void acceptMethodReference(char[] paramArrayOfChar, int paramInt1, int paramInt2);

  public abstract void acceptPackage(int paramInt1, int paramInt2, char[] paramArrayOfChar);

  public abstract void acceptProblem(CategorizedProblem paramCategorizedProblem);

  public abstract void acceptTypeReference(char[][] paramArrayOfChar, int paramInt1, int paramInt2);

  public abstract void acceptTypeReference(char[] paramArrayOfChar, int paramInt);

  public abstract void acceptUnknownReference(char[][] paramArrayOfChar, int paramInt1, int paramInt2);

  public abstract void acceptUnknownReference(char[] paramArrayOfChar, int paramInt);

  public abstract void enterCompilationUnit();

  public abstract void enterConstructor(MethodInfo paramMethodInfo);

  public abstract void enterField(FieldInfo paramFieldInfo);

  public abstract void enterInitializer(int paramInt1, int paramInt2);

  public abstract void enterMethod(MethodInfo paramMethodInfo);

  public abstract void enterType(TypeInfo paramTypeInfo);

  public abstract void exitCompilationUnit(int paramInt);

  public abstract void exitConstructor(int paramInt);

  public abstract void exitField(int paramInt1, int paramInt2, int paramInt3);

  public abstract void exitInitializer(int paramInt);

  public abstract void exitMethod(int paramInt1, int paramInt2, int paramInt3);

  public abstract void exitType(int paramInt);

  public static class FieldInfo
  {
    public int declarationStart;
    public int modifiers;
    public char[] type;
    public char[] name;
    public int nameSourceStart;
    public int nameSourceEnd;
    public long[] annotationPositions;
    public char[][] categories;
  }

  public static class MethodInfo
  {
    public boolean isConstructor;
    public boolean isAnnotation;
    public int declarationStart;
    public int modifiers;
    public char[] returnType;
    public char[] name;
    public int nameSourceStart;
    public int nameSourceEnd;
    public char[][] parameterTypes;
    public char[][] parameterNames;
    public char[][] exceptionTypes;
    public ISourceElementRequestor.TypeParameterInfo[] typeParameters;
    public long[] annotationPositions;
    public char[][] categories;
  }

  public static class TypeInfo
  {
    public int declarationStart;
    public int modifiers;
    public char[] name;
    public int nameSourceStart;
    public int nameSourceEnd;
    public char[] superclass;
    public char[][] superinterfaces;
    public ISourceElementRequestor.TypeParameterInfo[] typeParameters;
    public long[] annotationPositions;
    public char[][] categories;
    public boolean secondary;
    public boolean anonymousMember;
  }

  public static class TypeParameterInfo
  {
    public int declarationStart;
    public int declarationEnd;
    public char[] name;
    public int nameSourceStart;
    public int nameSourceEnd;
    public char[][] bounds;
    public long[] annotationPositions;
  }
}