package org.eclipse.jdt.internal.compiler.ast;

import org.eclipse.jdt.internal.compiler.codegen.CodeStream;
import org.eclipse.jdt.internal.compiler.flow.FlowContext;
import org.eclipse.jdt.internal.compiler.flow.FlowInfo;
import org.eclipse.jdt.internal.compiler.lookup.BlockScope;
import org.eclipse.jdt.internal.compiler.lookup.FieldBinding;
import org.eclipse.jdt.internal.compiler.lookup.MethodBinding;
import org.eclipse.jdt.internal.compiler.lookup.TypeBinding;

public abstract class Reference extends Expression
{
  public abstract FlowInfo analyseAssignment(BlockScope paramBlockScope, FlowContext paramFlowContext, FlowInfo paramFlowInfo, Assignment paramAssignment, boolean paramBoolean);

  public FlowInfo analyseCode(BlockScope currentScope, FlowContext flowContext, FlowInfo flowInfo)
  {
    return flowInfo;
  }

  public FieldBinding fieldBinding()
  {
    return null;
  }
  public void fieldStore(CodeStream codeStream, FieldBinding fieldBinding, MethodBinding syntheticWriteAccessor, boolean valueRequired) {
    int pc = codeStream.position;
    if (fieldBinding.isStatic()) {
      if (valueRequired) {
        if ((fieldBinding.type == TypeBinding.LONG) || (fieldBinding.type == TypeBinding.DOUBLE))
          codeStream.dup2();
        else {
          codeStream.dup();
        }
      }
      if (syntheticWriteAccessor == null)
        codeStream.putstatic(fieldBinding);
      else
        codeStream.invokestatic(syntheticWriteAccessor);
    }
    else {
      if (valueRequired) {
        if ((fieldBinding.type == TypeBinding.LONG) || (fieldBinding.type == TypeBinding.DOUBLE))
          codeStream.dup2_x1();
        else {
          codeStream.dup_x1();
        }
      }
      if (syntheticWriteAccessor == null)
        codeStream.putfield(fieldBinding);
      else {
        codeStream.invokestatic(syntheticWriteAccessor);
      }
    }
    codeStream.recordPositionsFrom(pc, this.sourceStart);
  }

  public abstract void generateAssignment(BlockScope paramBlockScope, CodeStream paramCodeStream, Assignment paramAssignment, boolean paramBoolean);

  public abstract void generateCompoundAssignment(BlockScope paramBlockScope, CodeStream paramCodeStream, Expression paramExpression, int paramInt1, int paramInt2, boolean paramBoolean);

  public abstract void generatePostIncrement(BlockScope paramBlockScope, CodeStream paramCodeStream, CompoundAssignment paramCompoundAssignment, boolean paramBoolean);
}