package org.quartz.spi;

import java.util.Date;
import org.quartz.Calendar;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.SchedulerException;
import org.quartz.Trigger.CompletedExecutionInstruction;

public abstract interface OperableTrigger extends MutableTrigger
{
  public abstract void triggered(Calendar paramCalendar);

  public abstract Date computeFirstFireTime(Calendar paramCalendar);

  public abstract Trigger.CompletedExecutionInstruction executionComplete(JobExecutionContext paramJobExecutionContext, JobExecutionException paramJobExecutionException);

  public abstract void updateAfterMisfire(Calendar paramCalendar);

  public abstract void updateWithNewCalendar(Calendar paramCalendar, long paramLong);

  public abstract void validate()
    throws SchedulerException;

  public abstract void setFireInstanceId(String paramString);

  public abstract String getFireInstanceId();

  public abstract void setNextFireTime(Date paramDate);

  public abstract void setPreviousFireTime(Date paramDate);
}